<?php
	require_once dirname(__FILE__).'/../inc/common.php';
	commonInit();

	if(!isset($_SESSION['AuthorityLevel'])/* || intval($_SESSION['AuthorityLevel']) !== 1*/) {
		header('Location: '.SYSTEM_APL_URL.'index.php');
		exit();
	}

	if(isset($_GET['accountId'])) {
		$accountId = intval($_GET['accountId']);
	} else if(isset($_POST['accountId'])) {
		$accountId = intval($_POST['accountId']);
	} else {
		$accountId = 0;
	}

	if(!empty($_SESSION['DomainId'])) {
		$domainId = intval($_SESSION['DomainId']);
	} else if(isset($_GET['domainId'])) {
		$domainId = intval($_GET['domainId']);
	} else if(isset($_POST['domainId'])) {
		$domainId = intval($_POST['domainId']);
	} else {
		$domainId = 0;
	}

	$isAdminSession = empty($_SESSION['DomainId']);

	require_once SYSTEM_INCLUDE_DATA_PATH.'account.php';
	$account = new Account($_SESSION['UserName']);

	if($isAdminSession) {
		$accountList = &$account->getOutlineList($domainId);
	} else {
		$accountId = intval($_SESSION['AccountID']);
		$accountList[] = $account->getInfo($accountId);
	}
	if($domainId === 0) {
		if($accountId === 0) {
			$accountId = reset($accountList)->accountId;
		}
		$info = $account->getInfo($accountId);
	} else {
		if($accountId === 0) {
			require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
			$domain = new Domain($_SESSION['UserName']);
			$info = new AccountInfo();
			$info->authorityLevel = 2;	//新規作成はドメインの管理者権限のみ
			$info->domainId = $domainId;
			$info->domainTitle = $domain->getDomainTitle($domainId);
		} else {
			$info = $account->getInfo($accountId);
		}
	}

	$message = '';
	$result = array();
	if(isset($_GET['mode'])) {
		if($_GET['mode']==='save') {

			$info->accountId = $accountId;
			$info->dispName = $_POST['dispName'];
			$info->userId  = $_POST['userId'];
			if(isset($_POST['passType']) && intval($_POST['passType']) == 1) {
				require_once SYSTEM_INCLUDE_PATH.'util/utils.php';
				$info->password = Utils::randomStr(8);
			} else {
				$info->password = $_POST['password'];
			}
			$info->memo = $_POST['memo'];
			$info->domainId = $domainId;

			$result = $info->check();
			if(count($result) === 0) {
				if($accountId === 0 && $info->authorityLevel === 2) {	//新規作成はドメインの管理者権限のみ
					$accountId = $account->regist($info);
					if($accountId === 0) {
						$message = Language::MSG_REGIST_ERROR;
					} else {
						$message = Language::MSG_REGIST_SUCCESS;
					}
				} else {
					if($account->update($info)) {
						$message = Language::MSG_UPDATE_SUCCESS;
					} else {
						$message = Language::MSG_UPDATE_ERROR;
					}
				}

				$accountList = &$account->getOutlineList($domainId);
				$_POST = array();
				$info = $account->getInfo($accountId);
			} else {
				$message = Language::MSG_INPUT_ERROR;
			}
		} else if($_GET['mode']==='del') {
			if($account->delete($accountId)) {
				$accountId = 0;
				$_POST = array();
				$message = Language::MSG_DELETE_SUCCESS;
				$accountList = &$account->getOutlineList($domainId);

				if($domainId === 0) {
					$info = $account->getInfo(reset($accountList)->accountId);
				} else {
					if($accountId === 0) {
						require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
						$domain = new Domain($_SESSION['UserName']);
						$info = new AccountInfo();
						$info->authorityLevel = 2;	//新規作成はドメインの管理者権限のみ
						$info->domainId = $domainId;
						$info->domainTitle = $domain->getDomainTitle($domainId);
					} else {
						$info = $account->getInfo($accountId);
					}
				}
			} else {
				$message = Language::MSG_DELETE_ERROR;
			}
		}
	}


?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php echo htmlspecialchars(Language::ACCOUNT_MANAGER.' '.DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo HtmlUtil::tagIntCommonCss();?>
<script type="text/javascript" src="../js/window.js"></script>
</head>

<body>
<form id="act" action="" method="post">
<div id="wrapper">
<div id="container">
<input type="hidden" name="accountId" value="<?echo htmlspecialchars($accountId);?>" />
<input type="hidden" name="domainId" value="<?echo htmlspecialchars($domainId);?>" />
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><?php echo DesignConfig::getTagAplLogo();?></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
<!-- GnaviStart -->
<?php echo HtmlUtil::tagIntGlNavi($isAdminSession);?>
<!-- GnaviEnd -->
	<div id="contents_inner">
	<h2 class="account_edit"><span><?php echo htmlspecialchars(Language::ACCOUNT_MANAGER);?></span></h2>
<?php
	if($domainId > 0 && $isAdminSession) {
?>
	<div class="new_edit_bt"><a href="index.php?domainId=<?php echo $domainId?>"><span><?php echo htmlspecialchars(Language::CREATE);?></span></a></div>
<?php
	}
?>
<!-- SiteListStart -->
	<div id="main_inner">
		<div class="list_area">
		<div class="list_table">
			<p class="int_name"><?php echo htmlspecialchars(Language::ACCOUNT_LIST);?></p>
				<table summary="<?php echo htmlspecialchars(Language::ACCOUNT_LIST);?>">
<?php
	if(count($accountList) === 0) {
?>
				<tr>
				<td><?php echo htmlspecialchars(Language::NOT_REGIST);?></td>
				</tr>
<?php
	} else {
?>
				<tr>
				<th><?php echo htmlspecialchars(Language::AUTHORITY);?></th>
				<th><?php echo htmlspecialchars(Language::NAME);?></th>
				<th><?php echo htmlspecialchars(Language::BELONG);?></th>
				</tr>
<?php
		foreach($accountList as $outlineInfo) {
?>
				<tr>
				<td><?php echo htmlspecialchars(AccountLevelInfo::getShortName($outlineInfo->authorityLevel));?></td>
				<td><a href="<?php echo htmlspecialchars('index.php?accountId='.$outlineInfo->accountId.'&domainId='.$domainId);?>"><?php echo htmlspecialchars($outlineInfo->dispName);?></a></td>
				<td><?php echo HtmlUtil::emptyStr($outlineInfo->domainTitle);?></td>
				</tr>
<?php
		}
	}
?>
				</table>
		</div>
		</div>
<!-- SiteListEnd -->
<!-- SiteInputStart -->
		<div class="input_area">
		<div class="input_table">
			<p class="int_name"><?php echo htmlspecialchars(Language::ACCOUNT_DETAIL);?></p>
<?php
	if($message !== '') {
?>
		<div class="caution_input_area">
		<p class="caution_art"><?php echo htmlspecialchars($message);?></p>
		</div>
<?php
	}
?>
				<table summary="<?php echo htmlspecialchars(Language::ACCOUNT_DETAIL);?>">
				<tr>
				<th><?php echo htmlspecialchars(Language::BELONG);?></th>
				<td><?php echo HtmlUtil::emptyStr($info->domainTitle);?></td>
				</tr>
				<tr>
				<th><?php echo htmlspecialchars(Language::NAME);?></th>
				<td><?php echo FormUtil::textbox('dispName', $info->dispName, 40, 50, 'txt wt_100').FormUtil::getErrorStr($result, 'dispName');?></td>
				</tr>
				<tr>
				<th>USER ID</th>
				<td><?php echo FormUtil::textbox('userId', $info->userId, 40, 50, 'txt wt_100').FormUtil::getErrorStr($result, 'userId');?></td>
				</tr>
				<tr>
				<th><?php echo htmlspecialchars(Language::PASSWORD);?><br /><?php echo htmlspecialchars(Language::CREATE_TYPE);?></th>
				<td><input type="radio" name="passType" value="1" /><?php echo htmlspecialchars(Language::AUTO_GENERATE);?> <input type="radio" name="passType" value="0" checked="checked" /><?php echo htmlspecialchars(Language::MANUAL_GENERATE);?>
				</td>
				</tr>
				<tr>
				<th><?php echo htmlspecialchars(Language::PASSWORD);?></th>
				<td><?php echo FormUtil::textbox('password', $info->password, 40, 50, 'txt wt_100').FormUtil::getErrorStr($result, 'password');?>
				</td>
				</tr>
				<tr>
				<th><?php echo htmlspecialchars(Language::AUTHORITY);?></th>
				<td><?php echo htmlspecialchars(AccountLevelInfo::getName($info->authorityLevel));?></td>
				</tr>
				<tr>
				<th><?php echo htmlspecialchars(Language::MEMO);?></th>
				<td><?php echo FormUtil::textArea('memo', $info->memo, 50, 10, 'txt wt_100').FormUtil::getErrorStr($result, 'memo');?></td>
				</tr>
				</table>
		</div>
		<div class="input_table">
				<table summary="<?php echo htmlspecialchars(Language::TABLE_SYSTEM_INFO);?>">
				<tr><th><?php echo htmlspecialchars(Language::REGUST_DATETIME);?></th><td><?php echo HtmlUtil::emptyDatetimeStr($info->registDateStr);?></td></tr>
				<tr><th><?php echo htmlspecialchars(Language::UPDATE_DATETIME);?></th><td><?php echo HtmlUtil::emptyDatetimeStr($info->updateDateStr);?></td></tr>
				<tr><th><?php echo htmlspecialchars(Language::UPDATE_USER);?></th><td><?php echo HtmlUtil::emptyStr($info->updateUser);?></td></tr>
				</table>
		</div>
		<div class="input_bt">
			<ul>
			<li><a href="javascript:void(0);" onclick="onClickSubmit('act', 'index.php?mode=save');return false;" class="save_bt"><span><?php echo htmlspecialchars(Language::SAVE_CONTENTS);?></span></a></li>
<?php
	if($info->accountId > 0 && $info->authorityLevel !== 1 && $isAdminSession) {
?>
			<li><a href="javascript:void(0);" onclick="dialogPost('<?php echo htmlspecialchars(Language::getMsgCheckDelete($info->dispName));?>', 'index.php?mode=del');return false;" class="delete_bt"><span><?php echo htmlspecialchars(Language::DELETE_CONTENTS);?></span></a></li>
<?php
	}
?>
			</ul>
		</div>
		</div>
		</div>
	</div>
<!-- SiteInputEnd -->
	<div id="contents_footer"><?php echo HtmlUtil::tagIntContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>