<?php
require_once '../../inc/common.php';
commonInit();
userInit();

$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
$flagXml = new FlagXml($_SESSION['UserName']);

$message = '';
$result = array();
$xmlInfo = $flagXml->get($domainId);
if(isset($_GET['mode']) && $_GET['mode']==='save') {
	$xmlInfo->logoPos = intval($_POST['logoPos']);
	$xmlInfo->bgColor = $_POST['bgColor'];
	$xmlInfo->bgImage = $_POST['bgImage'];
	$result = $xmlInfo->check();
	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		if($flagXml->set($domainId, $xmlInfo)) {
			require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
			$domain = new Domain($_SESSION['UserName']);
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_REGIST_SUCCESS;
				$xmlInfo = $flagXml->get($domainId);
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	}
}

setcookie('maverica_coreblo_flag_light_cms_edit_mode_'.intval($_SESSION['AccountID']), 'detail', time()+315360000, SYSTEM_REAL_URL.'apl/');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle'], 'detail');?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo HtmlUtil::mode2Base();?>
			<p class="detail_message"><?php echo htmlspecialchars(Language::DETAIL_SETTING_COMMENT1);?></p>
			<div class="input_table">
				<table summary="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>">
					<tr>
						<th><?php echo htmlspecialchars(Language::FLAG_LOGO_POSITION);?></th>
						<td>
							<?php echo FormUtil::radio('logoPos', 1, ($xmlInfo->logoPos==0?1:$xmlInfo->logoPos));?><?php echo htmlspecialchars(Language::RIGHT_TOP);?>
							<?php echo FormUtil::radio('logoPos', 2, ($xmlInfo->logoPos==0?1:$xmlInfo->logoPos));?><?php echo htmlspecialchars(Language::LEFT_TOP);?>
							<?php echo FormUtil::radio('logoPos', 3, ($xmlInfo->logoPos==0?1:$xmlInfo->logoPos));?><?php echo htmlspecialchars(Language::RIGHT_BOTTOM);?>
							<?php echo FormUtil::radio('logoPos', 4, ($xmlInfo->logoPos==0?1:$xmlInfo->logoPos));?><?php echo htmlspecialchars(Language::LEFT_BOTTOM);?>
						</td>
					</tr>
					<tr>
						<th><?php echo htmlspecialchars(Language::FLASH_AREA_BACKGROUND_COLOR);?></th>
						<td># <?php echo FormUtil::textbox('bgColor', $xmlInfo->bgColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'bgColor');?></td>
					</tr>
					<tr>
						<th><?php echo htmlspecialchars(Language::INITIAL_BACKGROUND_IMAGE);?></th>
						<td><?php echo FormUtil::textbox('bgImage', $xmlInfo->bgImage, 20, 0, 'txt');?></td>
					</tr>
			</table>
			</div>

			<div class="save_bt">
				<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'base.php?mode=save');return false;" />
			</div>

		</div>
<?php echo HtmlUtil::tagDetailSideMenu(1, ($xmlInfo->updateDateStr===''));?>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
