<?php
require_once '../../inc/common.php';
commonInit();
userInit();


$domainId = intval($_SESSION['DomainId']);
if(isset($_GET['id'])) {
	$selectItemId = intval($_GET['id']);
} else if(isset($_POST['id'])) {
	$selectItemId = intval($_POST['id']);
} else {
	exit();
}

require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
$itemData = new ItemData($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_PATH.'data/parts.php';

$message = '';
$result = array();
if($selectItemId > 0) {
	$itemInfo = $itemData->get($domainId, $selectItemId);
	if(isset($_GET['mode']) && $_GET['mode']==='save') {
		if(isset($_POST['PartsType']) && PartsInfo::isActive($_POST['PartsType'])) {
			if(intval($_POST['partsNo']) > 0) {
				$partsInfo = PartsInfo::getInfo($_POST['PartsType']);
				$itemInfo->image = $partsInfo['swf'].'?Setting_File_Path='.sprintf(str_replace('*', '%02d', $partsInfo['xml']), intval($_POST['partsNo']));
			}
		} else {
			$itemInfo->image = $_POST['image'];
		}

		//チェック
		$result = $itemInfo->check();
		if(count($result) > 0) {
			$message = Language::MSG_INPUT_ERROR;
		} else {
			if($message === '') {
				if($itemData->set($domainId, $itemInfo)) {
					if($domain->setNotOutput($domainId)) {
						$message = Language::MSG_REGIST_SUCCESS;
						unset($_POST);
					} else {
						$message = Language::MSG_REGIST_ERROR;
					}
				}
			}
		}
	} else {
		unset($_POST);
	}
}

$itemOutlineList = $itemData->getOutlineList($domainId, 0);

$isActiveParts = false;
if($selectItemId > 0 && !$itemData->isUseButton($domainId, $selectItemId)) {
	$partsList = PartsInfo::getActiveList();
	$isActiveParts = (count($partsList) > 0);

	$selectPartsType = 'none';
	$selectPartsNum = 0;
	foreach($partsList as $partsType => $partsInfo) {
		$pattern = $partsInfo['swf'].'\?Setting_File_Path='.str_replace('*', '[0-9]+', $partsInfo['xml']);
		if(preg_match('/^'.$pattern.'$/', $itemInfo->image) === 1) {
			$selectPartsType = $partsType;

			$numberFilterList = explode('[0-9]+', $pattern, 2);
			$startPos = strlen($numberFilterList[0])-1; //'\'分マイナス
			$ignoreLength = strlen($pattern)-7;	//'\'と'[0-9]+'分マイナス
			$selectPartsNumStr = substr($itemInfo->image, $startPos, strlen($itemInfo->image) - $ignoreLength);
			$selectPartsNum = intval(substr($itemInfo->image, $startPos, strlen($itemInfo->image) - $ignoreLength));


			break;
		}
	}
	reset($partsList);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();
if($isActiveParts) {
?>
<script type="text/javascript" src="../../js/http.js"></script>
<script type="text/javascript" src="../../js/parts_list.js"></script>
<script type="text/javascript"><!--
function init() {
	getPartsList('<?php echo htmlspecialchars($selectPartsType);?>', '<?php echo htmlspecialchars($selectPartsType);?>', <?php echo $selectPartsNum;?>, '<?php echo htmlspecialchars(Language::NOT_REGIST);?>');
}
window.onload = init;
--></script>
<?php
}
?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="id" value="<?php echo $selectItemId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo HtmlUtil::mode2Link();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::DETAIL_SETTING_COMMENT4);?></p>

				<div id="tree_area">
				<div class="tree_item_title"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_MINUS);?></span><?php echo htmlspecialchars(Language::LINK_ITEM_LIST);?></div>
				<div class="tree_item_list_area">
 <?php
	 echo HtmlUtil::tagItemTree($itemOutlineList, $selectItemId);
 ?>
				</div>
 				</div>

<?php
	if($selectItemId > 0) {
		$itemNoMax = count($itemOutlineList);
?>

				<div id="item_input_area">
					<?php echo HtmlUtil::tagItemMenu($itemData->isUseButton($domainId, $selectItemId), 1);?>
					<?php echo HtmlUtil::tagItemSettingMenu($itemInfo->imageType, $itemData->isUseWipe($domainId, $selectItemId), 2);?>
					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::ITEM_CONFIG);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::CONTENTS);?></th>
								<td><?php
		if($isActiveParts) {
?>
									<div>
										<span><?php echo htmlspecialchars(Language::ITEM_TYPE);?>: </span>
										<select name="PartsType" size="1" onfocus="focusColor(this)" onblur="blurColor(this)" onchange="getPartsList(this.value, '<?php echo htmlspecialchars($selectPartsType);?>', <?php echo $selectPartsNum;?>, '<?php echo htmlspecialchars(Language::NOT_REGIST);?>');">
											<?php echo FormUtil::option('PartsType', 'none', $selectPartsType, Language::INPUT_PATY);?>
<?php
			foreach($partsList as $partsType => $partsInfo) {
 ?>
											<?php echo FormUtil::option('PartsType', $partsType, $selectPartsType, $partsInfo['name']);?>
<?php
			}
?>
										</select>
									</div>
									<div id="SelectPartsNum" style="display: none;">
									</div>
<?php
		}
		?>
									<div id="InputItem"<?php echo ($isActiveParts?' style="display: none;"':'');?>>
										<div><?php echo FormUtil::textbox('image', $itemInfo->image, 30, 0, 'txt');?></div>
									</div>
								</td>
							</tr>

						</table>
					</div>

					<div class="save_bt">
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'item_file.php?mode=save');return false;" />
					</div>

				</div>

<?php
	}
?>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(4);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
