<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/utils.php';


$domainId = intval($_SESSION['DomainId']);
if(isset($_GET['id'])) {
	$selectItemId = intval($_GET['id']);
} else if(isset($_POST['id'])) {
	$selectItemId = intval($_POST['id']);
} else {
	$selectItemId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'player_data.php';
$playerData = new PlayerData($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
$itemData = new ItemData($_SESSION['UserName']);
$itemOutlineList = $itemData->getOutlineList($domainId, 0);

$message = '';
$result = array();
$playerInfo = $playerData->get($domainId, $selectItemId);

$playerId = $playerData->getPlayerId($domainId, $selectItemId, 0);
if(isset($_POST['mode']) && $_POST['mode']==='change') {
	if(!$playerData->changePlaylistItemDispNo($domainId, $playerId, intval($_POST['playlistItemId']), intval($_POST['dispNo']))) {
		$message = Language::MSG_REGIST_ERROR;
	}
} else if(isset($_GET['mode']) && $_GET['mode']==='del') {
	if(!$playerData->deletePlaylistItem($domainId, $playerId, intval($_GET['playlistItemId']))) {
		$message = Language::MSG_DELETE_ERROR;
	}
}
$list = $playerData->getItemList($domainId, $playerId);

$isUseButton = $itemData->isUseButton($domainId, $selectItemId);
$isUsePlayer = $itemData->isUsePlayer($domainId, $selectItemId);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function changePos(id, newDispNo) {
	var obj = document.getElementById('act');
	obj.action = 'item_player_playlist.php';
	obj.method = 'POST';
	obj.mode.value = 'change';
	obj.dispNo.value = newDispNo;
	obj.playlistItemId.value = id;
	obj.submit();
}
function edit(id) {
	var obj = document.getElementById('act');
	obj.action = 'item_player_playlist_item.php';
	obj.method = 'POST';
	obj.playlistItemId.value = id;
	obj.submit();
}
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="id" value="<?php echo $selectItemId;?>" />
	<input type="hidden" name="playlistItemId" value="" />
	<input type="hidden" name="mode" value="" />
	<input type="hidden" name="dispNo" value="" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo HtmlUtil::mode2Link();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::DETAIL_SETTING_COMMENT4);?></p>

				<div id="tree_area">
				<div class="tree_item_title"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_MINUS);?></span><?php echo htmlspecialchars(Language::LINK_ITEM_LIST);?></div>
				<div class="tree_item_list_area">
 <?php
	 echo HtmlUtil::tagItemTree($itemOutlineList, $selectItemId);
 ?>
				</div>
				</div>

				<div id="item_input_area">
					<?php echo HtmlUtil::tagItemMenu($isUseButton, 2);?>
					<?php echo HtmlUtil::tagItemButtonMenu($isUseButton, $isUsePlayer, 3);?>
					<?php echo HtmlUtil::tagItemPlayerMenu($playerInfo->playerType, 2, $playerInfo->fileType);?>
					<div class="input_table">

						<p class="new_edit"><a href="javascript:void(0);" onclick="edit(0);return false;" class="new_edit_bt" title="<?php echo htmlspecialchars(Language::CREATE);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::CREATE);?></span></a></p>

<?php
		$listCnt = count($list);
		if($listCnt === 0) {
?>
						<p class="save_message"><?php echo htmlspecialchars(Language::NOT_REGIST);?></p>
<?php
		} else {
?>
						<div class="input_table2">
							<table summary="<?php echo htmlspecialchars(Language::TABLE_NEWS_LIST);?>">
								<tr>
									<th><?php echo htmlspecialchars(Language::ORDER);?></th>
									<th><?php echo htmlspecialchars(Language::TITLE);?></th>
									<th colspan="3"><?php echo htmlspecialchars(Language::OPERATION);?></th>
								</tr>
<?php
			foreach($list as $item) {
?>
								<tr>
									<td class="td_c"><?php echo htmlspecialchars($item->dispNo);?></td>
									<td><a href="javascript:void(0);" onclick="edit(<?php echo $item->playlistItemId;?>);return false;"><?php echo htmlspecialchars($item->fileTitle);?></a></td>
									<td class="td_c"><a href="javascript:void(0);" onclick="edit(<?php echo $item->playlistItemId;?>);return false;"><?php echo htmlspecialchars(Language::EDIT);?></a></td>
									<td class="td_c"><a href="javascript:void(0);" onclick="javascript:dialogPost('<?php echo Language::getMsgCheckDeleteNumber($item->dispNo);?>', '<?php echo htmlspecialchars('item_player_playlist.php?mode=del&playlistItemId='.$item->playlistItemId);?>');return false;"><?php echo htmlspecialchars(Language::DELETE);?></a></td>
									<td class="td_c bt_w">
										<div class="noch_area"><?php
				if($item->dispNo > 1) {
					?><a href="javascript:void(0);" onclick="changePos(<?php echo $item->playlistItemId;?>, <?php echo ($item->dispNo-1);?>);return false;"><?php echo htmlspecialchars(Language::ARROW_UP);?></a><?php
				} else {
					?><span class="noch"><?php echo htmlspecialchars(Language::ARROW_UP);?></span><?php
				}
?></div>
										<div class="noch_area"><?php
				if($item->dispNo >= $listCnt) {
					?><span class="noch"><?php echo htmlspecialchars(Language::ARROW_DOWN);?></span><?php
				} else {
					?><a href="javascript:void(0);" onclick="changePos(<?php echo $item->playlistItemId;?>, <?php echo ($item->dispNo+1);?>);return false;"><?php echo htmlspecialchars(Language::ARROW_DOWN);?></a><?php
				}
?></div>
									</td>
								</tr>
<?php
			}
?>
							</table>
						</div>
<?php
		}
?>

					</div>

				</div>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(4);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
