<?php
require_once '../../inc/common.php';
commonInit();
userInit();


$domainId = intval($_SESSION['DomainId']);
if(isset($_GET['id'])) {
	$selectItemId = intval($_GET['id']);
} else if(isset($_POST['id'])) {
	$selectItemId = intval($_POST['id']);
} else {
	$selectItemId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
$itemData = new ItemData($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_PATH.'data/parts.php';

$message = '';
$result = array();
if($selectItemId > 0) {
	$itemInfo = $itemData->get($domainId, $selectItemId);
	if(isset($_GET['mode']) && $_GET['mode']==='del') {
		if($itemData->delete($domainId, $selectItemId)) {
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_DELETE_SUCCESS;
				$selectItemId = 0;
				unset($_POST);
			} else {
				$message = Language::MSG_DELETE_ERROR;
			}
		} else {
			$message = Language::MSG_DELETE_ERROR;

		}
	} else if(isset($_GET['mode']) && $_GET['mode']==='save') {
		$itemInfo->dispNo = intval($_POST['dispNo']);
		$itemInfo->name = $_POST['name'];
		$itemInfo->isDisplay = (intval($_POST['isDisplay'])===1);
		$itemInfo->layer = intval($_POST['layer']);
		$itemInfo->xAxis = $_POST['xAxis'];
		$itemInfo->yAxis = $_POST['yAxis'];
		$itemInfo->imageFadeinEffect = $_POST['imageFadeinEffect'];
		$itemInfo->imageSlideinAngle = $_POST['imageSlideinAngle'];
		$itemInfo->imageSlideinMoveSize = $_POST['imageSlideinMoveSize'];
		$itemInfo->imageSlideinMoveSpeed = $_POST['imageSlideinMoveSpeed'];
		$itemInfo->delayTime = $_POST['delayTime'];
		$itemInfo->imageType = intval($_POST['imageType']);
		$itemInfo->playlistPlayType = intval($_POST['playlistPlayType']);
		$itemInfo->playlistPlayWait = $_POST['playlistPlayWait'];

		//チェック
		$result = $itemInfo->check();
		if(count($result) > 0) {
			$message = Language::MSG_INPUT_ERROR;
		} else {
			if($itemInfo->parentItemId === 0) {
				if(!$itemData->changeTopItemDispNo($domainId, $selectItemId, intval($_POST['dispNo']))) {
					$message = Language::MSG_REGIST_ERROR;
				}
			}

			if($message === '') {
				if($itemData->set($domainId, $itemInfo)) {
					if($domain->setNotOutput($domainId)) {
						$message = Language::MSG_REGIST_SUCCESS;
						unset($_POST);
					} else {
						$message = Language::MSG_REGIST_ERROR;
					}
				}
			}
		}
	} else if(isset($_GET['mode']) && $_GET['mode']==='operation') {
		//子階層Itemのコピー
		$targetParentId = intval($_POST['SelectParentId']);
		$addItemInfo = $itemData->get($domainId, $selectItemId, true);
		if($itemData->isUseDispNo($domainId, $targetParentId, 0, intval($_POST['NewDispNo']))) {
			$message = Language::MSG_COPY_ERROR;
		} else {
			$saveParentId = $addItemInfo->parentItemId;
			//登録用にIDをリセット
			$addItemInfo->resetId();
			$addItemInfo->dispNo = intval($_POST['NewDispNo']);
			$addItemInfo->parentItemId = $targetParentId;
			if($itemData->set($domainId, $addItemInfo, true)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_COPY_SUCCESS;
				} else {
					$message = Language::MSG_COPY_ERROR;
				}
			} else {
				$message = Language::MSG_COPY_ERROR;
			}
		}
	} else {
		unset($_POST);
	}
}

if(isset($_GET['mode']) && ($_GET['mode']==='add')) {
	if(isset($_COOKIE['click_to_next_url']) && intval($_COOKIE['click_to_next_url'])===1){
		setcookie('click_to_next_url', 0);

		$addItemInfo = new ItemElement();
		$addItemInfo->dispNo = $itemData->getMaxDispNo($domainId)+1;
		if($itemData->set($domainId, $addItemInfo)) {
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_REGIST_SUCCESS;
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	} else {
		$message = Language::MSG_REFRESH_ERROR;
	}
} else if(isset($_GET['mode']) && $_GET['mode']==='copy') {
	$addItemInfo = $itemData->get($domainId, $selectItemId, true);
	//登録用にIDをリセット
	$addItemInfo->resetId();
	$addItemInfo->dispNo = $itemData->getMaxDispNo($domainId)+1;
	if($itemData->set($domainId, $addItemInfo, true)) {
		if($domain->setNotOutput($domainId)) {
			$message = Language::MSG_COPY_SUCCESS;
		} else {
			$message = Language::MSG_COPY_ERROR;
		}
	} else {
		$message = Language::MSG_COPY_ERROR;
	}
}

$itemOutlineList = $itemData->getOutlineList($domainId, 0);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();
if($selectItemId > 0) {
?>
<script type="text/javascript"><!--
function init() {
	changeDisplay('play_list', <?php echo ($itemInfo->imageType===2?'true':'false');?>);
}
window.onload = init;
--></script>
<?php
}
?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="id" value="<?php echo $selectItemId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo HtmlUtil::mode2Link();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::DETAIL_SETTING_COMMENT4);?></p>

				<div id="tree_area">
				<div class="tree_item_title"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_MINUS);?></span><?php echo htmlspecialchars(Language::LINK_ITEM_LIST);?></div>
				<div class="tree_item_list_area">
 <?php
	 echo HtmlUtil::tagItemTree($itemOutlineList, $selectItemId);
 ?>

 <?php
 	if($selectItemId === 0 || $itemInfo->parentItemId === 0) {
 ?>
				<div class="tree_new_item"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_PLUS);?></span><a href="javascript:void(0);" onclick="onClickSubmit('act', 'link.php?mode=add');return false;"><?php echo htmlspecialchars(Language::ADD_PARENT_ITEM);?></a></div>
<?php
 	}
?>
				</div>
 				</div>

<?php
	if($selectItemId > 0) {
		$itemNoMax = count($itemOutlineList);
?>

				<div id="item_input_area">
					<?php echo HtmlUtil::tagItemMenu($itemData->isUseButton($domainId, $selectItemId), 1);?>
					<?php echo HtmlUtil::tagItemSettingMenu($itemInfo->imageType, $itemData->isUseWipe($domainId, $selectItemId), 1);?>
					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::ITEM_CONFIG);?>">
							<tr>
								<th><?php
		if($itemInfo->parentItemId === 0) {
			echo  htmlspecialchars(Language::ITEM_NUMBER);
		} else {
			echo htmlspecialchars(Language::TARGET_ITEM_NUMBER);
		}
		?></th>
								<td>
									<select name="dispNo" size="1" onfocus="focusColor(this)" onblur="blurColor(this)">
<?php
		if($itemInfo->parentItemId === 0) {
			for($cnt = 1; $cnt <= $itemNoMax; $cnt++) {
?>
										<?php echo FormUtil::option('dispNo', $cnt, $itemInfo->dispNo, $cnt);?>
<?php
			}
		} else {
			$selectItemList = $itemData->getTargetDispNoList($domainId, $itemInfo->parentItemId);
			$selectItemList[$itemInfo->dispNo] = '';
			ksort($selectItemList);
			foreach($selectItemList as $dispNo => $name) {
?>
										<?php echo FormUtil::option('dispNo', $dispNo, $itemInfo->dispNo, $dispNo);?>
<?php
			}
		}
?>
									</select>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::NAME);?></th>
								<td><?php echo FormUtil::textbox('name', $itemInfo->name, 30, 0, 'txt').FormUtil::getErrorStr($result, 'name');?></td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::DISPLAY_SETTING);?></th>
								<td>
									<?php echo FormUtil::radio('isDisplay', 1, $itemInfo->isDisplay);?><?php echo htmlspecialchars(Language::DISPLAY);?>
									<?php echo FormUtil::radio('isDisplay', 0, $itemInfo->isDisplay);?><?php echo htmlspecialchars(Language::DISPLAY_NON);?>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::DISPLAY_LAYER);?></th>
								<td>
									<?php echo FormUtil::radio('layer', 1, ($itemInfo->layer===0?2:$itemInfo->layer));?><?php echo htmlspecialchars(Language::DISPLAY_LAYER_UPPER);?>
									<?php echo FormUtil::radio('layer', 2, ($itemInfo->layer===0?2:$itemInfo->layer));?><?php echo htmlspecialchars(Language::DISPLAY_LAYER_LOWER);?>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::DISPLAY_POSITION);?></th>
								<td>
									<p><?php echo htmlspecialchars(Language::X_AXIS);?>: <?php echo FormUtil::textbox('xAxis', $itemInfo->xAxis, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'xAxis');?></p>
									<p><?php echo htmlspecialchars(Language::Y_AXIS);?>: <?php echo FormUtil::textbox('yAxis', $itemInfo->yAxis, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'yAxis');?></p>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::EFFECT);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::DELAY_TIME);?>: <?php echo FormUtil::textbox('delayTime', $itemInfo->delayTime, 6, 6, 'txt').htmlspecialchars(Language::MILLIMETERS_SECOND).FormUtil::getErrorStr($result, 'delayTime');?></div>
									<div><?php echo htmlspecialchars(Language::FADEIN_SPEED);?>: <?php echo FormUtil::textbox('imageFadeinEffect', $itemInfo->imageFadeinEffect, 6, 6, 'txt').FormUtil::getErrorStr($result, 'imageFadeinEffect');?></div>
									<div><?php echo htmlspecialchars(Language::SLIDEIN_ANGLE);?>: <?php echo FormUtil::textbox('imageSlideinAngle', $itemInfo->imageSlideinAngle, 6, 6, 'txt').htmlspecialchars(Language::ANGLE).FormUtil::getErrorStr($result, 'imageSlideinAngle');?></div>
									<div><?php echo htmlspecialchars(Language::SLIDEIN_SIZE);?>: <?php echo FormUtil::textbox('imageSlideinMoveSize', $itemInfo->imageSlideinMoveSize, 6, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'imageSlideinMoveSize');?></div>
									<div><?php echo htmlspecialchars(Language::SLIDEIN_SPEED);?>: <?php echo FormUtil::textbox('imageSlideinMoveSpeed', $itemInfo->imageSlideinMoveSpeed, 6, 6, 'txt').FormUtil::getErrorStr($result, 'imageSlideinMoveSpeed');?></div>
								</td>
							</tr>

							<tr>
								<th><?php echo htmlspecialchars(Language::ITEM_DISPLAY_TYPE);?></th>
								<td>
									<p>
										<?php echo FormUtil::radio('imageType', 1, $itemInfo->imageType, 'onclick="changeDisplay(\'play_list\', false);"');?> <?php echo htmlspecialchars(Language::ITEM_DISPLAY_TYPE_FILE);?>
										<?php echo FormUtil::radio('imageType', 2, $itemInfo->imageType, 'onclick="changeDisplay(\'play_list\', true);"');?> <?php echo htmlspecialchars(Language::ITEM_DISPLAY_TYPE_PLAY_LIST);?>
									</p>
									<div id="play_list" style="display: none;">
										<p>
											<?php echo FormUtil::radio('playlistPlayType', 2, $itemInfo->playlistPlayType);?> <?php echo htmlspecialchars(Language::RANDOM_PLAY_OFF);?>
											<?php echo FormUtil::radio('playlistPlayType', 1, $itemInfo->playlistPlayType);?> <?php echo htmlspecialchars(Language::RANDOM_PLAY_ON);?>
										</p>
										<p>
											<?php echo htmlspecialchars(Language::DISPLAY_TIME);?>: <?php echo FormUtil::textbox('playlistPlayWait', $itemInfo->playlistPlayWait, 6, 6, 'txt').htmlspecialchars(Language::MILLIMETERS_SECOND).FormUtil::getErrorStr($result, 'playlistPlayWait');?>
										</p>
									</div>
								</td>
							</tr>

						</table>
					</div>

					<div class="save_bt">
<?php
		if($selectItemId > 0 && $itemInfo->parentItemId === 0) {
?>
						<a href="javascript:void(0);" onclick="javascript:dialogPost('<?php echo htmlspecialchars(Language::getMsgCheckCopy('('.$itemInfo->dispNo.')'.$itemInfo->name));?>', 'link.php?mode=copy');return false;"><?php
							?><img src="../../image/normal/bt/copy_bt.gif" title="<?php echo htmlspecialchars(Language::COPY_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::COPY_CONTENTS);?>" /><?php
						 ?></a>
<?php
		} else if($selectItemId > 0 && $itemInfo->parentItemId > 0) {
?>
						<a href="javascript:void(0);" onclick="javascript:onClickSubmit('act', 'select_target.php');return false;"><?php
							?><img src="../../image/normal/bt/s_copy_bt.gif" title="<?php echo htmlspecialchars(Language::COPY_OPERATION);?>" alt="<?php echo htmlspecialchars(Language::COPY_OPERATION);?>" /><?php
						 ?></a>
<?php
		}
		if($itemData->isCanDelete($domainId, $selectItemId)) {
?>
						<a href="javascript:void(0);" onclick="javascript:dialogPost('<?php echo htmlspecialchars(Language::getMsgCheckDelete('('.$itemInfo->dispNo.')'.$itemInfo->name));?>', 'link.php?mode=del');return false;"><?php
							?><img src="../../image/normal/bt/del_bt.gif" title="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" /><?php
						?></a>
<?php
		}
?>
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'link.php?mode=save');return false;" />
					</div>

				</div>

<?php
	}
?>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(4);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
