<?php
require_once '../../inc/common.php';
commonInit();
userInit();

$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'news_data.php';
$newsData = new NewsData($_SESSION['UserName']);

$message = '';
$result = array();
$newsInfo = $newsData->get($domainId);
$skinInfo = $newsData->getSkin($domainId);
if(isset($_GET['mode']) && $_GET['mode']==='save') {
	$newsInfo->isDisplay = (intval($_POST['IsDisplay'])===1?true:false);
	$newsInfo->displayType = intval($_POST['displayType']);
	$newsInfo->xAxis = $_POST['xAxis'];
	$newsInfo->yAxis = $_POST['yAxis'];
	$newsInfo->width = $_POST['width'];
	$newsInfo->height = $_POST['height'];
	$newsInfo->textDisplaytType = intval($_POST['textDisplaytType']);
	$newsInfo->slideWaitTime = $_POST['slideWaitTime'];
	$newsInfo->scrollMovePixel = $_POST['scrollMovePixel'];
	$newsInfo->padding = $_POST['padding'];
	$newsInfo->textColor = $_POST['textColor'];
	$newsInfo->textShadowColor = $_POST['textShadowColor'];

	$skinInfo->mainIsDisplayGradation = (intval($_POST['mainIsDisplayGradation'])===1?true:false);
	$skinInfo->mainGradationAlpha = $_POST['mainGradationAlpha'];
	$skinInfo->mainBgColor = $_POST['mainBgColor'];
	$skinInfo->mainBgAlpha = $_POST['mainBgAlpha'];
	$skinInfo->innerIsDisplayGradation = (intval($_POST['innerIsDisplayGradation'])===1?true:false);
	$skinInfo->innerGradationAlpha = $_POST['innerGradationAlpha'];
	$skinInfo->innerBgColor = $_POST['innerBgColor'];
	$skinInfo->innerBgAlpha = $_POST['innerBgAlpha'];

	$result = $newsInfo->check() + $skinInfo->check();
	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		if($newsData->set($domainId, $newsInfo)
		&& $newsData->setSkin($domainId, $skinInfo) ) {
			require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
			$domain = new Domain($_SESSION['UserName']);
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_REGIST_SUCCESS;
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function selectTextDisplayType(type) {
	var dispList = {
			 1:	{"dispTime": "none", "movePixel": ""}	//scroll
			,2:	{"dispTime": "",     "movePixel": "none"}	//sile
	};

	document.getElementById('dispTime').style.display = dispList[type]['dispTime'];
	document.getElementById('movePixel').style.display = dispList[type]['movePixel'];
}
function init() {
	changeDisplay('newsSetting', <?php echo ($newsInfo->isDisplay?'true':'false');?>);
	changeDisplay('displayPosition', <?php echo ($newsInfo->displayType==3?'true':'false');?>);
	selectTextDisplayType(<?php echo ($newsInfo->textDisplaytType===0?1:$newsInfo->textDisplaytType);?>);
	changeDisplay('mainGradation', <?php echo ($skinInfo->mainIsDisplayGradation?'true':'false');?>);
	changeDisplay('innerGradation', <?php echo ($skinInfo->innerIsDisplayGradation?'true':'false');?>);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo HtmlUtil::mode2News();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::DETAIL_SETTING_COMMENT3);?></p>
				<div class="input_table">
					<table summary="<?php echo htmlspecialchars(Language::DISPLAY_SETTING);?>">
						<tr>
							<th><?php echo htmlspecialchars(Language::DISPLAY_SETTING);?></th>
							<td>
								<?php echo FormUtil::radio('IsDisplay', 1, ($newsInfo->isDisplay?1:0), 'onclick="changeDisplay(\'newsSetting\', true);"');?> <?php echo htmlspecialchars(Language::DISPLAY);?><br />
								<?php echo FormUtil::radio('IsDisplay', 0, ($newsInfo->isDisplay?1:0), 'onclick="changeDisplay(\'newsSetting\', false);"');?> <?php echo htmlspecialchars(Language::DISPLAY_NON);?>
							</td>
						</tr>
					</table>
				</div>

				<div id="newsSetting" style="display: none;">
					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::NEWS_AREA_SETTING);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::DISPLAY_POSITION);?></th>
								<td>
									<?php echo FormUtil::radio('displayType', 1, ($newsInfo->displayType===0?1:$newsInfo->displayType), 'onclick="changeDisplay(\'displayPosition\', false);"');?> <?php echo htmlspecialchars(Language::TOP_OF_DISPLAY_AREA);?>
									<?php echo FormUtil::radio('displayType', 2, ($newsInfo->displayType===0?1:$newsInfo->displayType), 'onclick="changeDisplay(\'displayPosition\', false);"');?> <?php echo htmlspecialchars(Language::BOTTOM_OF_DISPLAY_AREA);?>
									<?php echo FormUtil::radio('displayType', 3, ($newsInfo->displayType===0?1:$newsInfo->displayType), 'onclick="changeDisplay(\'displayPosition\', true);"');?> <?php echo htmlspecialchars(Language::INPUT_POSITION);?>
									<div id="displayPosition">
										<div><?php echo htmlspecialchars(Language::X_AXIS);?>: <?php echo FormUtil::textbox('xAxis', $newsInfo->xAxis, 10, 0, 'txt');?> px<?php echo FormUtil::getErrorStr($result, 'xAxis')?></div>
										<div><?php echo htmlspecialchars(Language::Y_AXIS);?>: <?php echo FormUtil::textbox('yAxis', $newsInfo->yAxis, 10, 0, 'txt');?> px<?php echo FormUtil::getErrorStr($result, 'yAxis')?></div>
										<div><?php echo htmlspecialchars(Language::WIDTH);?>: <?php echo FormUtil::textbox('width', $newsInfo->width, 10, 0, 'txt');?> px<?php echo FormUtil::getErrorStr($result, 'width')?></div>
									</div>
									<div><?php echo htmlspecialchars(Language::HEIGHT);?>: <?php echo FormUtil::textbox('height', $newsInfo->height, 10, 0, 'txt');?> px<?php echo FormUtil::getErrorStr($result, 'height')?></div>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::TEXT_DISPLAY_SETTING);?></th>
								<td>
									<div>
										<?php echo FormUtil::radio('textDisplaytType', 1, ($newsInfo->textDisplaytType===0?1:$newsInfo->textDisplaytType), 'onclick="selectTextDisplayType(1);"');?> <?php echo htmlspecialchars(Language::SCROLL);?>
										<?php echo FormUtil::radio('textDisplaytType', 2, ($newsInfo->textDisplaytType===0?1:$newsInfo->textDisplaytType), 'onclick="selectTextDisplayType(2);"');?> <?php echo htmlspecialchars(Language::FADE_IN);?>
									</div>
									<div id="movePixel"><?php echo htmlspecialchars(Language::MOVE_SIZE);?>: <?php echo FormUtil::textbox('scrollMovePixel', $newsInfo->scrollMovePixel, 10, 0, 'txt');?> px<?php echo FormUtil::getErrorStr($result, 'scrollMovePixel')?></div>
									<div id="dispTime"><?php echo htmlspecialchars(Language::DISPLAY_TIME);?>: <?php echo FormUtil::textbox('slideWaitTime', $newsInfo->slideWaitTime, 10, 0, 'txt');?> <?php echo htmlspecialchars(Language::MILLIMETERS_SECOND);?><?php echo FormUtil::getErrorStr($result, 'slideWaitTime')?></div>
									<div><?php echo htmlspecialchars(Language::PADDING);?>: <?php echo FormUtil::textbox('padding', $newsInfo->padding, 10, 0, 'txt');?> px<?php echo FormUtil::getErrorStr($result, 'padding')?></div>
									<div><?php echo htmlspecialchars(Language::TEXT_COLOR);?>: # <?php echo FormUtil::textbox('textColor', $newsInfo->textColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'textColor');?></div>
									<div><?php echo htmlspecialchars(Language::TEXT_SHADOW_COLOR);?>: # <?php echo FormUtil::textbox('textShadowColor', $newsInfo->textShadowColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'textShadowColor');?></div>
								</td>
							</tr>
						</table>
					</div>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::TABLE_DISPLAY_AREA);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::MAIN_AREA_DESIGN_SETTING);?></th>
								<td>
									<div>
										<?php echo FormUtil::radio('mainIsDisplayGradation', 1, ($skinInfo->mainIsDisplayGradation?1:0), 'onclick="changeDisplay(\'mainGradation\', true);"');?> <?php echo htmlspecialchars(Language::DISPLAY_GRADATION);?> <?php echo FormUtil::radio('mainIsDisplayGradation', 0, ($skinInfo->mainIsDisplayGradation?1:0), 'onclick="changeDisplay(\'mainGradation\', false);"');?> <?php echo htmlspecialchars(Language::NOT_DISPLAY_GRADATION);?>
									</div>
									<div id="mainGradation"><?php echo htmlspecialchars(Language::GRADATION_ALPHA_VALUE);?> <?php echo FormUtil::textbox('mainGradationAlpha', $skinInfo->mainGradationAlpha, 10, 0, 'txt').FormUtil::getErrorStr($result, 'mainGradationAlpha');?></div>
									<div><?php echo htmlspecialchars(Language::BACKGROUND_COLOR);?>: # <?php echo FormUtil::textbox('mainBgColor', $skinInfo->mainBgColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'mainBgColor');?></div>
									<div><?php echo htmlspecialchars(Language::BACKGROUND_COLOR_ALPHA_VALUE);?> <?php echo FormUtil::textbox('mainBgAlpha', $skinInfo->mainBgAlpha, 6, 3, 'txt').FormUtil::getErrorStr($result, 'mainBgAlpha');?></div>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::INNER_AREA_DESIGN_SETTING);?></th>
								<td>
									<div>
										<?php echo FormUtil::radio('innerIsDisplayGradation', 1, ($skinInfo->innerIsDisplayGradation?1:0), 'onclick="changeDisplay(\'innerGradation\', true);"');?> <?php echo htmlspecialchars(Language::DISPLAY_GRADATION);?> <?php echo FormUtil::radio('innerIsDisplayGradation', 0, ($skinInfo->innerIsDisplayGradation?1:0), 'onclick="changeDisplay(\'innerGradation\', false);"');?> <?php echo htmlspecialchars(Language::NOT_DISPLAY_GRADATION);?>
									</div>
									<div id="innerGradation"><?php echo htmlspecialchars(Language::GRADATION_ALPHA_VALUE);?> <?php echo FormUtil::textbox('innerGradationAlpha', $skinInfo->innerGradationAlpha, 10, 0, 'txt').FormUtil::getErrorStr($result, 'innerGradationAlpha');?></div>
									<div><?php echo htmlspecialchars(Language::BACKGROUND_COLOR);?>: # <?php echo FormUtil::textbox('innerBgColor', $skinInfo->innerBgColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'innerBgColor');?></div>
									<div><?php echo htmlspecialchars(Language::BACKGROUND_COLOR_ALPHA_VALUE);?> <?php echo FormUtil::textbox('innerBgAlpha', $skinInfo->innerBgAlpha, 6, 3, 'txt').FormUtil::getErrorStr($result, 'innerBgAlpha');?></div>
								</td>
							</tr>
						</table>
					</div>
				</div>

				<div class="save_bt">
					<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'news.php?mode=save');return false;" />
				</div>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(3);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
