<?php
require_once '../../inc/common.php';
commonInit();
userInit();

$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'player_data.php';
$playerData = new PlayerData($_SESSION['UserName']);

$message = '';
$result = array();
$playerInfo = $playerData->get($domainId, 0);
if(isset($_GET['mode']) && $_GET['mode']==='save') {
	$playerInfo->isDisplayEqualizer = (intval($_POST['isDisplayEqualizer'])===1);
	$playerInfo->equalizerBear = $_POST['equalizerBear'];
	$playerInfo->equalizerFall = $_POST['equalizerFall'];

	$result = $playerInfo->check();
	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		if($playerData->set($domainId, $playerInfo)) {
			if($message === '') {
				require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
				$domain = new Domain($_SESSION['UserName']);
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function init() {
	changeDisplay('dispMenu', <?php echo $playerInfo->isDisplayEqualizer?'true':'false';?>);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo HtmlUtil::mode2Player();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::DETAIL_SETTING_COMMENT2);?></p>
				<div class="tab_menu">
					<ul>
						<li><a href="player.php"><?php echo htmlspecialchars(Language::PLAYER_CONFIG);?></a></li>
						<li><?php
	if($playerInfo->fileType === 1) {
		?><a href="player_file.php"><?php echo htmlspecialchars(Language::CONTENTS);?></a><?php
	} else if($playerInfo->fileType === 2) {
		?><a href="player_playlist.php"><?php echo htmlspecialchars(Language::FLV_PLAYER_TYPE_PLAY_LIST);?></a><?php
	}
?></li>
						<li><a href="player_menu.php"><?php echo htmlspecialchars(Language::MENU_SKIN);?></a></li>
						<li><a href="player_equalizer.php" class="crt"><?php echo htmlspecialchars(Language::EQUALIZER);?></a></li>
					</ul>
				</div>
				<div class="input_table">
					<table summary="<?php echo htmlspecialchars(Language::DISPLAY_SETTING);?>">
						<tr>
							<th><?php echo htmlspecialchars(Language::DISPLAY_SETTING);?></th>
							<td>
								<?php echo FormUtil::radio('isDisplayEqualizer', 1, ($playerInfo->isDisplayEqualizer?1:0), 'onclick="changeDisplay(\'dispMenu\', true);"');?> <?php echo htmlspecialchars(Language::DISPLAY);?><br />
								<?php echo FormUtil::radio('isDisplayEqualizer', 0, ($playerInfo->isDisplayEqualizer?1:0), 'onclick="changeDisplay(\'dispMenu\', false);"');?> <?php echo htmlspecialchars(Language::DISPLAY_NON);?>
							</td>
						</tr>
					</table>
				</div>
				<div id="dispMenu" class="input_table" style="display: none;">
					<table summary="<?php echo htmlspecialchars(Language::EQUALIZER);?>">
						<tr>
							<th><?php echo htmlspecialchars(Language::BEAT);?></th>
							<td><?php echo FormUtil::textbox('equalizerBear', $playerInfo->equalizerBear, 6, 0, 'txt').FormUtil::getErrorStr($result, 'equalizerBear');?></td>
						</tr>
						<tr>
							<th><?php echo htmlspecialchars(Language::FALL);?></th>
							<td><?php echo FormUtil::textbox('equalizerFall', $playerInfo->equalizerFall, 6, 0, 'txt').FormUtil::getErrorStr($result, 'equalizerFall');?></td>
						</tr>
					</table>
				</div>

				<div class="save_bt">
					<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'player_equalizer.php?mode=save');return false;" />
				</div>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(2);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
