<?php
require_once '../../inc/common.php';
commonInit();
userInit();


$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'player_data.php';
$playerData = new PlayerData($_SESSION['UserName']);

$message = '';
$result = array();
$playerId = $playerData->getPlayerId($domainId, 0, 0);
if(isset($_POST['id']) && intval($_POST['id']) > 0) {
	$itemId = intval($_POST['id']);
	$info = $playerData->getPlaylistItem($domainId, $playerId, $itemId);
} else {
	$itemId = 0;
	$info = new PlayerPlayListItem();
	$info->dispNo = ($playerData->getPlaylistItemMaxDispNo($domainId, $playerId)+1);
	$info->playerId = $playerId;
}

if(isset($_GET['mode']) && $_GET['mode']==='save') {
	$info->fileUrl = $_POST['fileUrl'];
	$info->fileTitle = $_POST['fileTitle'];
	$info->fileThumbUrl = $_POST['fileThumbUrl'];
	if($itemId === 0) {
		$itemId = $playerData->insertPlaylistItemElement($domainId, $info);
		if($itemId === 0) {
			$message = Language::MSG_REGIST_ERROR;
		} else {
			$info->playlistItemId = $itemId;
			$message = Language::MSG_REGIST_SUCCESS;
		}
	} else {
		if($playerData->updatePlaylistItemElement($domainId, $info)) {
			$message = Language::MSG_REGIST_SUCCESS;
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="id" value="<?php echo $itemId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo HtmlUtil::mode2Player();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::DETAIL_SETTING_COMMENT2);?></p>
				<div class="tab_menu">
				<ul>
				<li><a href="player.php"><?php echo htmlspecialchars(Language::PLAYER_CONFIG);?></a></li>
				<li><a href="player_playlist.php" class="crt"><?php echo htmlspecialchars(Language::FLV_PLAYER_TYPE_PLAY_LIST);?></a></li>
				<li><a href="player_menu.php"><?php echo htmlspecialchars(Language::MENU_SKIN);?></a></li>
				<li><a href="player_equalizer.php"><?php echo htmlspecialchars(Language::EQUALIZER);?></a></li>
				</ul>
				</div>

				<div class="input_table">
					<p class="new_edit"><a href="player_playlist.php" class="list_bk_bt" title="<?php echo htmlspecialchars(Language::RETURN_TO_LIST);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::RETURN_TO_LIST);?></span></a></p>

					<table summary="<?php echo htmlspecialchars(Language::CONTENTS);?>">
						<tr>
							<th><?php echo htmlspecialchars(Language::CONTENTS_PATH);?></th>
							<td><?php echo FormUtil::textbox('fileUrl', $info->fileUrl, 30, 0, 'txt wt_100');?></td>
						</tr>
						<tr>
							<th><?php echo htmlspecialchars(Language::TITLE);?></th>
							<td><?php echo FormUtil::textbox('fileTitle', $info->fileTitle, 30, 0, 'txt wt_100');?></td>
						</tr>
						<tr>
							<th><?php echo htmlspecialchars(Language::THUMBNAIL_PATH);?></th>
							<td><?php echo FormUtil::textbox('fileThumbUrl', $info->fileThumbUrl, 30, 0, 'txt wt_100');?></td>
						</tr>
					</table>
				</div>

				<div class="save_bt">
					<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'player_playlist_item.php?mode=save');return false;" />
				</div>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(2);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
