<?php
require_once '../../inc/common.php';
commonInit();
userInit();


$domainId = intval($_SESSION['DomainId']);
if(isset($_GET['id'])) {
	$selectItemId = intval($_GET['id']);
} else if(isset($_POST['id'])) {
	$selectItemId = intval($_POST['id']);
} else {
	$selectItemId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
$itemData = new ItemData($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_PATH.'data/parts.php';

$message = '';
$result = array();
if($selectItemId > 0) {
	$itemInfo = $itemData->get($domainId, $selectItemId);
} else {
	exit();
}

$itemOutlineList = $itemData->getOutlineList($domainId, 0);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript" src="../../js/http.js"></script>
<script type="text/javascript" src="../../js/target_item.js"></script>
<script type="text/javascript"><!--
function init() {
	getTargetItemList('<?php echo '0_'.$itemInfo->parentItemId;?>', '<?php echo htmlspecialchars(Language::NOT_TARGET_ITEMS);?>');
}
window.onload = init;
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="id" value="<?php echo $selectItemId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo HtmlUtil::mode2Link();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::DETAIL_SETTING_COMMENT4);?></p>

				<div id="tree_area">
				<div class="tree_item_title"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_MINUS);?></span><?php echo htmlspecialchars(Language::LINK_ITEM_LIST);?></div>
				<div class="tree_item_list_area">
 <?php
	 echo HtmlUtil::tagItemTree($itemOutlineList, $selectItemId, true, true, $itemInfo->parentItemId);
 ?>
				</div>
 				</div>

<?php
	if($selectItemId > 0) {
?>

				<div id="item_input_area">
					<?php echo HtmlUtil::tagItemMenu($itemData->isUseButton($domainId, $selectItemId), 1);?>
					<div class="input_table">
						<table summary="<?php echo  htmlspecialchars(Language::COPY_TO_TARGET_ITEM_NUMBER);?>">
							<tr>
								<th><?php echo  htmlspecialchars(Language::COPY_TO_TARGET_ITEM_NUMBER);?></th>
								<td id="SelectArea"><?php echo htmlspecialchars(Language::PLEASE_WAIT);?></td>
							</tr>
						</table>
					</div>

					<div class="save_bt">
						<input type="image" src="../../image/normal/bt/back_bt.gif" alt="<?php echo htmlspecialchars(Language::RETURN_TO);?>" title="<?php echo htmlspecialchars(Language::RETURN_TO);?>" onclick="onClickSubmit('act', 'link.php');return false;" />
						<span id="SaveButton" style="display: none;">
							<input type="image" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'link.php?mode=operation');return false;" />
						</span>
					</div>

				</div>

<?php
	}
?>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(4);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
