<?php
require_once '../inc/common.php';
commonInit();
userInit();


$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
$flagXml = new FlagXml($_SESSION['UserName']);
$itemData = new ItemData($_SESSION['UserName']);

$message = '';
$result = array();
$xmlInfo = $flagXml->get($domainId);
$itemList = $itemData->getList($domainId, 0, 0);
if(isset($_POST['mode']) && $_POST['mode']==='save') {
	$xmlInfo->bgColor = $_POST['bgColor'];
	$xmlInfo->bgImage = FormUtil::formPathToFilePath('files/base/', $_POST['bgImage']);
	$result = $xmlInfo->check();
	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		if($flagXml->set($domainId, $xmlInfo)) {
			foreach($itemList as $itemInfo) {
				if(isset($itemInfo->itemButtonElement)) {
					$buttonInfo = $itemInfo->itemButtonElement;
					$buttonInfo->bgImage = FormUtil::formPathToFilePath('files/base/', $_POST['bgImage'.$itemInfo->itemId]);
					if(!$itemData->setButton($domainId, $itemInfo->itemId, $buttonInfo)) {
						$message = Language::MSG_REGIST_ERROR;
						break;
					}
				}
			}

			if($message === '') {
				require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
				$domain = new Domain($_SESSION['UserName']);
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	}
}

setcookie('maverica_coreblo_flag_light_cms_edit_mode_'.intval($_SESSION['AccountID']), 'easy', time()+315360000, SYSTEM_REAL_URL.'apl/');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle'], 'easy');?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
		<ul>
		<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="detail/base.php" class="mode_select2"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="mode1_base.php" class="mode_select1a"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
		</ul>
		</div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_mode1_ti" title="<?php echo htmlspecialchars(Language::TITLE_EASY_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_EASY_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
			<h4 class="h4_mode1_ti01" title="<?php echo htmlspecialchars(Language::BACKGROUND_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::BACKGROUND_SETTING);?></span></h4>
			<p class="help_guide"><a href="javascript:void(0);" onclick="onPopupFrame('popup_window', 'popup_bg', 'frame_area', '<?php echo htmlspecialchars(UrlListBase::EASY_BASE_SETTING)?>');" class="help_guide_ic"><?php echo htmlspecialchars(Language::WHAT_S_BACKGROUND);?></a></p>

			<?php echo HtmlUtil::tagPopupArea();?>

			<p class="detail_message"><?php echo htmlspecialchars(Language::EASY_SETTING_COMMENT1);?></p>
			<div class="input_table">
				<table summary="<?php echo htmlspecialchars(Language::BACKGROUND_SETTING);?>">
					<tr>
						<th><?php echo htmlspecialchars(Language::SET_BACKGROUND_COLOR);?></th>
						<td># <?php echo FormUtil::textbox('bgColor', $xmlInfo->bgColor, 20, 6, 'txt');?> <?php echo htmlspecialchars(Language::PLEASE_INPUT_COLOR_NUMBER).FormUtil::getErrorStr($result, 'bgColor');?></td>
					</tr>
					<tr>
						<th><?php echo htmlspecialchars(Language::SET_FIRST_BACGROUND_IMAGE);?></th>
						<td>files/base/ <?php echo FormUtil::textbox('bgImage', FormUtil::filePathToSettingFormPath('files/base/', $xmlInfo->bgImage), 20, 0, 'txt');?> <?php echo htmlspecialchars(Language::PLEASE_SELECT_IMAGE).FormUtil::getErrorStr($result, 'bgImage');?></td>
					</tr>
				</table>
			</div>

<?php
	if(count($itemList) > 0) {
?>
			<div class="input_table">
				<table summary="<?php echo htmlspecialchars(Language::BACKGROUND_SETTING);?>">
<?php
		foreach($itemList as $itemInfo) {
			if(isset($itemInfo->itemButtonElement)) {
?>
					<tr>
						<th><?php echo htmlspecialchars(Language::SET_BACGROUND_IMAGE.'('.$itemInfo->dispNo.')');?></th>
						<td>files/base/ <?php echo FormUtil::textbox('bgImage'.$itemInfo->itemId, FormUtil::filePathToSettingFormPath('files/base/', (isset($itemInfo->itemButtonElement)?$itemInfo->itemButtonElement->bgImage:'')), 20, 0, 'txt');?> <?php echo htmlspecialchars(Language::PLEASE_SELECT_IMAGE);?></td>
					</tr>
<?php
			}
		}
?>
				</table>
			</div>
<?php
	}
?>

			<div class="save_bt">
				<input type="hidden" name="mode" value="save" />
				<input type="image" name="save" src="../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>"/>
			</div>

		</div>
		<div class="contents_inner_side_navi">
		<ul>
		<li title="<?php echo htmlspecialchars(Language::BACKGROUND_SETTING);?>"><a href="mode1_base.php" class="mode1_side_basea"><span class="dis_none"><?php echo htmlspecialchars(Language::BACKGROUND_SETTING);?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::MOVIE_SETTING);?>"><a href="mode1_movie.php" class="mode1_side_movie"><span class="dis_none"><?php echo htmlspecialchars(Language::MOVIE_SETTING);?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::BUTTON_SETTING);?>"><a href="mode1_srd.php" class="mode1_side_srd"><span class="dis_none"><?php echo htmlspecialchars(Language::BUTTON_SETTING);?></span></a></li>
		</ul>
		</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
