<?php
require_once '../inc/common.php';
commonInit();
userInit();


$domainId = intval($_SESSION['DomainId']);


require_once SYSTEM_INCLUDE_DATA_PATH.'player_data.php';
$playerData = new PlayerData($_SESSION['UserName']);

$message = '';
$result = array();
$playerInfo = $playerData->get($domainId, 0);
$playerList = $playerData->getChildPlayerList($domainId, 0);
if(isset($_POST['mode']) && $_POST['mode']==='save') {
	require_once SYSTEM_INCLUDE_PATH.'util/utils.php';

	if(isset($_POST['isModifyOutsideUrl']) && intval($_POST['isModifyOutsideUrl']) === 1) {
		$outsideUrl = Utils::gerUrlFromImplantTags($_POST['outsideUrl']);
	} else {
		$outsideUrl = $_POST['outsideUrl'];
	}
	if($outsideUrl === false) {
		$result['outsideUrl'] = Language::UNRECOGNIZED;
	}

	foreach($playerList as $dispNo => $info) {
		if($info->playerType > 0 && isset($_POST['isModifyOutsideUrl'.$info->itemId]) && intval($_POST['isModifyOutsideUrl'.$info->itemId]) === 1) {
			if(Utils::gerUrlFromImplantTags($_POST['outsideUrl'.$info->itemId]) === false) {
				$result[$info->itemId]['outsideUrl'] = Language::UNRECOGNIZED;
			}
		}
	}

	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		$playerInfo->playerType = intval($_POST['playerType']);
		$playerInfo->outsideUrl = $outsideUrl;
		$playerInfo->fileUrl = $_POST['fileUrl'];
		$playerInfo->isAutoPlay = (intval($_POST['isAutoPlay'])===1);
		$playerInfo->isAutoReplay = (intval($_POST['isAutoReplay'])===1);
		if(!$playerData->set($domainId, $playerInfo)) {
			$message = Language::MSG_REGIST_ERROR;
		}

		if($message === '') {
			foreach($playerList as $dispNo => $info) {
				if($info->playerType > 0) {
					if(isset($_POST['isModifyOutsideUrl'.$info->itemId]) && intval($_POST['isModifyOutsideUrl'.$info->itemId]) === 1) {
						$outsideUrl = Utils::gerUrlFromImplantTags($_POST['outsideUrl'.$info->itemId]);
					} else {
						$outsideUrl = $_POST['outsideUrl'.$info->itemId];
					}
					$info->playerType = intval($_POST['playerType'.$info->itemId]);
					$info->outsideUrl = $outsideUrl;
					$info->fileUrl = $_POST['fileUrl'.$info->itemId];
					$info->isAutoPlay = (intval($_POST['isAutoPlay'.$info->itemId])===1);
					$info->isAutoReplay = (intval($_POST['isAutoReplay'.$info->itemId])===1);
					if($playerData->set($domainId, $info)) {
						if(isset($_POST['isModifyOutsideUrl'.$info->itemId]) && intval($_POST['isModifyOutsideUrl'.$info->itemId]) === 1) {
							unset($_POST['isModifyOutsideUrl'.$info->itemId]);
							unset($_POST['outsideUrl'.$info->itemId]);
						}
					} else {
						$message = Language::MSG_REGIST_ERROR;
					}
				}
			}
		}

		if($message === '') {
			if(isset($_POST['isModifyOutsideUrl']) && intval($_POST['isModifyOutsideUrl']) === 1) {
				unset($_POST['isModifyOutsideUrl']);
				unset($_POST['outsideUrl']);
			}

			require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
			$domain = new Domain($_SESSION['UserName']);
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_REGIST_SUCCESS;
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		}
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<?php
if($playerInfo->playerType > 0) {
?>
<script type="text/javascript"><!--
function selectPlayerType(noStr, type) {
	var dispList = {
			 0:	{"fileUrl": "none", "outsideUrl": "none"}
			,1:	{"fileUrl": "",     "outsideUrl": "none"}	//flv
			,2:	{"fileUrl": "none", "outsideUrl": "" }	//youtube
	};

	document.getElementById('fileUrl'+noStr).style.display = dispList[type]['fileUrl'];
	document.getElementById('outsideUrl'+noStr).style.display = dispList[type]['outsideUrl'];
}
function init() {
	selectPlayerType('', <?php echo $playerInfo->playerType;?>);
<?php
	foreach($playerList as $dispNo => $info) {
		if($info->playerType > 0) {
?>
	selectPlayerType('<?php echo $info->itemId;?>', <?php echo $info->playerType;?>);
<?php
		}
	}
?>
}
window.onload = init;
--></script>
<?php
}
?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
		<ul>
		<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="detail/base.php" class="mode_select2"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="mode1_base.php" class="mode_select1a"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
		</ul>
		</div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_mode1_ti" title="<?php echo htmlspecialchars(Language::TITLE_EASY_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_EASY_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>			<h4 class="h4_mode1_ti02" title="<?php echo htmlspecialchars(Language::MOVIE_BATCH_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::MOVIE_BATCH_SETTING);?></span></h4>
			<p class="help_guide"><a href="javascript:void(0);" onclick="onPopupFrame('popup_window', 'popup_bg', 'frame_area', '<?php echo htmlspecialchars(UrlListBase::EASY_MOVIE_SETTING)?>');" class="help_guide_ic"><?php echo htmlspecialchars(Language::WHAT_S_MOVIE_SETTING);?></a></p>

			<?php echo HtmlUtil::tagPopupArea();?>

<?php
	if($playerInfo->playerType > 0) {
?>
			<p class="detail_message"><?php echo htmlspecialchars(Language::EASY_SETTING_COMMENT2);?></p>
			<div class="input_table">
				<table summary="<?php echo htmlspecialchars(Language::SET_FIRST_MOVIE);?>">
					<tr>
						<th><?php echo htmlspecialchars(Language::SET_FIRST_MOVIE);?></th>
						<td>
							<div>
								<?php echo FormUtil::radio('playerType', 2, $playerInfo->playerType, 'onclick="selectPlayerType(\'\', 2);"');?> <?php echo htmlspecialchars(Language::YOUTUBE_MOVIE);?>
								<?php echo FormUtil::radio('playerType', 1, $playerInfo->playerType, 'onclick="selectPlayerType(\'\', 1);"');?> <?php echo htmlspecialchars(Language::FLV_PATH_SETTING);?>
							</div>
							<div id="outsideUrl">
								<div>
									<?php echo FormUtil::textbox('outsideUrl', $playerInfo->outsideUrl, 40, 0, 'txt wt_100');?>
									<?php echo FormUtil::getErrorStr($result, 'outsideUrl');?>
								</div>
								<div>
									<?php echo FormUtil::checkBox('isModifyOutsideUrl', 1, false, 0);?> <?php echo htmlspecialchars(Language::GET_FROM_YOUTUBE_TAG);?>
								</div>
							</div>
							<div id="fileUrl">
								<div>
									<?php echo FormUtil::textbox('fileUrl', $playerInfo->fileUrl, 40, 0, 'txt wt_100');?>
								</div>
								<div>
									<?php echo FormUtil::radio('isAutoPlay', 1, ($playerInfo->isAutoPlay?1:0));?> <?php echo htmlspecialchars(Language::PLAY_AUTO);?>
									<?php echo FormUtil::radio('isAutoPlay', 0, ($playerInfo->isAutoPlay?1:0));?> <?php echo htmlspecialchars(Language::NOT_PLAY_AUTO);?>
								</div>
								<div>
									<?php echo FormUtil::radio('isAutoReplay', 1, ($playerInfo->isAutoReplay?1:0));?> <?php echo htmlspecialchars(Language::REPEAT);?>
									<?php echo FormUtil::radio('isAutoReplay', 0, ($playerInfo->isAutoReplay?1:0));?> <?php echo htmlspecialchars(Language::NOT_REPEAT);?>
								</div>
							</div>
						</td>
					</tr>
				</table>
			</div>

			<div class="input_table">
				<table summary="<?php echo htmlspecialchars(Language::SET_MOVIE);?>">
<?php
		foreach($playerList as $dispNo => $info) {
?>
					<tr>
						<th><?php echo htmlspecialchars(Language::SET_MOVIE.'('.$dispNo.')');?></th>
						<td>
							<div>
								<?php echo FormUtil::radio('playerType'.$info->itemId, 2, $info->playerType, 'onclick="selectPlayerType(\''.$info->itemId.'\', 2)"');?> <?php echo htmlspecialchars(Language::YOUTUBE_MOVIE);?>
								<?php echo FormUtil::radio('playerType'.$info->itemId, 1, $info->playerType, 'onclick="selectPlayerType(\''.$info->itemId.'\', 1)"');?> <?php echo htmlspecialchars(Language::FLV_PATH_SETTING);?>
							</div>
							<div id="outsideUrl<?php echo $info->itemId;?>">
								<div>
									<?php echo FormUtil::textbox('outsideUrl'.$info->itemId, $info->outsideUrl, 40, 0, 'txt wt_100');?>
									<?php echo (array_key_exists($info->itemId, $result)?FormUtil::getErrorStr($result[$info->itemId], 'outsideUrl'):'');?>
								</div>
								<div>
									<?php echo FormUtil::checkBox('isModifyOutsideUrl'.$info->itemId, 1, false, 0);?> <?php echo htmlspecialchars(Language::GET_FROM_YOUTUBE_TAG)?>
								</div>
							</div>
							<div id="fileUrl<?php echo $info->itemId;?>">
								<div>
									<?php echo FormUtil::textbox('fileUrl'.$info->itemId, $info->fileUrl, 40, 0, 'txt wt_100');?>
								</div>
								<div>
									<?php echo FormUtil::radio('isAutoPlay'.$info->itemId, 1, ($info->isAutoPlay?1:0));?> <?php echo htmlspecialchars(Language::PLAY_AUTO);?>
									<?php echo FormUtil::radio('isAutoPlay'.$info->itemId, 0, ($info->isAutoPlay?1:0));?> <?php echo htmlspecialchars(Language::NOT_PLAY_AUTO);?>
								</div>
								<div>
									<?php echo FormUtil::radio('isAutoReplay'.$info->itemId, 1, ($info->isAutoReplay?1:0));?> <?php echo htmlspecialchars(Language::REPEAT);?>
									<?php echo FormUtil::radio('isAutoReplay'.$info->itemId, 0, ($info->isAutoReplay?1:0));?> <?php echo htmlspecialchars(Language::NOT_REPEAT);?>
								</div>
							</div>
						</td>
					</tr>
<?php
		}
?>
				</table>
			</div>

			<div class="save_bt">
				<input type="hidden" name="mode" value="save" />
				<input type="image" name="save" src="../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>"/>
			</div>
<?php
	} else {
?>			<div class="input_table"><?php echo htmlspecialchars(Language::NOT_PLAYER);?></div>
<?php
	}
?>

		</div>
		<div class="contents_inner_side_navi">
		<ul>
		<li title="<?php echo htmlspecialchars(Language::BACKGROUND_SETTING);?>"><a href="mode1_base.php" class="mode1_side_base"><span class="dis_none"><?php echo htmlspecialchars(Language::BACKGROUND_SETTING);?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::MOVIE_SETTING);?>"><a href="mode1_movie.php" class="mode1_side_moviea"><span class="dis_none"><?php echo htmlspecialchars(Language::MOVIE_SETTING);?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::BUTTON_SETTING);?>"><a href="mode1_srd.php" class="mode1_side_srd"><span class="dis_none"><?php echo htmlspecialchars(Language::BUTTON_SETTING);?></span></a></li>
		</ul>
		</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
