<?php
require_once '../inc/common.php';
commonInit();
userInit();


$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
$flagXml = new FlagXml($_SESSION['UserName']);
$itemData = new ItemData($_SESSION['UserName']);

$message = '';
$result = array();

$buttonList = array();
$itemList = $itemData->getList($domainId, 0, 0);
$isUsedButton = (count($itemList) > 0);
if(isset($_POST['mode']) && $_POST['mode']==='save') {
	foreach($itemList as $itemInfo) {
		$itemInfo->image = FormUtil::formPathToFilePath('files/base/', $_POST['image'.$itemInfo->itemId]);
		if(!$itemData->set($domainId, $itemInfo)) {
			$message = Language::MSG_REGIST_ERROR;
			break;
		}
		if(isset($itemInfo->itemButtonElement)) {
			$buttonInfo = $itemInfo->itemButtonElement;
			$buttonInfo->linkUrl = $_POST['linkUrl'.$itemInfo->itemId];
			$buttonInfo->linkUrlTarget = $_POST['linkUrlTarget'.$itemInfo->itemId];
			if(!$itemData->setButton($domainId, $itemInfo->itemId, $buttonInfo)) {
				$message = Language::MSG_REGIST_ERROR;
				break;
			}
		}
	}

	if($message === '') {
		require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
		$domain = new Domain($_SESSION['UserName']);
		if($domain->setNotOutput($domainId)) {
			$message = Language::MSG_REGIST_SUCCESS;
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
		<ul>
		<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="detail/base.php" class="mode_select2"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="mode1_base.php" class="mode_select1a"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
		</ul>
		</div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_mode1_ti" title="<?php echo htmlspecialchars(Language::TITLE_EASY_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_EASY_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
			<h4 class="h4_mode1_ti03" title="<?php echo htmlspecialchars(Language::BUTTON_IMAGE_BATCH_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::BUTTON_IMAGE_BATCH_SETTING);?></span></h4>
			<p class="help_guide"><a href="javascript:void(0);" onclick="onPopupFrame('popup_window', 'popup_bg', 'frame_area', '<?php echo htmlspecialchars(UrlListBase::EASY_BUTTON_SETTING)?>');" class="help_guide_ic"><?php echo htmlspecialchars(Language::WHAT_S_BUTTON_SETTING);?></a></p>

			<?php echo HtmlUtil::tagPopupArea();?>

			<p class="detail_message"><?php echo htmlspecialchars(Language::EASY_SETTING_COMMENT3);?></p>

<?php
	if($isUsedButton) {
		foreach($itemList as $info) {
?>
			<div class="input_table">
				<table summary="<?php echo htmlspecialchars(Language::BUTTON_IMAGE_SETTING);?>">
					<tr>
						<th><?php echo htmlspecialchars(Language::BUTTON_IMAGE_SETTING);?>(<?php echo $info->dispNo?>)</th>
						<td>files/base/ <?php echo FormUtil::textbox('image'.$info->itemId, FormUtil::filePathToSettingFormPath('files/base/', $info->image), 20, 0, 'txt');?> <?php echo htmlspecialchars(Language::PLEASE_SELECT_IMAGE);?></td>
					</tr>
<?php
			if(isset($info->itemButtonElement)) {
?>
					<tr>
						<th><?php echo htmlspecialchars(Language::LINK_SETTING);?></th>
						<td>
							<div>
								<?php echo FormUtil::radio('linkUrlTarget'.$info->itemId, 1, ($info->itemButtonElement->linkUrlTarget===0?2:$info->itemButtonElement->linkUrlTarget));?> <?php echo htmlspecialchars(Language::OPEN_NEW_WINDOW);?>
								<?php echo FormUtil::radio('linkUrlTarget'.$info->itemId, 2, ($info->itemButtonElement->linkUrlTarget===0?2:$info->itemButtonElement->linkUrlTarget));?> <?php echo htmlspecialchars(Language::OPEN_SELF_WINDOW);?>
							</div>
							<div><?php echo FormUtil::textbox('linkUrl'.$info->itemId, $info->itemButtonElement->linkUrl, 20, 0, 'txt');?> <?php echo htmlspecialchars(Language::PLEASE_NOT_INPUT_WHEN_NOT_LINK);?></div>
						</td>
					</tr>
<?php
			}
?>
				</table>
			</div>
<?php
		 }
?>
			<div class="save_bt">
				<input type="hidden" name="mode" value="save" />
				<input type="image" name="save" src="../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>"/>
			</div>
<?php
	} else {
?>
			<div class="input_table"><?php echo htmlspecialchars(Language::NOT_BUTTON);?></div>
<?php
	}
?>

		</div>
		<div class="contents_inner_side_navi">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::BACKGROUND_SETTING);?>"><a href="mode1_base.php" class="mode1_side_base"><span class="dis_none"><?php echo htmlspecialchars(Language::BACKGROUND_SETTING);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::MOVIE_SETTING);?>"><a href="mode1_movie.php" class="mode1_side_movie"><span class="dis_none"><?php echo htmlspecialchars(Language::MOVIE_SETTING);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::BUTTON_SETTING);?>"><a href="mode1_srd.php" class="mode1_side_srda"><span class="dis_none"><?php echo htmlspecialchars(Language::BUTTON_SETTING);?></span></a></li>
			</ul>
		</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
