<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/photo_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_POST['PhotoId'])) {
	$selectPhotoId = intval($_POST['PhotoId']);
} else {
	$selectPhotoId = 0;
}

if(isset($_GET['ImageId'])) {
	$selectImageId = intval($_GET['ImageId']);
} else if(isset($_POST['ImageId'])) {
	$selectImageId = intval($_POST['ImageId']);
} else {
	$selectImageId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
$flagXml = new FlagXml($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'photo/photo_xml.php';
$photoData = new PhotoXml($_SESSION['UserName']);

$message = '';
$result = array();
require_once SYSTEM_INCLUDE_DATA_PATH.'photo/photo_xml.php';
$photoData = new PhotoXml($_SESSION['UserName']);
$photoInfo = $photoData->get($domainId, $selectPhotoId);
if(isset($_GET['mode'])) {
	if($_GET['mode']==='save') {
		$photoInfo->imageSize = $_POST['imageSize'];
		$photoInfo->isDisplayFrame  = (intval($_POST['isDisplayFrame'])===1);
		$photoInfo->frameOuterColor = $_POST['frameOuterColor'];
		$photoInfo->frameInnerColor = $_POST['frameInnerColor'];

		//チェック
		$result = $photoInfo->check();
		if(count($result) > 0) {
			$message = Language::MSG_INPUT_ERROR;
		} else {
			if($photoData->set($domainId, $photoInfo)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		}
	}
} else {
	unset($_POST);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function displayFrame(isDisplay) {
	if(isDisplay) {
		changeDisplay('OuterColor', true);
		changeDisplay('InnerColor', true);
	} else {
		changeDisplay('OuterColor', false);
		changeDisplay('InnerColor', false);
	}
}
function init() {
	displayFrame(<?php echo $photoInfo->isDisplayFrame?'true':'false';?>);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="PhotoId" value="<?php echo $selectPhotoId;?>" />
	<input type="hidden" name="ImageId" value="<?php echo $selectImageId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>

				<?php echo PhotoHtmlUtil::mode2Photo();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::PHOTO_GALLERY_SETTING_COMMENT1);?></p>


				<div id="tree_area">
					<div class="tree_item_title"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_MINUS);?></span><?php echo htmlspecialchars(Language::PHOTO_GALLERY_LIST);?></div>
					<div class="tree_item_list_area">
<?php
	$photoList = $photoData->getList($domainId);
	echo PhotoHtmlUtil::tagPhotoList($photoList, $selectPhotoId);
?>
					</div>

				</div>


				<div id="item_input_area">

				<?php echo PhotoHtmlUtil::tagPhotoMenu(3, $photoInfo->isSequentialMode);?>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::IMAGE_DISPLAY_SETTING);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::DISPLAY_SIZE);?></th>
								<td><?php echo FormUtil::textbox('imageSize', $photoInfo->imageSize, 30, 0, 'txt').FormUtil::getErrorStr($result, 'imageSize');?></td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::FRAME_DISPLAY);?></th>
								<td>
									<?php echo FormUtil::radio('isDisplayFrame', 1, ($photoInfo->isDisplayFrame?1:0), 'onclick="displayFrame(true);"');?> <?php echo htmlspecialchars(Language::DISPLAY);?><br />
									<?php echo FormUtil::radio('isDisplayFrame', 0, ($photoInfo->isDisplayFrame?1:0), 'onclick="displayFrame(false);"');?> <?php echo htmlspecialchars(Language::DISPLAY_NON);?>
								</td>
							</tr>
							<tr id="OuterColor" style="display: none;">
								<th><?php echo htmlspecialchars(Language::FRAME_OUTER_COLOR);?></th>
								<td> #<?php echo FormUtil::textbox('frameOuterColor', $photoInfo->frameOuterColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'frameOuterColor');?></td>
							</tr>
							<tr id="InnerColor" style="display: none;">
								<th><?php echo htmlspecialchars(Language::FRAME_INNER_COLOR);?></th>
								<td> #<?php echo FormUtil::textbox('frameInnerColor', $photoInfo->frameInnerColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'frameInnerColor');?></td>
							</tr>
						</table>
					</div>
					<div class="save_bt">
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'frame.php?mode=save');return false;" />
					</div>

				</div>
			</div>

<?php echo HtmlUtil::tagDetailSideMenu(6, !$flagXml->isCreated($domainId));?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->

