<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/photo_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_POST['PhotoId'])) {
	$selectPhotoId = intval($_POST['PhotoId']);
} else {
	$selectPhotoId = 0;
}

if(isset($_GET['ImageId'])) {
	$selectImageId = intval($_GET['ImageId']);
} else if(isset($_POST['ImageId'])) {
	$selectImageId = intval($_POST['ImageId']);
} else {
	$selectImageId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
$flagXml = new FlagXml($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'photo/image_item.php';
$imageData = new PhotoImageItem($_SESSION['UserName']);

$message = '';
$result = array();
if(isset($_GET['mode'])) {
	if($_GET['mode']==='add') {
		$info = new PhotoImageItemElemet();
		$info->dispNo = $imageData->getMaxDispNo($domainId, $selectPhotoId)+1;
		$info->photoId = $selectPhotoId;

		if($imageData->set($domainId, $info)) {
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_REGIST_SUCCESS;
				$selectImageId = 0;
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	} else if($_GET['mode']==='del') {

		if($imageData->delete($domainId, $selectPhotoId, $selectImageId)) {
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_DELETE_SUCCESS;
				$selectImageId = 0;
			} else {
				$message = Language::MSG_DELETE_ERROR;
			}
		} else {
			$message = Language::MSG_DELETE_ERROR;
		}
	} else if($_GET['mode']==='save') {
		$imageItemInfo = $imageData->get($domainId, $selectPhotoId, $selectImageId);
		$newDispNo = intval($_POST['dispNo']);
		if($imageItemInfo->dispNo !== $newDispNo) {
			$imageData->changeDispNo($domainId, $selectPhotoId, $selectImageId, $newDispNo);
		}

		$imageItemInfo->name = $_POST['name'];
		$imageItemInfo->dispNo = $newDispNo;
		$imageItemInfo->imageUrl = $_POST['imageUrl'];

		//チェック
		$result = $imageItemInfo->check();
		if(count($result) > 0) {
			$message = Language::MSG_INPUT_ERROR;
		} else {
			if($imageData->set($domainId, $imageItemInfo)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			}
		}
	}
} else {
	unset($_POST);
}


require_once SYSTEM_INCLUDE_DATA_PATH.'photo/photo_xml.php';
$photoData = new PhotoXml($_SESSION['UserName']);
$photoInfo = $photoData->get($domainId, $selectPhotoId);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="PhotoId" value="<?php echo $selectPhotoId;?>" />
	<input type="hidden" name="ImageId" value="<?php echo $selectImageId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>

				<?php echo PhotoHtmlUtil::mode2Photo();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::PHOTO_GALLERY_SETTING_COMMENT1);?></p>


				<div id="tree_area">
				<div class="tree_item_list_area">

<?php echo PhotoHtmlUtil::tagSelectPhotoInfo($photoInfo->number, $photoInfo->name);?>


<?php echo PhotoHtmlUtil::tagPhotoImageItemList($domainId, $selectPhotoId, $selectImageId, 0);?>

					<div class="tree_new_item"><span class="tree_ico">＋</span><a href="javascript:void(0);" onclick="onClickSubmit('act', 'image_item.php?mode=add');return false;"><?php echo htmlspecialchars(Language::ADD_PHOTO_GALLERY_ITEM);?></a></div>
				</div>
				</div>


				<div id="item_input_area">

				<?php echo PhotoHtmlUtil::tagPhotoMenu(2, false);?>

<?php
	if($selectImageId > 0) {
		$imageItemInfo = $imageData->get($domainId, $selectPhotoId, $selectImageId);

		$imageList = $imageData->getList($domainId, $selectPhotoId);

?>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::PHOTO_ITEM_SETTING);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::NAME);?></th>
								<td><?php echo FormUtil::textbox('name', $imageItemInfo->name, 30, 0, 'txt').FormUtil::getErrorStr($result, 'name');?></td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::DISPLAY_ORDER);?></th>
								<td>
									<select name="dispNo" size="1" onfocus="focusColor(this)" onblur="blurColor(this)">
<?php
		foreach($imageList as $imageInfo) {
?>
										<?php echo FormUtil::option('dispNo', $imageInfo->dispNo, $imageItemInfo->dispNo, $imageInfo->dispNo);?>
<?php
		}
?>
									</select>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::IMAGE);?></th>
								<td><?php echo FormUtil::textbox('imageUrl', $imageItemInfo->imageUrl, 30, 0, 'txt').FormUtil::getErrorStr($result, 'imageUrl');?></td>
							</tr>

						</table>
					</div>
					<div class="save_bt">
						<a href="javascript:void(0);" onclick="dialogPost('<?php echo htmlspecialchars(Language::PHOTO_GALLERY_ITEM_DELETE_CHECK_COMMENT);?>', 'image_item.php?mode=del');return false;"><img src="../../image/normal/bt/del_bt.gif" title="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" /></a>
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'image_item.php?mode=save');return false;" />
					</div>
<?php
	}
?>

				</div>
			</div>

<?php echo HtmlUtil::tagDetailSideMenu(6, !$flagXml->isCreated($domainId));?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->

