<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/photo_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_GET['PhotoId'])) {
	$selectPhotoId = intval($_GET['PhotoId']);
} else if(isset($_POST['PhotoId'])) {
	$selectPhotoId = intval($_POST['PhotoId']);
} else {
	$selectPhotoId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
$flagXml = new FlagXml($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'photo/photo_xml.php';
$photoData = new PhotoXml($_SESSION['UserName']);

$message = '';
$result = array();
if(isset($_GET['mode'])) {
	if($_GET['mode']==='add') {

		if(isset($_COOKIE['click_to_next_url']) && intval($_COOKIE['click_to_next_url'])===1){
			setcookie('click_to_next_url', 0);

			$info = new PhotoXmlInfo();
			$info->number = $photoData->getMaxNumber($domainId)+1;

			if($photoData->set($domainId, $info)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REFRESH_ERROR;
		}
	} else if($_GET['mode']==='del') {

		$info = $photoData->get($domainId, $selectPhotoId);
		require_once SYSTEM_INCLUDE_PATH.'data/parts.php';
		$partsInfo = PartsInfo::getInfo('photo');
		$fileNameBase = str_replace('*', '%02d', $partsInfo['xml']);
		$targetFile = SYSTEM_USERS_PATH.sprintf('%03d/work/'.$fileNameBase, $domainId, $info->number);
		if(is_file($targetFile)) {
			unlink($targetFile);
		}

		if($photoData->delete($domainId, $selectPhotoId)) {
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_DELETE_SUCCESS;
				$selectPhotoId = 0;
			} else {
				$message = Language::MSG_DELETE_ERROR;
			}
		} else {
			$message = Language::MSG_DELETE_ERROR;
		}

	} else if($_GET['mode']==='save') {
		$info = $photoData->get($domainId, $selectPhotoId);
		$info->name = $_POST['name'];
		$info->bgColor = $_POST['bgColor'];
		$info->bgAlpha = $_POST['bgAlpha'];
		$info->width = $_POST['width'];
		$info->height = $_POST['height'];
		$info->isSequentialMode = (intval($_POST['isSequentialMode'])===1);
		$info->figureNumber = $_POST['figureNumber'];
		$info->startValue = $_POST['startValue'];
		$info->endValue  = $_POST['endValue'];
		$info->fileExtension = $_POST['fileExtension'];
		$info->filePath = $_POST['filePath'];

		//チェック
		$result = $info->check();
		if(count($result) > 0) {
			$message = Language::MSG_INPUT_ERROR;
		} else {
			if($photoData->set($domainId, $info)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		}
	}
} else {
	unset($_POST);
}

$photoList = $photoData->getList($domainId);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();
	if($selectPhotoId > 0) {
		$selectInfo = $photoData->get($domainId, $selectPhotoId);

?>
<script type="text/javascript"><!--
function init() {
	changeDisplay('SequentialSetting', <?php echo $selectInfo->isSequentialMode?'true':'false';?>);
}
window.onload = init;
--></script>
<?php
 	}
?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="PhotoId" value="<?php echo $selectPhotoId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo PhotoHtmlUtil::mode2Photo();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::PHOTO_GALLERY_SETTING_COMMENT1);?></p>

				<div id="tree_area">
					<div class="tree_item_title"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_MINUS);?></span><?php echo htmlspecialchars(Language::PHOTO_GALLERY_LIST);?></div>
					<div class="tree_item_list_area">
<?php
	echo PhotoHtmlUtil::tagPhotoList($photoList, $selectPhotoId);
?>
	 					<div class="tree_new_item"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_PLUS);?></span><a href="javascript:void(0);" onclick="onClickHref('list.php?mode=add');return false;"><?php echo htmlspecialchars(Language::ADD_PHOTO_GALLERY);?></a></div>

					</div>

				</div>
<?php
	if($selectPhotoId > 0) {
?>
				<div id="item_input_area">


<?php echo PhotoHtmlUtil::tagPhotoMenu(1, $selectInfo->isSequentialMode);?>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::BASE_SETTING);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::NAME);?></th>
								<td><?php echo FormUtil::textbox('name', $selectInfo->name, 30, 0, 'txt').FormUtil::getErrorStr($result, 'name');?></td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::BACKGROUND);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::COLOR);?> #<?php echo FormUtil::textbox('bgColor', $selectInfo->bgColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'bgColor');?></div>
									<div><?php echo htmlspecialchars(Language::ALPHA_VALUE);?><?php echo FormUtil::textbox('bgAlpha', $selectInfo->bgAlpha, 5, 3, 'txt').FormUtil::getErrorStr($result, 'bgAlpha');?></div>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::SIZE);?></th>
								<td>
									<?php echo htmlspecialchars(Language::WIDTH);?>: <?php echo FormUtil::textbox('width', $selectInfo->width, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'width');?><br />
									<?php echo htmlspecialchars(Language::HEIGHT);?>: <?php echo FormUtil::textbox('height', $selectInfo->height, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'height');?>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::READ_IMAGE_MODE);?></th>
								<td>
									<?php echo FormUtil::radio('isSequentialMode', 1, ($selectInfo->isSequentialMode?1:0), 'onclick="changeDisplay(\'SequentialSetting\', true);"');?> <?php echo htmlspecialchars(Language::READ_IMAGE_SEQUENTIAL);?><br />
									<?php echo FormUtil::radio('isSequentialMode', 0, ($selectInfo->isSequentialMode?1:0), 'onclick="changeDisplay(\'SequentialSetting\', false);"');?> <?php echo htmlspecialchars(Language::READ_IMAGE_DIRECTL);?>
								</td>
							</tr>
							<tr id="SequentialSetting" style="display: none;">
								<th><?php echo htmlspecialchars(Language::SEQUENTIAL_FILE);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::STORAGE_PATH);?>: <?php echo FormUtil::textbox('filePath', $selectInfo->filePath , 20, 0, 'txt').FormUtil::getErrorStr($result, 'filePath');?></div>
									<div><?php echo htmlspecialchars(Language::FILE_NAME_FIGURE_NUMBER);?>: <?php echo FormUtil::textbox('figureNumber', $selectInfo->figureNumber , 6, 0, 'txt').FormUtil::getErrorStr($result, 'figureNumber');?></div>
									<div><?php echo htmlspecialchars(Language::NUMBER);?>: <?php echo FormUtil::textbox('startValue', $selectInfo->startValue , 6, 0, 'txt').FormUtil::getErrorStr($result, 'startValue');?> <?php echo htmlspecialchars(Language::MARK_WAVE_DASH);?> <?php echo FormUtil::textbox('endValue', $selectInfo->endValue , 6, 0, 'txt').FormUtil::getErrorStr($result, 'endValue');?></div>
									<div><?php echo htmlspecialchars(Language::FILE_EXTENSION);?>: <?php echo FormUtil::textbox('fileExtension', $selectInfo->fileExtension , 6, 0, 'txt').FormUtil::getErrorStr($result, 'fileExtension');?></div>
								</td>
							</tr>
						</table>
					</div>
					<div class="save_bt">
<?php
		if($photoData->isCanDelete($domainId, $selectPhotoId)) {
?>
						<a href="javascript:void(0);" onclick="dialogPost('<?php echo htmlspecialchars(Language::PHOTO_GALLERY_DELETE_CHECK_COMMENT);?>', 'list.php?mode=del');return false;"><img src="../../image/normal/bt/del_bt.gif" title="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" /></a>
<?php
		}
?>
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'list.php?mode=save');return false;" />
					</div>

				</div>
<?php
	}
?>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(6, !$flagXml->isCreated($domainId));?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->

