<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/slider_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_POST['SliderId'])) {
	$selectSliderId = intval($_POST['SliderId']);
} else {
	$selectSliderId = 0;
}

if(isset($_POST['ItemId'])) {
	$selectItemId = intval($_POST['ItemId']);
} else {
	$selectItemId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
$itemData = new ItemData($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

$message = '';
$result = array();
$buttonInfo = $itemData->getButton($domainId, $selectItemId);
if(isset($_GET['mode']) && $_GET['mode']==='del') {
	if($itemData->deleteButton($domainId, $selectItemId)) {
		if($domain->setNotOutput($domainId)) {
			$message = Language::MSG_DELETE_SUCCESS;
			unset($_POST);
			$buttonInfo = new ItemButtonElement();
		} else {
			$message = Language::MSG_DELETE_ERROR;
		}
	} else {
		$message = Language::MSG_DELETE_ERROR;

	}
} else if(isset($_GET['mode']) && $_GET['mode']==='save') {
	$buttonInfo->itemId = $selectItemId;
	$buttonInfo->width = $_POST['width'];
	$buttonInfo->height = $_POST['height'];
	$buttonInfo->rolloverImage = $_POST['rolloverImage'];
	$buttonInfo->rolloverColor = $_POST['rolloverColor'];
	$buttonInfo->rolloverAlpha = $_POST['rolloverAlpha'];
	$buttonInfo->rolloutColor= $_POST['rolloutColor'];
	$buttonInfo->rolloutAlpha = $_POST['rolloutAlpha'];

	//チェック
	$result = $buttonInfo->check();
	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		if($itemData->setButton($domainId, $selectItemId, $buttonInfo)) {
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_REGIST_SUCCESS;
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		}
	}
} else {
	unset($_POST);
}


$isUseButton = $itemData->isUseButton($domainId, $selectItemId);
$isUsePlayer = $itemData->isUsePlayer($domainId, $selectItemId);


require_once SYSTEM_INCLUDE_DATA_PATH.'slider/slider_xml.php';
$sliderData = new SliderXml($_SESSION['UserName']);
$sliderInfo = $sliderData->get($domainId, $selectSliderId);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="SliderId" value="<?php echo $selectSliderId;?>" />
	<input type="hidden" name="ItemId" value="<?php echo $selectItemId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo SliderHtmlUtil::mode2Srd();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::SRD_SETTING_COMMENT1);?></p>

				<div id="tree_area">
				<div class="tree_item_list_area">
<?php echo SliderHtmlUtil::tagSelectSliderInfo($sliderInfo->number, $sliderInfo->name);?>
<?php echo SliderHtmlUtil::tagSliderImageItemList($domainId, $selectSliderId, 0, $selectItemId);?>
				</div>
				</div>

				<div id="item_input_area">
				<?php echo SliderHtmlUtil::tagSliderMenu(2);?>
						<?php echo HtmlUtil::tagItemMenu($isUseButton, 2);?>
						<?php echo HtmlUtil::tagItemButtonMenu($isUseButton, $isUsePlayer, 1);?>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::BUTTON_ACTION_SETTING);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::BUTTON_SIZE);?></th>
								<td>
									<?php echo htmlspecialchars(Language::WIDTH);?>: <?php echo FormUtil::textbox('width', $buttonInfo->width, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'width');?><br />
									<?php echo htmlspecialchars(Language::HEIGHT);?>: <?php echo FormUtil::textbox('height', $buttonInfo->height, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'height');?>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::ROLLOVER);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::IMAGE);?><?php echo FormUtil::textbox('rolloverImage', $buttonInfo->rolloverImage, 20, 0, 'txt').FormUtil::getErrorStr($result, 'rolloverColor');?></div>
									<div><?php echo htmlspecialchars(Language::COLOR);?> #<?php echo FormUtil::textbox('rolloverColor', $buttonInfo->rolloverColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'rolloverColor');?></div>
									<div><?php echo htmlspecialchars(Language::ALPHA_VALUE);?><?php echo FormUtil::textbox('rolloverAlpha', $buttonInfo->rolloverAlpha, 5, 3, 'txt').FormUtil::getErrorStr($result, 'rolloverAlpha');?></div>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::ROLLOUT);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::COLOR);?> #<?php echo FormUtil::textbox('rolloutColor', $buttonInfo->rolloutColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'rolloutColor');?></div>
									<div><?php echo htmlspecialchars(Language::ALPHA_VALUE);?><?php echo FormUtil::textbox('rolloutAlpha', $buttonInfo->rolloutAlpha, 5, 3, 'txt').FormUtil::getErrorStr($result, 'rolloutAlpha');?></div>
								</td>
							</tr>

						</table>
					</div>

					<div class="save_bt">
<?php
		if($itemData->isCanDeleteButton($domainId, $selectItemId) && $buttonInfo->itemId > 0) {
?>
						<a href="javascript:void(0);" onclick="dialogPost('<?php echo htmlspecialchars(Language::BUTTON_DELETE_CHECK_COMMENT);?>', 'item_button.php?mode=del');return false;"><img src="../../image/normal/bt/del_bt.gif" title="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" /></a>
<?php
		}
?>
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'item_button.php?mode=save');return false;" />
					</div>
				</div>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(5);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
