<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/slider_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_POST['SliderId'])) {
	$selectSliderId = intval($_POST['SliderId']);
} else {
	$selectSliderId = 0;
}

if(isset($_POST['ImageId'])) {
	$selectImageId = intval($_POST['ImageId']);
} else {
	$selectImageId = 0;
}

if(isset($_POST['ItemId'])) {
	$selectItemId = intval($_POST['ItemId']);
} else {
	$selectItemId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
$itemData = new ItemData($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);


$message = '';
if(isset($_GET['mode']) && $_GET['mode']==='add') {
	if(isset($_COOKIE['click_to_next_url']) && intval($_COOKIE['click_to_next_url'])===1){
		setcookie('click_to_next_url', 0);

		$addItemInfo = new ItemElement();
		$addItemInfo->parentItemId = ($selectImageId===0?$selectItemId:$selectImageId);
		$addItemInfo->parentType = ($selectImageId===0?0:1);
		$addItemInfo->dispNo = intval($_POST['targetDispNo']);
		if($itemData->set($domainId, $addItemInfo)) {
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_REGIST_SUCCESS;
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	} else {
		$message = Language::MSG_REFRESH_ERROR;
	}
} else {
	unset($_POST);
}

$selectItemList = $itemData->getTargetDispNoList($domainId, ($selectImageId===0?$selectItemId:$selectImageId), ($selectImageId===0?0:1));
$isUseButton = $itemData->isUseButton($domainId, $selectItemId);
$isUsePlayer = $itemData->isUsePlayer($domainId, $selectItemId, ($selectImageId===0?0:1));


require_once SYSTEM_INCLUDE_DATA_PATH.'slider/slider_xml.php';
$sliderData = new SliderXml($_SESSION['UserName']);
$sliderInfo = $sliderData->get($domainId, $selectSliderId);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="SliderId" value="<?php echo $selectSliderId;?>" />
	<input type="hidden" name="ImageId" value="<?php echo $selectImageId;?>" />
	<input type="hidden" name="ItemId" value="<?php echo $selectItemId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo SliderHtmlUtil::mode2Srd();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::SRD_SETTING_COMMENT1);?></p>

				<div id="tree_area">
				<div class="tree_item_list_area">
<?php echo SliderHtmlUtil::tagSelectSliderInfo($sliderInfo->number, $sliderInfo->name);?>
<?php echo SliderHtmlUtil::tagSliderImageItemList($domainId, $selectSliderId, $selectImageId, $selectItemId);?>
				</div>
				</div>

				<div id="item_input_area">
				<?php echo SliderHtmlUtil::tagSliderMenu(2);?>

<?php
	if($selectImageId === 0) {
		echo HtmlUtil::tagItemMenu($isUseButton, 2);
	} else {
		echo SliderHtmlUtil::tagSliderImageMenu(2);
	}
?>

<?php
	if($selectImageId === 0) {
		echo HtmlUtil::tagItemButtonMenu($isUseButton, $isUsePlayer, 5);
	} else {
		 echo SliderHtmlUtil::tagSliderImageActionMenu(4, $isUsePlayer);
	}
?>

<?php
		if(count($selectItemList) > 0) {
?>
					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::TARGET_ITEM);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::TARGET_ITEM);?></th>
								<td>
									<select name="targetDispNo" size="1" onfocus="focusColor(this)" onblur="blurColor(this)">
<?php
			foreach($selectItemList as $dispNo => $name) {
				if($name === '') {
					$name = 'no name';
				}
?>
										<?php echo FormUtil::option('targetDispNo', $dispNo, '', '('.$dispNo.')'.$name);?>
<?php
			}
?>
									</select>
								</td>
							</tr>

						</table>
					</div>

					<div class="save_bt">
						<a href="javascript:void(0);" onclick="onClickSubmit('act', 'item_change.php?mode=add');return false;" ><img src="../../image/normal/bt/add_bt.gif" title="<?php echo htmlspecialchars(Language::ADD_TARGET_ITEM);?>" alt="<?php echo htmlspecialchars(Language::ADD_TARGET_ITEM);?>" /></a>
					</div>
<?php
		} else {
?>
					<div class="input_table"><?php echo htmlspecialchars(Language::NOT_TARGET_ITEMS);?></div>
<?php
		}
?>
				</div>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(5);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
