<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/utils.php';
require_once SYSTEM_INCLUDE_PATH.'util/slider_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_POST['SliderId'])) {
	$selectSliderId = intval($_POST['SliderId']);
} else {
	$selectSliderId = 0;
}

if(isset($_POST['ImageId'])) {
	$selectImageId = intval($_POST['ImageId']);
} else {
	$selectImageId = 0;
}

if(isset($_POST['ItemId'])) {
	$selectItemId = intval($_POST['ItemId']);
} else {
	$selectItemId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
$itemData = new ItemData($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'player_data.php';
$playerData = new PlayerData($_SESSION['UserName']);
$playerInfo = $playerData->get($domainId, ($selectImageId===0?$selectItemId:$selectImageId), ($selectImageId===0?0:1));

$message = '';
$result = array();
if(isset($_GET['mode']) && $_GET['mode']==='del') {
	if($playerData->delete($domainId, ($selectImageId===0?$selectItemId:$selectImageId), ($selectImageId===0?0:1))) {
		if($domain->setNotOutput($domainId)) {
			$message = Language::MSG_DELETE_SUCCESS;
			unset($_POST);
			$playerInfo = new PlayerElement();
		} else {
			$message = Language::MSG_DELETE_ERROR;
		}
	} else {
		$message = Language::MSG_DELETE_ERROR;

	}
} else if(isset($_GET['mode']) && $_GET['mode']==='save') {
	$playerInfo->parentType = ($selectImageId===0?0:1);
	$playerInfo->itemId = ($selectImageId===0?$selectItemId:$selectImageId);
	$playerInfo->playerType = intval($_POST['playerType']);
	$playerInfo->xAxis  = $_POST['xAxis'];
	$playerInfo->yAxis  = $_POST['yAxis'];
	$playerInfo->width  = $_POST['width'];
	$playerInfo->height = $_POST['height'];
	$playerInfo->isAutoPlay = Utils::valueToNullBool($_POST['isAutoPlay']);
	$playerInfo->isAutoReplay = Utils::valueToNullBool($_POST['isAutoReplay']);
	$playerInfo->fileType = intval($_POST['fileType']);
	$playerInfo->playlistPlayType = intval($_POST['playlistPlayType']);
	$playerInfo->playlistStartNumber = (isset($_POST['playlistStartNumber'])&&intval($_POST['playlistStartNumber'])>0?intval($_POST['playlistStartNumber']):null);

	$result = $playerInfo->check();
	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		if($playerData->set($domainId, $playerInfo)) {
			if($message === '') {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	}
} else {
	unset($_POST);
}

$isUseButton = $itemData->isUseButton($domainId, $selectItemId);
$isUsePlayer = $itemData->isUsePlayer($domainId,  ($selectImageId===0?$selectItemId:$selectImageId), ($selectImageId===0?0:1));


require_once SYSTEM_INCLUDE_DATA_PATH.'slider/slider_xml.php';
$sliderData = new SliderXml($_SESSION['UserName']);
$sliderInfo = $sliderData->get($domainId, $selectSliderId);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function selectPlayerType(type) {
	var dispList = {
		 0:	{"player_pos": "none", "file_type":"none", "auto_play":"none", "auto_replay":"none"}
		,1:	{"player_pos": ""    , "file_type":"",     "auto_play":"",     "auto_replay":""    }	//flv
		,2:	{"player_pos": ""    , "file_type":"none", "auto_play":"none", "auto_replay":"none"}	//youtube
	};

	document.getElementById('player_pos').style.display = dispList[type]['player_pos'];
	document.getElementById('file_type').style.display = dispList[type]['file_type'];
	document.getElementById('auto_play').style.display = dispList[type]['auto_play'];
	document.getElementById('auto_replay').style.display = dispList[type]['auto_replay'];
}
function init() {
	selectPlayerType(<?php echo $playerInfo->playerType;?>);
	changeDisplay('random_play', <?php echo ($playerInfo->fileType===2?'true':'false');?>);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="SliderId" value="<?php echo $selectSliderId;?>" />
	<input type="hidden" name="ImageId" value="<?php echo $selectImageId;?>" />
	<input type="hidden" name="ItemId" value="<?php echo $selectItemId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo SliderHtmlUtil::mode2Srd();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::SRD_SETTING_COMMENT1);?></p>

				<div id="tree_area">
				<div class="tree_item_list_area">
<?php echo SliderHtmlUtil::tagSelectSliderInfo($sliderInfo->number, $sliderInfo->name);?>
<?php echo SliderHtmlUtil::tagSliderImageItemList($domainId, $selectSliderId, $selectImageId, $selectItemId);?>
				</div>
				</div>

				<div id="item_input_area">
				<?php echo SliderHtmlUtil::tagSliderMenu(2);?>
<?php
	if($selectImageId === 0) {
		echo HtmlUtil::tagItemMenu($isUseButton, 2);
	} else {
		echo SliderHtmlUtil::tagSliderImageMenu(2);
	}
?>

<?php
	if($selectImageId === 0) {
		echo HtmlUtil::tagItemButtonMenu($isUseButton, $isUsePlayer, 3);
	} else {
		 echo SliderHtmlUtil::tagSliderImageActionMenu(2, $isUsePlayer);
	}
?>
				<?php echo HtmlUtil::tagItemPlayerMenu($playerInfo->playerType, 1, $playerInfo->fileType);?>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::PLAYER_TYPE);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::PLAYER_TYPE);?></th>
								<td>
									<?php echo FormUtil::radio('playerType', 0, $playerInfo->playerType, 'onclick="selectPlayerType(0);"');?><?php echo htmlspecialchars(Language::PLAYER_NON);?>
									<?php echo FormUtil::radio('playerType', 1, $playerInfo->playerType, 'onclick="selectPlayerType(1);"');?><?php echo htmlspecialchars(Language::PLAYER_FILE);?>
									<?php echo FormUtil::radio('playerType', 2, $playerInfo->playerType, 'onclick="selectPlayerType(2);"');?><?php echo htmlspecialchars(Language::PLAYER_OUTSIDE);?>
								</td>
							</tr>
						</table>
					</div>

					<div class="input_table">
						<div id="player_pos">
							<table summary="<?php echo htmlspecialchars(Language::PLAYER_CONFIG);?>">
								<tr>
									<th><?php echo htmlspecialchars(Language::DISPLAY_POSITION);?></th>
									<td>
										<p><?php echo htmlspecialchars(Language::X_AXIS);?>: <?php echo FormUtil::textbox('xAxis', $playerInfo->xAxis, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'xAxis');?></p>
										<p><?php echo htmlspecialchars(Language::Y_AXIS);?>: <?php echo FormUtil::textbox('yAxis', $playerInfo->yAxis, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'yAxis');?></p>
									</td>
								</tr>
								<tr>
									<th><?php echo htmlspecialchars(Language::DISPLAY_SIZE);?></th>
									<td>
										<p><?php echo htmlspecialchars(Language::WIDTH);?>: <?php echo FormUtil::textbox('width', $playerInfo->width, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'width');?></p>
										<p><?php echo htmlspecialchars(Language::HEIGHT);?>: <?php echo FormUtil::textbox('height', $playerInfo->height, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'height');?></p>
									</td>
								</tr>
								<tr id="auto_play" style="display: none;">
									<th><?php echo htmlspecialchars(Language::AUTO_PLAY);?></th>
									<td>
										<p><?php echo FormUtil::radio('isAutoPlay', -1, Utils::nullBoolToValue($playerInfo->isAutoPlay));?> <?php echo htmlspecialchars(Language::SUCCEED_CONFIG);?></p>
										<p><?php echo FormUtil::radio('isAutoPlay',  1, Utils::nullBoolToValue($playerInfo->isAutoPlay));?> <?php echo htmlspecialchars(Language::AUTO_PLAY_IT);?></p>
										<p><?php echo FormUtil::radio('isAutoPlay',  0, Utils::nullBoolToValue($playerInfo->isAutoPlay));?> <?php echo htmlspecialchars(Language::NOT_AUTO_PLAY_IT);?></p>
									</td>
								</tr>
								<tr id="auto_replay" style="display: none;">
									<th><?php echo htmlspecialchars(Language::AUTO_REPLAY);?></th>
									<td>
										<p><?php echo FormUtil::radio('isAutoReplay', -1, Utils::nullBoolToValue($playerInfo->isAutoReplay));?> <?php echo htmlspecialchars(Language::SUCCEED_CONFIG);?></p>
										<p><?php echo FormUtil::radio('isAutoReplay',  1, Utils::nullBoolToValue($playerInfo->isAutoReplay));?> <?php echo htmlspecialchars(Language::AUTO_REPLAY_IT);?></p>
										<p><?php echo FormUtil::radio('isAutoReplay',  0, Utils::nullBoolToValue($playerInfo->isAutoReplay));?> <?php echo htmlspecialchars(Language::NOT_AUTO_REPLAY_IT);?></p>
									</td>
								</tr>


								<tr id="file_type" style="display: none;">
									<th><?php echo htmlspecialchars(Language::FLV_PLAYER_TYPE);?></th>
									<td>
										<p>
											<?php echo FormUtil::radio('fileType', 1, $playerInfo->fileType, 'onclick="changeDisplay(\'random_play\', false);"');?> <?php echo htmlspecialchars(Language::FLV_PLAYER_TYPE_FILE);?>
											<?php echo FormUtil::radio('fileType', 2, $playerInfo->fileType, 'onclick="changeDisplay(\'random_play\', true);"');?> <?php echo htmlspecialchars(Language::FLV_PLAYER_TYPE_PLAY_LIST);?>
										</p>
										<div id="random_play" style="display: none;">
											<p>
												<?php echo FormUtil::radio('playlistPlayType', 2, $playerInfo->playlistPlayType);?> <?php echo htmlspecialchars(Language::RANDOM_PLAY_OFF);?>
												<?php echo FormUtil::radio('playlistPlayType', 1, $playerInfo->playlistPlayType);?> <?php echo htmlspecialchars(Language::RANDOM_PLAY_ON);?>
											</p>
											<p>
												<?php echo htmlspecialchars(Language::START_NUMBER);?>:
												<select name="playlistStartNumber" size="1" onfocus="focusColor(this)" onblur="blurColor(this)">
													<?php echo FormUtil::option('playlistStartNumber', 0, $playerInfo->playlistStartNumber, Language::NOT_SELECT);?>
<?php
		foreach($playerInfo->playlistItemList as $itemInfo) {
?>
													<?php echo FormUtil::option('playlistStartNumber', $itemInfo->dispNo, $playerInfo->playlistStartNumber, '('.$itemInfo->dispNo.')'.$itemInfo->fileTitle);?>
<?php
		}
?>
												</select>
											</p>
										</div>
									</td>
								</tr>

							</table>
						</div>

					</div>

					<div class="save_bt">
<?php
	if($playerInfo->itemId > 0) {
?>
						<a href="javascript:void(0);" onclick="javascript:dialogPost('<?php echo htmlspecialchars(Language::PLAYER_ITEM_DELETE_CHECK_COMMENT);?>', 'item_player.php?mode=del');return false;"><img src="../../image/normal/bt/del_bt.gif" title="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" /></a>
<?php
	}
?>
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'item_player.php?mode=save');return false;" />
					</div>

				</div>
			</div>

<?php echo HtmlUtil::tagDetailSideMenu(5);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
