<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/slider_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_POST['SliderId'])) {
	$selectSliderId = intval($_POST['SliderId']);
} else {
	exit();
}

if(isset($_GET['ItemId'])) {
	$selectItemId = intval($_GET['ItemId']);
} else if(isset($_POST['ItemId'])) {
	$selectItemId = intval($_POST['ItemId']);
} else {
	exit();
}

require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
$itemData = new ItemData($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_PATH.'data/parts.php';

$itemInfo = $itemData->get($domainId, $selectItemId);

$message = '';
$result = array();
$wipeInfo = $itemData->getWipe($domainId, $selectItemId);
if(isset($_GET['mode']) && $_GET['mode']==='save') {
	$wipeInfo->itemId = $selectItemId;
	$wipeInfo->type = intval($_POST['type']);
	$wipeInfo->widthDivideNumber = $_POST['widthDivideNumber'];
	$wipeInfo->heightDivideNumber = $_POST['heightDivideNumber'];
	$wipeInfo->widthIsMagnified = (intval($_POST['widthIsMagnified'])===1);
	$wipeInfo->heightIsMagnified = (intval($_POST['heightIsMagnified'])===1);
	$wipeInfo->displayDirection = intval($_POST['displayDirection']);
	$wipeInfo->speed = $_POST['speed'];
	$wipeInfo->diagonalType = intval($_POST['diagonalType']);

	//チェック
	$result = $wipeInfo->check();
	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		if($message === '') {
			if($itemData->setWipe($domainId, $wipeInfo)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
					unset($_POST);
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		}
	}
} else if(isset($_GET['mode']) && $_GET['mode']==='del') {
	if($itemData->deleteWipe($domainId, $selectItemId)) {
		if($domain->setNotOutput($domainId)) {
			$message = Language::MSG_DELETE_SUCCESS;
			unset($_POST);
			$wipeInfo = new ItemWipeElement();
		} else {
			$message = Language::MSG_DELETE_ERROR;
		}
	} else {
		$message = Language::MSG_DELETE_ERROR;
	}
} else {
	unset($_POST);
}
require_once SYSTEM_INCLUDE_DATA_PATH.'slider/slider_xml.php';
$sliderData = new SliderXml($_SESSION['UserName']);
$sliderInfo = $sliderData->get($domainId, $selectSliderId);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function init() {
	changeDisplay('diagonal_type', <?php echo ($wipeInfo->type===2?'true':'false');?>);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="SliderId" value="<?php echo $selectSliderId;?>" />
	<input type="hidden" name="ItemId" value="<?php echo $selectItemId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo SliderHtmlUtil::mode2Srd();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::SRD_SETTING_COMMENT1);?></p>

				<div id="tree_area">
				<div class="tree_item_list_area">
<?php echo SliderHtmlUtil::tagSelectSliderInfo($sliderInfo->number, $sliderInfo->name);?>
<?php echo SliderHtmlUtil::tagSliderImageItemList($domainId, $selectSliderId, 0, $selectItemId);?>
				</div>
				</div>

				<div id="item_input_area">

<?php echo SliderHtmlUtil::tagSliderMenu(2);?>

					<?php echo HtmlUtil::tagItemMenu($itemData->isUseButton($domainId, $selectItemId), 1);?>
					<?php echo HtmlUtil::tagItemSettingMenu($itemInfo->imageType, $itemData->isUseWipe($domainId, $selectItemId), 3);?>
					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::WIPE_EFFECT);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::EFFECT_DISPLAY_TYPE);?></th>
								<td>
									<div>
										<?php echo FormUtil::radio('type', 1, $wipeInfo->type, 'onclick="changeDisplay(\'diagonal_type\', false);"');?> <?php echo htmlspecialchars(Language::EFFECT_DISPLAY_TYPE_STRAIGHT);?>
										<?php echo FormUtil::radio('type', 2, $wipeInfo->type, 'onclick="changeDisplay(\'diagonal_type\', true);"');?> <?php echo htmlspecialchars(Language::EFFECT_DISPLAY_TYPE_DIAGONAL);?>
									</div>
									<div id="diagonal_type" style="display: none;">
										<?php echo FormUtil::radio('diagonalType', 2, $wipeInfo->diagonalType);?> <?php echo htmlspecialchars(Language::EFFECT_START_UP);?>
										<?php echo FormUtil::radio('diagonalType', 3, $wipeInfo->diagonalType);?> <?php echo htmlspecialchars(Language::EFFECT_START_DOWN);?>
										<?php echo FormUtil::radio('diagonalType', 1, $wipeInfo->diagonalType);?> <?php echo htmlspecialchars(Language::EFFECT_START_CENTER);?>
									</div>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::DIVIDE_NUMBER);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::HORIZONTAL);?>:<?php echo FormUtil::textbox('widthDivideNumber', $wipeInfo->widthDivideNumber, 6, 0, 'txt').FormUtil::getErrorStr($result, 'widthDivideNumber');?></div>
									<div><?php echo htmlspecialchars(Language::VERTICAL);?>:<?php echo FormUtil::textbox('heightDivideNumber', $wipeInfo->heightDivideNumber, 6, 0, 'txt').FormUtil::getErrorStr($result, 'heightDivideNumber');?></div>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::SPLIT_EFFECT);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::HORIZONTAL);?>:<?php echo FormUtil::radio('widthIsMagnified', 1, ($wipeInfo->widthIsMagnified?1:0));?> <?php echo htmlspecialchars(Language::USE_IT);?> <?php echo FormUtil::radio('widthIsMagnified', 0, ($wipeInfo->widthIsMagnified?1:0));?> <?php echo htmlspecialchars(Language::NOT_USE_IT);?></div>
									<div><?php echo htmlspecialchars(Language::VERTICAL);?>:<?php echo FormUtil::radio('heightIsMagnified', 1, ($wipeInfo->heightIsMagnified?1:0));?> <?php echo htmlspecialchars(Language::USE_IT);?> <?php echo FormUtil::radio('heightIsMagnified', 0, ($wipeInfo->heightIsMagnified?1:0));?> <?php echo htmlspecialchars(Language::NOT_USE_IT);?></div>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::EFFECT_START_POSITION);?></th>
								<td><?php echo FormUtil::radio('displayDirection', 2, $wipeInfo->displayDirection);?> <?php echo htmlspecialchars(Language::LEFT_TOP);?> <?php echo FormUtil::radio('displayDirection', 1, $wipeInfo->displayDirection);?> <?php echo htmlspecialchars(Language::RIGHT_BOTTOM);?></td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::EFFECT_SPEED);?></th>
								<td><?php echo FormUtil::textbox('speed', $wipeInfo->speed, 6, 0, 'txt').FormUtil::getErrorStr($result, 'speed');?></td>
							</tr>


						</table>
					</div>

					<div class="save_bt">
<?php
	if($wipeInfo->itemId > 0) {
?>
						<a href="javascript:void(0);" onclick="dialogPost('<?php echo htmlspecialchars(Language::WIPE_DELETE_CHECK_COMMENT);?>', 'item_wipe.php?mode=del');return false;"><img src="../../image/normal/bt/del_bt.gif" title="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" /></a>
<?php
	}
?>
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'item_wipe.php?mode=save');return false;" />
					</div>

				</div>


			</div>

<?php echo HtmlUtil::tagDetailSideMenu(5);?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
