<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/slider_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_GET['SliderId'])) {
	$selectSliderId = intval($_GET['SliderId']);
} else if(isset($_POST['SliderId'])) {
	$selectSliderId = intval($_POST['SliderId']);
} else {
	$selectSliderId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
$flagXml = new FlagXml($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'slider/slider_xml.php';
$sliderData = new SliderXml($_SESSION['UserName']);

$message = '';
$result = array();
if(isset($_GET['mode'])) {
	if($_GET['mode']==='add') {

		if(isset($_COOKIE['click_to_next_url']) && intval($_COOKIE['click_to_next_url'])===1){
			setcookie('click_to_next_url', 0);

			$info = new SliderXmlInfo();
			$info->number = $sliderData->getMaxNumber($domainId)+1;

			if($sliderData->set($domainId, $info)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REFRESH_ERROR;
		}
	} else if($_GET['mode']==='del') {

		$info = $sliderData->get($domainId, $selectSliderId);
		require_once SYSTEM_INCLUDE_PATH.'data/parts.php';
		$partsInfo = PartsInfo::getInfo('slider');
		$fileNameBase = str_replace('*', '%02d', $partsInfo['xml']);
		$targetFile = SYSTEM_USERS_PATH.sprintf('%03d/work/'.$fileNameBase, $domainId, $info->number);
		if(is_file($targetFile)) {
			unlink($targetFile);
		}

		if($sliderData->delete($domainId, $selectSliderId)) {
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_DELETE_SUCCESS;
				$selectSliderId = 0;
			} else {
				$message = Language::MSG_DELETE_ERROR;
			}
		} else {
			$message = Language::MSG_DELETE_ERROR;
		}

	} else if($_GET['mode']==='save') {
		$info = $sliderData->get($domainId, $selectSliderId);
		$info->name = $_POST['name'];
		$info->directionType = intval($_POST['directionType']);
		$info->isMirrorEffect= (intval($_POST['isMirrorEffect'])===1);
		$info->isBlurEffect= (intval($_POST['isBlurEffect'])===1);
		$info->bgColor = $_POST['bgColor'];
		$info->bgAlpha = $_POST['bgAlpha'];
		$info->width = $_POST['width'];
		$info->height = $_POST['height'];
		$info->thumbWidth = $_POST['thumbWidth'];
		$info->thumbHeight = $_POST['thumbHeight'];
		$info->sortType = intval($_POST['sortType']);

		//チェック
		$result = $info->check();
		if(count($result) > 0) {
			$message = Language::MSG_INPUT_ERROR;
		} else {
			if($sliderData->set($domainId, $info)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		}
	}
} else {
	unset($_POST);
}

$sliderList = $sliderData->getList($domainId);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();
	if($selectSliderId > 0) {
		$selectInfo = $sliderData->get($domainId, $selectSliderId);

?>
<script type="text/javascript"><!--
function init() {
	changeDisplay('MirrorSetting', <?php echo ($selectInfo->directionType?'true':'false');?>);
}
window.onload = init;
--></script>
<?php
 	}
?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="SliderId" value="<?php echo $selectSliderId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo SliderHtmlUtil::mode2Srd();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::SRD_SETTING_COMMENT1);?></p>

				<div id="tree_area">
				<div class="tree_item_title"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_MINUS);?></span><?php echo htmlspecialchars(Language::SLIDER_LIST);?></div>
				<div class="tree_item_list_area">

<?php
	$listLength = count($sliderList);
	if($listLength > 0) {
		$cnt = 1;
		foreach($sliderList as $sliderInfo) {
			$dispStr = ($sliderInfo->name===''?'no name':$sliderInfo->name);
?>					<div class="<?php
				if($listLength > $cnt) {
					echo 'tree_mst';
				} else {
					echo 'tree_mse';
				}
				?>"><div class="tree_msy"><p class="tree_txt"><span class="tree_nb"><?php echo $sliderInfo->number;?></span>
<?php
			if($sliderInfo->sliderId === $selectSliderId) {
				echo htmlspecialchars($dispStr);
			} else {
?>					<a href="list.php?SliderId=<?php echo $sliderInfo->sliderId;?>"><?php echo htmlspecialchars($dispStr);?></a>
<?php
			}
?></p></div></div><?php
			$cnt++;
		}
	} else {
		?><p class="save_message"><?php echo htmlspecialchars(Language::NOT_REGIST);?></p><?php
	}
?>

	 				<div class="tree_new_item"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_PLUS);?></span><a href="javascript:void(0);" onclick="onClickHref('list.php?mode=add');return false;"><?php echo htmlspecialchars(Language::ADD_SLIDER);?></a></div>

				</div>

				</div>
<?php
	if($selectSliderId > 0) {
?>
				<div id="item_input_area">


<?php echo SliderHtmlUtil::tagSliderMenu(1);?>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::BASE_SETTING);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::NAME);?></th>
								<td><?php echo FormUtil::textbox('name', $selectInfo->name, 30, 0, 'txt').FormUtil::getErrorStr($result, 'name');?></td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::DISPLAY_DIRECTION);?></th>
								<td>
									<p><?php echo FormUtil::radio('directionType', 1, $selectInfo->directionType, 'onclick="changeDisplay(\'MirrorSetting\', true);"');?> <?php echo htmlspecialchars(Language::HORIZONTAL);?></p>
									<p><?php echo FormUtil::radio('directionType', 0, $selectInfo->directionType, 'onclick="changeDisplay(\'MirrorSetting\', false);"');?> <?php echo htmlspecialchars(Language::VERTICAL);?></p>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::DISPLAY_ORDER);?></th>
								<td>
									<p><?php echo FormUtil::radio('sortType', 0, $selectInfo->sortType);?> <?php echo htmlspecialchars(Language::ASCENDING);?></p>
									<p><?php echo FormUtil::radio('sortType', 1, $selectInfo->sortType);?> <?php echo htmlspecialchars(Language::DESCENDING);?></p>
								</td>
							</tr>
							<tr id="MirrorSetting" style="display: none;">
								<th><?php echo htmlspecialchars(Language::MIRROR_EFFECT);?></th>
								<td>
									<p><?php echo FormUtil::radio('isMirrorEffect', 1, ($selectInfo->isMirrorEffect?1:0));?> <?php echo htmlspecialchars(Language::DISPLAY);?></p>
									<p><?php echo FormUtil::radio('isMirrorEffect', 0, ($selectInfo->isMirrorEffect?1:0));?> <?php echo htmlspecialchars(Language::DISPLAY_NON);?></p>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::BLUE_EFFECT);?></th>
								<td>
									<p><?php echo FormUtil::radio('isBlurEffect', 1, ($selectInfo->isBlurEffect?1:0));?> <?php echo htmlspecialchars(Language::DISPLAY);?></p>
									<p><?php echo FormUtil::radio('isBlurEffect', 0, ($selectInfo->isBlurEffect?1:0));?> <?php echo htmlspecialchars(Language::DISPLAY_NON);?></p>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::BACKGROUND);?></th>
								<td>
									<p><?php echo htmlspecialchars(Language::COLOR);?> #<?php echo FormUtil::textbox('bgColor', $selectInfo->bgColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'bgColor');?></p>
									<p><?php echo htmlspecialchars(Language::ALPHA_VALUE);?><?php echo FormUtil::textbox('bgAlpha', $selectInfo->bgAlpha, 5, 3, 'txt').FormUtil::getErrorStr($result, 'bgAlpha');?></p>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::SIZE);?></th>
								<td>
									<p><?php echo htmlspecialchars(Language::WIDTH);?>: <?php echo FormUtil::textbox('width', $selectInfo->width, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'width');?></p>
									<p><?php echo htmlspecialchars(Language::HEIGHT);?>: <?php echo FormUtil::textbox('height', $selectInfo->height, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'height');?></p>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::THUMBNAIL_SIZE);?></th>
								<td>
									<p><?php echo htmlspecialchars(Language::WIDTH);?>: <?php echo FormUtil::textbox('thumbWidth', $selectInfo->thumbWidth, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'thumbWidth');?></p>
									<p><?php echo htmlspecialchars(Language::HEIGHT);?>: <?php echo FormUtil::textbox('thumbHeight', $selectInfo->thumbHeight, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'thumbHeight');?></p>
								</td>
							</tr>

						</table>
					</div>
					<div class="save_bt">
<?php
		if($sliderData->isCanDelete($domainId, $selectSliderId)) {
?>
						<a href="javascript:void(0);" onclick="dialogPost('<?php echo htmlspecialchars(Language::SLIDER_DELETE_CHECK_COMMENT);?>', 'list.php?mode=del');return false;"><img src="../../image/normal/bt/del_bt.gif" title="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" /></a>
<?php
		}
?>
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'list.php?mode=save');return false;" />
					</div>

				</div>
<?php
	}
?>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(5, !$flagXml->isCreated($domainId));?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->

