<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/text_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_POST['TextId'])) {
	$selectTextId = intval($_POST['TextId']);
} else {
	exit();
}

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
$flagXml = new FlagXml($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'text/text_xml.php';
$textData = new TextXml($_SESSION['UserName']);

$message = '';
$result = array();
if(isset($_GET['mode'])) {
	 if($_GET['mode']==='save') {
		$info = $textData->get($domainId, $selectTextId);
		$info->isWordWrap = (intval($_POST['isWordWrap'])===1);
		$info->fontType = intval($_POST['fontType']);
		$info->textFontSize = intval($_POST['textFontSize']);
		$info->textColor = $_POST['textColor'];
		$info->textIsDisplayShadow = (intval($_POST['textIsDisplayShadow'])===1);
		$info->textShadowColor = $_POST['textShadowColor'];

		//チェック
		$result = $info->check();
		if(count($result) > 0) {
			$message = Language::MSG_INPUT_ERROR;
		} else {
			if($textData->set($domainId, $info)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		}
	}
} else {
	unset($_POST);
}

$textList = $textData->getList($domainId);
$selectInfo = $textData->get($domainId, $selectTextId);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<?php
	if($selectInfo->fileType === 1) {?>
<script type="text/javascript"><!--
function init() {
	changeDisplay('TextShadow', <?php echo ($selectInfo->textIsDisplayShadow?'true':'false');?>);
}
window.onload = init;
--></script>
<?php
	}
 ?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="TextId" value="<?php echo $selectTextId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo TextHtmlUtil::mode2Text();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::TEXT_SETTING_COMMENT1);?></p>

				<div id="tree_area">
				<div class="tree_item_title"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_MINUS);?></span><?php echo htmlspecialchars(Language::TEXT_LIST);?></div>
				<div class="tree_item_list_area">

<?php
	$listLength = count($textList);
	if($listLength > 0) {
		$cnt = 1;
		foreach($textList as $textInfo) {
			$dispStr = ($textInfo->name===''?'no name':$textInfo->name);
?>					<div class="<?php
				if($listLength > $cnt) {
					echo 'tree_mst';
				} else {
					echo 'tree_mse';
				}
				?>"><div class="tree_msy"><p class="tree_txt"><span class="tree_nb"><?php echo $textInfo->number;?></span>
<?php
			if($textInfo->textId === $selectTextId) {
				echo htmlspecialchars($dispStr);
			} else {
?>					<a href="list.php?TextId=<?php echo $textInfo->textId;?>"><?php echo htmlspecialchars($dispStr);?></a>
<?php
			}
?></p></div></div><?php
			$cnt++;
		}
	} else {
		?><p class="save_message"><?php echo htmlspecialchars(Language::NOT_REGIST);?></p><?php
	}
?>

				</div>

				</div>
<?php
	if($selectTextId > 0) {
?>
				<div id="item_input_area">


<?php echo TextHtmlUtil::tagTextMenu(2);?>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::FORMAT_SETTING);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::WORDWRAP);?></th>
								<td>
									<div><?php echo FormUtil::radio('isWordWrap', 1, ($selectInfo->isWordWrap?1:0));?> <?php echo htmlspecialchars(Language::WORDWRAP_AUTO);?></div>
									<div><?php echo FormUtil::radio('isWordWrap', 0, ($selectInfo->isWordWrap?1:0));?> <?php echo htmlspecialchars(Language::WORDWRAP_NON);?></div>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::FONT);?></th>
								<td>
									<select name="fontType" size="1" onfocus="focusColor(this)" onblur="blurColor(this)">
										<?php echo FormUtil::option('fontType', 1, $selectInfo->fontType, Language::FIXED_WITH_FONT);?>
										<?php echo FormUtil::option('fontType', 2, $selectInfo->fontType, Language::GOTCHIC_FONT);?>
										<?php echo FormUtil::option('fontType', 3, $selectInfo->fontType, Language::MINCHOU_FONT);?>
									</select>
								</td>
							</tr>
<?php	if($selectInfo->fileType === 1) {?>
							<tr>
								<th><?php echo htmlspecialchars(Language::TEXT_DISPLAY_SETTING);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::FONT_SIZE);?><?php echo FormUtil::textbox('textFontSize', $selectInfo->textFontSize, 6, 0, 'txt').FormUtil::getErrorStr($result, 'textFontSize');?></div>
									<div><?php echo htmlspecialchars(Language::TEXT_COLOR);?>: #<?php echo FormUtil::textbox('textColor', $selectInfo->textColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'textColor');?></div>
									<div>
										<?php echo FormUtil::radio('textIsDisplayShadow', 1, ($selectInfo->textIsDisplayShadow?1:0), 'onclick="changeDisplay(\'TextShadow\', true);"');?> <?php echo htmlspecialchars(Language::SHADOW_DISPLAY);?>
										<?php echo FormUtil::radio('textIsDisplayShadow', 0, ($selectInfo->textIsDisplayShadow?1:0), 'onclick="changeDisplay(\'TextShadow\', false);"');?> <?php echo htmlspecialchars(Language::SHADOW_DISPLAY_NON);?>
									</div>
									<div id="TextShadow"><?php echo htmlspecialchars(Language::TEXT_SHADOW_COLOR);?>: #<?php echo FormUtil::textbox('textShadowColor', $selectInfo->textShadowColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'textShadowColor');?></div>
								</td>
							</tr>
<?php 	}
?>
						</table>
					</div>
					<div class="save_bt">
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'format.php?mode=save');return false;" />
					</div>

				</div>
<?php
	}
?>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(7, !$flagXml->isCreated($domainId));?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->

