<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/text_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_GET['TextId'])) {
	$selectTextId = intval($_GET['TextId']);
} else if(isset($_POST['TextId'])) {
	$selectTextId = intval($_POST['TextId']);
} else {
	$selectTextId = 0;
}

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
$flagXml = new FlagXml($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'text/text_xml.php';
$textData = new TextXml($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_PATH.'data/parts.php';
$partsInfo = PartsInfo::getInfo('text');
$subFileNameBase = str_replace('*', '%02d', $partsInfo['subfile']);

$message = '';
$result = array();
if(isset($_GET['mode'])) {
	if($_GET['mode']==='add') {
		if(isset($_COOKIE['click_to_next_url']) && intval($_COOKIE['click_to_next_url'])===1){
			setcookie('click_to_next_url', 0);

			$info = new TextXmlInfo();
			$info->number = $textData->getMaxNumber($domainId)+1;
			$info->fileUrl = sprintf($subFileNameBase, $info->number);

			if($textData->set($domainId, $info)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
					unset($_POST);
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REFRESH_ERROR;
		}
	} else if($_GET['mode']==='del') {

		$info = $textData->get($domainId, $selectTextId);
		require_once SYSTEM_INCLUDE_PATH.'data/parts.php';
		$partsInfo = PartsInfo::getInfo('text');
		$fileNameBase = str_replace('*', '%02d', $partsInfo['xml']);
		$targetFile = SYSTEM_USERS_PATH.sprintf('%03d/work/'.$fileNameBase, $domainId, $info->number);
		if(is_file($targetFile)) {
			unlink($targetFile);
		}
		$subFileNameBase = str_replace('*', '%02d', $partsInfo['subfile']);
		$targetFile = SYSTEM_USERS_PATH.sprintf('%03d/work/'.$subFileNameBase, $domainId, $info->number);
		if(is_file($targetFile)) {
			unlink($targetFile);
		}

		if($textData->delete($domainId, $selectTextId)) {
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_DELETE_SUCCESS;
				$selectTextId = 0;
			} else {
				$message = Language::MSG_DELETE_ERROR;
			}
		} else {
			$message = Language::MSG_DELETE_ERROR;
		}

	} else if($_GET['mode']==='save') {
		$info = $textData->get($domainId, $selectTextId);
		$info->name = $_POST['name'];
		$info->width = $_POST['width'];
		$info->height = $_POST['height'];
		$info->bgColor = $_POST['bgColor'];
		$info->bgAlpha = $_POST['bgAlpha'];
		$info->fileType = intval($_POST['fileType']);
		$info->textData = $_POST['textData'];

		if(intval($_POST['isInputUrl']) === 1) {
			$info->fileUrl = $_POST['fileUrl'];
		} else {
			$info->fileUrl = sprintf($subFileNameBase, $info->number);
		}

		//チェック
		$result = $info->check();
		if(count($result) > 0) {
			$message = Language::MSG_INPUT_ERROR;
		} else {
			if($textData->set($domainId, $info)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
					unset($_POST);
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		}
	}
} else {
	unset($_POST);
}

$textList = $textData->getList($domainId);
if($selectTextId > 0) {
	$selectInfo = $textData->get($domainId, $selectTextId);

	$subFileName = sprintf($subFileNameBase, $selectInfo->number);
	if($selectInfo->fileUrl === $subFileName) {
		$isInputUrl = false;
	} else {
		$isInputUrl = true;
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();
if($selectTextId > 0) {
?>
<script type="text/javascript"><!--
function changeTextDisp(isDisp) {
	changeDisplay('FileUrl', isDisp);
	changeDisplay('InputText', !isDisp);
}
function init() {
	changeTextDisp(<?php echo ($isInputUrl?'true':'false');?>);
}
window.onload = init;
--></script>
<?php
}
?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="TextId" value="<?php echo $selectTextId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo TextHtmlUtil::mode2Text();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::TEXT_SETTING_COMMENT1);?></p>

				<div id="tree_area">
				<div class="tree_item_title"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_MINUS);?></span><?php echo htmlspecialchars(Language::TEXT_LIST);?></div>
				<div class="tree_item_list_area">

<?php
	$listLength = count($textList);
	if($listLength > 0) {
		$cnt = 1;
		foreach($textList as $textInfo) {
			$dispStr = ($textInfo->name===''?'no name':$textInfo->name);
?>					<div class="<?php
				if($listLength > $cnt) {
					echo 'tree_mst';
				} else {
					echo 'tree_mse';
				}
				?>"><div class="tree_msy"><p class="tree_txt"><span class="tree_nb"><?php echo $textInfo->number;?></span>
<?php
			if($textInfo->textId === $selectTextId) {
				echo htmlspecialchars($dispStr);
			} else {
?>					<a href="list.php?TextId=<?php echo $textInfo->textId;?>"><?php echo htmlspecialchars($dispStr);?></a>
<?php
			}
?></p></div></div><?php
			$cnt++;
		}
	} else {
		?><p class="save_message"><?php echo htmlspecialchars(Language::NOT_REGIST);?></p><?php
	}
?>

	 				<div class="tree_new_item"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_PLUS);?></span><a href="javascript:void(0);" onclick="onClickHref('list.php?mode=add');return false;"><?php echo htmlspecialchars(Language::ADD_TEXT);?></a></div>

				</div>

				</div>
<?php
	if($selectTextId > 0) {
?>
				<div id="item_input_area">


<?php echo TextHtmlUtil::tagTextMenu(1);?>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::BASE_SETTING);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::NAME);?></th>
								<td><?php echo FormUtil::textbox('name', $selectInfo->name, 30, 0, 'txt').FormUtil::getErrorStr($result, 'name');?></td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::SIZE);?></th>
								<td>
									<?php echo htmlspecialchars(Language::WIDTH);?>: <?php echo FormUtil::textbox('width', $selectInfo->width, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'width');?><br />
									<?php echo htmlspecialchars(Language::HEIGHT);?>: <?php echo FormUtil::textbox('height', $selectInfo->height, 6, 0, 'txt').'px'.FormUtil::getErrorStr($result, 'height');?>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::BACKGROUND);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::COLOR);?> #<?php echo FormUtil::textbox('bgColor', $selectInfo->bgColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'bgColor');?></div>
									<div><?php echo htmlspecialchars(Language::ALPHA_VALUE);?><?php echo FormUtil::textbox('bgAlpha', $selectInfo->bgAlpha, 5, 3, 'txt').FormUtil::getErrorStr($result, 'bgAlpha');?></div>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::TEXT_FILE_TYPE);?></th>
								<td>
									<p><?php echo FormUtil::radio('fileType', 1, $selectInfo->fileType);?> <?php echo htmlspecialchars(Language::TEXT_FILE);?></p>
									<p><?php echo FormUtil::radio('fileType', 2, $selectInfo->fileType);?> <?php echo htmlspecialchars(Language::HTML_FILE);?></p>
								</td>
							</tr>
							<tr>
								<th><?php echo htmlspecialchars(Language::TEXT_FILE);?></th>
								<td>
									<p><?php echo FormUtil::radio('isInputUrl', 0, ($isInputUrl?1:0), 'onclick="changeTextDisp(false);"');?> <?php echo htmlspecialchars(Language::TEXT_FILE_TYPE_0);?></p>
									<p><?php echo FormUtil::radio('isInputUrl', 1, ($isInputUrl?1:0), 'onclick="changeTextDisp(true);"');?> <?php echo htmlspecialchars(Language::TEXT_FILE_TYPE_1);?></p>
									<p id="FileUrl"><?php echo FormUtil::textbox('fileUrl', $selectInfo->fileUrl, 30, 0, 'txt wt_50').FormUtil::getErrorStr($result, 'fileUrl');?></p>
									<p id="InputText"><?php echo FormUtil::textArea('textData', $selectInfo->textData, 30, 10, 'txt wt_50');?></p>
								</td>
							</tr>
						</table>
					</div>
					<div class="save_bt">
						<a href="javascript:void(0);" onclick="dialogPost('<?php echo htmlspecialchars(Language::TEXT_DELETE_CHECK_COMMENT);?>', 'list.php?mode=del');return false;"><img src="../../image/normal/bt/del_bt.gif" title="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" /></a>
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'list.php?mode=save');return false;" />
					</div>

				</div>
<?php
	}
?>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(7, !$flagXml->isCreated($domainId));?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->

