<?php
require_once '../../inc/common.php';
commonInit();
userInit();

require_once SYSTEM_INCLUDE_PATH.'util/text_html_util.php';

$domainId = intval($_SESSION['DomainId']);
if(isset($_POST['TextId'])) {
	$selectTextId = intval($_POST['TextId']);
} else {
	exit();
}

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
$flagXml = new FlagXml($_SESSION['UserName']);

require_once SYSTEM_INCLUDE_DATA_PATH.'text/text_xml.php';
$textData = new TextXml($_SESSION['UserName']);

$message = '';
$result = array();
if(isset($_GET['mode'])) {
	 if($_GET['mode']==='save') {
		$info = $textData->get($domainId, $selectTextId);
		$info->verticalSchlollIsDisplay = (intval($_POST['verticalSchlollIsDisplay'])===1);
		$info->verticalSchlollFaceColor = $_POST['verticalSchlollFaceColor'];
		$info->verticalSchlollArrowColor = $_POST['verticalSchlollArrowColor'];
		$info->verticalSchlollTrackColor = $_POST['verticalSchlollTrackColor'];
		$info->verticalSchlollInsideHighlightColor = $_POST['verticalSchlollInsideHighlightColor'];
		$info->verticalSchlollInsideShadowColor = $_POST['verticalSchlollInsideShadowColor'];
		$info->verticalSchlollOutsideHighlightColor = $_POST['verticalSchlollOutsideHighlightColor'];
		$info->verticalSchlollOutsideShadowColor = $_POST['verticalSchlollOutsideShadowColor'];
		$info->horizonSchlollIsDisplay = (intval($_POST['horizonSchlollIsDisplay'])===1);
		$info->horizonSchlollFaceColor = $_POST['horizonSchlollFaceColor'];
		$info->horizonSchlollArrowColor = $_POST['horizonSchlollArrowColor'];
		$info->horizonSchlollTrackColor = $_POST['horizonSchlollTrackColor'];
		$info->horizonSchlollInsideHighlightColor = $_POST['horizonSchlollInsideHighlightColor'];
		$info->horizonSchlollInsideShadowColor = $_POST['horizonSchlollInsideShadowColor'];
		$info->horizonSchlollOutsideHighlightColor = $_POST['horizonSchlollOutsideHighlightColor'];
		$info->horizonSchlollOutsideShadowColor = $_POST['horizonSchlollOutsideShadowColor'];

		//チェック
		$result = $info->check();
		if(count($result) > 0) {
			$message = Language::MSG_INPUT_ERROR;
		} else {
			if($textData->set($domainId, $info)) {
				if($domain->setNotOutput($domainId)) {
					$message = Language::MSG_REGIST_SUCCESS;
				} else {
					$message = Language::MSG_REGIST_ERROR;
				}
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		}
	}
} else {
	unset($_POST);
}

$textList = $textData->getList($domainId);
$selectInfo = $textData->get($domainId, $selectTextId);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function init() {
	changeDisplay('VerticalColor', <?php echo ($selectInfo->verticalSchlollIsDisplay?'true':'false');?>);
	changeDisplay('HorizonColor', <?php echo ($selectInfo->horizonSchlollIsDisplay?'true':'false');?>);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="TextId" value="<?php echo $selectTextId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(5, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step2" title="<?php echo htmlspecialchars(Language::TITLE_STEP2);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP2);?></span></h2>
		<div id="contents_inner_main_t">
			<ul>
				<li title="<?php echo htmlspecialchars(Language::DETAIL_MODE);?>"><a href="../detail/base.php" class="mode_select2a"><span class="dis_none"><?php echo htmlspecialchars(Language::DETAIL_MODE);?></span></a></li>
				<li title="<?php echo htmlspecialchars(Language::EASY_MODE);?>"><a href="../mode1_base.php" class="mode_select1"><span class="dis_none"><?php echo htmlspecialchars(Language::EASY_MODE);?></span></a></li>
			</ul>
		</div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_mode2_ti" title="<?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DETAIL_SETTING);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<?php echo TextHtmlUtil::mode2Text();?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::TEXT_SETTING_COMMENT1);?></p>

				<div id="tree_area">
				<div class="tree_item_title"><span class="tree_ico"><?php echo htmlspecialchars(Language::MARK_MINUS);?></span><?php echo htmlspecialchars(Language::TEXT_LIST);?></div>
				<div class="tree_item_list_area">

<?php
	$listLength = count($textList);
	if($listLength > 0) {
		$cnt = 1;
		foreach($textList as $textInfo) {
			$dispStr = ($textInfo->name===''?'no name':$textInfo->name);
?>					<div class="<?php
				if($listLength > $cnt) {
					echo 'tree_mst';
				} else {
					echo 'tree_mse';
				}
				?>"><div class="tree_msy"><p class="tree_txt"><span class="tree_nb"><?php echo $textInfo->number;?></span>
<?php
			if($textInfo->textId === $selectTextId) {
				echo htmlspecialchars($dispStr);
			} else {
?>					<a href="list.php?TextId=<?php echo $textInfo->textId;?>"><?php echo htmlspecialchars($dispStr);?></a>
<?php
			}
?></p></div></div><?php
			$cnt++;
		}
	} else {
		?><p class="save_message"><?php echo htmlspecialchars(Language::NOT_REGIST);?></p><?php
	}
?>

				</div>

				</div>
<?php
	if($selectTextId > 0) {
?>
				<div id="item_input_area">


<?php echo TextHtmlUtil::tagTextMenu(3);?>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::VERTICAL_SCROLLBAR);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::VERTICAL_SCROLLBAR);?></th>
								<td>
									<div><?php echo FormUtil::radio('verticalSchlollIsDisplay', 1, ($selectInfo->verticalSchlollIsDisplay?1:0), 'onclick="changeDisplay(\'VerticalColor\', true);"');?> <?php echo htmlspecialchars(Language::DISPLAY);?></div>
									<div><?php echo FormUtil::radio('verticalSchlollIsDisplay', 0, ($selectInfo->verticalSchlollIsDisplay?1:0), 'onclick="changeDisplay(\'VerticalColor\', false);"');?> <?php echo htmlspecialchars(Language::DISPLAY_NON);?></div>
								</td>
							</tr>
							<tr id="VerticalColor" style="display: none;">
								<th><?php echo htmlspecialchars(Language::COLOR_SETTING);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::BASE_COLOR);?>: #<?php echo FormUtil::textbox('verticalSchlollFaceColor', $selectInfo->verticalSchlollFaceColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'verticalSchlollFaceColor');?></div>
									<div><?php echo htmlspecialchars(Language::ARROW_COLOR);?>: #<?php echo FormUtil::textbox('verticalSchlollArrowColor', $selectInfo->verticalSchlollArrowColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'verticalSchlollArrowColor');?></div>
									<div><?php echo htmlspecialchars(Language::SCROLLBOX_COLOR);?>: #<?php echo FormUtil::textbox('verticalSchlollTrackColor', $selectInfo->verticalSchlollTrackColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'verticalSchlollTrackColor');?></div>
									<div><?php echo htmlspecialchars(Language::INSIDE_HIGHLIGHT);?>: #<?php echo FormUtil::textbox('verticalSchlollInsideHighlightColor', $selectInfo->verticalSchlollInsideHighlightColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'verticalSchlollInsideHighlightColor');?></div>
									<div><?php echo htmlspecialchars(Language::INSIDE_SHADOW);?>: #<?php echo FormUtil::textbox('verticalSchlollInsideShadowColor', $selectInfo->verticalSchlollInsideShadowColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'verticalSchlollInsideShadowColor');?></div>
									<div><?php echo htmlspecialchars(Language::OUTSIDE_HIGHLIGHT);?>: #<?php echo FormUtil::textbox('verticalSchlollOutsideHighlightColor', $selectInfo->verticalSchlollOutsideHighlightColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'verticalSchlollOutsideHighlightColor');?></div>
									<div><?php echo htmlspecialchars(Language::OUTSIDE_SHADOW);?>: #<?php echo FormUtil::textbox('verticalSchlollOutsideShadowColor', $selectInfo->verticalSchlollOutsideShadowColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'verticalSchlollOutsideShadowColor');?></div>
								</td>
							</tr>
						</table>
					</div>

					<div class="input_table">
						<table summary="<?php echo htmlspecialchars(Language::HORIZON_SCROLLBAR);?>">
							<tr>
								<th><?php echo htmlspecialchars(Language::HORIZON_SCROLLBAR);?></th>
								<td>
									<div><?php echo FormUtil::radio('horizonSchlollIsDisplay', 1, ($selectInfo->horizonSchlollIsDisplay?1:0), 'onclick="changeDisplay(\'HorizonColor\', true);"');?> <?php echo htmlspecialchars(Language::DISPLAY);?></div>
									<div><?php echo FormUtil::radio('horizonSchlollIsDisplay', 0, ($selectInfo->horizonSchlollIsDisplay?1:0), 'onclick="changeDisplay(\'HorizonColor\', false);"');?> <?php echo htmlspecialchars(Language::DISPLAY_NON);?></div>
								</td>
							</tr>
							<tr id="HorizonColor" style="display: none;">
								<th><?php echo htmlspecialchars(Language::COLOR_SETTING);?></th>
								<td>
									<div><?php echo htmlspecialchars(Language::BASE_COLOR);?>: #<?php echo FormUtil::textbox('horizonSchlollFaceColor', $selectInfo->horizonSchlollFaceColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'horizonSchlollFaceColor');?></div>
									<div><?php echo htmlspecialchars(Language::ARROW_COLOR);?>: #<?php echo FormUtil::textbox('horizonSchlollArrowColor', $selectInfo->horizonSchlollArrowColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'horizonSchlollArrowColor');?></div>
									<div><?php echo htmlspecialchars(Language::SCROLLBOX_COLOR);?>: #<?php echo FormUtil::textbox('horizonSchlollTrackColor', $selectInfo->horizonSchlollTrackColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'horizonSchlollTrackColor');?></div>
									<div><?php echo htmlspecialchars(Language::INSIDE_HIGHLIGHT);?>: #<?php echo FormUtil::textbox('horizonSchlollInsideHighlightColor', $selectInfo->horizonSchlollInsideHighlightColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'horizonSchlollInsideHighlightColor');?></div>
									<div><?php echo htmlspecialchars(Language::INSIDE_SHADOW);?>: #<?php echo FormUtil::textbox('horizonSchlollInsideShadowColor', $selectInfo->horizonSchlollInsideShadowColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'horizonSchlollInsideShadowColor');?></div>
									<div><?php echo htmlspecialchars(Language::OUTSIDE_HIGHLIGHT);?>: #<?php echo FormUtil::textbox('horizonSchlollOutsideHighlightColor', $selectInfo->horizonSchlollOutsideHighlightColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'horizonSchlollOutsideHighlightColor');?></div>
									<div><?php echo htmlspecialchars(Language::OUTSIDE_SHADOW);?>: #<?php echo FormUtil::textbox('horizonSchlollOutsideShadowColor', $selectInfo->horizonSchlollOutsideShadowColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'horizonSchlollOutsideShadowColor');?></div>
								</td>
							</tr>
						</table>
					</div>
					<div class="save_bt">
						<input type="image" name="save" src="../../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" onclick="onClickSubmit('act', 'scrollbar.php?mode=save');return false;" />
					</div>

				</div>
<?php
	}
?>

			</div>

<?php echo HtmlUtil::tagDetailSideMenu(7, !$flagXml->isCreated($domainId));?>

		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->

