<?php
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(!isset($_SESSION['AuthorityLevel']) || intval($_SESSION['AuthorityLevel']) !== 1) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
} else {

	if(isset($_POST['domainId'])) {
		$domainId = intval($_POST['domainId']);
	} else {
		$domainId = 0;
	}

	$deleteDir = sprintf('%03d', $domainId);

	$message = '';

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php echo htmlspecialchars(Language::DELETE.' '.DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo HtmlUtil::tagIntCommonCss();?>
		<script type="text/javascript" src="../js/http.js"></script>
		<script type="text/javascript"><!--

function deletePath(dir, delDir) {
	var dispArea = document.getElementById('script_disp_area');
	try {
		var httpObj = getHttpObj();

		var nowTimeObj = new Date();
		httpObj.open('GET', 'delete_exec.php?domainId=<?echo $domainId;?>&target='+delDir+'&'+nowTimeObj.getTime(), true);
		httpObj.onreadystatechange = function(){
			var dispArea = document.getElementById('script_disp_area');
			if(httpObj.readyState == 4) {
				if(httpObj.status == 200) {
					var xml = httpObj.responseXML;
					if(xml) {
						var status = Number(xml.getElementsByTagName('status')[0].firstChild.nodeValue);
						switch (status) {
						case 0: //next
							var next = xml.getElementsByTagName('next')[0].firstChild.nodeValue;
							dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::PLEASE_DONT_BE_CLOSE);?><\/div><div><?php echo htmlspecialchars(Language::DELETING_IT_PLEASE_WAIT);?><\/div><div>"+next.substring(dir.length)+"<\/div>";
							var tid=setTimeout("deletePath('"+dir+"', '"+next+"')",<?php echo Config::SYSTEM_SCRIPT_REQUEST_TIME;?>);

							break;
						case 1: //end
							dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::FINISH);?><\/div><div><a href=\"index.php\"><?php echo htmlspecialchars(Language::RETURN_TO);?><\/a><\/div>";
							break;

						default: //error
							var result = xml.getElementsByTagName('result')[0].firstChild.nodeValue;
							dispArea.innerHTML = "<p class=\"caution_art\">Error.:"+result+"<\/p>";
							break;
						}
					} else {
						dispArea.innerHTML = "<p class=\"caution_art\">Response error.<\/p>";
					}
				} else {
					dispArea.innerHTML = "<p class=\"caution_art\">HTTP error.:"+httpObj.status+"<\/p>";
				}
			}
		}
		httpObj.send('');

	} catch(e) {
		dispArea.innerHTML = "<p class=\"caution_art\">HTTP Request error.<\/p>";
	}
}
function init() {
	deletePath('<?php echo htmlspecialchars($deleteDir);?>', '<?php echo htmlspecialchars($deleteDir);?>');
}
window.onload = init;
--></script>
	</head>
	<body>
<div id="wrapper">
<div id="container">
<input type="hidden" name="accountId" value="<?echo htmlspecialchars($accountId);?>" />
<input type="hidden" name="domainId" value="<?echo htmlspecialchars($domainId);?>" />
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><?php echo DesignConfig::getTagAplLogo();?></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
<!-- GnaviStart -->
<?php echo HtmlUtil::tagIntGlNavi();?>
<!-- GnaviEnd -->
	<div id="contents_inner">
	<h2 class="site_edit"><span><?php echo htmlspecialchars(Language::DOMAIN_MANAGER);?></span></h2>
		<div id="main_inner">
			<div id="script_disp_area">
				<div><?php echo htmlspecialchars(Language::PLEASE_DONT_BE_CLOSE);?></div>
				<div><?php echo htmlspecialchars(Language::DELETING_IT_PLEASE_WAIT);?></div>
				<div>/</div>
			</div>
		</div>
	</div>
<!-- SiteInputEnd -->
	<div id="contents_footer"><?php echo HtmlUtil::tagIntContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</body>
</html><?php
}
?>