<?
set_time_limit(0);
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(!isset($_SESSION['AuthorityLevel']) || intval($_SESSION['AuthorityLevel']) !== 1) {
	header('HTTP/1.0 404 Not Found');
	exit();

} else {

	$status = 0;
	$result = Language::SUCCESS;
	$target = realpath(SYSTEM_USERS_PATH.$_GET['target']);
	$domainId = intval($_GET['domainId']);
	$usersPaht = realpath(SYSTEM_USERS_PATH.sprintf('%03d', $domainId));

	$nextPath = '';
	if(strpos($target, $usersPaht) === 0 && is_dir($target)) {
		$dh  = opendir($target);
		while (false !== ($pathName = readdir($dh))) {
			if($pathName != "." && $pathName != "..") {
				$deletePath = $target.'/'.$pathName;
				if(is_file($deletePath)) {
					if(!unlink($deletePath)) {
						$status = -1;
						$result = Language::MSG_DELETE_ERROR.'['.$pathName.']';
					}
				} else if(is_dir($deletePath)) {
					$nextPath = realpath($deletePath);
				}
			}
		}

		if($nextPath === '') {
			$nextPath = realpath($target.'/..');
			if(rmdir($target)) {
				if($target === $usersPaht) {
					require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
					$domain = new Domain($_SESSION['UserName']);
					if($domain->delete($domainId)) {
						$status = 1;
					} else {
						$status = -1;
						$result =  Language::MSG_DELETE_ERROR;
					}
				}
			} else {
				$status = -1;
				$result =  Language::MSG_DELETE_ERROR;
			}
		}

	} else if($target === $usersPaht && !file_exists($target)) {
		//存在しないディレクトリを指定
		require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
		$domain = new Domain($_SESSION['UserName']);
		if($domain->delete($domainId)) {
			$status = 1;
		} else {
			$status = -1;
			$result =  Language::MSG_DELETE_ERROR;
		}
	} else {
		//エラー
		$status = -1;
		$result = Language::PARAMETER_ERROR;
	}

	$nextPath = substr($nextPath, strlen(realpath(SYSTEM_USERS_PATH).'/'));

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<next>{$nextPath}</next>
	<result>{$result}</result>
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>