<?php
	require_once dirname(__FILE__).'/../inc/common.php';
	commonInit();

	if(!isset($_SESSION['AuthorityLevel']) || intval($_SESSION['AuthorityLevel']) !== 1) {
		header('Location: '.SYSTEM_APL_URL.'index.php');
		exit();
	}

	if(isset($_GET['domainId'])) {
		$domainId = intval($_GET['domainId']);
	} else if(isset($_POST['domainId'])) {
		$domainId = intval($_POST['domainId']);
	} else {
		$domainId = 0;
	}

	require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
	$domain = new Domain($_SESSION['UserName']);

	if($domainId === 0) {
		$info = new DomainInfo();
		$info->outputPath = Config::OUTPUT_DEFAULT_PATH;
	} else {
		$info = $domain->getInfo($domainId);
	}

	require_once SYSTEM_INCLUDE_PATH.'data/coreblo_data.php';
	$isLinkCoreblo = CorebloData::checkLink();
	if($isLinkCoreblo) {
		$corebloData = new CorebloData();
	}

	$message = '';
	$result = array();
	if(isset($_GET['mode'])) {
		if($_GET['mode']==='save') {

			$info->domainId = $domainId;
			$info->domainTitle = $_POST['domainTitle'];
			if($isLinkCoreblo) {
				if(!empty($_POST['unitId'])) {
					$info->outputPath = $corebloData->createPath($_POST['unitId']);
				}
			} else {
				$info->outputPath = $_POST['outputPath'];
			}
			if($domainId === 0) {
				$info->domainName = $_POST['domainName'];
			}

			$result = $info->check();
			if(count($result) === 0) {
				if($domainId === 0) {
					$domainId = $domain->regist($info);
					if($domainId === 0) {
						$message = Language::MSG_REGIST_ERROR;
					} else {
						$info->domainId = $domainId;

						$targetDir = SYSTEM_USERS_PATH.sprintf('%03d', $domainId);
						if(mkdir($targetDir, 0755)
						&& mkdir($targetDir.'/template', 0755)
						&& mkdir($targetDir.'/work', 0755)) {

							$message = Language::MSG_REGIST_SUCCESS;
							$info = $domain->getInfo($domainId);
						} else {
							$message = Language::MSG_CREATE_ERROR;
						}
					}
				} else {
					if($domain->update($info)) {
						$message = Language::MSG_UPDATE_SUCCESS;
						$info = $domain->getInfo($domainId);
					} else {
						$message = Language::MSG_UPDATE_ERROR;
					}
				}
			} else {
				$message = Language::MSG_INPUT_ERROR;
			}
		}
	}

	$domainList = &$domain->getOutlineList();

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php echo htmlspecialchars(Language::DOMAIN_MANAGER.' '.DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo HtmlUtil::tagIntCommonCss();?>
<script type="text/javascript" src="../js/window.js"></script>
</head>

<body>
<form id="act" action="" method="post">
<div id="wrapper">
<div id="container">
<input type="hidden" name="domainId" value="<?echo htmlspecialchars($domainId);?>" />
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><?php echo DesignConfig::getTagAplLogo();?></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
<!-- GnaviStart -->
<?php echo HtmlUtil::tagIntGlNavi();?>
<!-- GnaviEnd -->
	<div id="contents_inner">
	<h2 class="site_edit"><span><?php echo htmlspecialchars(Language::DOMAIN_MANAGER);?></span></h2>
	<div class="new_edit_bt"><a href="index.php"><span><?php echo htmlspecialchars(Language::CREATE);?></span></a></div>
<!-- SiteListStart -->
	<div id="main_inner">
		<div class="list_area">
			<div class="list_table">
				<p class="int_name"><?php echo htmlspecialchars(Language::DOMAIN_LIST);?></p>
				<table summary="<?php echo htmlspecialchars(Language::DOMAIN_LIST);?>">
<?php
	if(count($domainList) === 0) {
?>
					<tr>
						<td><?php echo htmlspecialchars(Language::NOT_REGIST);?></td>
					</tr>
<?php
	} else {
?>
					<tr>
						<th class="nb_th"><?php echo htmlspecialchars(Language::NUMBER);?></th>
						<th><?php echo htmlspecialchars(Language::SITE_NAME);?></th>
						<th class="ed_th"><?php echo htmlspecialchars(Language::ACCOUNT);?></th>
					</tr>
<?php
		foreach($domainList as $outlineInfo) {
?>
					<tr>
						<td class="td_center"><?php echo sprintf('%03d', $outlineInfo->domainId);?></td>
						<td><a href="index.php?domainId=<?php echo $outlineInfo->domainId;?>"><?php echo htmlspecialchars($outlineInfo->domainTitle);?></a></td>
						<td class="td_center"><a href="../account/index.php?domainId=<?php echo $outlineInfo->domainId;?>"><?php echo htmlspecialchars(Language::EDIT);?></a></td>
					</tr>
<?php
		}
	}
?>
				</table>
			</div>
		</div>
<!-- SiteListEnd -->
<!-- SiteInputStart -->
		<div class="input_area">
		<div class="input_table">
			<p class="int_name"><?php echo htmlspecialchars(Language::DOMAIN_DETAIL);?></p>
<?php
	if($message !== '') {
?>
			<div class="caution_input_area">
				<p class="caution_art"><?php echo htmlspecialchars($message);?></p>
			</div>
<?php
	}
?>
			<table summary="<?php echo htmlspecialchars(Language::DOMAIN_DETAIL);?>">
				<tr>
					<th><?php echo htmlspecialchars(Language::NUMBER);?></th>
					<td>
<?php
	if($info->domainId === 0) {
		echo '--------';
	} else {
		echo sprintf('%03d', $domainId);
	}
?>
					</td>
				</tr>
				<tr>
					<th><?php echo htmlspecialchars(Language::SITE_NAME);?></th>
					<td><?php echo FormUtil::textbox('domainTitle', $info->domainTitle, 40, 150, 'txt wt_100').FormUtil::getErrorStr($result, 'domainTitle');?></td>
				</tr>
				<tr>
					<th>SITE ID</th>
					<td><?php
	if($info->domainId === 0) {
		echo FormUtil::textbox('domainName', $info->domainName, 40, 150, 'txt wt_100').FormUtil::getErrorStr($result, 'domainName');
	} else {
		echo htmlspecialchars($info->domainName);
	}
?></td>
				</tr>
				<tr>
					<th><?php echo htmlspecialchars(Language::OUTPUT_PATH);?></th>
					<td>
<?php
	if($isLinkCoreblo) {
?>
						<select name="unitId" size="1" onfocus="focusColor(this)" onblur="blurColor(this)">
<?php
		if(preg_match($corebloData->getPathPattern(), $info->outputPath) === 1) {
			$tmp = realPath($info->outputPath);
			$tmpList = explode('/', $tmp);
			$defaultVal = intval($tmpList[count($tmpList)-1]);
		} else {
			$defaultVal = 0;
?>
							<?php echo FormUtil::option('unitId', 0, $defaultVal, $info->outputPath);?>
<?php
		}
		$unitIdList = $corebloData->getUnitIdList();
		foreach($unitIdList as $unitId => $title) {
?>
							<?php echo FormUtil::option('unitId', $unitId, $defaultVal, sprintf('FLAG-%04dU/T[%s]', $unitId, $title));?>
<?php
		}
?>
						</select>
<?php
	} else {
		echo FormUtil::textbox('outputPath', $info->outputPath, 40, 150, 'txt wt_100');
	}
	echo FormUtil::getErrorStr($result, 'outputPath');
	?></td>
				</tr>
			</table>
		</div>
		<div class="input_table">
			<table summary="<?php echo htmlspecialchars(Language::TABLE_SYSTEM_INFO);?>">
				<tr><th><?php echo htmlspecialchars(Language::REGUST_USER);?></th><td><?php echo HtmlUtil::emptyStr($info->registUser);?></td></tr>
				<tr><th><?php echo htmlspecialchars(Language::REGUST_DATETIME);?></th><td><?php echo HtmlUtil::emptyDatetimeStr($info->registDateStr);?></td></tr>
				<tr><th><?php echo htmlspecialchars(Language::UPDATE_USER);?></th><td><?php echo HtmlUtil::emptyStr($info->updateUser);?></td></tr>
				<tr><th><?php echo htmlspecialchars(Language::UPDATE_DATETIME);?></th><td><?php echo HtmlUtil::emptyDatetimeStr($info->updateDateStr);?></td></tr>
			</table>
		</div>
		<div class="input_bt">
			<ul>
				<li><a href="javascript:void(0);" onclick="onClickSubmit('act', 'index.php?mode=save');return false;" class="save_bt"><span><?php echo htmlspecialchars(Language::SAVE_CONTENTS);?></span></a></li>
<?php
	if($info->domainId > 0) {
?>
				<li><a href="javascript:void(0);" onclick="dialogPost('<?php echo htmlspecialchars(Language::getMsgCheckDelete($info->domainName));?>', 'delete.php');return false;" class="delete_bt"><span><?php echo htmlspecialchars(Language::DELETE_CONTENTS);?></span></a></li>
<?php
	}
?>
			</ul>
		</div>
		</div>
		</div>
	</div>
<!-- SiteInputEnd -->
	<div id="contents_footer"><?php echo HtmlUtil::tagIntContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>