<?php
set_time_limit(0);
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();
userInit();

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
	exit();
} else {
	$status = 0;
	$result = Language::SUCCESS;
	$domainId = intval($_SESSION['DomainId']);
	$archivePath = SYSTEM_USERS_PATH.sprintf('%03d/archive.zip', $domainId);

	if(is_file($archivePath)) {
		unlink($archivePath);
	}

	require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
	$domain = new Domain($_SESSION['UserName']);
	$destPathBase = realpath($domain->getOutputPath($domainId));

	if(chdir($destPathBase)) {
		exec('zip -r '.$archivePath.' *');
	}

	if(!is_file($archivePath)) {
		$status = -1;
		$result = Language::MSG_CREATE_ERROR;
	}

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<result>{$result}</result>
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>