<?php
require_once '../inc/common.php';
commonInit();
userInit();

if(!Config::IS_ARCIVE) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
}

$domainId = intval($_SESSION['DomainId']);

$archveFileName = sprintf('%03d/archive.zip', $domainId);
$archiveUrl = SYSTEM_URL.'users/'.$archveFileName;
$archivePath = SYSTEM_USERS_PATH.$archveFileName;

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);
$outputPath = $domain->getOutputPath($domainId);
$isOutput = is_file($outputPath.'coreblo_flag.xml');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();
if($isOutput) {?>
	<script type="text/javascript" src="../js/http.js"></script>
	<script type="text/javascript"><!--
function onArchive() {
	var dispArea = document.getElementById('script_disp_area');
	dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::ARCHIVE_IT_PLEASE_WAIT);?><\/div><div><?php echo htmlspecialchars(Language::PLEASE_DONT_BE_CLOSE);?><\/div>";
	try {
		var httpObj = getHttpObj();

		var nowTimeObj = new Date();
		httpObj.open('GET', 'archive_exec.php?'+nowTimeObj.getTime(), true);
		httpObj.onreadystatechange = function(){
			var dispArea = document.getElementById('script_disp_area');
			if(httpObj.readyState == 4) {
				if(httpObj.status == 200) {
					var xml = httpObj.responseXML;
					if(xml) {
						var status = Number(xml.getElementsByTagName('status')[0].firstChild.nodeValue);
						switch (status) {
						case 0: //next

							dispArea.innerHTML = "<div><a href=\"<?php echo htmlspecialchars($archiveUrl);?>\"><?php echo htmlspecialchars(Language::DOWNLOAD);?><\/a><\/div><div><a href=\"javascript:void(0);\" onclick=\"onArchive();return false;\"><?php echo htmlspecialchars(Language::RE_ARCHIVE);?><\/a><\/div>";

							break;
						default: //error
							var result = xml.getElementsByTagName('result')[0].firstChild.nodeValue;
							dispArea.innerHTML = "<p class=\"caution_art\">Error.:"+result+"<\/p>";
							break;
						}
					} else {
						dispArea.innerHTML = "<p class=\"caution_art\">Response error.<\/p>";
					}
				} else {
					dispArea.innerHTML = "<p class=\"caution_art\">HTTP error.:"+httpObj.status+"<\/p>";
				}
			}
		}
		httpObj.send('');

	} catch(e) {
		dispArea.innerHTML = "<p class=\"caution_art\">HTTP Request error.<\/p>";
	}
}
--></script>
<?php
}
?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="id" value="" />
	<input type="hidden" name="mode" value="" />
	<input type="hidden" name="dispNo" value="" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(1, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step7" title="<?php echo htmlspecialchars(Language::TITLE_STEP7);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP7);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_download_ti" title="<?php echo htmlspecialchars(Language::TITLE_DOWNLOAD_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_DOWNLOAD_EDIT);?></span></h3>
			<h4 class="h4_download_ti01" title="<?php echo htmlspecialchars(Language::DOWNLOAD_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::DOWNLOAD_DETAIL_SETTING);?></span></h4>
			<p class="detail_message"><?php echo htmlspecialchars(Language::DOWNLOAD_EDIT_COMMENT1);?></p>

		<div id="script_disp_area">
			<div><?php echo htmlspecialchars(Language::ARCHIVE_AND_DOWNLOAD_COMMENT);?></div>
<?php
if($isOutput) {
	if(is_file($archivePath)) {
?>
			<div><a href="<?php echo htmlspecialchars($archiveUrl);?>"><?php echo htmlspecialchars(Language::DOWNLOAD);?></a> <?php echo date('Y/m/d H:i:s', filemtime($archivePath));?></div>
			<div><a href="javascript:void(0);" onclick="onArchive();"><?php echo htmlspecialchars(Language::RE_ARCHIVE);?></a></div>
<?php
	} else {
?>		 	<div><a href="javascript:void(0);" onclick="onArchive();"><?php echo htmlspecialchars(Language::ARCHIVE);?></a></div>
<?php
	}
} else {
?>
			<p class="save_message"><?php echo htmlspecialchars(Language::MSG_NOTO_OUTPUT_FILES)?></p>
<?php
}
?>
		</div>
		</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
