<?php
/**
 * define部分のみ実行
 * システムがインストールされていない場合でも、ある程度利用できるように切り出し
 */
function commonDefine() {
	//システムトップの相対URLを作成
	$tmpUrlBase = substr($_SERVER['SCRIPT_NAME'],0,strpos($_SERVER['SCRIPT_NAME'],'apl/'));
	$tmpUrl = substr($_SERVER['SCRIPT_NAME'], strlen($tmpUrlBase));
	$slashCnt = substr_count($tmpUrl, '/');
	$systemUrl = '';
	for($cnt = 0; $cnt < $slashCnt; $cnt++) {
		$systemUrl .= '../';
	}

	define('SYSTEM_URL', $systemUrl);
	define('SYSTEM_APL_URL', $systemUrl.'apl/');
	define('SYSTEM_REAL_URL', $tmpUrlBase);	//絶対URL
	define('SYSTEM_APP_PATH', realpath(dirname(__FILE__).'/..').'/');
	define('SYSTEM_INCLUDE_PATH', dirname(__FILE__).'/');
	define('SYSTEM_USERS_PATH', realpath(SYSTEM_APP_PATH.'..').'/users/');
	define('SYSTEM_PATH', realpath(SYSTEM_APP_PATH.'..').'/');

}

/**
 * 各ページの先頭で呼び出す初期化関数。
 * define定義、ログインチェックを行う
 * @param $isCheckLogin [in] ログインチェックをするかどうか
 */
function commonInit($isCheckLogin = true) {

	commonDefine();

	$configPath = dirname(__FILE__).'/../../config/config.php';
	$languageConfigPath = dirname(__FILE__).'/../../config/language.php';
	$designConfigPath = dirname(__FILE__).'/../../config/design.php';
	if(is_file($configPath) && is_file($designConfigPath)) {
		$urlListConfigPath = dirname(__FILE__).'/../../config/url_list.php';
		if(!is_file($urlListConfigPath)) {
			//後付けファイルのため、ここで作成
			$str = <<<_END_OF_STR_
<?php
require_once dirname(__FILE__).'/../apl/inc/base/url_list_base.php';

/**
 * URL切り替え用ファイル
 * リンク先URL定義を切り替える場合、UrlListBaseの定義をオーバーライドしてください。
 */
class UrlList extends UrlListBase {
}
?>
_END_OF_STR_;
			require_once dirname(__FILE__).'/util/file.php';
			FileUtil::writeFileStr($urlListConfigPath, $str);
		}

		require_once dirname(__FILE__).'/util/form_util.php';
		require_once dirname(__FILE__).'/util/html_util.php';
		require_once $configPath;
		require_once $languageConfigPath;
		require_once $designConfigPath;
		require_once $urlListConfigPath;

		define('SYSTEM_INCLUDE_DATA_PATH', SYSTEM_INCLUDE_PATH.'data/'.Config::DATA_TYPE.'/');

		require_once SYSTEM_APP_PATH.'version.php';
		require_once SYSTEM_INCLUDE_DATA_PATH.'data_access.php';
		require_once SYSTEM_INCLUDE_DATA_PATH.'system_info.php';
		$systemInfo = new SystemInfo('');
		if(Version::VERSION === $systemInfo->getVersion()) {
			session_start();

			if($isCheckLogin) {

				if(!isset($_SESSION['UserID']) || $_SESSION['UserID'] === '' || $_SESSION['InstallPath'] !== realpath(SYSTEM_APP_PATH)) {
					deleteSession();
					header('Location: '.SYSTEM_APL_URL.'index.php');
					exit();
				}
			}

		} else {
			header('Location: '.SYSTEM_APL_URL.'setup/update/index.php');
			exit();
		}
	} else {
		header('Location: '.SYSTEM_APL_URL.'index.php');
		exit();
	}
}

/**
 * セッション削除
 */
function deleteSession() {
	$_SESSION = array();
	if (isset($_COOKIE[session_name()])) {
	    setcookie(session_name(), '', time()-42000, '/');
	}
}

/**
 * 各ユーザー用ページのcommonInit()の後で呼び出す初期化関数。
 * ドメインアクセス状況をチェックする。
 */
function userInit() {
	if(empty($_SESSION['DomainId'])) {
		header('Location: '.SYSTEM_APL_URL.'index.php');
		exit();
	}
}
?>