<?php
class CreateConfig {
	public $installName = '';
	public $dataType = 'mysql';
	public $dbServer = '';
	public $dbName = '';
	public $dbUserName = '';
	public $dbPassword = '';
	public $upCgiUrl = '';
	public $textDataPath = '';
	public $isArcive = false;
	public $outPathDefault = '';

	function &check() {
		$list = array();

		$dataTypeList = CreateConfig::getDataTypeList();
		if(!array_key_exists($this->dataType, $dataTypeList)) {
			$list['dataType'] = Language::MSG_UNKNOWN_ERROR;
		}

		if($this->dataType === 'text') {
			if(trim($this->textDataPath) === '') {
				$list['textDataPath'] = Language::MSG_MANDATORY_ERROR;
			} else {
				require_once dirname(__FILE__).'/../util/utils.php';
				$this->textDataPath = Utils::pathSlash($this->textDataPath);
			}
		} else {
			if(trim($this->dbServer) === '') {
				$list['dbServer'] = Language::MSG_MANDATORY_ERROR;
			}

			if(trim($this->dbName) === '') {
				$list['dbName'] = Language::MSG_MANDATORY_ERROR;
			}
		}


//		if(trim($this->dbUserName) === '') {
//			$list['dbUserName'] = '必須項目です。';
//		}
//
//		if(trim($this->dbPassword) === '') {
//			$list['dbPassword'] = '必須項目です。';
//		}

		return $list;
	}

	/**
	 * データ種別一覧取得
	 * @return array
	 */
	static function getDataTypeList() {
		$list['mysql'] = 'mysql';
		$list['postgres'] = 'postgres';
		$list['text'] = 'text';

		return $list;
	}

	/**
	 * 内容をファイルとして出力
	 * @see FileUtil::writeFileStr
	 * @return intval エラーコード
	 */
	function writeFile() {

		$installName    = str_replace("'", "\'", $this->installName);
		$dataType       = str_replace("'", "\'", $this->dataType);
		$dbServer       = str_replace("'", "\'", $this->dbServer);
		$dbName         = str_replace("'", "\'", $this->dbName);
		$dbUserName     = str_replace("'", "\'", $this->dbUserName);
		$dbPassword     = str_replace("'", "\'", $this->dbPassword);
		$upCgiUrl       = str_replace("'", "\'", $this->upCgiUrl);
		$textDataPath   = str_replace("'", "\'", $this->textDataPath);
		$isArciveStr    = ($this->isArcive?'true':'false');
		$outPathDefault = str_replace("'", "\'", $this->outPathDefault);


		$outputStr = <<<_END_OF_STR_
<?php
require_once dirname(__FILE__).'/../apl/inc/base/config_base.php';

class Config extends ConfigBase {
	/** 名称 */
	const INSTALL_NAME = '$installName';

	/** データ種別 */
	const DATA_TYPE = '$dataType';

	/** DB接続先 */
	const DB_SERVER = '$dbServer';

	/** DB名称 */
	const DB_NAME = '$dbName';

	/** DBユーザー名 */
	const DB_USER_NAME = '$dbUserName';

	/** DBパスワード */
	const DB_PASSWORD = '$dbPassword';

	/** TEXTデータ時、データ格納先 */
	const TEXT_DATA_PATH = '$textDataPath';

	/** ファイルアップロードCGIファイルURL */
	const UP_CGI_URL = '$upCgiUrl';

	/** 圧縮実行可否 */
	const IS_ARCIVE = $isArciveStr;

	/** 出力先初期値 */
	const OUTPUT_DEFAULT_PATH = '$outPathDefault';
}
?>
_END_OF_STR_;

		$filePath = dirname(__FILE__).'/../../../config/config.php';

		require_once dirname(__FILE__).'/../util/file.php';
		return FileUtil::writeFileStr($filePath, $outputStr);
	}
}

?>