<?php
class CreateOpenIndex {

	/**
	 * 内容をファイルとして出力
	 * @see FileUtil::writeFileStr
	 * @return intval エラーコード
	 */
	static function writeFile($filePath, $domainInfo, $htmlPropertyInfo) {

		$language = htmlspecialchars(Language::LANGUAGE_TYPE);
		$title = htmlspecialchars($domainInfo->domainTitle);

		$layout = htmlspecialchars(Element::getStrFromList(HtmlPropertyElement::getLayoutStrList(), $htmlPropertyInfo->bodyLayoutType));

		$bgImage = '';
		if($htmlPropertyInfo->bodyImageUrl !== '') {
			$bgImage .= ' background-image: url("'.$htmlPropertyInfo->bodyImageUrl.'");';
			$bgImage .= ' background-repeat: ';
			$bgImage .= htmlspecialchars(Element::getStrFromList(HtmlPropertyElement::getRepeatStrList(), $htmlPropertyInfo->bodyImageRepeatType)).';';
		}

		$bodyMargin = intval($htmlPropertyInfo->bodyMarginTop).'px ';
		if($htmlPropertyInfo->bodyMarginRightIsAuto) {
			$bodyMargin .= 'auto ';
		} else {
			$bodyMargin .= intval($htmlPropertyInfo->bodyMarginRight).'px ';
		}
		$bodyMargin .= intval($htmlPropertyInfo->bodyMarginBottom).'px ';
		if($htmlPropertyInfo->bodyMarginLeftIsAuto) {
			$bodyMargin .= 'auto';
		} else {
			$bodyMargin .= intval($htmlPropertyInfo->bodyMarginLeft).'px';
		}

		$bodyPadding = intval($htmlPropertyInfo->bodyPaddingTop).'px ';
		if($htmlPropertyInfo->bodyPaddingRightIsAuto) {
			$bodyPadding .= 'auto ';
		} else {
			$bodyPadding .= intval($htmlPropertyInfo->bodyPaddingRight).'px ';
		}
		$bodyPadding .= intval($htmlPropertyInfo->bodyPaddingBottom).'px ';
		if($htmlPropertyInfo->bodyPaddingLeftIsAuto) {
			$bodyPadding .= 'auto';
		} else {
			$bodyPadding .= intval($htmlPropertyInfo->bodyPaddingLeft).'px';
		}

		$flashMargin = intval($htmlPropertyInfo->flashMarginTop).'px ';
		if($htmlPropertyInfo->flashMarginRightIsAuto) {
			$flashMargin .= 'auto ';
		} else {
			$flashMargin .= intval($htmlPropertyInfo->flashMarginRight).'px ';
		}
		$flashMargin .= intval($htmlPropertyInfo->flashMarginBottom).'px ';
		if($htmlPropertyInfo->flashMarginLeftIsAuto) {
			$flashMargin .= 'auto';
		} else {
			$flashMargin .= intval($htmlPropertyInfo->flashMarginLeft).'px';
		}

		$flashPadding = intval($htmlPropertyInfo->flashPaddingTop).'px ';
		if($htmlPropertyInfo->flashPaddingRightIsAuto) {
			$flashPadding .= 'auto ';
		} else {
			$flashPadding .= intval($htmlPropertyInfo->flashPaddingRight).'px ';
		}
		$flashPadding .= intval($htmlPropertyInfo->flashPaddingBottom).'px ';
		if($htmlPropertyInfo->flashPaddingLeftIsAuto) {
			$flashPadding .= 'auto';
		} else {
			$flashPadding .= intval($htmlPropertyInfo->flashPaddingLeft).'px';
		}
		$outputStr = <<<_END_OF_STR_
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="$language" lang="$language">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="Content-Style-Type" content="text/css" />
		<title>{$title}</title>
		<style type="text/css">
body {margin: {$bodyMargin}; padding: {$bodyPadding}; text-align: {$layout}; background-color: #{$htmlPropertyInfo->bodyBgColor};{$bgImage}}
#flash_area {width: {$htmlPropertyInfo->flashWidth}px; margin: {$flashMargin}; padding: {$flashPadding};}
.cms_copy {margin:0; padding:0; font-size:80%; color:#666;}
.cms_copy a {color:#666; text-decoration:none;}
.cms_copy a:hover {color:#666; text-decoration:underline;}
		</style>
	</head>
	<body>
		<div id="flash_area">
			<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0" width="{$htmlPropertyInfo->flashWidth}" height="{$htmlPropertyInfo->flashHeight}" id="flv_player">
				<param name="allowScriptAccess" value="sameDomain" />
				<param name="allowFullScreen" value="true" />
				<param name="movie" value="coreblo_flag.swf?Setting_File_Path=coreblo_flag.xml" /><param name="quality" value="best" /><param name="bgcolor" value="#{$htmlPropertyInfo->bodyBgColor}" />
				<embed src="coreblo_flag.swf?Setting_File_Path=coreblo_flag.xml" quality="best" bgcolor="#{$htmlPropertyInfo->bodyBgColor}" width="{$htmlPropertyInfo->flashWidth}" height="{$htmlPropertyInfo->flashHeight}" name="flv_player" align="middle" allowScriptAccess="sameDomain" allowFullScreen="true" type="application/x-shockwave-flash" pluginspage="http://www.adobe.com/go/getflashplayer_jp" />
			</object>
		</div>
		<div class="cms_copy">Powered by coreblo-<a href="http://cms.coreblo.com" target="_blank">CMS</a></div>
	</body>
</html>
_END_OF_STR_;

		require_once dirname(__FILE__).'/../util/file.php';
		return FileUtil::writeFileStr($filePath, $outputStr);
	}
}

?>