<?php
class CreatePreviewIndex {

	/**
	 * 内容をファイルとして出力
	 * @see FileUtil::writeFileStr
	 * @return intval エラーコード
	 */
	static function writeFile($domainId, $filePath) {

		$outputStr = <<<_END_OF_STR_
<?php
require_once dirname(__FILE__).'/../../../apl/inc/common.php';
commonInit();

if(intval(\$_SESSION['DomainId']) === {$domainId}) {

	require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
	\$domain = new Domain(\$_SESSION['UserName']);

	\$info = \$domain->getInfo(intval(\$_SESSION['DomainId']));

	require_once SYSTEM_INCLUDE_DATA_PATH.'html_property_data.php';
	\$htmlProperty = new HtmlPropertyData(\$_SESSION['UserName']);
	\$htmlInfo = \$htmlProperty->get($domainId);

	\$timeVal = date('U');
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<meta http-equiv="Content-Style-Type" content="text/css" />
		<title>Preview</title>
		<style type="text/css">
body {margin: <?php
	echo intval(\$htmlInfo->bodyMarginTop).'px ';
	if(\$htmlInfo->bodyMarginRightIsAuto) {
		echo 'auto ';
	} else {
		echo intval(\$htmlInfo->bodyMarginRight).'px ';
	}
	echo intval(\$htmlInfo->bodyMarginBottom).'px ';
	if(\$htmlInfo->bodyMarginLeftIsAuto) {
		echo 'auto';
	} else {
		echo intval(\$htmlInfo->bodyMarginLeft).'px';
	}
?>; padding: <?php
	echo intval(\$htmlInfo->bodyPaddingTop).'px ';
	if(\$htmlInfo->bodyPaddingRightIsAuto) {
		echo 'auto ';
	} else {
		echo intval(\$htmlInfo->bodyPaddingRight).'px ';
	}
	echo intval(\$htmlInfo->bodyPaddingBottom).'px ';
	if(\$htmlInfo->bodyPaddingLeftIsAuto) {
		echo 'auto';
	} else {
		echo intval(\$htmlInfo->bodyPaddingLeft).'px';
	}
?>; text-align: <?php
	echo htmlspecialchars(Element::getStrFromList(HtmlPropertyElement::getLayoutStrList(), \$htmlInfo->bodyLayoutType));
?>; background-color: #<?php echo htmlspecialchars(\$htmlInfo->bodyBgColor);?>;<?php
	if(\$htmlInfo->bodyImageUrl !== '') {
		if(strpos(\$htmlInfo->bodyImageUrl, '?') === FALSE) {
			\$bgImageUrl = \$htmlInfo->bodyImageUrl.'?'.date('U');
		} else {
			\$bgImageUrl = \$htmlInfo->bodyImageUrl.'&'.date('U');
		}
		echo ' background-image: url("'.\$bgImageUrl.'");';
		echo ' background-repeat: ';
		echo htmlspecialchars(Element::getStrFromList(HtmlPropertyElement::getRepeatStrList(), \$htmlInfo->bodyImageRepeatType)).';';
	}
?>}
#flash_area {width: <?php echo \$htmlInfo->flashWidth;?>px; margin: <?php
	echo intval(\$htmlInfo->flashMarginTop).'px ';
	if(\$htmlInfo->flashMarginRightIsAuto) {
		echo 'auto ';
	} else {
		echo intval(\$htmlInfo->flashMarginRight).'px ';
	}
	echo intval(\$htmlInfo->flashMarginBottom).'px ';
	if(\$htmlInfo->flashMarginLeftIsAuto) {
		echo 'auto';
	} else {
		echo intval(\$htmlInfo->flashMarginLeft).'px';
	}
?>; padding: <?php
	echo intval(\$htmlInfo->flashPaddingTop).'px ';
	if(\$htmlInfo->flashPaddingRightIsAuto) {
		echo 'auto ';
	} else {
		echo intval(\$htmlInfo->flashPaddingRight).'px ';
	}
	echo intval(\$htmlInfo->flashPaddingBottom).'px ';
	if(\$htmlInfo->flashPaddingLeftIsAuto) {
		echo 'auto';
	} else {
		echo intval(\$htmlInfo->flashPaddingLeft).'px';
	}
?>;}
		</style>
	</head>
	<body>
		<div id="flash_area">
<script type="text/javascript"><!--
document.write("<object classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" codebase=\"http:\/\/download.macromedia.com\/pub\/shockwave\/cabs\/flash\/swflash.cab#version=8,0,0,0\" width=\"<?php echo \$htmlInfo->flashWidth;?>\" height=\"<?php echo \$htmlInfo->flashHeight;?>\" id=\"flv_player\">");
document.write("<param name=\"allowScriptAccess\" value=\"sameDomain\" \/>");
document.write("<param name=\"allowFullScreen\" value=\"true\" \/>");
document.write("<param name=\"movie\" value=\"coreblo_flag.swf?Setting_File_Path=coreblo_flag.xml?<?php echo \$timeVal;?>\" \/><param name=\"quality\" value=\"best\" \/><param name=\"bgcolor\" value=\"#<?php echo htmlspecialchars(\$htmlInfo->bodyBgColor);?>\" \/>");
document.write("<embed src=\"coreblo_flag.swf?Setting_File_Path=coreblo_flag.xml&<?php echo \$timeVal;?>\" quality=\"best\" bgcolor=\"#<?php echo htmlspecialchars(\$htmlInfo->bodyBgColor);?>\" width=\"<?php echo \$htmlInfo->flashWidth;?>\" height=\"<?php echo \$htmlInfo->flashHeight;?>\" name=\"flv_player\" align=\"middle\" allowScriptAccess=\"sameDomain\" allowFullScreen=\"true\" type=\"application\/x-shockwave-flash\" pluginspage=\"http:\/\/www.adobe.com\/go\/getflashplayer_jp\" \/>");
document.write("<\/object>");
--></script>
		</div>
	</body>
</html><?php
} else {
	header('HTTP/1.0 404 Not Found');
	exit();
}
?>
_END_OF_STR_;

		require_once dirname(__FILE__).'/../util/file.php';
		return FileUtil::writeFileStr($filePath, $outputStr);
	}
}

?>