<?

/**
 * データアクセス基底クラス(PostgresSQL用)
 *
 */
class CorebloData {
	/**
	 * DBコネクション
	 * @var unknown_type
	 */
	protected static $dbConn = null;

	/**
	 * 利用可能かチェックする
	 * @return bool 可否
	 */
	static function checkLink() {

		$filePath = dirname(__FILE__).'/../../../config/coreblo.php';
		if(is_file($filePath)) {
			require_once dirname(__FILE__).'/../../../config/coreblo.php';
			if(intval(CorebloLinkInfo::DOMAIN_ID) === 0) {
				return false;
			}

			if(is_dir(CorebloLinkInfo::COREBLO_FLAG_PATH)) {
				$dbConn = pg_connect(
					  'host='.CorebloLinkInfo::DB_SERVER
					.' dbname='.sprintf('coreblo_flag%03d', CorebloLinkInfo::DOMAIN_ID)
					.' user='.CorebloLinkInfo::DB_USER_NAME
					.' password='.CorebloLinkInfo::DB_PASSWORD
				);
				return ($dbConn !== FALSE);
			} else {
				return false;
			}
		} else {
			$str = <<<_END_OF_STR_
<?php
class CorebloLinkInfo {

	/** coreblo-FLAGパス */
	const COREBLO_FLAG_PATH = '/var/www/html/coreblo/flag/';

	/** ドメインID */
	const DOMAIN_ID = 0;

	/** DB接続先 */
	const DB_SERVER = 'localhost';

	/** DBユーザー名 */
	const DB_USER_NAME = 'corebloadm';

	/** DBパスワード */
	const DB_PASSWORD = 'coreblo_db_pass';
}
?>
_END_OF_STR_;
			require_once dirname(__FILE__).'/../util/file.php';
			FileUtil::writeFileStr($filePath, $str);

			return false;
		}
	}

	/**
	 * コンストラクタ
	 * @return DataAccessBase
	 */
	function CorebloData() {
		if(is_null(self::$dbConn)) {
			require_once dirname(__FILE__).'/../../../config/coreblo.php';
			$dbConn = pg_connect(
				  'host='.CorebloLinkInfo::DB_SERVER
				.' dbname='.sprintf('coreblo_flag%03d', CorebloLinkInfo::DOMAIN_ID)
				.' user='.CorebloLinkInfo::DB_USER_NAME
				.' password='.CorebloLinkInfo::DB_PASSWORD
			);
			if($dbConn !== FALSE) {
				self::$dbConn = $dbConn;
			}
		}
	}

	/**
	 * coreblo作業パスパターン取得
	 */
	public function getPathPattern() {
		$domainIdStr = sprintf('%03d', intval(CorebloLinkInfo::DOMAIN_ID));
		return '|^'.realpath(CorebloLinkInfo::COREBLO_FLAG_PATH).'/user_admin/tmp/'.$domainIdStr.'/[0-9]{4}/$|';
	}

	/**
	 * coreblo作業パス作成
	 * @param $id [in] ユニットID
	 * @return string パス
	 */
	public function createPath($id) {
		$domainIdStr = sprintf('%03d', intval(CorebloLinkInfo::DOMAIN_ID));
		return  realpath(CorebloLinkInfo::COREBLO_FLAG_PATH).'/user_admin/tmp/'.$domainIdStr.sprintf('/%04d/', intval($id));
	}

	/**
	 * corebloの作業パス取得
	 * @return array 一覧(key=パスID/value=タイトル)
	 */
	public function getUnitIdList() {
		$list = array();

		$sql = 'SELECT flag_id, title FROM flag_info ORDER BY flag_id';
		$rs = pg_query(CorebloData::$dbConn, $sql);
		if($rs === FALSE) {
			return $list;
		}

		$pathBase = realpath(CorebloLinkInfo::COREBLO_FLAG_PATH).'/';
		$domainIdStr = sprintf('%03d', intval(CorebloLinkInfo::DOMAIN_ID));
		while($row = pg_fetch_array($rs, NULL, PGSQL_ASSOC)) {
			$list[intval($row['flag_id'])] = $row['title'];
		}
		return $list;
	}
}
?>