<?php
class DomainOutlineInfo {
	public $domainId = 0;
	public $domainTitle = '';
}

class DomainInfo extends DomainOutlineInfo {
	public $domainName = '';
	public $outputPath = '';
	public $iframeSrcType = 0;
	public $inputIframeSrc = 'coreblo_flag.html';
	public $registDateStr = '';
	public $registUser = '';
	public $updateDateStr = '';
	public $updateUser = '';

	function &check() {
		$returnVal = array();

		$domain = new Domain('');

		if(trim($this->domainTitle) === '') {
			$returnVal['domainTitle'] = Language::MSG_MANDATORY_ERROR;
		}

		if($this->domainId === 0) {
			if(trim($this->domainName) === '') {
				$returnVal['domainName'] = Language::MSG_MANDATORY_ERROR;
			} else if(preg_match("/^[!-~]*$/", $this->domainName) === 0) {
				$returnVal['domainName'] = Language::MSG_CHAR_FORMAT_ERROR;
			} else {
				if($domain->isUseDomainName($this->domainName)) {
					$returnVal['domainName'] = Language::MSG_ALREADY_USING_ERROR;
				}
			}
		}

		if(trim($this->outputPath) === '') {
			$returnVal['outputPath'] = Language::MSG_MANDATORY_ERROR;
		} else if(preg_match("/^[!-~]*$/", $this->outputPath) === 0) {
			$returnVal['outputPath'] = Language::MSG_CHAR_FORMAT_ERROR;
		} else if(!is_dir($this->outputPath)) {
			$returnVal['outputPath'] = Language::MSG_CANNOT_DIRECTORY_ERROR;
		} else {
			if(substr($this->outputPath, strlen($this->outputPath) - 1) !== '/') {
				$this->outputPath .= '/';
			}

			if($domain->isUseOutputPath($this->outputPath, $this->domainId )) {
				$returnVal['outputPath'] = Language::MSG_ALREADY_USING_ERROR;
			}
		}

		return $returnVal;
	}
}
?>