<?php
require_once dirname(__FILE__).'/../account.php';

class Account extends DataAccessBase {
	const SECURE_KEY = "coreblo-FLAG'S Secure Key";

	/**
	 * ユーザーIDが利用中かどうかチェックする
	 * @param $userId [in] ユーザーID
	 * @param $domainId [in] ドメインID
	 * @return bool 利用中かどうか
	 */
	function isUseUserId($userId, $domainId) {
		$sql  = "SELECT user_id";
		$sql .= " FROM account WHERE user_id=".$this->dbStr($userId);
		if(intval($domainId) === 0) {
			$sql .= 'AND domain_id IS NULL';
		} else {
			$sql .= 'AND domain_id='.intval($domainId);
		}

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) >= 1) {
			//エラーは利用中扱い
			return true;
		}
		return false;
	}

	/**
	 * ユーザーIDを取得する
	 * @param $accountId [in] アカウントID
	 * @return string アカウントID（null：該当なし）
	 */
	function getUserId($accountId) {
		$sql  = "SELECT user_id";
		$sql .= " FROM account WHERE account_id=".intval($accountId);
		$res = mysql_query($sql, self::$dbConn);
		if($res !== FALSE && mysql_num_rows($res) === 1) {
			$row = mysql_fetch_array($res, MYSQL_ASSOC);
			return $row['user_id'];
		}
		return null;

	}

	/**
	 * ユーザー情報を取得する
	 * @param $accountId [in] アカウントID
	 * @return AccountInfo ユーザー情報(accountId=該当なし)
	 */
	function &getInfo($accountId) {
		$sql  = "SELECT account_id, user_id, password as empty_check, AES_DECRYPT(password, ".$this->dbStr(Account::SECURE_KEY)." ) as password, disp_name, authority_level, domain_title, memo";
		$sql .= ',account.domain_id , account.regist_user, account.update_user';
		$sql .= ", DATE_FORMAT(account.regist_date, '%Y/%m/%d %T') AS regist_date_str";
		$sql .= ", DATE_FORMAT(account.update_date, '%Y/%m/%d %T') AS update_date_str";
		$sql .= " FROM account LEFT JOIN domain ON account.domain_id = domain.domain_id  WHERE account_id=".intval($accountId);
		$res = mysql_query($sql, self::$dbConn);
		if($res !== FALSE && mysql_num_rows($res) === 1) {
			$info = new AccountInfo();
			$row = mysql_fetch_array($res, MYSQL_ASSOC);
			$info->accountId = intval($row['account_id']);
			$info->userId = $row['user_id'];
			$info->password = ($row['empty_check']===''?'':$row['password']);
			$info->dispName = $row['disp_name'];
			$info->memo = $row['memo'];
			$info->authorityLevel = intval($row['authority_level']);
			$info->domainTitle = ($row['domain_title']===null?'-':$row['domain_title']);
			$info->domainId = intval($row['domain_id']);
			$info->registDateStr = $row['regist_date_str'];
			$info->registUser = $row['regist_user'];
			$info->updateDateStr = $row['update_date_str'];
			$info->updateUser = $row['update_user'];
			return $info;
		}
		$info = new AccountInfo();
		return $info;

	}

	/**
	 * ユーザーID、パスワード、ドメインからユーザー情報を取得する
	 * @param $userId [in] ユーザーID
	 * @param $password [in] パスワード
	 * @param $domainDir [in] ドメインディレクトリ名
	 * @return AccountInfo ユーザー情報(accountId=該当なし)
	 */
	function &getFromInput($userId, $password, $domainDir) {
		$whereSql = '';
		if($domainDir === '') {
			$whereSql = 'AND account.domain_id IS NULL';
		} else {
			$whereSql = 'AND account.domain_id=domain.domain_id AND domain.domain_name='.$this->dbStr($domainDir);
		}
		$sql  = "SELECT account_id, user_id, password as empty_check, AES_DECRYPT(password, ".$this->dbStr(Account::SECURE_KEY)." ) as password, disp_name, authority_level, domain_title, memo";
		$sql .= ',account.domain_id, account.regist_user, account.update_user';
		$sql .= ", DATE_FORMAT(account.regist_date, '%Y/%m/%d %T') AS regist_date_str";
		$sql .= ", DATE_FORMAT(account.update_date, '%Y/%m/%d %T') AS update_date_str";
		$sql .= " FROM account LEFT JOIN domain ON account.domain_id = domain.domain_id  WHERE user_id=".$this->dbStr($userId).$whereSql;
		$res = mysql_query($sql, self::$dbConn);
		if($res !== FALSE && mysql_num_rows($res) === 1) {
			$info = new AccountInfo();
			$row = mysql_fetch_array($res, MYSQL_ASSOC);
			$info->accountId = intval($row['account_id']);
			$info->userId = $row['user_id'];
			$info->password = ($row['empty_check']===''?'':$row['password']);
			$info->dispName = $row['disp_name'];
			$info->memo = $row['memo'];
			$info->authorityLevel = intval($row['authority_level']);
			$info->domainTitle = ($row['domain_title']===null?'-':$row['domain_title']);
			$info->domainId = intval($row['domain_id']);
			$info->registDateStr = $row['regist_date_str'];
			$info->registUser = $row['regist_user'];
			$info->updateDateStr = $row['update_date_str'];
			$info->updateUser = $row['update_user'];
			if($info->password === $password) {
				return $info;
			}
		}
		$info = new AccountInfo();
		return $info;

	}

	/**
	 * 最終ログイン日時更新
	 * 現在の時刻に更新する
	 * @param $accountId [in] アカウントID
	 * @return bool 成功／失敗
	 */
	function updateLoginTime($accountId) {
		$setval = 'last_login=now()';

		$sql = 'UPDATE account SET '.$setval.' WHERE account_id='.intval($accountId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * 概要一覧取得
	 * @param $domainId [in] 0:全部/0以外:指定ドメインのID
	 * @return array AccountOutlineInfoリスト
	 */
	function &getOutlineList($domainId) {
		$list = array();

		$sql  = 'SELECT account_id, disp_name, authority_level, domain_title';
		$sql .= ' FROM account LEFT JOIN domain ON account.domain_id = domain.domain_id';
		if(intval($domainId) > 0) {
			$sql .= ' WHERE account.domain_id='.intval($domainId);
		}
		$sql .= ' ORDER BY authority_level DESC, account.domain_id DESC, account_id DESC';
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return $list;
		}

		while($row = mysql_fetch_array($res, MYSQL_ASSOC)) {
			$info = new AccountOutlineInfo();
			$info->accountId = intval($row['account_id']);
			$info->dispName = $row['disp_name'];
			$info->authorityLevel = intval($row['authority_level']);
			$info->domainTitle = ($row['domain_title']===null?'-':$row['domain_title']);
			$list[$info->accountId] = $info;
		}

		return $list;
	}

	/**
	 * 新規登録登録
	 * @param $info [in] AccountInfo
	 * @return intval 登録したID
	 */
	function regist($info) {
		$columns  = ' disp_name';
		$values   = ' '.$this->dbStr($info->dispName);
		$columns .= ',user_id';
		$values  .= ','.$this->dbStr($info->userId);
		$columns .= ',password';
		$values  .= ',AES_ENCRYPT('.$this->dbStr($info->password).','.$this->dbStr(Account::SECURE_KEY).')';
		$columns .= ',memo';
		$values  .= ','.$this->dbStr($info->memo);
		if(intval($info->domainId) > 0) {
			$columns .= ',domain_id';
			$values  .= ','.intval($info->domainId);
		}
		$columns .= ',authority_level';
		$values  .= ','.intval($info->authorityLevel);
		$columns .= ',regist_date';
		$values  .= ',NOW()';
		$columns .= ',update_date';
		$values  .= ',NOW()';
		$columns .= ',regist_user';
		$values  .= ','.$this->dbStr($this->userName);
		$columns .= ',update_user';
		$values  .= ','.$this->dbStr($this->userName);

		$sql = 'INSERT INTO account ('.$columns.') VALUES ('.$values.')';
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return 0;
		} else {
			return mysql_insert_id(self::$dbConn);
		}
	}

	/**
	 * 更新する
	 * @param $info [in] AccountInfo
	 * @return bool 成功／失敗
	 */
	function update($info) {
		$setval  = ' disp_name='.$this->dbStr($info->dispName);
		$setval .= ',user_id='.$this->dbStr($info->userId);
		$setval .= ',password=AES_ENCRYPT('.$this->dbStr($info->password).','.$this->dbStr(Account::SECURE_KEY).')';
		$setval .= ',update_date=NOW()';
		$setval .= ',update_user='.$this->dbStr($this->userName);

		$sql = 'UPDATE account SET '.$setval.' WHERE account_id='.intval($info->accountId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * 削除する
	 * @param $accountId [in] アカウントID
	 * @return bool 成功／失敗
	 */
	function delete($accountId) {
		$sql = 'DELETE FROM account WHERE account_id='.intval($accountId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}

	}
}
?>