<?php
require_once dirname(__FILE__).'/../flag_xml.php';

class FlagXml extends DataAccessBase {

	/**
	 * 登録済みかどうかチェックする
	 * @param $domainId [in] ドメインID
	 * @return bool 登録状態
	 */
	function isCreated($domainId) {
		$sql = 'SELECT domain_id FROM xml_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * xml_dataを取得する
	 * @param $domainId [in] ドメインID
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return FlagXmlInfo
	 */
	function &get($domainId, $isAll = false) {
		$info = new FlagXmlInfo();

		$sql  = 'SELECT logo, bg_color, bg_image, update_user';
		$sql .= ", DATE_FORMAT(update_date, '%Y/%m/%d %T') AS update_date_str";
		$sql .= ' FROM xml_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return $info;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$info->logoPos = intval($row['logo']);
		$info->bgColor = $row['bg_color'];
		$info->bgImage  = $row['bg_image'];
		$info->updateDateStr = $row['update_date_str'];
		$info->updateUser = $row['update_user'];

		if($isAll) {
			require_once 'html_property_data.php';
			$childElement = new HtmlPropertyData($this->userName);
			$elementData = $childElement->get($domainId);
			if($elementData->domainId > 0) {
				$info->elementList[] = $elementData;
			}
			require_once 'player_data.php';
			$childElement = new PlayerData($this->userName);
			$elementData = $childElement->get($domainId, 0, 0);
			if($elementData->domainId > 0) {
				$info->elementList[] = $elementData;
			}
			require_once 'news_data.php';
			$childElement = new NewsData($this->userName);
			$elementData = $childElement->get($domainId, $isAll);
			if($elementData->domainId > 0) {
				$info->elementList[] = $elementData;
			}
			require_once 'link_data.php';
			$childElement = new LinkData($this->userName);
			$elementData = $childElement->get($domainId, $isAll);
			if($elementData->domainId > 0) {
				$info->elementList[] = $elementData;
			}
		}

		return $info;
	}

	/**
	 * xml_dataにデータを設定する
	 * すべて書き換える場合、先にdeleteする必要がある。
	 * @param $domainId [in] ドメインID
	 * @param $info [in] FlagXmlInfo
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return bool 成功/失敗
	 */
	function set($domainId, $info, $isAll = false) {
		$sql = 'SELECT domain_id FROM xml_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$cnt = mysql_num_rows($res);
		if($cnt > 1) {
			return false;
		} else if($cnt === 1) {
			if(!$this->_update($domainId, $info)) {
				return false;
			}
		} else {
			if(!$this->_insert($domainId, $info)) {
				return false;
			}
		}

		if($isAll) {
			foreach($info->elementList as $element) {
				$className = get_class($element);
				switch($className) {
					case 'HtmlPropertyElement':
						require_once 'html_property_data.php';
						$childElement = new HtmlPropertyData($this->userName);
						if(!$childElement->set($domainId, $element)) {
							return false;
						}
						break;
					case 'PlayerElement':
						require_once 'player_data.php';
						$childElement = new PlayerData($this->userName);
						if(!$childElement->set($domainId, $element, $isAll)) {
							return false;
						}
						break;
					case 'NewsElement':
						require_once 'news_data.php';
						$childElement = new NewsData($this->userName);
						if(!$childElement->set($domainId, $element, $isAll)) {
							return false;
						}
						break;
					case 'LinkElement':
						require_once 'link_data.php';
						$childElement = new LinkData($this->userName);
						if(!$childElement->set($domainId, $element, $isAll)) {
							return false;
						}
						break;
				}
			}
		}

		return true;
	}

	private function _insert($domainId, $info) {
		$columns  = ' domain_id';
		$values   = ' '.intval($domainId);
		$columns .= ',logo';
		$values  .= ','.intval($info->logoPos);
		$columns .= ',bg_color';
		$values  .= ','.$this->dbStr($info->bgColor);
		$columns .= ',bg_image';
		$values  .= ','.$this->dbStr($info->bgImage);
		$columns .= ',update_date';
		$values  .= ',NOW()';
		$columns .= ',update_user';
		$values  .= ','.$this->dbStr($this->userName);

		$sql = 'INSERT INTO xml_data ('.$columns.') VALUES ('.$values.')';
		$res = mysql_query($sql, self::$dbConn);
		return ($res !== FALSE);
	}

	private function _update($domainId, $info) {
		$setval  = ' logo='.intval($info->logoPos);
		$setval .= ',bg_color='.$this->dbStr($info->bgColor);
		$setval .= ',bg_image='.$this->dbStr($info->bgImage);
		$setval .= ',update_date=NOW()';
		$setval .= ',update_user='.$this->dbStr($this->userName);

		$sql = 'UPDATE xml_data SET '.$setval.' WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			return false;
		} else {
			return true;
		}
	}


	/**
	 * 削除
	 * @param $domainId [in] ドメインID
	 * @return bool 成功/失敗
	 */
	function delete($domainId) {
		//ニュース削除
		$sql = 'DELETE FROM news_item WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}
		$sql = 'DELETE FROM news_skin WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}
		$sql = 'DELETE FROM news_element WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		//Player削除
		$sql = 'DELETE FROM playlist_item WHERE player_id IN (SELECT player_id FROM player_element WHERE domain_id='.intval($domainId).')';
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}
		$sql = 'DELETE FROM player_element WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		//Item削除
		$sql = 'DELETE FROM item_button WHERE item_id IN (SELECT item_id FROM item_element WHERE domain_id='.intval($domainId).')';
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}
		$sql = 'DELETE FROM wipe_setting WHERE item_id IN (SELECT item_id FROM item_element WHERE domain_id='.intval($domainId).')';
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}
		$sql = 'DELETE FROM imagelist_item WHERE item_id IN (SELECT item_id FROM item_element WHERE domain_id='.intval($domainId).')';
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$sql = 'DELETE FROM item_element WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		//HtmlProperty削除
		$sql = 'DELETE FROM html_property_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		//本体削除
		$sql = 'DELETE FROM xml_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}
}