<?php
require_once dirname(__FILE__).'/../../photo_xml.php';

class PhotoXml extends DataAccessBase {

	/**
	 * フォトギャラリー一覧取得
	 * @param $domainId [in] ドメインID
	 * @param $isAll  [in] 子ノードも処理するかどうか
	 * @return array PhotoXmlInfo配列
	 */
	function &getList($domainId, $isAll = false) {
		$list = array();

		$sql  = 'SELECT photo_id, number, name, bg_color, bg_alpha, width, height, is_sequential_mode, figure_number, start_value, end_value, file_extension, file_path';
		$sql .= ', image_size, is_display_frame, frame_outer_color, frame_inner_color';
		$sql .= ' FROM photo_data';
		$sql .= ' WHERE domain_id='.intval($domainId);
		$sql .= ' ORDER BY number ASC, photo_id ASC';

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return $list;
		}

		while($row = mysql_fetch_array($res, MYSQL_ASSOC)) {
			$info = new PhotoXmlInfo();
			$info->photoId = intval($row['photo_id']);
			$info->number = intval($row['number']);
			$info->name = $row['name'];
			$info->bgColor = $row['bg_color'];
			$info->bgAlpha = intval($row['bg_alpha']);
			$info->width = intval($row['width']);
			$info->height = intval($row['height']);
			$info->isSequentialMode = (intval($row['is_sequential_mode'])===1);
			$info->figureNumber = intval($row['figure_number']);
			$info->startValue = intval($row['start_value']);
			$info->endValue = intval($row['end_value']);
			$info->fileExtension = $row['file_extension'];
			$info->filePath = $row['file_path'];
			$info->imageSize = intval($row['image_size']);
			$info->isDisplayFrame = (intval($row['is_display_frame'])===1);
			$info->frameOuterColor = $row['frame_outer_color'];
			$info->frameInnerColor = $row['frame_inner_color'];

			if($isAll) {
				require_once 'image_item.php';
				$childElement = new PhotoImageItem($this->userName);
				$info->imageItemList = $childElement->getList($domainId, $info->photoId, $isAll);
			}

			$list[] = $info;
		}

		return $list;
	}

	/**
	 * photo_dataを取得する
	 * @param $domainId [in] ドメインID
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return FlagXmlInfo
	 */
	function &get($domainId, $photoId, $isAll = false) {
		$info = new PhotoXmlInfo();

		$sql  = 'SELECT photo_id, number, name, bg_color, bg_alpha, width, height, is_sequential_mode, figure_number, start_value, end_value, file_extension, file_path';
		$sql .= ', image_size, is_display_frame, frame_outer_color, frame_inner_color';
		$sql .= ' FROM photo_data';
		$sql .= ' WHERE domain_id='.intval($domainId).' AND photo_id='.intval($photoId);
		$sql .= ' ORDER BY number ASC, photo_id ASC';

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return $info;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$info->photoId = intval($row['photo_id']);
		$info->number = intval($row['number']);
		$info->name = $row['name'];
		$info->bgColor = $row['bg_color'];
		$info->bgAlpha = intval($row['bg_alpha']);
		$info->width = intval($row['width']);
		$info->height = intval($row['height']);
		$info->isSequentialMode = (intval($row['is_sequential_mode'])===1);
		$info->figureNumber = intval($row['figure_number']);
		$info->startValue = intval($row['start_value']);
		$info->endValue = intval($row['end_value']);
		$info->fileExtension = $row['file_extension'];
		$info->filePath = $row['file_path'];
		$info->imageSize = intval($row['image_size']);
		$info->isDisplayFrame = (intval($row['is_display_frame'])===1);
		$info->frameOuterColor = $row['frame_outer_color'];
		$info->frameInnerColor = $row['frame_inner_color'];

		if($isAll) {
			require_once 'image_item.php';
			$childElement = new PhotoImageItem($this->userName);
			$info->imageItemList = $childElement->getList($domainId, $info->photoId, $isAll);
		}

		return $info;
	}

	/**
	 * photo_dataにデータを設定する
	 * すべて書き換える場合、先にdeleteする必要がある。
	 * @param $domainId [in] ドメインID
	 * @param $info [in] FlagXmlInfo
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return bool 成功/失敗
	 */
	function set($domainId, $info, $isAll = false) {
		if($info->photoId > 0) {
			if(!$this->_update($domainId, $info)) {
				return false;
			}
			$photoId = $info->photoId;
		} else {
			if(!$this->_insert($domainId, $info)) {
				return false;
			}
			$photoId = mysql_insert_id(self::$dbConn);
		}

		if($isAll) {
			if(isset($info->imageItemList)) {
				require_once 'image_item.php';
				$childElement = new PhotoImageItem($this->userName);
				foreach($info->imageItemList as $imageItem) {
					$imageItem->photoId = $photoId;
					if(!$childElement->set($domainId, $imageItem, $isAll)) {
						return false;
					}
				}
			}
		}

		return true;
	}

	private function _insert($domainId, $info) {
		$columns  = ' domain_id';
		$values   = ' '.intval($domainId);
		$columns .= ',number';
		$values  .= ','.intval($info->number);
		$columns .= ',name';
		$values  .= ','.$this->dbStr($info->name);
		$columns .= ',bg_color';
		$values  .= ','.$this->dbStr($info->bgColor);
		$columns .= ',bg_alpha';
		$values  .= ','.intval($info->bgAlpha);
		$columns .= ',width';
		$values  .= ','.intval($info->width);
		$columns .= ',height';
		$values  .= ','.intval($info->height);
		$columns .= ',is_sequential_mode';
		$values  .= ','.($info->isSequentialMode?1:0);
		$columns .= ',figure_number';
		$values  .= ','.intval($info->figureNumber);
		$columns .= ',start_value';
		$values  .= ','.intval($info->startValue);
		$columns .= ',end_value';
		$values  .= ','.intval($info->endValue);
		$columns .= ',file_extension';
		$values  .= ','.$this->dbStr($info->fileExtension);
		$columns .= ',file_path';
		$values  .= ','.$this->dbStr($info->filePath);
		$columns .= ',image_size';
		$values  .= ','.intval($info->imageSize);
		$columns .= ',is_display_frame';
		$values  .= ','.($info->isDisplayFrame?1:0);
		$columns .= ',frame_outer_color';
		$values  .= ','.$this->dbStr($info->frameOuterColor);
		$columns .= ',frame_inner_color';
		$values  .= ','.$this->dbStr($info->frameInnerColor);

		$sql = 'INSERT INTO photo_data ('.$columns.') VALUES ('.$values.')';
		$res = mysql_query($sql, self::$dbConn);
		return ($res !== FALSE);
	}

	private function _update($domainId, $info) {
		$setval  = ' name='.$this->dbStr($info->name);
		$setval .= ',bg_color='.$this->dbStr($info->bgColor);
		$setval .= ',bg_alpha='.intval($info->bgAlpha);
		$setval .= ',width='.intval($info->width);
		$setval .= ',height='.intval($info->height);
		$setval .= ',is_sequential_mode='.($info->isSequentialMode?1:0);
		$setval .= ',figure_number='.intval($info->figureNumber);
		$setval .= ',start_value='.intval($info->startValue);
		$setval .= ',end_value='.intval($info->endValue);
		$setval .= ',file_extension='.$this->dbStr($info->fileExtension);
		$setval .= ',file_path='.$this->dbStr($info->filePath);
		$setval .= ',image_size='.intval($info->imageSize);
		$setval .= ',is_display_frame='.($info->isDisplayFrame?1:0);
		$setval .= ',frame_outer_color='.$this->dbStr($info->frameOuterColor);
		$setval .= ',frame_inner_color='.$this->dbStr($info->frameInnerColor);

		$sql = 'UPDATE photo_data SET '.$setval.' WHERE domain_id='.intval($domainId).' AND photo_id='.intval($info->photoId);
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			return false;
		} else {
			return true;
		}
	}


	/**
	 * 全削除
	 * @param $domainId [in] ドメインID
	 * @return bool 成功/失敗
	 */
	function deleteAll($domainId) {
		//本体削除
		$sql = 'DELETE FROM photo_image_item WHERE photo_id IN (SELECT photo_id FROM photo_data WHERE domain_id='.intval($domainId).')';
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$sql = 'DELETE FROM photo_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * フォトギャラリー番号の最大値取得
	 * @param $domainId [in] ドメイン番号
	 * @return intval フォトギャラリー番号最大値
	 */
	function getMaxNumber($domainId) {
		$sql = 'SELECT MAX(number) as max_val FROM photo_data WHERE domain_id='.intval($domainId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return 0;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		return intval($row['max_val']);
	}

	/**
	 * 削除可能かチェックする
	 * @param $domainId [in] ドメインID
	 * @param $photoId [in] フォトギャラリーID
	 * @return bool 削除可否
	 */
	function isCanDelete($domainId, $photoId) {
		$sql = 'SELECT COUNT(image_id) as cnt FROM photo_image_item WHERE photo_id='.intval($photoId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return false;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		return (intval($row['cnt'])===0);

	}

	/**
	 * 削除
	 * @param $domainId [in] ドメインID
	 * @param $photoId [in] フォトギャラリーID
	 * @return bool 成功/失敗
	 */
	function delete($domainId, $photoId) {
		$sql = 'DELETE FROM photo_data WHERE domain_id='.intval($domainId).' AND photo_id='.intval($photoId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}

}