<?php
require_once dirname(__FILE__).'/../flag_xml.php';

class PlayerData extends DataAccessBase {

	/**
	 * player_elementを取得する
	 * @param $domainId [in] ドメインID
	 * @param $itemId [in] itemに所属する場合、itemId。0でXML所属playerが対象
	 * @param $parentType [in] 親種別（0:初期値,子階層/1:スライダー画像アイテム）
	 * @return PlayerElement
	 */
	function &get($domainId, $itemId, $parentType = 0) {
		$info = new PlayerElement();

		$sql  = 'SELECT item_id, player_type, x_axis, y_axis, width, height, file_url, file_title, file_thumb_url, is_auto_play, is_auto_replay, is_display_menu, menu_position, menu_bg_color, is_display_equalizer, equalizer_beat, equalizer_fall, outside_url';
		$sql .= ', player_id, file_type, playlist_play_type, playlist_start_number';
		$sql .= ', is_display_play_and_stop_menu, is_display_seek_bar_menu, is_display_play_time_menu, is_display_resize_menu, is_display_sound_menu';
		$sql .= ' FROM player_element WHERE domain_id='.intval($domainId).' AND parent_type = '.intval($parentType).' AND item_id';
		if(empty($itemId)) {
			$sql .= ' IS NULL';
		} else {
			$sql .= '='.intval($itemId);
		}

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return $info;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$info->playerType = intval($row['player_type']);
		$info->xAxis = (isset($row['x_axis'])?intval($row['x_axis']):null);
		$info->yAxis = (isset($row['y_axis'])?intval($row['y_axis']):null);
		$info->width = (isset($row['width'])?intval($row['width']):null);
		$info->height = (isset($row['height'])?intval($row['height']):null);
		$info->fileUrl = $row['file_url'];
		$info->fileTitle = $row['file_title'];
		$info->fileThumbUrl = $row['file_thumb_url'];
		$info->isAutoPlay = (isset($row['is_auto_play'])?(intval($row['is_auto_play'])===1):null);
		$info->isAutoReplay = (isset($row['is_auto_replay'])?(intval($row['is_auto_replay'])===1):null);
		$info->isDisplayMenu = (isset($row['is_display_menu'])?(intval($row['is_display_menu'])===1):null);
		$info->menuPosition = (isset($row['menu_position'])?intval($row['menu_position']):null);
		$info->menuBgColor = $row['menu_bg_color'];
		$info->isDisplayEqualizer = (isset($row['is_display_equalizer'])?(intval($row['is_display_equalizer'])===1):null);
		$info->equalizerBear = (isset($row['equalizer_beat'])?intval($row['equalizer_beat']):null);
		$info->equalizerFall = (isset($row['equalizer_fall'])?intval($row['equalizer_fall']):null);
		$info->outsideUrl = $row['outside_url'];
		$info->itemId = (is_null($row['item_id'])?0:intval($row['item_id']));
		$info->domainId = intval($domainId);
		$info->parentType = intval($parentType);
		$info->fileType = intval($row['file_type']);
		$info->playlistPlayType = intval($row['playlist_play_type']);
		$info->playlistStartNumber = (isset($row['playlist_start_number'])?intval($row['playlist_start_number']):null);
		$info->isDisplayPlayAndStopMenu = (isset($row['is_display_play_and_stop_menu'])?(intval($row['is_display_play_and_stop_menu'])===1):null);
		$info->isDisplaySeekBarMenu     = (isset($row['is_display_seek_bar_menu'])?(intval($row['is_display_seek_bar_menu'])===1):null);
		$info->isDisplayPlayTimeMenu    = (isset($row['is_display_play_time_menu'])?(intval($row['is_display_play_time_menu'])===1):null);
		$info->isDisplayResizeMenu      = (isset($row['is_display_resize_menu'])?(intval($row['is_display_resize_menu'])===1):null);
		$info->isDisplaySoundMenu       = (isset($row['is_display_sound_menu'])?(intval($row['is_display_sound_menu'])===1):null);

		$info->playlistItemList = $this->getItemList($domainId, $row['player_id']);

		return $info;
	}

	/**
	 * player_elementにデータを設定する
	 * @param $domainId [in] ドメインID
	 * @param $info [in] PlayerElement
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return bool 成功/失敗
	 */
	function set($domainId, $info, $isAll = false) {
		$sql = 'SELECT player_id FROM player_element WHERE domain_id='.intval($domainId).' AND parent_type='.intval($info->parentType);
		$sql .= ' AND item_id';
		if(empty($info->itemId)) {
			$sql .= ' IS NULL';
		} else {
			$sql .= '='.intval($info->itemId);
		}
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$cnt = mysql_num_rows($res);
		if($cnt > 1) {
			return false;
		} else if($cnt === 1) {
			$row = mysql_fetch_array($res, MYSQL_ASSOC);
			$playerId = intval($row['player_id']);
			if(!$this->_updatePlayerElement($domainId, $info)) {
				return false;
			}
		} else {
			if(!$this->_insertPlayerElement($domainId, $info)) {
				return false;
			}
			$playerId = mysql_insert_id(self::$dbConn);
		}

		if($isAll) {
			if(count($info->playlistItemList) > 0) {
				foreach($info->playlistItemList as $itemElement) {
					$itemElement->playerId = $playerId;
					if(!$this->setPlaylistItem($domainId, $itemElement)) {
						return false;
					}
				}
			}
		}

		return true;
	}

	private function _insertPlayerElement($domainId, $info) {
		$columns  = ' domain_id';
		$values   = ' '.intval($domainId);
		$columns .= ',parent_type';
		$values  .= ','.intval($info->parentType);
		if(intval($info->itemId) > 0) {
			$columns .= ',item_id';
			$values  .= ','.intval($info->itemId);
		}
		$columns .= ',player_type';
		$values  .= ','.intval($info->playerType);

		if(isset($info->xAxis)) {
			$columns .= ',x_axis';
			$values  .= ','.intval($info->xAxis);
		}
		if(isset($info->yAxis)) {
			$columns .= ',y_axis';
			$values  .= ','.intval($info->yAxis);
		}
		if(isset($info->width)) {
			$columns .= ',width';
			$values  .= ','.intval($info->width);
		}
		if(isset($info->height)) {
			$columns .= ',height';
			$values  .= ','.intval($info->height);
		}
		$columns .= ',file_url';
		$values  .= ','.$this->dbStr($info->fileUrl);
		$columns .= ',file_title';
		$values  .= ','.$this->dbStr($info->fileTitle);
		$columns .= ',file_thumb_url';
		$values  .= ','.$this->dbStr($info->fileThumbUrl);
		if(isset($info->isAutoPlay)) {
			$columns .= ',is_auto_play';
			$values  .= ','.($info->isAutoPlay?1:0);
		}
		if(isset($info->isAutoReplay)) {
			$columns .= ',is_auto_replay';
			$values  .= ','.($info->isAutoReplay?1:0);
		}
		if(isset($info->isDisplayMenu)) {
			$columns .= ',is_display_menu';
			$values  .= ','.($info->isDisplayMenu?1:0);
		}
		if(isset($info->menuPosition)) {
			$columns .= ',menu_position';
			$values  .= ','.intval($info->menuPosition);
		}
		$columns .= ',menu_bg_color';
		$values  .= ','.$this->dbStr($info->menuBgColor);
		if(isset($info->isDisplayEqualizer)) {
			$columns .= ',is_display_equalizer';
			$values  .= ','.($info->isDisplayEqualizer?1:0);
		}
		if(isset($info->equalizerBear)) {
			$columns .= ',equalizer_beat';
			$values  .= ','.intval($info->equalizerBear);
		}
		if(isset($info->equalizerFall)) {
			$columns .= ',equalizer_fall';
			$values  .= ','.intval($info->equalizerFall);
		}
		$columns .= ',outside_url';
		$values  .= ','.$this->dbStr($info->outsideUrl);

		$columns .= ',file_type';
		$values  .= ','.intval($info->fileType);
		$columns .= ',playlist_play_type';
		$values  .= ','.intval($info->playlistPlayType);
		if(isset($info->playlistStartNumber)) {
			$columns .= ',playlist_start_number';
			$values  .= ','.intval($info->playlistStartNumber);
		}

		if(isset($info->isDisplayPlayAndStopMenu)) {
			$columns .= ',is_display_play_and_stop_menu';
			$values  .= ','.($info->isDisplayPlayAndStopMenu?1:0);
		}
		if(isset($info->isDisplaySeekBarMenu)) {
			$columns .= ',is_display_seek_bar_menu';
			$values  .= ','.($info->isDisplaySeekBarMenu?1:0);
		}
		if(isset($info->isDisplayPlayTimeMenu)) {
			$columns .= ',is_display_play_time_menu';
			$values  .= ','.($info->isDisplayPlayTimeMenu?1:0);
		}
		if(isset($info->isDisplayResizeMenu)) {
			$columns .= ',is_display_resize_menu';
			$values  .= ','.($info->isDisplayResizeMenu?1:0);
		}
		if(isset($info->isDisplaySoundMenu)) {
			$columns .= ',is_display_sound_menu';
			$values  .= ','.($info->isDisplaySoundMenu?1:0);
		}

		$sql = 'INSERT INTO player_element ('.$columns.') VALUES ('.$values.')';
		$res = mysql_query($sql, self::$dbConn);
		return ($res !== FALSE);
	}

	private function _updatePlayerElement($domainId, $info) {
		$setval  = ' player_type='.intval($info->playerType);
		if(isset($info->xAxis)) {
			$setval .= ',x_axis='.intval($info->xAxis);
		} else {
			$setval .= ',x_axis=NULL';
		}
		if(isset($info->yAxis)) {
			$setval .= ',y_axis='.intval($info->yAxis);
		} else {
			$setval .= ',y_axis=NULL';
		}
		if(isset($info->width)) {
			$setval .= ',width='.intval($info->width);
		} else {
			$setval .= ',width=NULL';
		}
		if(isset($info->height)) {
			$setval .= ',height='.intval($info->height);
		} else {
			$setval .= ',height=NULL';
		}
		$setval .= ',file_url='.$this->dbStr($info->fileUrl);
		$setval .= ',file_title='.$this->dbStr($info->fileTitle);
		$setval .= ',file_thumb_url='.$this->dbStr($info->fileThumbUrl);
		if(isset($info->isAutoPlay)) {
			$setval .= ',is_auto_play='.($info->isAutoPlay?1:0);
		} else {
			$setval .= ',is_auto_play=NULL';
		}
		if(isset($info->isAutoReplay)) {
			$setval .= ',is_auto_replay='.($info->isAutoReplay?1:0);
		} else {
			$setval .= ',is_auto_replay=NULL';
		}
		if(isset($info->isDisplayMenu)) {
			$setval .= ',is_display_menu='.($info->isDisplayMenu?1:0);
		} else {
			$setval .= ',is_display_menu=NULL';
		}
		if(isset($info->menuPosition)) {
			$setval .= ',menu_position='.intval($info->menuPosition);
		} else {
			$setval .= ',menu_position=NULL';
		}
		$setval .= ',menu_bg_color='.$this->dbStr($info->menuBgColor);
		if(isset($info->isDisplayEqualizer)) {
			$setval .= ',is_display_equalizer='.($info->isDisplayEqualizer?1:0);
		} else {
			$setval .= ',is_display_equalizer=NULL';
		}
		if(isset($info->equalizerBear)) {
			$setval .= ',equalizer_beat='.intval($info->equalizerBear);
		} else {
			$setval .= ',equalizer_beat=NULL';
		}
		if(isset($info->equalizerFall)) {
			$setval .= ',equalizer_fall='.intval($info->equalizerFall);
		} else {
			$setval .= ',equalizer_fall=NULL';
		}
		$setval .= ',outside_url='.$this->dbStr($info->outsideUrl);

		$setval .= ',file_type='.intval($info->fileType);
		$setval .= ',playlist_play_type='.intval($info->playlistPlayType);
		if(isset($info->playlistStartNumber)) {
			$setval .= ',playlist_start_number='.intval($info->playlistStartNumber);
		} else {
			$setval .= ',playlist_start_number=NULL';
		}
		if(isset($info->isDisplayPlayAndStopMenu)) {
			$setval .= ',is_display_play_and_stop_menu='.($info->isDisplayPlayAndStopMenu?1:0);
		} else {
			$setval .= ',is_display_play_and_stop_menu=NULL';
		}
		if(isset($info->isDisplaySeekBarMenu)) {
			$setval .= ',is_display_seek_bar_menu='.($info->isDisplaySeekBarMenu?1:0);
		} else {
			$setval .= ',is_display_seek_bar_menu=NULL';
		}
		if(isset($info->isDisplayPlayTimeMenu)) {
			$setval .= ',is_display_play_time_menu='.($info->isDisplayPlayTimeMenu?1:0);
		} else {
			$setval .= ',is_display_play_time_menu=NULL';
		}
		if(isset($info->isDisplayResizeMenu)) {
			$setval .= ',is_display_resize_menu='.($info->isDisplayResizeMenu?1:0);
		} else {
			$setval .= ',is_display_resize_menu=NULL';
		}
		if(isset($info->isDisplaySoundMenu)) {
			$setval .= ',is_display_sound_menu='.($info->isDisplaySoundMenu?1:0);
		} else {
			$setval .= ',is_display_sound_menu=NULL';
		}

		$sql = 'UPDATE player_element SET '.$setval.' WHERE domain_id='.intval($domainId).' AND parent_type='.intval($info->parentType);
		$sql .= ' AND item_id';
		if(empty($info->itemId)) {
			$sql .= ' IS NULL';
		} else {
			$sql .= '='.intval($info->itemId);
		}
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * 指定したItemIDの子のPlayer一覧を取得する(簡易設定用)
	 * ボタンがないところは無し。
	 * @param $domainId [in] ドメインID
	 * @param $parentItemId [in] 親ItemID
	 * @return array PlayerElementリスト(キー：表示順)
	 */
	function &getChildPlayerList($domainId, $parentItemId) {
		$list = array();

		$sql  = 'SELECT a.item_id, a.disp_no, b.player_type, b.x_axis, b.y_axis, b.width, b.height, b.file_url, b.file_title, b.file_thumb_url, b.is_auto_play, b.is_auto_replay, b.is_display_menu, b.menu_position, b.menu_bg_color, b.is_display_equalizer, b.equalizer_beat, b.equalizer_fall, b.outside_url';
		$sql .= ', b.file_type, b.playlist_play_type, b.playlist_start_number';
		$sql .= ', b.is_display_play_and_stop_menu, b.is_display_seek_bar_menu, b.is_display_play_time_menu, b.is_display_resize_menu, is_display_sound_menu';
		$sql .= ' FROM item_element a';
		$sql .= ' LEFT JOIN player_element b ON a.item_id=b.item_id';
		$sql .= ' LEFT JOIN item_button c ON a.item_id = c.item_id';
		$sql .= ' WHERE a.item_id = c.item_id AND a.domain_id='.intval($domainId).' AND a.parent_item_id='.intval($parentItemId).' AND b.parent_type=0 AND c.item_id IS NOT NULL';
		$sql .= ' ORDER BY a.disp_no ASC, a.item_id ASC';

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return $list;
		}

		while($row = mysql_fetch_array($res, MYSQL_ASSOC)) {
			$info = new PlayerElement();
			$info->playerType = intval($row['player_type']);
			$info->xAxis = (isset($row['x_axis'])?intval($row['x_axis']):null);
			$info->yAxis = (isset($row['y_axis'])?intval($row['y_axis']):null);
			$info->width = (isset($row['width'])?intval($row['width']):null);
			$info->height = (isset($row['height'])?intval($row['height']):null);
			$info->fileUrl = $row['file_url'];
			$info->fileTitle = $row['file_title'];
			$info->fileThumbUrl = $row['file_thumb_url'];
			$info->isAutoPlay = (isset($row['is_auto_play'])?(intval($row['is_auto_play'])===1):null);
			$info->isAutoReplay = (isset($row['is_auto_replay'])?(intval($row['is_auto_replay'])===1):null);
			$info->isDisplayMenu = (isset($row['is_display_menu'])?(intval($row['is_display_menu'])===1):null);
			$info->menuPosition = (isset($row['menu_position'])?intval($row['menu_position']):null);
			$info->menuBgColor = $row['menu_bg_color'];
			$info->isDisplayEqualizer = (isset($row['is_display_equalizer'])?(intval($row['is_display_equalizer'])===1):null);
			$info->equalizerBear = (isset($row['equalizer_beat'])?intval($row['equalizer_beat']):null);
			$info->equalizerFall = (isset($row['equalizer_fall'])?intval($row['equalizer_fall']):null);
			$info->outsideUrl = $row['outside_url'];
			$info->itemId = (is_null($row['item_id'])?0:intval($row['item_id']));
			$info->domainId = intval($domainId);
			$info->fileType = intval($row['file_type']);
			$info->playlistPlayType = intval($row['playlist_play_type']);
			$info->playlistStartNumber = (isset($row['playlist_start_number'])?intval($row['playlist_start_number']):null);
			$info->isDisplayPlayAndStopMenu = (isset($row['is_display_play_and_stop_menu'])?(intval($row['is_display_play_and_stop_menu'])===1):null);
			$info->isDisplaySeekBarMenu     = (isset($row['is_display_seek_bar_menu'])?(intval($row['is_display_seek_bar_menu'])===1):null);
			$info->isDisplayPlayTimeMenu    = (isset($row['is_display_play_time_menu'])?(intval($row['is_display_play_time_menu'])===1):null);
			$info->isDisplayResizeMenu      = (isset($row['is_display_resize_menu'])?(intval($row['is_display_resize_menu'])===1):null);
			$info->isDisplaySoundMenu       = (isset($row['is_display_sound_menu'])?(intval($row['is_display_sound_menu'])===1):null);

			$list[intval($row['disp_no'])] = $info;
		}

		return $list;

	}

	/**
	 * プレイヤー削除
	 * @param $domainId [in] ドメインID
	 * @param $itemId [in] アイテムID
	 * @param $parentType [in] 親種別（0:初期値,子階層/1:スライダー画像アイテム）
	 * @return bool 成功/失敗
	 */
	function delete($domainId, $itemId, $parentType = 0) {

		$sql = 'DELETE FROM playlist_item WHERE player_id IN (SELECT player_id FROM player_element WHERE domain_id='.intval($domainId).' AND item_id='.intval($itemId).' AND parent_type = '.intval($parentType).')';
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$sql = 'DELETE FROM player_element WHERE domain_id='.intval($domainId).' AND item_id='.intval($itemId).' AND parent_type = '.intval($parentType);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}

	////////////////////////////

	/**
	 * PlayerIDを取得する
	 * @param $domainId [in] ドメインID
	 * @param $itemId [in] itemに所属する場合、itemId。0でXML所属playerが対象
	 * @param $parentType [in] 親種別（0:初期値,子階層/1:スライダー画像アイテム）
	 * @return integer PlayerID
	 */
	function getPlayerId($domainId, $itemId, $parentType) {
		$sql  = 'SELECT player_id FROM player_element WHERE domain_id='.intval($domainId).' AND parent_type = '.intval($parentType).' AND item_id';
		if(empty($itemId)) {
			$sql .= ' IS NULL';
		} else {
			$sql .= '='.intval($itemId);
		}

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return 0;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		return intval($row['player_id']);
	}

	/**
	 * プレイリストのアイテム一覧取得
	 * @param $domainId [in] ドメインID
	 * @param $playerId [in] プレイヤーID
	 * @return array PlayerPlayListItem一覧
	 */
	function &getItemList($domainId, $playerId) {
		$list = array();

		$sql = 'SELECT * FROM playlist_item WHERE player_id='.intval($playerId).' ORDER BY disp_no';

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return $list;
		}

		while($row = mysql_fetch_array($res, MYSQL_ASSOC)) {
			$itemInfo = new PlayerPlayListItem();
			$itemInfo->dispNo = intval($row['disp_no']);
			$itemInfo->fileUrl = $row['url'];
			$itemInfo->fileTitle = $row['title'];
			$itemInfo->fileThumbUrl = $row['thumb_url'];
			$itemInfo->playerId = intval($row['player_id']);
			$itemInfo->playlistItemId = intval($row['playlist_item_id']);

			$list[$itemInfo->dispNo] = $itemInfo;
		}

		return $list;
	}

	/**
	 * プレイリストアイテム取得
	 * @param $domainId [in] ドメインID
	 * @param $playerId [in] プレイヤーID
	 * @param $playlistItemId [in] プレイリストアイテムID
	 * @return PlayerPlayListItem
	 */
	function &getPlaylistItem($domainId, $playerId, $playlistItemId) {
		$itemInfo = new PlayerPlayListItem();

		$sql = 'SELECT * FROM playlist_item WHERE playlist_item_id='.intval($playlistItemId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return $itemInfo;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$itemInfo->dispNo = intval($row['disp_no']);
		$itemInfo->fileUrl = $row['url'];
		$itemInfo->fileTitle = $row['title'];
		$itemInfo->fileThumbUrl = $row['thumb_url'];
		$itemInfo->playerId = intval($row['player_id']);
		$itemInfo->playlistItemId = intval($row['playlist_item_id']);

		return $itemInfo;

	}

	/**
	 * 表示順の最大値取得
	 * @param $domainId [in] ドメインID
	 * @param $playerId [in] プレイヤーID
	 * @return intval 表示順の最大値
	 */
	function getPlaylistItemMaxDispNo($domainId, $playerId) {
		$sql = 'SELECT MAX(disp_no) AS max_value FROM playlist_item WHERE player_id='.intval($playerId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return 0;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		return intval($row['max_value']);
	}

	/**
	 * itemにデータを設定する
	 * @param $domainId [in] ドメインID
	 * @param $info [in] NewsItemElement
	 * @return bool 成功/失敗
	 */
	function setPlaylistItem($domainId, $info) {
		if($info->playlistItemId > 0) {
			if(!$this->updatePlaylistItemElement($domainId, $info)) {
				return false;
			}
		} else {
			if($this->insertPlaylistItemElement($domainId, $info) === 0) {
				return false;
			}
		}

		return true;
	}

	/**
	 * アイテムを挿入する
	 * @param $domainId [in] ドメインID
	 * @param $info [in] PlayerPlayListItem
	 * @return intval アイテムID
	 */
	function insertPlaylistItemElement($domainId, $info) {
		$columns  = ' player_id';
		$values   = ' '.intval($info->playerId);
		$columns .= ',disp_no';
		$values  .= ','.intval($info->dispNo);
		$columns .= ',url';
		$values  .= ','.$this->dbStr($info->fileUrl);
		$columns .= ',title';
		$values  .= ','.$this->dbStr($info->fileTitle);
		$columns .= ',thumb_url';
		$values  .= ','.$this->dbStr($info->fileThumbUrl);

		$sql = 'INSERT INTO playlist_item ('.$columns.') VALUES ('.$values.')';
		$res = mysql_query($sql, self::$dbConn);
		if($res !== FALSE) {
			return mysql_insert_id(self::$dbConn);
		} else {
			return 0;
		}
	}

	/**
	 * アイテムを更新する
	 * @param $domainId [in] ドメインID
	 * @param $info [in] PlayerPlayListItem
	 * @return bool 成功/失敗
	 */
	function updatePlaylistItemElement($domainId, $info) {
		$setval  = ' player_id='.intval($info->playerId);
		$setval .= ',disp_no='.intval($info->dispNo);
		$setval .= ',url='.$this->dbStr($info->fileUrl);
		$setval .= ',title='.$this->dbStr($info->fileTitle);
		$setval .= ',thumb_url='.$this->dbStr($info->fileThumbUrl);

		$sql = 'UPDATE playlist_item SET '.$setval.' WHERE playlist_item_id='.intval($info->playlistItemId);
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * 表示位置変更
	 * @param $domainId [in] ドメインID
	 * @param $playerId [in] プレイヤーID
	 * @param $playlistItemId [in] プレイリストアイテムID
	 * @param $newDispNo [in] 新しい表示位置
	 * @return bool 成功/失敗
	 */
	function changePlaylistItemDispNo($domainId, $playerId, $playlistItemId, $newDispNo) {
		$newDispNo = intval($newDispNo);
		$sql  = 'SELECT disp_no FROM playlist_item WHERE playlist_item_id='.intval($playlistItemId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return false;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$oldDispNo = intval($row['disp_no']);
		if($newDispNo === $oldDispNo) {
			return true;
		}

		if($oldDispNo > $newDispNo) {
			//前に移動
			$sql = 'UPDATE playlist_item SET disp_no=disp_no+1 WHERE player_id='.intval($playerId).' AND disp_no>='.intval($newDispNo).' AND disp_no<'.intval($oldDispNo);
		} else {
			//後ろに移動
			$sql = 'UPDATE playlist_item SET disp_no=disp_no-1 WHERE player_id='.intval($playerId).' AND disp_no>'.intval($oldDispNo).' AND disp_no<='.intval($newDispNo);
		}
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$sql = 'UPDATE playlist_item SET disp_no='.intval($newDispNo).' WHERE playlist_item_id='.intval($playlistItemId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * プレイリストアイテム削除
	 * @param $domainId [in] ドメインID
	 * @param $playerId [in] プレイヤーID
	 * @param $playlistItemId [in] プレイリストアイテムID
	 * @return bool 成功/失敗
	 */
	function deletePlaylistItem($domainId, $playerId, $playlistItemId) {
		$sql  = 'SELECT disp_no FROM playlist_item WHERE playlist_item_id='.intval($playlistItemId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return false;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$dispNo = intval($row['disp_no']);

		$sql = 'DELETE FROM playlist_item WHERE playlist_item_id='.intval($playlistItemId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$sql = 'UPDATE playlist_item SET disp_no=disp_no-1 WHERE player_id='.intval($playerId).' AND disp_no>'.intval($dispNo);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}
}
?>