<?php
require_once dirname(__FILE__).'/../../slider_xml.php';

class SliderImageItem extends DataAccessBase {

	/**
	 * アイテムの最大表示順(件数から割り出したもの)を取得する
	 * @param $domainId [in] ドメインID
	 * @param $sliderId [in] スライダーID
	 * @return intval 最大の表示順
	 */
	function getMaxDispNo($domainId, $sliderId) {
		$sql  = 'SELECT COUNT(disp_no) AS max FROM slider_image_item WHERE slider_id='.intval($sliderId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return 0;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		return intval($row['max']);
	}

	/**
	 * slider_image_item一覧を取得する
	 * @param $domainId [in] ドメインID
	 * @param $sliderId [in] スライダーID
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return SliderImageItemElemet
	 */
	function &getList($domainId, $sliderId, $isAll = false) {
		$list = array();

		$sql  = 'SELECT a.image_id, a.name, a.disp_no, a.image_url, b.image_id AS action_image_id, b.link_url, b.link_url_target, b.bg_image';
		$sql .= ' FROM slider_image_item a LEFT JOIN slider_item_action b ON a.image_id=b.image_id';
		$sql .= ' WHERE slider_id='.intval($sliderId);
		$sql .= ' ORDER BY disp_no ASC, slider_id ASC';

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return $list;
		}

		while($row = mysql_fetch_array($res, MYSQL_ASSOC)) {
			$info = new SliderImageItemElemet();
			$info->imageId = intval($row['image_id']);
			$info->sliderId = intval($sliderId);
			$info->dispNo = intval($row['disp_no']);
			$info->name = $row['name'];
			$info->imageUrl = $row['image_url'];

			if($isAll) {
				if(isset($row['action_image_id'])) {
					$info->actionElement = new SliderActionElement();

					$info->actionElement->linkUrl = $row['link_url'];
					$info->actionElement->linkUrlTarget = intval($row['link_url_target']);
					$info->actionElement->bgImage =  $row['bg_image'];
				}

				require_once dirname(__FILE__).'/../player_data.php';
				$childElement = new PlayerData($this->userName);
				$playerElement = $childElement->get($domainId, $info->imageId, 1);
				if($playerElement->domainId > 0) {
					if($info->actionElement === null) {
						$info->actionElement = new SliderActionElement();
					}
					$info->actionElement->playerElement = $playerElement;
				}

				require_once dirname(__FILE__).'/../item_data.php';
				$childElement = new ItemData($this->userName);
				$childItemList =& $childElement->getList($domainId, $info->imageId, 1, $isAll);
				if(count($childItemList) > 0) {
					if($info->actionElement === null) {
						$info->actionElement = new SliderActionElement();
					}
					$info->actionElement->itemElementList = $childItemList;
				}

			}

			$list[] = $info;
		}

		return $list;
	}

	/**
	 * slider_image_itemを取得する
	 * @param $domainId [in] ドメインID
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return SliderImageItemElemet
	 */
	function &get($domainId, $sliderId, $imageId, $isAll = false) {
		$info = new SliderImageItemElemet();

		$sql  = 'SELECT a.image_id, a.name, a.disp_no, a.image_url, b.image_id AS action_image_id, b.link_url, b.link_url_target, b.bg_image';
		$sql .= ' FROM slider_image_item a LEFT JOIN slider_item_action b ON a.image_id=b.image_id';
		$sql .= ' WHERE slider_id='.intval($sliderId).' AND a.image_id='.intval($imageId);
		$sql .= ' ORDER BY disp_no ASC, slider_id ASC';

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return $info;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$info = new SliderImageItemElemet();
		$info->imageId = intval($row['image_id']);
		$info->sliderId = intval($sliderId);
		$info->dispNo = intval($row['disp_no']);
		$info->name = $row['name'];
		$info->imageUrl = $row['image_url'];

		if($isAll) {
			if(isset($row['action_image_id'])) {
				$info->actionElement = new SliderActionElement();

				$info->actionElement->linkUrl = $row['link_url'];
				$info->actionElement->linkUrlTarget = intval($row['link_url_target']);
				$info->actionElement->bgImage =  $row['bg_image'];
			}

			require_once dirname(__FILE__).'/../player_data.php';
			$childElement = new PlayerData($this->userName);
			$playerElement = $childElement->get($domainId, $info->imageId, 1);
			if($playerElement->domainId > 0) {
				if($info->actionElement === null) {
					$info->actionElement = new SliderActionElement();
				}
				$info->actionElement->playerElement = $playerElement;
			}

			require_once dirname(__FILE__).'/../item_data.php';
			$childElement = new ItemData($this->userName);
			$childItemList =& $childElement->getList($domainId, $info->imageId, 1, $isAll);
			if(count($childItemList) > 0) {
				if($info->actionElement === null) {
					$info->actionElement = new SliderActionElement();
				}
				$info->actionElement->itemElementList = $childItemList;
			}
		}

		return $info;
	}

	/**
	 * slider_image_itemにデータを設定する
	 * @param $domainId [in] ドメインID
	 * @param $info [in] SliderImageItemElemet
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return bool 成功/失敗
	 */
	function set($domainId, $info, $isAll = false) {
		if(intval($info->imageId > 0)) {
			if(!$this->_updateElement($info)) {
				return false;
			}
			$imageId = intval($info->imageId);
		} else {
			if(!$this->_insertElement($info)) {
				return false;
			}
			$imageId = mysql_insert_id(self::$dbConn);
		}

		if($isAll) {
			if(isset($info->actionElement)) {
				return $this->setAction($domainId, $imageId, $info->actionElement, $isAll);
			}
		}

		return true;
	}

	private function _insertElement($info) {
		$columns  = ' slider_id';
		$values   = ' '.intval($info->sliderId);
		$columns .= ',name';
		$values  .= ','.$this->dbStr($info->name);
		$columns .= ',disp_no';
		$values  .= ','.intval($info->dispNo);
		$columns .= ',image_url';
		$values  .= ','.$this->dbStr($info->imageUrl);

		$sql = 'INSERT INTO slider_image_item ('.$columns.') VALUES ('.$values.')';
		$res = mysql_query($sql, self::$dbConn);
		return ($res !== FALSE);
	}

	private function _updateElement($info) {
		$setval  = ' name='.$this->dbStr($info->name);
		$setval .= ',disp_no='.intval($info->dispNo);
		$setval .= ',image_url='.$this->dbStr($info->imageUrl);

		$sql = 'UPDATE slider_image_item SET '.$setval.' WHERE slider_id='.intval($info->sliderId).' AND image_id='.intval($info->imageId);
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * 削除可能かチェックする
	 * 子階層が無いことが条件。
	 * @param $domainId [in] ドメインID
	 * @param $sliderId [in] スライダーID
	 * @param $imageId [in] イメージアイテムID
	 * @return bool 可否
	 */
	function isCanDelete($domainId, $sliderId, $imageId) {
		$sql  = 'SELECT COUNT(player_id) AS cnt';
		$sql .= ' FROM player_element';
		$sql .= ' WHERE domain_id='.intval($domainId);
		$sql .= ' AND item_id='.intval($imageId);
		$sql .= ' AND parent_type=1';

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return false;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		if(intval($row['cnt']) > 0) {
			return false;
		}

		$sql  = 'SELECT COUNT(item_id) AS cnt';
		$sql .= ' FROM item_element';
		$sql .= ' WHERE domain_id='.intval($domainId);
		$sql .= ' AND parent_item_id='.intval($imageId);
		$sql .= ' AND parent_type=1';

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return false;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		if(intval($row['cnt']) > 0) {
			return false;
		}

		return true;
	}

	/**
	 * イメージアイテム削除
	 * @param $domainId [in] ドメインID
	 * @param $sliderId [in] スライダーID
	 * @param $imageId [in] イメージアイテムID
	 * @return bool 成功/失敗
	 */
	function delete($domainId, $sliderId, $imageId) {
		$sql  = 'SELECT disp_no FROM slider_image_item WHERE slider_id='.intval($sliderId).' AND image_id='.intval($imageId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return false;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$dispNo = intval($row['disp_no']);

		$sql = 'DELETE FROM slider_item_action WHERE image_id='.intval($imageId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$sql = 'DELETE FROM slider_image_item WHERE slider_id='.intval($sliderId).' AND image_id='.intval($imageId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$sql = 'UPDATE slider_image_item SET disp_no=disp_no-1 WHERE slider_id='.intval($sliderId).' AND disp_no>'.intval($dispNo);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * アイテム表示位置変更
	 * @param $domainId [in] ドメインID
	 * @param $itemId [in] アイテムID
	 * @param $newDispNo [in] 新しい表示位置
	 * @return bool 成功/失敗
	 */
	function changeDispNo($domainId, $sliderId, $imageId, $newDispNo) {
		$newDispNo = intval($newDispNo);
		$sql  = 'SELECT disp_no FROM slider_image_item WHERE slider_id='.intval($sliderId).' AND image_id='.intval($imageId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return false;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$oldDispNo = intval($row['disp_no']);
		if($newDispNo === $oldDispNo) {
			return true;
		}

		if($oldDispNo > $newDispNo) {
			//前に移動
			$sql = 'UPDATE slider_image_item SET disp_no=disp_no+1 WHERE slider_id='.intval($sliderId).' AND disp_no>='.intval($newDispNo).' AND disp_no<'.intval($oldDispNo).' AND disp_no<>0';
		} else {
			//後ろに移動
			$sql = 'UPDATE slider_image_item SET disp_no=disp_no-1 WHERE slider_id='.intval($sliderId).' AND disp_no>'.intval($oldDispNo).' AND disp_no<='.intval($newDispNo).' AND disp_no<>0';
		}
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$sql = 'UPDATE slider_image_item SET disp_no='.intval($newDispNo).' WHERE slider_id='.intval($sliderId).' AND image_id='.intval($imageId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/////////

	/**
	 * slider_item_actionにデータを設定する
	 * @param $domainId [in] ドメインID
	 * @param $imageId [in] スライダー画像アイテムID
	 * @param $info [in] SliderActionElement
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return bool 成功/失敗
	 */
	function setAction($domainId, $imageId, $info, $isAll = false) {
		$sql = 'SELECT image_id FROM slider_item_action WHERE image_id='.intval($imageId);
		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE) {
			return false;
		}

		$cnt = mysql_num_rows($res);
		if($cnt > 1) {
			return false;
		} else if($cnt === 1) {
			if(!$this->_updateActionElement($info)) {
				return false;
			}
		} else {
			if(!$this->_insertActionElement(intval($imageId), $info)) {
				return false;
			}
		}

		if($isAll) {
			if(isset($info->playerElement)) {
				require_once dirname(__FILE__).'/../player_data.php';
				$childElement = new PlayerData($this->userName);
				$info->playerElement->parentType = 1;
				$info->playerElement->itemId = $imageId;
				if(!$childElement->set($domainId, $info->playerElement, $isAll)) {
					return false;
				}
			}
			if(count($info->itemElementList) > 0) {
				require_once dirname(__FILE__).'/../item_data.php';
				$childElement = new ItemData($this->userName);
				foreach($info->itemElementList as $itemElement) {
					$itemElement->parentType = 1;
					$itemElement->parentItemId = $imageId;
					if(!$childElement->set($domainId, $itemElement, $isAll)) {
						return false;
					}
				}
			}
		}

		return true;
	}

	private function _insertActionElement($imageId, $info) {
		$columns  = ' image_id';
		$values   = ' '.intval($imageId);
		$columns .= ',link_url';
		$values  .= ','.$this->dbStr($info->linkUrl);
		$columns .= ',link_url_target';
		$values  .= ','.intval($info->linkUrlTarget);
		$columns .= ',bg_image';
		$values  .= ','.$this->dbStr($info->bgImage);

		$sql = 'INSERT INTO slider_item_action ('.$columns.') VALUES ('.$values.')';
		$res = mysql_query($sql, self::$dbConn);
		return ($res !== FALSE);
	}

	private function _updateActionElement($info) {
		$setval  = ' link_url='.$this->dbStr($info->linkUrl);
		$setval .= ',link_url_target='.intval($info->linkUrlTarget);
		$setval .= ',bg_image='.$this->dbStr($info->bgImage);

		$sql = 'UPDATE slider_item_action SET '.$setval.' WHERE image_id='.intval($info->itemId);
		$res = mysql_query($sql, self::$dbConn);
		if($res == FALSE) {
			return false;
		} else {
			return true;
		}
	}

	/**
	 * slider_image_itemを取得する
	 * @param $domainId [in] ドメインID
	 * @param $sliderId [in] スライダーID
	 * @param $imageId [in] スライダー画像アイテムID
	 * @return SliderImageItemElemet
	 */
	function &getAction($domainId, $sliderId, $imageId) {

		$info = new SliderActionElement();

		$sql  = 'SELECT link_url, link_url_target, bg_image';
		$sql .= ' FROM slider_item_action';
		$sql .= ' WHERE image_id='.intval($imageId);

		$res = mysql_query($sql, self::$dbConn);
		if($res === FALSE || mysql_num_rows($res) !== 1) {
			return $info;
		}

		$row = mysql_fetch_array($res, MYSQL_ASSOC);
		$info->itemId = intval($imageId);
		$info->linkUrl = $row['link_url'];
		$info->linkUrlTarget = intval($row['link_url_target']);
		$info->bgImage =  $row['bg_image'];

		return $info;
	}
}

?>
