<?php
require_once dirname(__FILE__).'/../flag_xml.php';
require_once dirname(__FILE__).'/item_data.php';

class LinkData extends DataAccessBase {

	/**
	 * link_elementを取得する
	 * @param $domainId [in] ドメインID
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return NewsElement
	 */
	function &get($domainId, $isAll = false) {
		$info = new LinkElement();

		$itemData = new ItemData($this->userName);
		$info->itemElementList = $itemData->getList($domainId, 0, 0, $isAll);
		if(count($info->itemElementList) > 0) {
			$info->domainId = intval($domainId);
		}

		return $info;
	}

	/**
	 * link_elementにデータを設定する
	 * @param $domainId [in] ドメインID
	 * @param $info [in] LinkElement
	 * @param $isAll [in] 子ノードも処理するかどうか
	 * @return bool 成功/失敗
	 */
	function set($domainId, $info, $isAll = false) {
		$itemData = new ItemData($this->userName);
		foreach($info->itemElementList as $itemElement) {
			if(!$itemData->set($domainId, $itemElement, $isAll)) {
				return false;
			}
		}
		return true;
	}
}

?>
