<?php
class SystemInfo extends DataAccessBase {

	private static $_fileHandle = null;
	private static $_xmlObj = null;
	private static $_referenceCnt = 0;
	private static $_isWrite = false;

	function SystemInfo($userName) {
		self::$_referenceCnt++;
		parent::DataAccessBase($userName);
	}

	function __destruct() {
		self::$_referenceCnt--;
		if(self::$_referenceCnt <= 0 && self::$_fileHandle !== null) {
			if(self::$_isWrite) {
				parent::writeXmlObj(Config::TEXT_DATA_PATH.'system_info.xml', self::$_fileHandle, self::$_xmlObj);
				self::$_isWrite = false;
			}
			flock(self::$_fileHandle, LOCK_UN);
			fclose(self::$_fileHandle);
			self::$_fileHandle = null;
		}
	}

	private function &_getXmlObj() {
		return parent::getXmlObj(Config::TEXT_DATA_PATH.'system_info.xml', self::$_fileHandle, self::$_xmlObj);
	}

	/**
	 * バージョン取得
	 * @return string バージョン文字列
	 */
	function getVersion() {

		$obj =& $this->_getXmlObj();

		return (string)$obj->Version;
	}

	/**
	 * バージョン更新
	 * @param $version [in] バージョン文字列
	 * @return bool 成功/失敗
	 */
	function setVersio($version) {
		$obj =& $this->_getXmlObj();

		$obj->Version = $version;
		self::$_isWrite = true;

		return true;
	}
}
?>