<?php
require_once 'xml_base.php';
require_once 'flag_xml.php';


class TextXmlInfo extends Element {

	public $name = '';

	public $width = 0;
	public $height = 0;
	public $bgColor = 'FFFFFF';
	public $bgAlpha = 100;
	public $fileType = 1;
	public $fileUrl = '';
	public $isWordWrap = true;
	public $fontType = 1;
	public $textFontSize = 12;
	public $textColor = '000000';
	public $textIsDisplayShadow = true;
	public $textShadowColor = 'CCCCCC';
	public $verticalSchlollIsDisplay = true;
	public $verticalSchlollFaceColor = 'BFBFBF';
	public $verticalSchlollArrowColor = '010101';
	public $verticalSchlollTrackColor = 'DEDEDE';
	public $verticalSchlollInsideHighlightColor = 'FFFFFF';
	public $verticalSchlollInsideShadowColor = '7F7F7F';
	public $verticalSchlollOutsideHighlightColor = 'DEDEDE';
	public $verticalSchlollOutsideShadowColor = '010101';
	public $horizonSchlollIsDisplay = true;
	public $horizonSchlollFaceColor = 'BFBFBF';
	public $horizonSchlollArrowColor = '010101';
	public $horizonSchlollTrackColor = 'DEDEDE';
	public $horizonSchlollInsideHighlightColor = 'FFFFFF';
	public $horizonSchlollInsideShadowColor = '7F7F7F';
	public $horizonSchlollOutsideHighlightColor = 'DEDEDE';
	public $horizonSchlollOutsideShadowColor = '010101';

	public $textData = '';	//サブファイルから読み込み・サブファイルへ出力する文字列データ

	public $number = 0;
	public $textId = 0;

	function &getNode($dom, $isDemo) {
		require_once SYSTEM_PATH.'template/swf_info.php';

		$dataNode = $dom->createElement('DATA');

		$node = $dataNode->appendChild($dom->createElement('Copyright'));
		$node = $node->appendChild($dom->createTextNode('(C)2009 maverica corporation. ALL RIGHTS RESERVED.'));

		$node = $dataNode->appendChild($dom->createElement('Version'));
		$node = $node->appendChild($dom->createTextNode(SwfInfo::PARTS_TEXT_VERSION));

		if($this->name !== '') {
			$node = $dataNode->appendChild($dom->createElement('HiddenName'));
			$node = $node->appendChild($dom->createTextNode($this->name));
		}

		$propertyNode = $dataNode->appendChild($dom->createElement('Property'));

		$node = $propertyNode->appendChild($dom->createElement('Width', $this->width));
		$node = $propertyNode->appendChild($dom->createElement('Height', $this->height));
		if($this->bgColor !== '') {
			$node = $propertyNode->appendChild($dom->createElement('BgColor', $this->bgColor));
		}
		$node = $propertyNode->appendChild($dom->createElement('BgAlpha', $this->bgAlpha));

		$fileNode = $propertyNode->appendChild($dom->createElement('File'));
		$str = Element::getStrFromList(TextXmlInfo::getFileTypeStrList(), $this->fileType);
		if($str !== '') {
			$node = $fileNode->appendChild($dom->createElement('Type'));
			$node = $node->appendChild($dom->createTextNode($str));
		}

		$node = $fileNode->appendChild($dom->createElement('Url'));
		$node = $node->appendChild($dom->createTextNode(Element::addTimeStrToUrl($this->fileUrl, $isDemo)));

		$commonNode = $propertyNode->appendChild($dom->createElement('Common'));
		$node = $commonNode->appendChild($dom->createElement('WordWrap', Element::getBoolStr($this->isWordWrap)));
		$str = Element::getStrFromList(TextXmlInfo::getFontTypeStrList(), $this->fontType);
		if($str !== '') {
			$node = $commonNode->appendChild($dom->createElement('Font'));
			$node = $node->appendChild($dom->createTextNode($str));
		}

		if($this->fileType === 1) {	//TEXT
			$textSettingNode = $propertyNode->appendChild($dom->createElement('TextStrings'));

			$node = $textSettingNode->appendChild($dom->createElement('Size', $this->textFontSize));
			if($this->textColor !== '') {
				$node = $textSettingNode->appendChild($dom->createElement('Color', $this->textColor));
			}

			$shadowNode = $textSettingNode->appendChild($dom->createElement('Shadow'));
			$node = $shadowNode->appendChild($dom->createElement('Display', Element::getBoolStr($this->textIsDisplayShadow)));
			if($this->textShadowColor !== '') {
				$node = $shadowNode->appendChild($dom->createElement('Color', $this->textShadowColor));
			}

		}

		$scrollBarNode = $propertyNode->appendChild($dom->createElement('ScrollBar'));

		$verticalNode = $scrollBarNode->appendChild($dom->createElement('Vertical'));
		$node = $verticalNode->appendChild($dom->createElement('Display', Element::getBoolStr($this->verticalSchlollIsDisplay)));
		$propertyNode = $verticalNode->appendChild($dom->createElement('Property'));
		if($this->verticalSchlollFaceColor !== '') {
			$node = $propertyNode->appendChild($dom->createElement('Surface', $this->verticalSchlollFaceColor));
		}
		if($this->verticalSchlollArrowColor !== '') {
			$node = $propertyNode->appendChild($dom->createElement('Arrow', $this->verticalSchlollArrowColor));
		}
		if($this->verticalSchlollTrackColor !== '') {
			$node = $propertyNode->appendChild($dom->createElement('Track', $this->verticalSchlollTrackColor));
		}
		$insideNode = $propertyNode->appendChild($dom->createElement('Inside'));
		if($this->verticalSchlollInsideHighlightColor !== '') {
			$node = $insideNode->appendChild($dom->createElement('Highlight', $this->verticalSchlollInsideHighlightColor));
		}
		if($this->verticalSchlollInsideShadowColor !== '') {
			$node = $insideNode->appendChild($dom->createElement('Shadow', $this->verticalSchlollInsideShadowColor));
		}
		$outsideNode = $propertyNode->appendChild($dom->createElement('Outside'));
		if($this->verticalSchlollOutsideHighlightColor !== '') {
			$node = $outsideNode->appendChild($dom->createElement('Highlight', $this->verticalSchlollOutsideHighlightColor));
		}
		if($this->verticalSchlollOutsideShadowColor !== '') {
			$node = $outsideNode->appendChild($dom->createElement('Shadow', $this->verticalSchlollOutsideShadowColor));
		}

		$horizonNode = $scrollBarNode->appendChild($dom->createElement('Horizon'));
		$node = $horizonNode->appendChild($dom->createElement('Display', Element::getBoolStr($this->horizonSchlollIsDisplay)));
		$propertyNode = $horizonNode->appendChild($dom->createElement('Property'));
		if($this->horizonSchlollFaceColor !== '') {
			$node = $propertyNode->appendChild($dom->createElement('Surface', $this->horizonSchlollFaceColor));
		}
		if($this->horizonSchlollArrowColor !== '') {
			$node = $propertyNode->appendChild($dom->createElement('Arrow', $this->horizonSchlollArrowColor));
		}
		if($this->horizonSchlollTrackColor !== '') {
			$node = $propertyNode->appendChild($dom->createElement('Track', $this->horizonSchlollTrackColor));
		}
		$insideNode = $propertyNode->appendChild($dom->createElement('Inside'));
		if($this->horizonSchlollInsideHighlightColor !== '') {
			$node = $insideNode->appendChild($dom->createElement('Highlight', $this->horizonSchlollInsideHighlightColor));
		}
		if($this->horizonSchlollInsideShadowColor !== '') {
			$node = $insideNode->appendChild($dom->createElement('Shadow', $this->horizonSchlollInsideShadowColor));
		}
		$outsideNode = $propertyNode->appendChild($dom->createElement('Outside'));
		if($this->horizonSchlollOutsideHighlightColor !== '') {
			$node = $outsideNode->appendChild($dom->createElement('Highlight', $this->horizonSchlollOutsideHighlightColor));
		}
		if($this->horizonSchlollOutsideShadowColor !== '') {
			$node = $outsideNode->appendChild($dom->createElement('Shadow', $this->horizonSchlollOutsideShadowColor));
		}

		return $dataNode;
	}

	function setDataFromXmlObj($obj) {

		if(!isset($obj->Copyright)) {
			return false;
		}

		if(!isset($obj->Version)) {
			return false;
		}

		if(isset($obj->HiddenName)) {
			$this->name = (string)$obj->HiddenName;
		}

		if(isset($obj->Property)) {
			if(isset($obj->Property->Width)) {
				$this->width = intval($obj->Property->Width);
			}

			if(isset($obj->Property->Height)) {
				$this->height = intval($obj->Property->Height);
			}

			if(isset($obj->Property->BgColor) && Element::checkColorFormat((string)$obj->Property->BgColor)) {
				$this->bgColor = (string)$obj->Property->BgColor;
			}

			if(isset($obj->Property->BgAlpha)) {
				$this->bgAlpha = intval($obj->Property->BgAlpha);
			}

			if(isset($obj->Property->File->Type)) {
				$this->fileType = Element::getIdFromList(TextXmlInfo::getFileTypeStrList(), (string)$obj->Property->File->Type);
			}

			if(isset($obj->Property->File->Url)) {
				$this->fileUrl = (string)$obj->Property->File->Url;
			}

			if(isset($obj->Property->Common->WordWrap)) {
				$this->isWordWrap = Element::getBoolFromStr((string)$obj->Property->Common->WordWrap);
			}

			if(isset($obj->Property->Common->Font)) {
				$this->fontType = Element::getIdFromList(TextXmlInfo::getFontTypeStrList(), (string)$obj->Property->Common->Font);
			}

			if(isset($obj->Property->TextStrings->Size)) {
				$this->textFontSize = intval($obj->Property->TextStrings->Size);
			}

			if(isset($obj->Property->TextStrings->Color) && Element::checkColorFormat((string)$obj->Property->TextStrings->Color)) {
				$this->textColor = (string)$obj->Property->TextStrings->Color;
			}

			if(isset($obj->Property->TextStrings->Shadow->Display)) {
				$this->textIsDisplayShadow = Element::getBoolFromStr((string)$obj->Property->TextStrings->Shadow->Display);
			}

			if(isset($obj->Property->TextStrings->Shadow->Color) && Element::checkColorFormat((string)$obj->Property->TextStrings->Shadow->Color)) {
				$this->textShadowColor = (string)$obj->Property->TextStrings->Shadow->Color;
			}

			if(isset($obj->Property->ScrollBar)) {
				if(isset($obj->Property->ScrollBar->Vertical)) {
					if(isset($obj->Property->ScrollBar->Vertical->Display)) {
						$this->verticalSchlollIsDisplay = Element::getBoolFromStr((string)$obj->Property->ScrollBar->Vertical->Display);
					}

					if(isset($obj->Property->ScrollBar->Vertical->Property->Surface) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Vertical->Property->Surface)) {
						$this->verticalSchlollFaceColor = (string)$obj->Property->ScrollBar->Vertical->Property->Surface;
					}

					if(isset($obj->Property->ScrollBar->Vertical->Property->Arrow) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Vertical->Property->Arrow)) {
						$this->verticalSchlollArrowColor = (string)$obj->Property->ScrollBar->Vertical->Property->Arrow;
					}

					if(isset($obj->Property->ScrollBar->Vertical->Property->Track) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Vertical->Property->Track)) {
						$this->verticalSchlollTrackColor = (string)$obj->Property->ScrollBar->Vertical->Property->Track;
					}

					if(isset($obj->Property->ScrollBar->Vertical->Property->Inside->Highlight) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Vertical->Property->Inside->Highlight)) {
						$this->verticalSchlollInsideHighlightColor = (string)$obj->Property->ScrollBar->Vertical->Property->Inside->Highlight;
					}

					if(isset($obj->Property->ScrollBar->Vertical->Property->Inside->Shadow) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Vertical->Property->Inside->Shadow)) {
						$this->verticalSchlollInsideShadowColor = (string)$obj->Property->ScrollBar->Vertical->Property->Inside->Shadow;
					}

					if(isset($obj->Property->ScrollBar->Vertical->Property->Outside->Highlight) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Vertical->Property->Outside->Highlight)) {
						$this->verticalSchlollOutsideHighlightColor = (string)$obj->Property->ScrollBar->Vertical->Property->Outside->Highlight;
					}

					if(isset($obj->Property->ScrollBar->Vertical->Property->Outside->Shadow) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Vertical->Property->Outside->Shadow)) {
						$this->verticalSchlollOutsideShadowColor = (string)$obj->Property->ScrollBar->Vertical->Property->Outside->Shadow;
					}
				}

				if(isset($obj->Property->ScrollBar->Horizon)) {
					if(isset($obj->Property->ScrollBar->Horizon->Display)) {
						$this->horizonSchlollIsDisplay = Element::getBoolFromStr((string)$obj->Property->ScrollBar->Horizon->Display);
					}

					if(isset($obj->Property->ScrollBar->Horizon->Property->Surface) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Horizon->Property->Surface)) {
						$this->horizonSchlollFaceColor = (string)$obj->Property->ScrollBar->Horizon->Property->Surface;
					}

					if(isset($obj->Property->ScrollBar->Horizon->Property->Arrow) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Horizon->Property->Arrow)) {
						$this->horizonSchlollArrowColor = (string)$obj->Property->ScrollBar->Horizon->Property->Arrow;
					}

					if(isset($obj->Property->ScrollBar->Horizon->Property->Track) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Horizon->Property->Track)) {
						$this->horizonSchlollTrackColor = (string)$obj->Property->ScrollBar->Horizon->Property->Track;
					}

					if(isset($obj->Property->ScrollBar->Horizon->Property->Inside->Highlight) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Horizon->Property->Inside->Highlight)) {
						$this->horizonSchlollInsideHighlightColor = (string)$obj->Property->ScrollBar->Horizon->Property->Inside->Highlight;
					}

					if(isset($obj->Property->ScrollBar->Horizon->Property->Inside->Shadow) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Horizon->Property->Inside->Shadow)) {
						$this->horizonSchlollInsideShadowColor = (string)$obj->Property->ScrollBar->Horizon->Property->Inside->Shadow;
					}

					if(isset($obj->Property->ScrollBar->Horizon->Property->Outside->Highlight) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Horizon->Property->Outside->Highlight)) {
						$this->horizonSchlollOutsideHighlightColor = (string)$obj->Property->ScrollBar->Horizon->Property->Outside->Highlight;
					}

					if(isset($obj->Property->ScrollBar->Horizon->Property->Outside->Shadow) && Element::checkColorFormat((string)$obj->Property->ScrollBar->Horizon->Property->Outside->Shadow)) {
						$this->horizonSchlollOutsideShadowColor = (string)$obj->Property->ScrollBar->Horizon->Property->Outside->Shadow;
					}
				}
			}
		}

		return true;
	}

	function resetId() {
		$this->textId = 0;
		foreach($this->imageItemList as $element) {
			$element->resetId();
		}
	}

	/**
	 * ファイルから読み込み
	 * @param $filePath [in] 対象XMLファイル
	 * @return bool 成功/失敗
	 */
	function loadFile($filePath) {
		$xml = simplexml_load_file($filePath);

		return $this->setDataFromXmlObj($xml);
	}

	/**
	 * XML出力
	 * @param $filePath [in] 出力先ファイル
	 * @param $isDemo [in] デモサイト用かどうか
	 * @return bool 成功/失敗
	 */
	function saveFile($filePath, $isDemo = false) {
		$dom = new DOMDocument('1.0', 'UTF-8');
		$dom->formatOutput = true;

		$dataNode = $dom->appendChild($this->getNode($dom, $isDemo));

		return ($dom->save($filePath) !== FALSE);
	}

	/**
	 * サブファイル読み込み
	 * @param $filePath [in] 対象ファイル
	 * @return bool 成功/失敗
	 */
	function loadSubFile($filePath) {
		if(!is_file($filePath)) {
			return true;
		}

		require_once dirname(__FILE__).'/../util/file.php';

		return (FileUtil::readFileStr($filePath, $this->textData) === 0);
	}

	/**
	 * サブファイル出力
	 * @param $filePath [in] 出力先ファイル
	 * @param $isDemo [in] デモサイト用かどうか
	 * @return bool 成功/失敗
	 */
	function saveSubFile($filePath, $isDemo = false) {
		require_once dirname(__FILE__).'/../util/file.php';

		return (FileUtil::writeFileStr($filePath, $this->textData) === 0);
	}

	/**
	 * 読み込みファイル種別文字列一覧取得
	 * @return array 読み込みファイル種別文字列一覧(キー:ID/値:文字列)
	 */
	static function getFileTypeStrList() {
		$list = array();
		$list[1] = 'text';
		$list[2] = 'html';

		return $list;

	}

	/**
	 *フォント種別文字列一覧取得
	 * @return array フォント種別文字列一覧(キー:ID/値:文字列)
	 */
	static function getFontTypeStrList() {
		$list = array();
		$list[1] = 'tohaba';
		$list[2] = 'gothic';
		$list[3] = 'minchou';

		return $list;

	}

	/**
	 * 設定した内容をチェックする
	 * @return array エラーリスト
	 */
	function &check() {
		$resultList = array();

		if($this->width === '' || !is_numeric($this->width)) {
			$resultList['width'] = Language::MSG_NUMERIC_FORMAT_ERROR;
		} else {
			$this->width = intval($this->width);
		}

		if($this->height === '' || !is_numeric($this->height)) {
			$resultList['height'] = Language::MSG_NUMERIC_FORMAT_ERROR;
		} else {
			$this->height = intval($this->height);
		}

		if($this->bgColor !== '' && !Element::checkColorFormat($this->bgColor)) {
			$resultList['bgColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}

		if($this->bgAlpha !== '' && !Element::checkAlphaFormat($this->bgAlpha)) {
			$resultList['bgAlpha'] = Language::MSG_ALPHA_FORMAT_ERROR;
		} else {
			$this->bgAlpha = intval($this->bgAlpha);
		}

		if(!is_numeric($this->textFontSize)) {
			$resultList['textFontSize'] = Language::MSG_FONT_SIZE_ERROR;
		} else if(intval($this->textFontSize) < 8 || intval($this->textFontSize) > 96) {
			$resultList['textFontSize'] = Language::MSG_FONT_SIZE_ERROR;
		} else {
			$this->textFontSize = intval($this->textFontSize);
		}

		if($this->textColor !== '' && !Element::checkColorFormat($this->textColor)) {
			$resultList['textColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}

		if($this->textShadowColor !== '' && !Element::checkColorFormat($this->textShadowColor)) {
			$resultList['textShadowColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}


		if($this->verticalSchlollFaceColor !== '' && !Element::checkColorFormat($this->verticalSchlollFaceColor)) {
			$resultList['verticalSchlollFaceColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->verticalSchlollArrowColor !== '' && !Element::checkColorFormat($this->verticalSchlollArrowColor)) {
			$resultList['verticalSchlollArrowColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->verticalSchlollTrackColor !== '' && !Element::checkColorFormat($this->verticalSchlollTrackColor)) {
			$resultList['verticalSchlollTrackColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->verticalSchlollInsideHighlightColor !== '' && !Element::checkColorFormat($this->verticalSchlollInsideHighlightColor)) {
			$resultList['verticalSchlollInsideHighlightColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->verticalSchlollInsideShadowColor !== '' && !Element::checkColorFormat($this->verticalSchlollInsideShadowColor)) {
			$resultList['verticalSchlollInsideShadowColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->verticalSchlollOutsideHighlightColor !== '' && !Element::checkColorFormat($this->verticalSchlollOutsideHighlightColor)) {
			$resultList['verticalSchlollOutsideHighlightColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->verticalSchlollOutsideShadowColor !== '' && !Element::checkColorFormat($this->verticalSchlollOutsideShadowColor)) {
			$resultList['verticalSchlollOutsideShadowColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->horizonSchlollFaceColor !== '' && !Element::checkColorFormat($this->horizonSchlollFaceColor)) {
			$resultList['horizonSchlollFaceColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->horizonSchlollArrowColor !== '' && !Element::checkColorFormat($this->horizonSchlollArrowColor)) {
			$resultList['horizonSchlollArrowColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->horizonSchlollTrackColor !== '' && !Element::checkColorFormat($this->horizonSchlollTrackColor)) {
			$resultList['horizonSchlollTrackColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->horizonSchlollInsideHighlightColor !== '' && !Element::checkColorFormat($this->horizonSchlollInsideHighlightColor)) {
			$resultList['horizonSchlollInsideHighlightColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->horizonSchlollInsideShadowColor !== '' && !Element::checkColorFormat($this->horizonSchlollInsideShadowColor)) {
			$resultList['horizonSchlollInsideShadowColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->horizonSchlollOutsideHighlightColor !== '' && !Element::checkColorFormat($this->horizonSchlollOutsideHighlightColor)) {
			$resultList['horizonSchlollOutsideHighlightColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}
		if($this->horizonSchlollOutsideShadowColor !== '' && !Element::checkColorFormat($this->horizonSchlollOutsideShadowColor)) {
			$resultList['horizonSchlollOutsideShadowColor'] = Language::PLEASE_INPUT_COLOR_NUMBER;
		}

		return $resultList;
	}
}
?>