<?php
class Setup_0_0_1_B1 extends SetupBase {
	function updateDefine() {
		$msg = '';

			$sql = <<<_END_OF_STR_
CREATE TABLE system_info (
       info_id INTEGER NOT NULL
     , version VARCHAR(20) NOT NULL
     , flash_version VARCHAR(255) NOT NULL
     , PRIMARY KEY (info_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [system_info]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE domain (
       domain_id SERIAL NOT NULL
     , domain_title VARCHAR(255) NOT NULL
     , domain_name VARCHAR(255) NOT NULL
     , output_path TEXT NOT NULL
     , is_not_output INT2 NOT NULL
     , width INTEGER NOT NULL
     , height INTEGER NOT NULL
     , regist_date TIMESTAMP NOT NULL
     , regist_user VARCHAR(255) NOT NULL
     , update_date TIMESTAMP NOT NULL
     , update_user VARCHAR(255) NOT NULL
     , PRIMARY KEY (domain_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [domain]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE xml_data (
       domain_id INTEGER NOT NULL
     , logo INT2 NOT NULL
     , bg_color VARCHAR(6) NOT NULL
     , bg_image TEXT NOT NULL
     , update_date TIMESTAMP NOT NULL
     , update_user VARCHAR(255) NOT NULL
     , PRIMARY KEY (domain_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [xml_data]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE news_element (
       domain_id INTEGER NOT NULL
     , is_display INT2 NOT NULL
     , display_type INT2 NOT NULL
     , text_display_type INT2 NOT NULL
     , slide_wait_time INTEGER NOT NULL
     , scroll_move_pixel NUMERIC NOT NULL
     , x_axis INTEGER NOT NULL
     , y_axis INTEGER NOT NULL
     , width INTEGER NOT NULL
     , height INTEGER NOT NULL
     , padding INTEGER NOT NULL
     , text_color VARCHAR(6) NOT NULL
     , text_shadow_color VARCHAR(6) NOT NULL
     , PRIMARY KEY (domain_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [news_element]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE item_element (
       item_id SERIAL NOT NULL
     , name VARCHAR(30) NOT NULL
     , parent_item_id INTEGER
     , domain_id INTEGER NOT NULL
     , disp_no INTEGER NOT NULL
     , is_display INT2 NOT NULL
     , layer INT2 NOT NULL
     , x_axis INTEGER NOT NULL
     , y_axis INTEGER NOT NULL
     , image TEXT NOT NULL
     , PRIMARY KEY (item_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [item_element]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE item_button (
       item_id INTEGER NOT NULL
     , width INTEGER NOT NULL
     , height INTEGER NOT NULL
     , rollover_color VARCHAR(6) NOT NULL
     , rollover_alpha INT2 NOT NULL
     , rollout_color VARCHAR(6) NOT NULL
     , rollout_alpha INT2 NOT NULL
     , link_url TEXT NOT NULL
     , link_url_target INT2 NOT NULL
     , bg_image TEXT NOT NULL
     , PRIMARY KEY (item_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [item_button]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE news_item (
       item_id SERIAL NOT NULL
     , domain_id INTEGER NOT NULL
     , disp_no INTEGER NOT NULL
     , title TEXT NOT NULL
     , url TEXT NOT NULL
     , url_target INT2 NOT NULL
     , PRIMARY KEY (item_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [news_item]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE player_element (
       player_id SERIAL NOT NULL
     , domain_id INTEGER NOT NULL
     , item_id INTEGER
     , player_type INT2 NOT NULL
     , x_axis INTEGER
     , y_axis INTEGER
     , width INTEGER
     , height INTEGER
     , file_url TEXT NOT NULL
     , file_title TEXT NOT NULL
     , file_thumb_url TEXT NOT NULL
     , is_auto_play INT2
     , is_auto_replay INT2
     , is_display_menu INT2
     , menu_position INT2
     , menu_bg_color VARCHAR(6) NOT NULL
     , is_display_equalizer INT2
     , equalizer_beat INTEGER
     , equalizer_fall INTEGER
     , outside_url TEXT NOT NULL
     , PRIMARY KEY (player_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [player_element]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE news_skin (
       domain_id INTEGER NOT NULL
     , main_is_display_gradation INT2 NOT NULL
     , main_gradation_alpha INT2 NOT NULL
     , main_bg_color VARCHAR(6) NOT NULL
     , main_bg_alpha INT2 NOT NULL
     , inner_is_display_gradation INT2 NOT NULL
     , inner_gradation_alpha INT2 NOT NULL
     , inner_bg_color VARCHAR(6) NOT NULL
     , inner_bg_alpha INT2 NOT NULL
     , PRIMARY KEY (domain_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [news_skin]';
		}


		$sql = <<<_END_OF_STR_
CREATE TABLE account (
       account_id SERIAL NOT NULL
     , user_id VARCHAR(255) NOT NULL
     , password TEXT NOT NULL
     , disp_name VARCHAR(255) NOT NULL
     , memo TEXT NOT NULL
     , authority_level INT2 NOT NULL
     , domain_id INTEGER
     , regist_date TIMESTAMP NOT NULL
     , update_date TIMESTAMP NOT NULL
     , last_login TIMESTAMP
     , regist_user VARCHAR(255) NOT NULL
     , update_user VARCHAR(255) NOT NULL
     , PRIMARY KEY (account_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [account]';
		}

		return $msg;
	}
	function updateData() {
		$msg = '';

		$sql = "INSERT INTO system_info ( info_id, version, flash_version ) VALUES (1,'0.0.1.B1', 'coreblo FLAG Beta')";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'insert error [system_info]';
		}

		$sql = "SELECT COUNT(user_id) AS cnt FROM account";
		$res = pg_query(self::$dbConn, $sql);
		if($res === FALSE || pg_num_rows($res) === 0) {
			$msg .= 'query error [account]';
		} else {
			$row = pg_fetch_array($res, 0, PGSQL_ASSOC);
			if($row['cnt'] > 0) {
				$msg .= 'already exist [account]';
			} else {
				$sql = "INSERT INTO account (user_id, password, disp_name, memo, authority_level, regist_date, update_date, last_login, regist_user, update_user ) VALUES ('admin','','管理者','',1,NOW(),NOW(),null,'管理者','管理者')";
				$res = pg_query(self::$dbConn, $sql);
				if($res == FALSE) {
					$msg .= 'insert error [account]';
				}
			}
		}

		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER TABLE xml_data
  ADD CONSTRAINT FK_xml_data_1
      FOREIGN KEY (domain_id)
      REFERENCES domain (domain_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [domain]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE news_element
  ADD CONSTRAINT FK_xml_news_1
      FOREIGN KEY (domain_id)
      REFERENCES xml_data (domain_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [news_element]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE item_element
  ADD CONSTRAINT FK_link_item_1
      FOREIGN KEY (domain_id)
      REFERENCES xml_data (domain_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [item_element]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE item_button
  ADD CONSTRAINT FK_item_button_1
      FOREIGN KEY (item_id)
      REFERENCES item_element (item_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [item_button]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE news_item
  ADD CONSTRAINT FK_item_news_1
      FOREIGN KEY (domain_id)
      REFERENCES news_element (domain_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [news_item]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE player_element
  ADD CONSTRAINT FK_player_item_1
      FOREIGN KEY (domain_id)
      REFERENCES xml_data (domain_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [player_element domain_id]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE player_element
  ADD CONSTRAINT FK_player_element_2
      FOREIGN KEY (item_id)
      REFERENCES item_button (item_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [player_element item_id]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE news_skin
  ADD CONSTRAINT FK_news_skin_1
      FOREIGN KEY (domain_id)
      REFERENCES news_element (domain_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [news_skin]';
		}


		$sql = <<<_END_OF_STR_
ALTER TABLE account
  ADD CONSTRAINT FK_account_1
      FOREIGN KEY (domain_id)
      REFERENCES domain (domain_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [account]';
		}

		return $msg;
	}
}
?>