<?php
class Setup_0_0_1_B2 extends SetupBase {
	function updateDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER
    TABLE system_info ADD COLUMN parts_slider_version VARCHAR(255);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [system_info]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element ADD COLUMN parent_type INTEGER;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [item_element]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE player_element ADD COLUMN parent_type INTEGER;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [player_element]';
		}


		//追加テーブル分
		$sql = <<<_END_OF_STR_
CREATE TABLE slider_data (
       slider_id SERIAL NOT NULL
     , domain_id INTEGER NOT NULL
     , number INTEGER NOT NULL
     , name VARCHAR(30) NOT NULL
     , direction_type INT2 NOT NULL
     , is_mirror_effect INT2 NOT NULL
     , is_blur_effect INT2 NOT NULL
     , bg_color VARCHAR(6) NOT NULL
     , bg_alpha INT2 NOT NULL
     , width INTEGER NOT NULL
     , height INTEGER NOT NULL
     , thumb_width INTEGER NOT NULL
     , thumb_height INTEGER NOT NULL
     , PRIMARY KEY (slider_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [slider_data]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE slider_image_item (
       image_id SERIAL NOT NULL
     , slider_id INTEGER NOT NULL
     , name VARCHAR(30) NOT NULL
     , disp_no INTEGER NOT NULL
     , image_url TEXT NOT NULL
     , PRIMARY KEY (image_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [slider_image_item]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE slider_item_action (
       image_id INTEGER NOT NULL
     , link_url TEXT NOT NULL
     , link_url_target INT2 NOT NULL
     , bg_image TEXT NOT NULL
     , PRIMARY KEY (image_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [slider_item_action]';
		}


		return $msg;
	}
	function updateData() {
		$msg = '';

		$sql = "UPDATE system_info SET parts_slider_version = 'coreblo FLAG Parts Slider Beta' WHERE parts_slider_version IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [system_info]';
		}

		$sql = "UPDATE item_element SET parent_type=0 WHERE parent_type IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [item_element]';
		}

		$sql = "UPDATE player_element SET parent_type=0 WHERE parent_type IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [player_element]';
		}

		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER
    TABLE system_info
        ALTER COLUMN  parts_slider_version SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [system_info]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element
         ALTER COLUMN parent_type SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [item_element]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE player_element
         ALTER COLUMN parent_type SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [player_element]';
		}

		//追加テーブル分
		$sql = <<<_END_OF_STR_
ALTER TABLE slider_data
  ADD CONSTRAINT FK_slider_data_1
      FOREIGN KEY (domain_id)
      REFERENCES domain (domain_id);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [slider_data]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE slider_image_item
  ADD CONSTRAINT FK_slider_image_item_1
      FOREIGN KEY (slider_id)
      REFERENCES slider_data (slider_id);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [slider_image_item]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE slider_item_action
  ADD CONSTRAINT FK_slider_item_action_1
      FOREIGN KEY (image_id)
      REFERENCES slider_image_item (image_id);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [slider_item_action]';
		}

		// プレイヤーの外部参照削除
		$sql = <<<_END_OF_STR_
ALTER
    TABLE player_element DROP
        CONSTRAINT FK_player_element_2
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter drop error [player_element]';
		}

		return $msg;
	}
}
?>