<?php
class Setup_0_0_1_B4 extends SetupBase {
	function updateDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
CREATE TABLE photo_data (
       photo_id SERIAL NOT NULL
     , domain_id INTEGER NOT NULL
     , number INTEGER NOT NULL
     , name VARCHAR(30) NOT NULL
     , bg_color VARCHAR(6) NOT NULL
     , bg_alpha INT2 NOT NULL
     , width INTEGER NOT NULL
     , height INTEGER NOT NULL
     , is_sequential_mode INT2 NOT NULL
     , figure_number INTEGER NOT NULL
     , start_value INTEGER NOT NULL
     , end_value INTEGER NOT NULL
     , file_extension TEXT NOT NULL
     , file_path TEXT NOT NULL
     , PRIMARY KEY (photo_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [photo_data]';
		}

		$sql = <<<_END_OF_STR_
CREATE TABLE photo_image_item (
       image_id SERIAL NOT NULL
     , photo_id INTEGER NOT NULL
     , name VARCHAR(30) NOT NULL
     , disp_no INTEGER NOT NULL
     , image_url TEXT NOT NULL
     , PRIMARY KEY (image_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [photo_image_item]';
		}

		return $msg;

	}
	function updateData() {
		$msg = '';

		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER TABLE photo_data
  ADD CONSTRAINT FK_photo_data_1
      FOREIGN KEY (domain_id)
      REFERENCES domain (domain_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [photo_data]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE photo_image_item
  ADD CONSTRAINT FK_photo_image_item_1
      FOREIGN KEY (photo_id)
      REFERENCES photo_data (photo_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [photo_image_item]';
		}

		// カラム削除
		$sql = <<<_END_OF_STR_
ALTER TABLE system_info
  DROP flash_version;
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [system_info:flash_version]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE system_info
  DROP parts_slider_version;
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [system_info:parts_slider_version]';
		}

		return $msg;
	}
}
?>