<?php
class Setup_0_9_5 extends SetupBase {
	function updateDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_button ADD COLUMN rollover_image TEXT;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [item_button.rollover_image]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element ADD COLUMN image_fadein_effect INT2;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [item_element.image_fadein_effect]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element ADD COLUMN image_slidein_angle INT2;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [item_element.image_slidein_angle]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element ADD COLUMN image_slidein_move_size INTEGER;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [item_element.image_slidein_move_size]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element ADD COLUMN image_slidein_move_speed INT2;
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create column error [item_element.image_slidein_move_speed]';
		}

		return $msg;
	}
	function updateData() {
		$msg = '';

		$sql = "UPDATE item_button SET rollover_image='' WHERE rollover_image IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [item_button.rollover_image]';
		}

		$sql = "UPDATE item_element SET image_fadein_effect=0 WHERE image_fadein_effect IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [item_element.image_fadein_effect]';
		}

		$sql = "UPDATE item_element SET image_slidein_angle=0 WHERE image_slidein_angle IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [item_element.image_slidein_angle]';
		}

		$sql = "UPDATE item_element SET image_slidein_move_size=0 WHERE image_slidein_move_size IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [item_element.image_slidein_move_size]';
		}

		$sql = "UPDATE item_element SET image_slidein_move_speed=0 WHERE image_slidein_move_speed IS NULL";
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg = 'update error [item_element.image_slidein_move_speed]';
		}

		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_button
        ALTER COLUMN rollover_image SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [item_button.rollover_image]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element
        ALTER COLUMN image_fadein_effect SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [item_element.image_fadein_effect]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element
        ALTER COLUMN image_slidein_angle SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [item_element.image_slidein_angle]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element
        ALTER COLUMN image_slidein_move_size SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [item_element.image_slidein_move_size]';
		}

		$sql = <<<_END_OF_STR_
ALTER
    TABLE item_element
        ALTER COLUMN image_slidein_move_speed SET NOT NULL
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [item_element.image_slidein_move_speed]';
		}

		return $msg;
	}
}
?>