<?php
class Setup_0_9_9 extends SetupBase {
	function updateDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
CREATE TABLE html_property_data (
       domain_id INTEGER NOT NULL
     , body_margin_top INTEGER NOT NULL
     , body_margin_bottom INTEGER NOT NULL
     , body_margin_left INTEGER NOT NULL
     , body_margin_right INTEGER NOT NULL
     , body_margin_left_is_auto INT2 NOT NULL
     , body_margin_right_is_auto INT2 NOT NULL
     , body_padding_top INTEGER NOT NULL
     , body_padding_bottom INTEGER NOT NULL
     , body_padding_left INTEGER NOT NULL
     , body_padding_right INTEGER NOT NULL
     , body_padding_lefit_is_auto INT2 NOT NULL
     , body_padding_right_is_auto INT2 NOT NULL
     , body_layout_type INT2 NOT NULL
     , body_bg_color VARCHAR(6) NOT NULL
     , body_image_url TEXT NOT NULL
     , body_image_repeat_type INT2 NOT NULL
     , flash_width INTEGER NOT NULL
     , flash_height INTEGER NOT NULL
     , flash_margin_top INTEGER NOT NULL
     , flash_margin_bottom INTEGER NOT NULL
     , flash_margin_left INTEGER NOT NULL
     , flash_margin_right INTEGER NOT NULL
     , flash_margin_left_is_auto INT2 NOT NULL
     , flash_margin_right_is_auto INT2 NOT NULL
     , flash_padding_top INTEGER NOT NULL
     , flash_padding_bottom INTEGER NOT NULL
     , flash_padding_left INTEGER NOT NULL
     , flash_padding_right INTEGER NOT NULL
     , flash_padding_left_is_auto INT2 NOT NULL
     , flash_padding_right_is_auto INT2 NOT NULL
     , PRIMARY KEY (domain_id)
);
_END_OF_STR_;

		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'create error [text_data]';
		}

		return $msg;
	}
	function updateData() {
		$msg = '';

		$sql = "SELECT COUNT(domain_id) AS cnt FROM html_property_data";
		$res = pg_query(self::$dbConn, $sql);
		if($res === FALSE || pg_num_rows($res) === 0) {
			$msg .= 'query error [html_property_data]';
		} else {
			$row = pg_fetch_array($res, 0, PGSQL_ASSOC);
			if($row['cnt'] > 0) {
				$msg .= 'already exist [html_property_data]';
			} else {
				$sql  = "INSERT INTO html_property_data (domain_id, flash_width, flash_height, body_margin_top, body_margin_bottom, body_margin_left, body_margin_right, body_margin_left_is_auto, body_margin_right_is_auto, body_padding_top, body_padding_bottom, body_padding_left, body_padding_right, body_padding_lefit_is_auto, body_padding_right_is_auto, body_layout_type, body_bg_color, body_image_url, body_image_repeat_type, flash_margin_top, flash_margin_bottom, flash_margin_left, flash_margin_right, flash_margin_left_is_auto, flash_margin_right_is_auto, flash_padding_top, flash_padding_bottom, flash_padding_left, flash_padding_right, flash_padding_left_is_auto, flash_padding_right_is_auto)";
				$sql .= " SELECT domain_id, width, height, 0,0,0,0,0,0,0,0,0,0,0,0,0,'FFFFFF','',0,0,0,0,0,0,0,0,0,0,0,0,0 FROM domain ORDER BY domain_id";
				$res = pg_query(self::$dbConn, $sql);
				if($res == FALSE) {
					$msg = 'insert error [html_property_data]';
				}
			}
		}

		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';

		$sql = <<<_END_OF_STR_
ALTER TABLE html_property_data
  ADD CONSTRAINT FK_html_porperty_data_1
      FOREIGN KEY (domain_id)
      REFERENCES domain (domain_id);
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [text_data]';
		}
		// カラム削除
		$sql = <<<_END_OF_STR_
ALTER TABLE domain
  DROP width;
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [domain:width]';
		}

		$sql = <<<_END_OF_STR_
ALTER TABLE domain
  DROP height;
_END_OF_STR_;
		$res = pg_query(self::$dbConn, $sql);
		if($res == FALSE) {
			$msg .= 'alter error [domain:height';
		}

		return $msg;
	}
}
?>