<?php
abstract class SetupBase extends DataAccessBase {
	/**
	 * 定義更新
	 * DBのテーブル定義等を更新する。(CREATEやALTERによるカラム追加)
	 * 外部参照定義はここで行ってはいけない。（updateKeyDefineで行う）
	 * @return string エラーメッセージ
	 */
	abstract function updateDefine();
	/**
	 * 初期値登録
	 * 各テーブルの初期値や追加カラムの初期化。
	 * すでにデータが存在する場合は、２重で実行されないように処理する必要がある。
	 * @return string エラーメッセージ
	 */
	abstract function updateData();
	/*
	 * キー定義更新
	 * updateDefineで作成したテーブル・カラムに対してキー定義を行う。
	 * @return string エラーメッセージ
	 */
	abstract function updateKeyDefine();
}

?>