<?php
class Setup_0_9_9 extends SetupBase {
	function updateDefine() {
		$msg = '';
		return $msg;
	}
	function updateData() {
		$msg = '';

		require_once dirname(__FILE__).'/../../../util/file.php';

		$xmlObj =simplexml_load_file(Config::TEXT_DATA_PATH.'domain.xml');
		foreach($xmlObj->DomaintData as $record) {
			$domainId = intval($record['id']);
			if($domainId === 0) {
				unset($record);
				continue;
			}

			$width = 0;
			$height = 0;
			if(isset($record->Width)) {
				$width = intval($record->Width);
				unset($record->Width);
			}
			if(isset($record->Height)) {
				$height = intval($record->Height);
				unset($record->Height);
			}

			$path = Config::TEXT_DATA_PATH.sprintf('%03d/html_property.xml', $domainId);
			if(!file_exists($path)) {
				$outputStr = <<<_END_OF_STR_
<?xml version="1.0" encoding="UTF-8"?>
<HtmlProperty>
	<Body>
		<Margin>
			<Top>0</Top>
			<Bottom>0</Bottom>
			<Left>0</Left>
			<LeftIsAuto>0</LeftIsAuto>
			<Right>0</Right>
			<RightIsAuto>0</RightIsAuto>
		</Margin>
		<Padding>
			<Top>0</Top>
			<Bottom>0</Bottom>
			<Left>0</Left>
			<LeftIsAuto>0</LeftIsAuto>
			<Right>0</Right>
			<RightIsAuto>0</RightIsAuto>
		</Padding>
		<Background>
			<Layout>0</Layout>
			<Color>FFFFFF</Color>
			<Image>
				<Url></Url>
				<Repeat>0</Repeat>
			</Image>
		</Background>
	</Body>
	<Flash>
		<Width>$width</Width>
		<Height>$height</Height>
		<Margin>
			<Top>0</Top>
			<Bottom>0</Bottom>
			<Left>0</Left>
			<LeftIsAuto>0</LeftIsAuto>
			<Right>0</Right>
			<RightIsAuto>0</RightIsAuto>
		</Margin>
		<Padding>
			<Top>0</Top>
			<Bottom>0</Bottom>
			<Left>0</Left>
			<LeftIsAuto>0</LeftIsAuto>
			<Right>0</Right>
			<RightIsAuto>0</RightIsAuto>
		</Padding>
	</Flash>
</HtmlProperty>
_END_OF_STR_;
				if(FileUtil::writeFileStr($path, $outputStr) !== 0) {
					$msg .= 'create error [html_property_data]['.$domainId.']';
				}
			}
		}

		$domElement = dom_import_simplexml($xmlObj);
		$dom = new DOMDocument('1.0', 'UTF-8');
		$dom->formatOutput = true;
		$node = $dom->importNode($domElement, true);
		$dom->appendChild($node);

		if($dom->save(Config::TEXT_DATA_PATH.'domain.xml') === FALSE) {
			$msg = 'update error [domain]';
		}

		return $msg;
	}
	function updateKeyDefine() {
		$msg = '';
		return $msg;
	}
}
?>