<?php
class PhotoHtmlUtil {
	/**
	 * 詳細モードフォトギャラリーモジュール設定タイトル箇所定義タグ
	 */
	static function mode2Photo() {
		$systemUrl = SYSTEM_URL.'apl/';

		$str  = '<h4 class="h4_mode2_ti06" title="'.htmlspecialchars(Language::PHOTO_GALLERY_DETAIL_SETTING).'"><span class="dis_none">'.htmlspecialchars(Language::PHOTO_GALLERY_DETAIL_SETTING).'</span></h4>'."\n";
		$str .= '<p class="help_guide"><a href="javascript:void(0);" onclick="onPopupFrame(\'popup_window\', \'popup_bg\', \'frame_area\', \''.htmlspecialchars(UrlListBase::PHOTO_SETTING).'\');" class="help_guide_ic">'.htmlspecialchars(Language::WHAT_S_PHOTO_GALLERY_SETTING).'</a></p>'."\n";

		$str .= HtmlUtil::tagPopupArea();

		return $str;

	}

	/**
	 * フォトギャラリーメニュータグ
	 * @param $nowType [in] 選択中メニュー番号
	 * @param $isSequentialMode [in] 連番モードかどうか
	 * @return string タグ文字列
	 */
	static function tagPhotoMenu($nowType, $isSequentialMode) {
		$str  = '<div class="tab_menu">'."\n";
		$str .= '	<ul>'."\n";
		$str .= '		<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'list.php\');return false;"'.($nowType === 1?' class="crt"':'').'>'.htmlspecialchars(Language::BASE_SETTING).'</a></li>'."\n";
		$str .= '		<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'frame.php\');return false;"'.($nowType === 3?' class="crt"':'').'>'.htmlspecialchars(Language::IMAGE_DISPLAY_SETTING).'</a></li>'."\n";
		if(!$isSequentialMode) {
			$str .= '		<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'image_item.php\');return false;"'.($nowType === 2?' class="crt"':'').'>'.htmlspecialchars(Language::PHOTO_ITEM_SETTING).'</a></li>'."\n";
		}
		$str .= '	</ul>'."\n";
		$str .= '</div>'."\n";

		return $str;
	}

	/**
	 * フォトギャラリーアイテム一覧タグ
	 * @param $domainId [in] ドメインID
	 * @param $photoId [in] フォトギャラリーID
	 * @param $selectImageId [in] 選択しているImageItemId
	 * @param $selectItemId [in] 選択している親ItemId
	 * @return string タグ文字列
	 */
	static function tagPhotoImageItemList($domainId, $photoId, $selectImageId, $selectItemId) {

		require_once SYSTEM_INCLUDE_DATA_PATH.'photo/image_item.php';
		$imageData = new PhotoImageItem('');
		$imageList = $imageData->getList($domainId, $photoId);

		$str = '<div class="tree_item_title"><span class="tree_ico">'.htmlspecialchars(Language::MARK_MINUS).'</span>'.htmlspecialchars(Language::ITEM_LIST).'</div>'."\n";
		$str .=  '<div class="tree_item_list_area">'."\n";
		$listLength = count($imageList);
		$cnt = 1;
		foreach($imageList as $imageInfo) {

			if($listLength > $cnt) {
				$classStr = 'tree_mst';
			} else {
				$classStr = 'tree_mse';
			}

			$str .= '<div class="'.$classStr.'"><div class="tree_msy"><p class="tree_txt"><span class="tree_nb">'.$imageInfo->dispNo.'</span>';
			$nameStr = htmlspecialchars(($imageInfo->name===''?'no name':$imageInfo->name));
			if($imageInfo->imageId === intval($selectImageId)) {
				$str .= $nameStr;
			} else {
				$str .= '<a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'image_item.php?ImageId='.$imageInfo->imageId.'\');return false;">'.$nameStr.'</a>';
			}
			$str .= '</p></div>';

			$str .= '</div>';
			$cnt++;
		}
		$str .= '</div>';

		return $str;
	}

	/**
	 * 選択中フォトギャラリー情報
	 * @param $photoNumber [in] フォトギャラリー番号
	 * @param $photoName [in] フォトギャラリー名
	 * @return string タグ文字列
	 */
	static function &tagSelectPhotoInfo($photoNumber, $photoName) {
		$str  = '	<div class="tree_item_back_link"><a href="list.php">'.htmlspecialchars(Language::RETURN_TO_PHOTO_GALLERY_LIST).'</a></div>'."\n";
		$str .= '	<div class="tree_item_title"><span class="tree_nb">'.$photoNumber.'</span>'.htmlspecialchars($photoName===''?'no name':$photoName).'</div>'."\n";

		return $str;
	}

	/**
	 * フォトギャラリー一覧タグ
	 * @param $photoList [in] フォトギャラリー一覧
	 * @param $selectPhotoId [in] 選択中フォトギャラリーID
	 * @return string タグ文字列
	 */
	static function &tagPhotoList($photoList, $selectPhotoId) {
		$str = '';
		$listLength = count($photoList);
		if($listLength > 0) {
			$cnt = 1;
			foreach($photoList as $photoInfo) {
				$dispStr = ($photoInfo->name===''?'no name':$photoInfo->name);
						$str .= '						<div class="';
					if($listLength > $cnt) {
						$str .= 'tree_mst';
					} else {
						$str .= 'tree_mse';
					}
					$str .= '"><div class="tree_msy"><p class="tree_txt"><span class="tree_nb">'.$photoInfo->number.'</span>';
				if($photoInfo->photoId === $selectPhotoId) {
					$str .= htmlspecialchars($dispStr);
				} else {
					$str .= '					<a href="list.php?PhotoId='.$photoInfo->photoId.'">'.htmlspecialchars($dispStr).'</a>';
				}
				$str .= '</p></div></div>'."\n";
				$cnt++;
			}
		} else {
			$str .= '<p class="save_message">'.htmlspecialchars(Language::NOT_REGIST).'</p>';
		}
		return $str;
	}
}
?>