<?php
class SliderHtmlUtil {
	/**
	 * 詳細モードスライダーモジュール設定タイトル箇所定義タグ
	 */
	static function mode2Srd() {
		$systemUrl = SYSTEM_URL.'apl/';

		$str  = '<h4 class="h4_mode2_ti05" title="'.htmlspecialchars(Language::SLIDER_DETAIL_SETTING).'"><span class="dis_none">'.htmlspecialchars(Language::SLIDER_DETAIL_SETTING).'</span></h4>'."\n";
		$str .= '<p class="help_guide"><a href="javascript:void(0);" onclick="onPopupFrame(\'popup_window\', \'popup_bg\', \'frame_area\', \''.htmlspecialchars(UrlListBase::SLIDER_SETTING).'\');" class="help_guide_ic">'.htmlspecialchars(Language::WHAT_S_SLIDER_SETTING).'</a></p>'."\n";

		$str .= HtmlUtil::tagPopupArea();

		return $str;

	}

	/**
	 * スライダーメニュータグ
	 * @param $nowType [in] 選択中メニュー番号
	 * @return string タグ文字列
	 */
	static function tagSliderMenu($nowType) {
		$str  = '<div class="tab_menu">'."\n";
		$str .= '	<ul>'."\n";
		$str .= '		<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'list.php\');return false;"'.($nowType === 1?' class="crt"':'').'>'.htmlspecialchars(Language::BASE_SETTING).'</a></li>'."\n";
		$str .= '		<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'image_item.php\');return false;"'.($nowType === 2?' class="crt"':'').'>'.htmlspecialchars(Language::SLIDER_ITEM_SETTING).'</a></li>'."\n";
		$str .= '	</ul>'."\n";
		$str .= '</div>'."\n";

		return $str;
	}

	/**
	 * スライダーアイテム一覧タグ
	 * @param $domainId [in] ドメインID
	 * @param $sliderId [in] スライダーID
	 * @param $selectImageId [in] 選択しているImageItemId
	 * @param $selectItemId [in] 選択している親ItemId
	 * @return string タグ文字列
	 */
	static function tagSliderImageItemList($domainId, $sliderId, $selectImageId, $selectItemId, $isSelect = false, $selectParentType = 0, $selectParentId = 0) {

		require_once SYSTEM_INCLUDE_DATA_PATH.'slider/image_item.php';
		$imageData = new SliderImageItem('');
		$imageList = $imageData->getList($domainId, $sliderId);

		require_once SYSTEM_INCLUDE_DATA_PATH.'item_data.php';
		$itemData = new ItemData('');

		$str = '<div class="tree_item_title"><span class="tree_ico">'.htmlspecialchars(Language::MARK_MINUS).'</span>'.htmlspecialchars(Language::ITEM_LIST).'</div>'."\n";
		$str .=  '<div class="tree_item_list_area">'."\n";
		$listLength = count($imageList);
		$cnt = 1;
		foreach($imageList as $imageInfo) {

			if($listLength > $cnt) {
				$classStr = 'tree_mst';
			} else {
				$classStr = 'tree_mse';
			}

			$itemOutlineList = $itemData->getOutlineList($domainId, $imageInfo->imageId, 1);
			if(count($itemOutlineList) > 0) {
				$subStr = '<div id="SliderBranch'.$_SESSION['AccountID'].'-'.$imageInfo->imageId.'">'.self::_tagSliderItemTree($itemOutlineList, $selectItemId, $isSelect, $selectParentType, $selectParentId).'</div>';
				$openCloseStr = '<a href="javascript:void(0);" id="SliderBranchCtrl'.$_SESSION['AccountID'].'-'.$imageInfo->imageId.'" class="opcl_ico" onclick="onToggle(\'SliderBranch'.$_SESSION['AccountID'].'-'.$imageInfo->imageId.'\', this, \''.SYSTEM_URL.'\');"><img src="'.SYSTEM_URL.'apl/image/common/bt/sp_bt.gif" alt="OpenClose" /></a>';
			} else {
				$subStr = '';
				$openCloseStr = '<span class="opcl_ico"><img src="'.SYSTEM_URL.'apl/image/common/bt/sp_bt.gif" alt="OpenClose" /></span>';
			}
			if($isSelect) {
				$optionStr = ' onclick="getTargetItemList(\'1_'.$imageInfo->imageId.'\', \''.htmlspecialchars(Language::NOT_TARGET_ITEMS).'\');"';
				$openCloseStr .= FormUtil::radio('SelectParentTypeId', '1_'.$imageInfo->imageId, $selectParentType.'_'.$selectParentId, $optionStr);
			}

			$str .= '<div class="'.$classStr.'"><div class="tree_msy"><p class="tree_txt">'.$openCloseStr.'<span class="tree_nb">'.$imageInfo->dispNo.'</span>';
			$nameStr = htmlspecialchars(($imageInfo->name===''?'no name':$imageInfo->name));
			if($imageInfo->imageId === intval($selectImageId)) {
				$str .= $nameStr;
			} else {
				$str .= '<a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'image_item.php?ImageId='.$imageInfo->imageId.'\');return false;">'.$nameStr.'</a>';
			}
			$str .= '</p></div>'."\n";

			if($subStr !== '') {
				$str .= $subStr;
			}
			$str .= '</div>';
			$cnt++;
		}
		$str .= '</div>'."\n";
		$str .= '<script type="text/javascript">'."\n";
		$str .= '<!--'."\n";
		$str .= 'loadToggle(\'SliderBranch'.$_SESSION['AccountID'].'-\', \'SliderBranchCtrl'.$_SESSION['AccountID'].'-\', \''.SYSTEM_URL.'\');'."\n";
		$str .= '-->'."\n";
		$str .= '</script>'."\n";

		return $str;
	}

	/**
	 * スライダーアイテムツリー文字列取得
	 * @param $itemOutlineInfo [in] アイテム概要一覧
	 * @param $selectItemId [in] 選択中アイテムID
	 * @return string タグ文字列
	 */
	private static function &_tagSliderItemTree($itemOutlineInfo, $selectItemId, $isSelect = false, $selectParentType = 0, $selectParentId = 0) {
		$listLength = count($itemOutlineInfo);
		$cnt = 1;
		$str = '';
		foreach($itemOutlineInfo as $itemInfoList) {
			if($listLength > $cnt) {
				$classStr = 'tree_mst2';
			} else {
				$classStr = 'tree_mse2';
			}

			$itemId = $itemInfoList['itemId'];
			if(count($itemInfoList['child']) > 0) {
				$subStr = '<div id="SliderBranch'.$itemId.'">'.self::_tagSliderItemTree($itemInfoList['child'], $selectItemId, $isSelect, $selectParentId).'</div>';
				$openCloseStr = '<a href="javascript:void(0);" id="SliderBranchCtrl'.$itemId.'" class="opcl_ico" onclick="onToggle(\'SliderBranch'.$_SESSION['AccountID'].'-'.$itemId.'\', this, \''.SYSTEM_URL.'\');"><img src="'.SYSTEM_URL.'apl/image/common/bt/sp_bt.gif" alt="OpenClose" /></a>';
			} else {
				$subStr = '';
				$openCloseStr='<span class="opcl_ico"><img src="'.SYSTEM_URL.'apl/image/common/bt/sp_bt.gif" alt="OpenClose" /></span>';
			}
			if($isSelect) {

				if($itemInfoList['isUseButton']) {
					$optionStr = ' onclick="getTargetItemList(\'0_'.$itemId.'\', \''.htmlspecialchars(Language::NOT_TARGET_ITEMS).'\');"';
				} else {
					$optionStr = ' disabled="disabled"';
				}
				$openCloseStr .= FormUtil::radio('SelectParentTypeId', '0_'.$itemId, $selectParentType.'_'.$selectParentId, $optionStr);
			}

			$str .= '<div class="'.$classStr.'"><div class="tree_msy"><p class="tree_txt">'.$openCloseStr.'<span class="tree_nb">'.$itemInfoList['dispNo'].'</span>';

			if($itemInfoList['name'] === '') {
				$nameStr = 'no name';
			} else {
				$nameStr = $itemInfoList['name'];
			}
			if($selectItemId === $itemId) {
				$str .= htmlspecialchars($nameStr);
			} else {
				$str .= '<a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'link.php?ItemId='.$itemId.'\');return false;">'.htmlspecialchars($nameStr).'</a>'."\n";
			}
			$str .= '</p></div>'."\n";
			if($subStr !== '') {
				$str .= $subStr;
			}
			$str .= '</div>'."\n";

			$cnt++;
		}
		return $str;
	}

	/**
	 * スライダー画像動作メニュー
	 * @param $nowType [in] 選択中メニュー番号
	 * @return string タグ文字列
	 */
	static function &tagSliderImageActionMenu($nowType, $isUsePlayer) {
		$str = '<div class="tab_menu3"><ul>'."\n";
		$str .= '	<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'image_action_bg.php\');return false;"'.($nowType === 1?' class="crt"':'').'>'.htmlspecialchars(Language::CHANGE_BACKGROUND).'</a></li>'."\n";
		$str .= '	<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'item_player.php\');return false;"'.($nowType === 2?' class="crt"':'').'>'.htmlspecialchars(Language::PLAYER_CHANGE).'</a></li>'."\n";
		$str .= '	<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'image_action_link.php\');return false;"'.($nowType === 3?' class="crt"':'').'>'.htmlspecialchars(Language::OUTSIDE_LINK).'</a></li>'."\n";
		$str .= '	<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'item_change.php\');return false;"'.($nowType === 4?' class="crt"':'').'>'.htmlspecialchars(Language::CHANGE_ITEM).'</a></li>'."\n";
		$str .= '</ul></div>'."\n";

		return $str;
	}

	/**
	 * 選択中スライダー情報
	 * @param $sliderNumber [in] スライダー番号
	 * @param $sliderName [in] スライダー名
	 * @return string タグ文字列
	 */
	static function &tagSelectSliderInfo($sliderNumber, $sliderName) {
		$str  = '	<div class="tree_item_back_link"><a href="list.php">'.htmlspecialchars(Language::RETURN_TO_SLIDER_LIST).'</a></div>'."\n";
		$str .= '	<div class="tree_item_title"><span class="tree_nb">'.$sliderNumber.'</span>'.htmlspecialchars($sliderName===''?'no name':$sliderName).'</div>'."\n";

		return $str;
	}

	/**
	 * スライダーアイテムメニュー
	 * @param $nowType [in] 選択中メニュー番号
	 * @return string タグ文字列
	 */
	static function &tagSliderImageMenu($nowType) {
		$str  = '<div class="tab_menu2"><ul>'."\n";
		$str .= '	<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'image_item.php\');return false;"'.($nowType === 1?' class="crt"':'').'>'.htmlspecialchars(Language::BASE_SETTING).'</a></li>'."\n";
		$str .= '	<li><a href="javascript:void(0);" onclick="onClickSubmit(\'act\', \'image_action_bg.php\');return false;"'.($nowType === 2?' class="crt"':'').'>'.htmlspecialchars(Language::ACTION_SETTING).'</a></li>'."\n";
		$str .= '</ul></div>'."\n";

		return $str;
	}
}
?>