/**
 * 新しいウインドウを開く
 * @param {string} url 開くURL
 * @param {string} windowName 開いたウインドウ名
 * @param {string} options openに渡すオプション
 */
function openNewWindow(url,windowName,options) {
	var obj = null;
	if(options == null) {
		obj = window.open(url,windowName);
	} else {
		obj = window.open(url,windowName,options);
	}
	obj.focus();
}
/**
 * ウインドウを閉じて、元ウインドウのページを移動する
 * @param {string} next 元ウインドウで開くURL
 */
function closeWindow(next) {
	if(window.opener && !window.opener.closed) {
		window.opener.location.href=next;
	}
	window.close();
}

function focusColor(i){
	i.style.backgroundColor='#fffcdb';
}
function blurColor(i){
	i.style.backgroundColor='#ffffff';
}

function dialogPost(str, nextUrl) {
	var ret = window.confirm(str);
	if(ret) {
		var obj=document.getElementById('act');
		obj.action=nextUrl;
		obj.method = 'POST';
		obj.submit();
	}
}

/**
 * 表示／非表示切り替え処理
 * @param {String} id 切り替え対象ElementID
 * @param {Bool} isDisplay 表示／非表示
 */
function changeDisplay(id, isDisplay) {
	var obj = document.getElementById(id);
	if(obj) {
		if(isDisplay) {
			obj.style.display='';
		} else {
			obj.style.display='none';
		}
	}
}

 function openPostWindow(id, url, parent, name, style) {
	window.name=parent;
	var win = window.open("about:blank",name,style);
	var obj = document.getElementById(id);
	obj.target = name;
	obj.method = "POST";
	obj.action = url;
	obj.submit();
	win.focus();
}

function onClickSubmit(id, url) {
	setMyCookie('click_to_next_url', 1);
	var obj = document.getElementById(id);
	obj.target = '_self';
	obj.action=url;
	obj.submit();
}

function onClickHref(url) {
	setMyCookie('click_to_next_url', 1);
	location.href = url;
}

//////////////////////
function getMyCookie(inkey) {
	var key=inkey+"=";
	var tmp=document.cookie;
	var pos=tmp.indexOf(key);
	if(pos == -1) {
		return null;
	} else {
		var sepPos = tmp.indexOf(";", pos + key.length);
		return unescape(tmp.substring(pos + key.length, sepPos));
	}
}

function setMyCookie(key, val) {
	var date = new Date();
	date.setTime(date.getTime()+1000*60*60*24*365);
	document.cookie=key+"="+escape(val)+"; expires=" + date.toGMTString();
}

/**
* 表示／非表示切り替え処理
* @param {Object} idstr 切り替え対象ElementID
*/
function onToggle(idstr, myObj, baseUrl) {
	obj = document.getElementById(idstr);
	if(obj) {
		if(obj.style.display == 'none') {
			myObj.innerHTML = '<img src="'+baseUrl+'apl/image/common/bt/close_bt.gif" alt="OpenClose" />';
			obj.style.display='';
			setMyCookie(idstr, 1);
		} else {
			myObj.innerHTML = '<img src="'+baseUrl+'apl/image/common/bt/open_bt.gif" alt="OpenClose" />';
			obj.style.display='none';
			setMyCookie(idstr, 0);
		}
	}
}
function loadToggle(idStrBase, idStrCtrlBase, baseUrl) {
	var elements = document.getElementsByTagName('div');
	for(var cnt = 0; cnt < elements.length; cnt++) {
		var obj = elements[cnt];
		var idBase = obj.id.substr(0, idStrBase.length);
		if(idBase == idStrBase) {
			var disp = getMyCookie(obj.id);
			if(disp == '1') {
				obj.style.display='';
			} else {
				obj.style.display='none';
			}
		}
	}

	elements = document.getElementsByTagName('a');
	for(var cnt = 0; cnt < elements.length; cnt++) {
		var obj = elements[cnt];
		var idBase = obj.id.substr(0, idStrCtrlBase.length);
		var numStr = obj.id.substr(idStrCtrlBase.length);
		if(idBase == idStrCtrlBase) {
			var disp = getMyCookie(idStrBase+numStr);
			if(disp == '1') {
				obj.innerHTML='<img src="'+baseUrl+'apl/image/common/bt/close_bt.gif" alt="OpenClose" />';
			} else {
				obj.innerHTML='<img src="'+baseUrl+'apl/image/common/bt/open_bt.gif" alt="OpenClose" />';
			}
		}
	}
}