<?php
require_once '../inc/common.php';
commonInit();
userInit();


$domainId = intval($_SESSION['DomainId']);
require_once SYSTEM_INCLUDE_DATA_PATH.'news_data.php';
$newsData = new NewsData($_SESSION['UserName']);
if(isset($_POST['id']) && intval($_POST['id']) > 0) {
	$itemId = intval($_POST['id']);
	$newsItemInfo = $newsData->getItem($domainId, $itemId);
} else {
	$itemId = 0;
	$newsItemInfo = new NewsItemElement();
	$newsItemInfo->dispNo = ($newsData->getMaxDispNo($domainId)+1);
}

$message = '';
if(isset($_POST['mode']) && $_POST['mode']==='save') {
	if(isset($_COOKIE['click_to_next_url']) && intval($_COOKIE['click_to_next_url'])===1){
		setcookie('click_to_next_url', 0);

		$newsItemInfo->title = $_POST['title'];
		$newsItemInfo->urlTarget = intval($_POST['target']);
		$newsItemInfo->url = $_POST['url'];
		if($itemId === 0) {
			$itemId = $newsData->insertNewsItemElement($domainId, $newsItemInfo);
			if($itemId === 0) {
				$message = Language::MSG_REGIST_ERROR;
			} else {
				$newsItemInfo->itemId = $itemId;
				$message = Language::MSG_REGIST_SUCCESS;
			}
		} else {
			if($newsData->updateNewsItemElement($domainId, $newsItemInfo)) {
				$message = Language::MSG_REGIST_SUCCESS;
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		}
	} else {
		$message = Language::MSG_REFRESH_ERROR;
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="id" value="<?php echo $itemId;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(6, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step3" title="<?php echo htmlspecialchars(Language::TITLE_STEP3);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP3);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_news_ti" title="<?php echo htmlspecialchars(Language::TITLE_NEWS_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_NEWS_EDIT);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<h4 class="h4_news_ti01" title="<?php echo htmlspecialchars(Language::NEWS_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::NEWS_DETAIL_SETTING);?></span></h4>
				<p class="new_edit"><a href="index.php" class="list_bk_bt" title="<?php echo htmlspecialchars(Language::RETURN_TO_LIST);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::RETURN_TO_LIST);?></span></a></p>
				<p class="detail_message"><?php echo htmlspecialchars(Language::NEWS_EDIT_COMMENT1);?></p>
				<div class="input_table">
					<table summary="<?php echo htmlspecialchars(Language::NEWS_TI_SETTING);?>">
						<tr>
							<th><?php echo htmlspecialchars(Language::TITLE);?></th>
							<td><?php echo FormUtil::textbox('title', $newsItemInfo->title, 40, 0, 'txt wt_100');?></td>
						</tr>
						<tr>
							<th><?php echo htmlspecialchars(Language::LINK_SETTING);?></th>
							<td>
								<div>
									<?php echo FormUtil::radio('target', 1, ($newsItemInfo->urlTarget===0?1:$newsItemInfo->urlTarget));?> <?php echo htmlspecialchars(Language::OPEN_NEW_WINDOW);?><br />
									<?php echo FormUtil::radio('target', 2, ($newsItemInfo->urlTarget===0?1:$newsItemInfo->urlTarget));?> <?php echo htmlspecialchars(Language::OPEN_SELF_WINDOW);?>
								</div>
								<div><?php echo FormUtil::textbox('url', $newsItemInfo->url, 20, 0, 'txt wt_100');?><br /><?php echo htmlspecialchars(Language::PLEASE_NOT_INPUT_WHEN_NOT_LINK);?></div>
							</td>
						</tr>

					</table>
					<div class="save_bt">
						<input type="hidden" name="mode" value="save" />
						<a href="javascript:void(0);" onclick="onClickSubmit('act', 'edit.php');return false;"><img src="../image/normal/bt/save_bt.gif" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" /></a>
					</div>

				</div>
			</div>
			<div class="contents_inner_side_navi">
				<ul>
					<li title="<?php echo htmlspecialchars(Language::NEWS_TI_SETTING);?>"><a href="index.php" class="news_side_tiedita"><span class="dis_none"><?php echo htmlspecialchars(Language::NEWS_TI_SETTING);?></span></a></li>
				</ul>
			</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
