<?php
require_once '../inc/common.php';
commonInit();
userInit();


$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'news_data.php';
$newsData = new NewsData($_SESSION['UserName']);

$message = '';
$result = array();
$isCanCreateNews = true;
if($newsData->isRegist($domainId)) {
	if(isset($_POST['mode']) && $_POST['mode']==='change') {
		if(!$newsData->changeDispNo($domainId, intval($_POST['id']), intval($_POST['dispNo']))) {
			$message = Language::MSG_REGIST_ERROR;
		}
	} else if(isset($_GET['mode']) && $_GET['mode']==='del') {
		if(!$newsData->delete($domainId, intval($_GET['id']))) {
			$message = Language::MSG_DELETE_ERROR;
		}
	}
	$newsItemList = $newsData->getItemList($domainId);
} else {
	$message = Language::MSG_NOT_NEWS_BASE_INFO;
	$isCanCreateNews = false;
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
	<script type="text/javascript"><!--
function changePos(id, newDispNo) {
	var obj = document.getElementById('act');
	obj.action = 'index.php';
	obj.method = 'POST';
	obj.mode.value = 'change';
	obj.dispNo.value = newDispNo;
	obj.id.value = id;
	obj.submit();
}
function edit(id) {
	var obj = document.getElementById('act');
	obj.action = 'edit.php';
	obj.method = 'POST';
	obj.id.value = id;
	obj.submit();
}
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
	<input type="hidden" name="id" value="" />
	<input type="hidden" name="mode" value="" />
	<input type="hidden" name="dispNo" value="" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(6, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step3" title="<?php echo htmlspecialchars(Language::TITLE_STEP3);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP3);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_news_ti" title="<?php echo htmlspecialchars(Language::TITLE_NEWS_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_NEWS_EDIT);?></span></h3>
				<h4 class="h4_news_ti01" title="<?php echo htmlspecialchars(Language::NEWS_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::NEWS_DETAIL_SETTING);?></span></h4>
<?php
	if($isCanCreateNews) {
?>
				<p class="new_edit"><a href="javascript:void(0);" onclick="edit(0);return false;" class="new_edit_bt" title="<?php echo htmlspecialchars(Language::CREATE);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::CREATE);?></span></a></p>
<?php
	}
?>
				<p class="detail_message"><?php echo htmlspecialchars(Language::NEWS_EDIT_COMMENT1);?></p>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}

	if($isCanCreateNews) {
		$listCnt = count($newsItemList);
		if($listCnt === 0) {
?>
				<p class="save_message"><?php echo htmlspecialchars(Language::NOT_REGIST);?></p>
<?php
		} else {
?>
				<div class="input_table2">
					<table summary="<?php echo htmlspecialchars(Language::TABLE_NEWS_LIST);?>">
						<tr>
							<th><?php echo htmlspecialchars(Language::ORDER);?></th>
							<th><?php echo htmlspecialchars(Language::TITLE);?></th>
							<th colspan="3"><?php echo htmlspecialchars(Language::OPERATION);?></th>
						</tr>
<?php
			foreach($newsItemList as $newsItem) {
?>
						<tr>
							<td class="td_c td_w"><?php echo htmlspecialchars($newsItem->dispNo);?></td>
							<td><a href="javascript:void(0);" onclick="edit(<?php echo $newsItem->itemId;?>);return false;"><?php echo htmlspecialchars($newsItem->title);?></a></td>
							<td class="td_c td_w"><a href="javascript:void(0);" onclick="edit(<?php echo $newsItem->itemId;?>);return false;"><?php echo htmlspecialchars(Language::EDIT);?></a></td>
							<td class="td_c td_w"><a href="javascript:void(0);" onclick="javascript:dialogPost('<?php echo Language::getMsgCheckDeleteNumber($newsItem->dispNo);?>', '<?php echo htmlspecialchars('index.php?mode=del&id='.$newsItem->itemId);?>');return false;"><?php echo htmlspecialchars(Language::DELETE);?></a></td>
							<td class="td_c bt_w">
								<div class="noch_area"><?php
				if($newsItem->dispNo > 1) {
					?><a href="javascript:void(0);" onclick="changePos(<?php echo $newsItem->itemId;?>, <?php echo ($newsItem->dispNo-1);?>);return false;"><?php echo htmlspecialchars(Language::ARROW_UP);?></a><?php
				} else {
					?><span class="noch"><?php echo htmlspecialchars(Language::ARROW_UP);?></span><?php
				}
?></div>
								<div class="noch_area"><?php
				if($newsItem->dispNo >= $listCnt) {
					?><span class="noch"><?php echo htmlspecialchars(Language::ARROW_DOWN);?></span><?php
				} else {
					?><a href="javascript:void(0);" onclick="changePos(<?php echo $newsItem->itemId;?>, <?php echo ($newsItem->dispNo+1);?>);return false;"><?php echo htmlspecialchars(Language::ARROW_DOWN);?></a><?php
				}
?></div>
							</td>
						</tr>
<?php
			}
?>
				</table>
			</div>
<?php
		}
?>

<?php
	}
?>
			</div>
			<div class="contents_inner_side_navi">
				<ul>
					<li title="<?php echo htmlspecialchars(Language::NEWS_TI_SETTING);?>"><a href="index.php" class="news_side_tiedita"><span class="dis_none"><?php echo htmlspecialchars(Language::NEWS_TI_SETTING);?></span></a></li>
				</ul>
			</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
