<?php
set_time_limit(0);
require_once dirname(__FILE__).'/../../inc/common.php';
commonInit();
userInit();

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
	exit();
} else {
	// FlashのコピーとXMLの生成をおこなう。
	$status = 0;
	$result = Language::SUCCESS;
	$domainId = intval($_SESSION['DomainId']);

	require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
	$domain = new Domain($_SESSION['UserName']);
	$destPathBase = realpath($domain->getOutputPath($domainId));

	require_once SYSTEM_PATH.'template/swf_info.php';
	$swfFileName = (defined('SwfInfo::SWF_NAME')?constant('SwfInfo::SWF_NAME'):null);
	if(isset($swfFileName)
	&& is_file(SYSTEM_PATH.'template/'.SwfInfo::SWF_NAME)) {
		$baseSwfFile = SYSTEM_PATH.'template/'.SwfInfo::SWF_NAME;
	} else {
		$baseSwfFile = SYSTEM_PATH.'template/coreblo_flag.swf';
	}
	if(copy($baseSwfFile, $destPathBase.'/coreblo_flag.swf')) {
		require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
		$flagXml = new FlagXml($_SESSION['UserName']);
		$xml = $flagXml->get($domainId, true);
		if($xml->saveFile($destPathBase.'/coreblo_flag.xml')) {
			require_once SYSTEM_INCLUDE_PATH.'creater/open_index.php';
			$domainInfo = $domain->getInfo($domainId);

			require_once SYSTEM_INCLUDE_DATA_PATH.'html_property_data.php';
			$htmlProperty = new HtmlPropertyData($_SESSION['UserName']);
			$htmlPropertyInfo = $htmlProperty->get($domainId);

			if(CreateOpenIndex::writeFile($destPathBase.'/coreblo_flag.html',$domainInfo, $htmlPropertyInfo) !== 0) {
				$status = -1;
				$result = Language::MSG_CREATE_ERROR.'[coreblo_flag.html]';
			}
		} else {
			$status = -1;
			$result = Language::MSG_CREATE_ERROR.'[coreblo_flag.xml]';
		}
	} else {
		$status = -1;
		$result = Language::MSG_COPY_ERROR.'[coreblo_flag.swf]';
	}

	if($status === 0) {
		require_once SYSTEM_INCLUDE_PATH.'data/parts.php';
		$partsList =& PartsInfo::getList();
		foreach($partsList as $partsType => $partsInfoList) {
			$tmpStr = ucfirst($partsType);
			$fileNameBase = str_replace('*', '%02d', $partsInfoList['xml']);
			$subFileNameBase = str_replace('*', '%02d', $partsInfoList['subfile']);
			require_once SYSTEM_INCLUDE_DATA_PATH.$partsType.'/'.$partsType.'_xml.php';
			eval('$xmlDb = new '.$tmpStr.'Xml($_SESSION[\'UserName\']);');
			$xmlList = $xmlDb->getList($domainId, true);
			foreach($xmlList as $xml) {
				$xml->saveFile($destPathBase.'/'.sprintf($fileNameBase, $xml->number));
				$xml->saveSubFile($destPathBase.'/'.sprintf($subFileNameBase, $xml->number));
			}
			if(count($xmlList) > 0) {
				copy(SYSTEM_PATH.'template/'.$partsInfoList['swf'], $destPathBase.'/'.$partsInfoList['swf']);
			}
		}
	}

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<result>{$result}</result>
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>