<?
set_time_limit(0);
require_once dirname(__FILE__).'/../../inc/common.php';
commonInit();
userInit();

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
	exit();

} else {

	$status = 0;
	$result = Language::SUCCESS;

	require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
	$domain = new Domain($_SESSION['UserName']);
	$srcPathBase = realpath($domain->getOutputPath($_SESSION['DomainId']));
	$srcPath = realpath($srcPathBase.'/'.$_GET['src']);

	$destPathBase = realpath(SYSTEM_USERS_PATH.sprintf('%03d/template/', intval($_SESSION['DomainId'])).$_GET['target'].'/'.$_GET['src']);

	$ignoreList = array();
	$ignoreList[realpath($srcPathBase.'/coreblo_flag.swf')] = 1;
	$ignoreList[realpath($srcPathBase.'/title.txt')] = 1;
	$ignoreList[realpath($srcPathBase.'/coreblo_flag.html')] = 1;
	// パーツ関連
	require_once SYSTEM_INCLUDE_PATH.'data/parts.php';
	$partsList = PartsInfo::getActiveList();
	foreach($partsList as $partsInfo) {
		$ignoreList[realpath($srcPathBase.'/'.$partsInfo['swf'])] = 1;
	}

	$nextPath = '';
	if(is_dir($srcPath)) {
		$dh  = opendir($srcPath);
		while (false !== ($pathName = readdir($dh))) {
			if($pathName != "." && $pathName != "..") {
				$targetPath = $srcPath.'/'.$pathName;
				if(is_file($targetPath)) {
					if(!array_key_exists($targetPath, $ignoreList)) {
						if(!copy($targetPath, $destPathBase.'/'.$pathName)) {
							$status = -1;
							$result = Language::MSG_COPY_ERROR.'['.$pathName.']';
						}
					}
				} else if(is_dir($targetPath)) {
					if(!is_dir($destPathBase.'/'.$pathName)) {
						mkdir($destPathBase.'/'.$pathName, 0755);
					}
					$nextPath .= '	<next>'.$_GET['src'].'/'.$pathName."</next>\n";
				}
			}
		}
	} else {
		//エラー
		$status = -1;
		$result = Language::PARAMETER_ERROR;
	}

	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<result>{$result}</result>
{$nextPath}</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>