<?php
require_once dirname(__FILE__).'/../../inc/common.php';
commonInit();
userInit();


$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

$isExecCopy = false;
$message = '';
$result = array();
if(isset($_GET['mode'])) {
	if($_GET['mode']==='save') {

		$templatePath = SYSTEM_USERS_PATH.sprintf('%03d/template/', intval($_SESSION['DomainId']));
		if($_POST['dirName'] === '') {
			$result['dirName'] = Language::MSG_MANDATORY_ERROR;
		} else if(preg_match("/^[!-~]*$/", $_POST['dirName']) === 0) {
			$result['dirName'] = Language::MSG_CHAR_FORMAT_ERROR;
		} else if(is_dir($templatePath.$_POST['dirName'])) {
			$result['dirName'] = Language::MSG_ALREADY_USING_ERROR;
		}

		if(count($result) === 0) {
			$isExecCopy = true;
			mkdir($templatePath.$_POST['dirName'], 0755);
			if($_POST['title'] !== '') {
				require_once SYSTEM_INCLUDE_PATH.'util/file.php';
				FileUtil::writeFileStr($templatePath.$_POST['dirName'].'/title.txt', $_POST['title']);
			}
			require_once 'copy.php';
		} else {
			$message = Language::MSG_INPUT_ERROR;
		}
	}
}

if(!$isExecCopy) {
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act" action="" method="post">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(9, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step6" title="<?php echo htmlspecialchars(Language::TITLE_STEP6);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP6);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_outpath_ti" title="<?php echo htmlspecialchars(Language::TITLE_OUTPATH_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_OUTPATH_EDIT);?></span></h3>
				<h4 class="h4_outpath_ti01" title="<?php echo htmlspecialchars(Language::OUTPATH_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::OUTPATH_DETAIL_SETTING);?></span></h4>
				<p class="detail_message"><?php echo htmlspecialchars(Language::OUTPATH_EDIT_COMMENT1);?></p>

<?php
	if($message !== '') {
?>
				<p class="save_message"><?php echo htmlspecialchars($message);?></p>
<?php
	}
?>
				<div class="input_table">
					<h5><?php echo htmlspecialchars(Language::IMPORT_SETTING);?></h5>
					<table summary="<?php echo htmlspecialchars(Language::IMPORT_SETTING);?>">
						<tr>
							<th><?php echo htmlspecialchars(Language::TITLE);?></th>
							<td><?php echo FormUtil::textbox('title', '', 50, 50, 'txt').FormUtil::getErrorStr($result, 'title');?></td>
						</tr>
						<tr>
							<th><?php echo htmlspecialchars(Language::IDENTIFICATION_ID);?></th>
							<td><?php echo FormUtil::textbox('dirName', '', 50, 50, 'txt').FormUtil::getErrorStr($result, 'dirName');?></td>
						</tr>
					</table>
				</div>

				<div class="save_bt">
					<a href="javascript:void(0);" onclick="onClickSubmit('act', 'index.php?mode=save');return false;"><img src="../../image/normal/bt/save_bt.gif" title="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>" /></a>
				</div>

			</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd --><?php
}
?>