<?php
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
}

	$domainId = intval($_SESSION['DomainId']);

	require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
	$domain = new Domain($_SESSION['UserName']);
	$outputPath = $domain->getOutputPath($domainId);

	$message = '';
	if(is_dir($outputPath)) {
		$isOutput = is_file($outputPath.'coreblo_flag.xml');
	} else {
		$isOutput = false;
		$message = Language::MSG_NOT_OUTPUT_PATH;
	}

	require_once SYSTEM_INCLUDE_DATA_PATH.'html_property_data.php';
	$htmlProperty = new HtmlPropertyData($_SESSION['UserName']);
	$htmlInfo = $htmlProperty->get($domainId);

	$info = $domain->getInfo($domainId);
	if($info->iframeSrcType === 1) {
		$url = $info->inputIframeSrc;
	} else {
		$pos = strrpos($_SERVER['SCRIPT_FILENAME'], $_SERVER['SCRIPT_NAME']);
		$replaceStr = substr($_SERVER['SCRIPT_FILENAME'], 0, $pos);
		$urlPath = realpath($outputPath);
		$urlPath = substr($urlPath, strlen($replaceStr));
		$url = 'http://'.$_SERVER['SERVER_NAME'].$urlPath.'/coreblo_flag.html';
	}
	$tag = '<iframe src="'.htmlspecialchars($url).'" scrolling="no" width="'.$htmlInfo->flashWidth.'" height="'.$htmlInfo->flashHeight.'" frameborder="0">coreblo-FLAG</iframe>'

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>
<body>
<form id="act" action="" method="post">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(9, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step6" title="<?php echo htmlspecialchars(Language::TITLE_STEP6);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP6);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_outpath_ti" title="<?php echo htmlspecialchars(Language::TITLE_OUTPATH_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_OUTPATH_EDIT);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
			<h4 class="h4_outpath_ti01" title="<?php echo htmlspecialchars(Language::OUTPATH_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::OUTPATH_DETAIL_SETTING);?></span></h4>
			<p class="detail_message"><?php echo htmlspecialchars(Language::OUTPATH_EDIT_COMMENT1);?></p>

<?php
	if($message === '') {
?>
				<div><a href="javascript:void(0);" onclick="dialogPost('<?php echo htmlspecialchars(Language::COPY_CHECK_COMMENT);?>', 'export/index.php');return false;"><?php echo htmlspecialchars(Language::EXPORT_TO_OUTPATH);?></a></div>
<?php
	}
	if($isOutput) {
?>
				<div><a href="import/index.php"><?php echo htmlspecialchars(Language::IMPORT_FROM_OUTPATH);?></a></div>


				<p class="copy_message"><?php echo htmlspecialchars(Language::OUTPATH_EDIT_COMMENT2);?></p>
				<p><?php
				 echo FormUtil::textArea('TagArea', $tag, 40, 4, 'txt wt_w', 'readonly="readonly"');
				?></p>
<?php
	}
?>

		</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->