<?php
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
}

$domainId = intval($_SESSION['DomainId']);

$outputTag = '<div>system error.</div>';
$targetPath = SYSTEM_USERS_PATH.sprintf('%03d/work/', $domainId);

require_once SYSTEM_PATH.'template/swf_info.php';
$swfFileName = (defined('SwfInfo::SWF_NAME')?constant('SwfInfo::SWF_NAME'):null);
if(isset($swfFileName)
&& is_file(SYSTEM_PATH.'template/'.SwfInfo::SWF_NAME)) {
	$baseSwfFile = SYSTEM_PATH.'template/'.SwfInfo::SWF_NAME;
} else {
	$baseSwfFile = SYSTEM_PATH.'template/coreblo_flag.swf';
}

$previewPath = '';
if(copy($baseSwfFile, $targetPath.'coreblo_flag.swf')) {
	require_once SYSTEM_INCLUDE_DATA_PATH.'flag_xml.php';
	$flagXml = new FlagXml($_SESSION['UserName']);
	$xml = $flagXml->get($domainId, true);
	if($xml->saveFile($targetPath.'coreblo_flag.xml', true)) {
		//index.phpを出力
		require_once SYSTEM_INCLUDE_PATH.'creater/preview_index.php';
		if(CreatePreviewIndex::writeFile($domainId, $targetPath.'index.php') === 0) {
			$previewPath = '../../users/'.sprintf('%03d', $domainId).'/work/index.php?'.date('U');
			$outputTag = '<object type="text/html" data="'.$previewPath.'" width="970" height="650">preview</object>';
		}
	}
}

require_once SYSTEM_INCLUDE_PATH.'data/parts.php';
$partsList =& PartsInfo::getList();
foreach($partsList as $partsType => $partsInfoList) {
	if(copy(SYSTEM_PATH.'template/'.$partsInfoList['swf'], $targetPath.$partsInfoList['swf'])) {
		$tmpStr = ucfirst($partsType);
		$fileNameBase = str_replace('*', '%02d', $partsInfoList['xml']);
		$subFileNameBase = str_replace('*', '%02d', $partsInfoList['subfile']);
		require_once SYSTEM_INCLUDE_DATA_PATH.$partsType.'/'.$partsType.'_xml.php';
		eval('$xmlDb = new '.$tmpStr.'Xml($_SESSION[\'UserName\']);');
		$xmlList = $xmlDb->getList($domainId, true);
		foreach($xmlList as $xml) {
			$xml->saveFile($targetPath.sprintf($fileNameBase, $xml->number), true);
			$xml->saveSubFile($targetPath.sprintf($subFileNameBase, $xml->number), true);
		}
	}
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Cache-Control" content="no-cache" />
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Expires" content="Sat, 1 Jan 2000 23:59:59 GMT" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>
<body>
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(8, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step5" title="<?php echo htmlspecialchars(Language::TITLE_STEP5);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP5);?></span></h2>
	<div class="flash_area">
	<?php echo $outputTag;?>
<?php
if($previewPath !== '') {
?>
	<div>
		<a href="javascript:void(0);" onclick="openNewWindow('<?php echo htmlspecialchars($previewPath)?>', null);"><?php echo htmlspecialchars(Language::OPEN_OTHER_WINDOW);?></a><?php echo htmlspecialchars(Language::ATTENTION_OPEN_OTHER_WINDOW);?>
	</div>
<?php
}
?>
	</div>


	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</body>
</html>
<!-- InstanceEnd -->