<?php
require_once '../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
}

$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'html_property_data.php';
$htmlProperty = new HtmlPropertyData($_SESSION['UserName']);

$info = $htmlProperty->get($domainId);

$message = '';
$result = array();
if(isset($_POST['mode']) && $_POST['mode']==='save') {
	$info->bodyMarginTop = $_POST['bodyMarginTop'];
	$info->bodyMarginBottom = $_POST['bodyMarginBottom'];
	$info->bodyMarginLeft = $_POST['bodyMarginLeft'];
	$info->bodyMarginRight = $_POST['bodyMarginRight'];
	$info->bodyMarginLeftIsAuto = (intval($_POST['bodyMarginLeftIsAuto'])===1);
	$info->bodyMarginRightIsAuto = (intval($_POST['bodyMarginRightIsAuto'])===1);
	$info->bodyLayoutType = intval($_POST['bodyLayoutType']);
	$info->bodyPaddingTop = $_POST['bodyPaddingTop'];
	$info->bodyPaddingBottom = $_POST['bodyPaddingBottom'];
	$info->bodyPaddingLeft = $_POST['bodyPaddingLeft'];
	$info->bodyPaddingRight = $_POST['bodyPaddingRight'];
	$info->bodyPaddingLeftIsAuto = (intval($_POST['bodyPaddingLeftIsAuto'])===1);
	$info->bodyPaddingRightIsAuto = (intval($_POST['bodyPaddingRightIsAuto'])===1);
	$info->bodyBgColor = $_POST['bodyBgColor'];
	$info->bodyImageUrl = $_POST['bodyImageUrl'];
	$info->bodyImageRepeatType = intval($_POST['bodyImageRepeatType']);

	$result = $info->check();
	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		if($htmlProperty->set($domainId, $info)) {
			require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
			$domain = new Domain($_SESSION['UserName']);
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_REGIST_SUCCESS;
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function init() {
	changeDisplay('BodyMarginLeft', <?php echo ($info->bodyMarginLeftIsAuto?'false':'true');?>);
	changeDisplay('BodyMarginRight', <?php echo ($info->bodyMarginRightIsAuto?'false':'true');?>);
	changeDisplay('BodyPaddingLeft', <?php echo ($info->bodyPaddingLeftIsAuto?'false':'true');?>);
	changeDisplay('BodyPaddingRight', <?php echo ($info->bodyPaddingRightIsAuto?'false':'true');?>);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(2, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step8" title="<?php echo htmlspecialchars(Language::TITLE_STEP8);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP8);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_setting_ti" title="<?php echo htmlspecialchars(Language::TITLE_SETTING_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_SETTING_EDIT);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
			<h4 class="h4_setting_ti02" title="<?php echo htmlspecialchars(Language::BODY_TAG_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::BODY_TAG_SETTING);?></span></h4>
			<p class="detail_message"><?php echo htmlspecialchars(Language::BODY_SETTING_EDIT_COMMENT);?></p>
			<div class="input_table">
				<h5><?php echo htmlspecialchars(Language::BODY_BG_SETTING);?></h5>
				<table summary="<?php echo htmlspecialchars(Language::BODY_BG_SETTING);?>">
					<tr>
						<th><?php echo htmlspecialchars(Language::BACKGROUND_COLOR);?></th>
						<td># <?php echo FormUtil::textbox('bodyBgColor', $info->bodyBgColor, 6, 6, 'txt').FormUtil::getErrorStr($result, 'bodyBgColor');?></td>
					</tr>
					<tr>
						<th><?php echo htmlspecialchars(Language::BACKGROUND_IMAGE);?></th>
						<td>
							<p><?php echo htmlspecialchars(Language::BACKGROUND_IMAGE_PATH);?>:<?php echo FormUtil::textbox('bodyImageUrl', $info->bodyImageUrl, 20, 0, 'txt').FormUtil::getErrorStr($result, 'bodyImageUrl');?></p>
							<p>
								<select name="bodyImageRepeatType" size="1" onfocus="focusColor(this)" onblur="blurColor(this)">
									<?php echo FormUtil::option('bodyImageRepeatType', 0, $info->bodyImageRepeatType, Language::REPEAT_TYPE_0);?>
									<?php echo FormUtil::option('bodyImageRepeatType', 1, $info->bodyImageRepeatType, Language::REPEAT_TYPE_1);?>
									<?php echo FormUtil::option('bodyImageRepeatType', 2, $info->bodyImageRepeatType, Language::REPEAT_TYPE_2);?>
									<?php echo FormUtil::option('bodyImageRepeatType', 3, $info->bodyImageRepeatType, Language::REPEAT_TYPE_3);?>
								</select>
							</p>
						</td>
					</tr>
				</table>
			</div>

			<div class="input_table">
				<h5><?php echo htmlspecialchars(Language::BODY_AREA_SETTING);?></h5>
				<table summary="<?php echo htmlspecialchars(Language::BODY_AREA_SETTING);?>">
					<tr>
						<th><?php echo htmlspecialchars(Language::LAYOUT);?></th>
						<td>
							<select name="bodyLayoutType" size="1" onfocus="focusColor(this)" onblur="blurColor(this)">
								<?php echo FormUtil::option('bodyLayoutType', 0, $info->bodyLayoutType, Language::LAYOUT_TYPE_0);?>
								<?php echo FormUtil::option('bodyLayoutType', 1, $info->bodyLayoutType, Language::LAYOUT_TYPE_1);?>
								<?php echo FormUtil::option('bodyLayoutType', 2, $info->bodyLayoutType, Language::LAYOUT_TYPE_2);?>
							</select>
						</td>
					</tr>
					<tr>
						<th><?php echo htmlspecialchars(Language::MARGIN_SETTING);?></th>
						<td>
							<p><?php echo htmlspecialchars(Language::TOP);?>:<?php echo FormUtil::textbox('bodyMarginTop', $info->bodyMarginTop, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'bodyMarginTop');?></p>
							<p><?php echo htmlspecialchars(Language::BOTTOM);?>:<?php echo FormUtil::textbox('bodyMarginBottom', $info->bodyMarginBottom, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'bodyMarginBottom');?></p>
							<p>
								<span><?php echo htmlspecialchars(Language::LEFT);?>:</span>
								<span>
									<?php echo FormUtil::radio('bodyMarginLeftIsAuto', 1, ($info->bodyMarginLeftIsAuto?1:0), 'onclick="changeDisplay(\'BodyMarginLeft\', false);"');?><?php echo htmlspecialchars(Language::AUTO);?>
									<?php echo FormUtil::radio('bodyMarginLeftIsAuto', 0, ($info->bodyMarginLeftIsAuto?1:0), 'onclick="changeDisplay(\'BodyMarginLeft\', true);"');?><?php echo htmlspecialchars(Language::INPUT_VALUE);?>
								</span>
								<span id="BodyMarginLeft"><?php echo FormUtil::textbox('bodyMarginLeft', $info->bodyMarginLeft, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'bodyMarginLeft');?></span>
							</p>
							<p>
								<span><?php echo htmlspecialchars(Language::RIGHT);?>:</span>
								<span>
									<?php echo FormUtil::radio('bodyMarginRightIsAuto', 1, ($info->bodyMarginRightIsAuto?1:0), 'onclick="changeDisplay(\'BodyMarginRight\', false);"');?><?php echo htmlspecialchars(Language::AUTO);?>
									<?php echo FormUtil::radio('bodyMarginRightIsAuto', 0, ($info->bodyMarginRightIsAuto?1:0), 'onclick="changeDisplay(\'BodyMarginRight\', true);"');?><?php echo htmlspecialchars(Language::INPUT_VALUE);?>
								</span>
								<span id="BodyMarginRight"><?php echo FormUtil::textbox('bodyMarginRight', $info->bodyMarginRight, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'bodyMarginRight');?></span>
							</p>
						</td>
					</tr>
					<tr>
						<th><?php echo htmlspecialchars(Language::PADDING_SETTING);?></th>
						<td>
							<p><?php echo htmlspecialchars(Language::TOP);?>:<?php echo FormUtil::textbox('bodyPaddingTop', $info->bodyPaddingTop, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'bodyPaddingTop');?></p>
							<p><?php echo htmlspecialchars(Language::BOTTOM);?>:<?php echo FormUtil::textbox('bodyPaddingBottom', $info->bodyPaddingBottom, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'bodyPaddingBottom');?></p>
							<p>
								<span><?php echo htmlspecialchars(Language::LEFT);?>:</span>
								<span>
									<?php echo FormUtil::radio('bodyPaddingLeftIsAuto', 1, ($info->bodyPaddingLeftIsAuto?1:0), 'onclick="changeDisplay(\'BodyPaddingLeft\', false);"');?><?php echo htmlspecialchars(Language::AUTO);?>
									<?php echo FormUtil::radio('bodyPaddingLeftIsAuto', 0, ($info->bodyPaddingLeftIsAuto?1:0), 'onclick="changeDisplay(\'BodyPaddingLeft\', true);"');?><?php echo htmlspecialchars(Language::INPUT_VALUE);?>
								</span>
								<span id="BodyPaddingLeft"><?php echo FormUtil::textbox('bodyPaddingLeft', $info->bodyPaddingLeft, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'bodyPaddingLeft');?></span>
							</p>
							<p>
								<span><?php echo htmlspecialchars(Language::RIGHT);?>:</span>
								<span>
									<?php echo FormUtil::radio('bodyPaddingRightIsAuto', 1, ($info->bodyPaddingRightIsAuto?1:0), 'onclick="changeDisplay(\'BodyPaddingRight\', false);"');?><?php echo htmlspecialchars(Language::AUTO);?>
									<?php echo FormUtil::radio('bodyPaddingRightIsAuto', 0, ($info->bodyPaddingRightIsAuto?1:0), 'onclick="changeDisplay(\'BodyPaddingRight\', true);"');?><?php echo htmlspecialchars(Language::INPUT_VALUE);?>
								</span>
								<span id="BodyPaddingRight"><?php echo FormUtil::textbox('bodyPaddingRight', $info->bodyPaddingRight, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'bodyPaddingRight');?></span>
							</p>
						</td>
					</tr>
				</table>
			</div>


		<div class="save_bt">
			<input type="hidden" name="mode" value="save" />
			<input type="image" name="save" src="../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>"/>
		</div>

		</div>
<?php echo HtmlUtil::tagSettingSideMenu(2);?>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
