<?php
require_once '../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
}

$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
$domain = new Domain($_SESSION['UserName']);

$info = $domain->getInfo($domainId);

$message = '';
$result = array();
if(isset($_POST['mode']) && $_POST['mode']==='save') {
	$info->iframeSrcType = intval($_POST['iframeSrcType']);
	$info->inputIframeSrc = $_POST['inputIframeSrc'];
	$result = $info->check();
	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		if($domain->update($info)) {
			require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
			$domain = new Domain($_SESSION['UserName']);
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_REGIST_SUCCESS;
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function init() {
	changeDisplay('inputIframeSrc', <?php echo ($info->iframeSrcType===1?'true':'false');?>);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(2, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step8" title="<?php echo htmlspecialchars(Language::TITLE_STEP8);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP8);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_setting_ti" title="<?php echo htmlspecialchars(Language::TITLE_SETTING_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_SETTING_EDIT);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
			<h4 class="h4_setting_ti03" title="<?php echo htmlspecialchars(Language::ENVIRONMENT_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::ENVIRONMENT_SETTING);?></span></h4>
			<p class="detail_message"><?php echo htmlspecialchars(Language::ENVIRONMENT_SETTING_COMMENT);?></p>
			<div class="tab_menu">
				<ul>
					<li><a href="frametag.php" class="crt"><?php echo htmlspecialchars(Language::IFRAME_SETTING);?></a></li><?php
					?><li><a href="init.php"><?php echo htmlspecialchars(Language::INITIALIZE);?></a></li>
				</ul>
			</div>

			<div class="input_table">
				<table summary="<?php echo htmlspecialchars(Language::IFRAME_SETTING);?>">
					<tr>
						<th><?php echo htmlspecialchars(Language::TARGET_PATH);?></th>
						<td>
							<p><?php echo FormUtil::radio('iframeSrcType', 0, $info->iframeSrcType, 'onclick="changeDisplay(\'inputIframeSrc\', false);"');?><?php echo htmlspecialchars(Language::AUTO_CREATE_PAHT);?></p>
							<p><?php echo FormUtil::radio('iframeSrcType', 1, $info->iframeSrcType, 'onclick="changeDisplay(\'inputIframeSrc\', true);"');?><?php echo htmlspecialchars(Language::USER_INPUT_PATH);?></p>
						</td>
					</tr>
					<tr id="inputIframeSrc" style="display: none;">
						<th><?php echo htmlspecialchars(Language::USER_INPUT_PATH_TARGET);?></th>
						<td><?php echo FormUtil::textbox('inputIframeSrc', $info->inputIframeSrc, 20, 0, 'txt').FormUtil::getErrorStr($result, 'inputIframeSrc');?></td>
					</tr>
				</table>
			</div>


		<div class="save_bt">
			<input type="hidden" name="mode" value="save" />
			<input type="image" name="save" src="../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>"/>
		</div>

		</div>
<?php echo HtmlUtil::tagSettingSideMenu(3);?>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
