<?php
require_once '../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
}

$domainId = intval($_SESSION['DomainId']);

require_once SYSTEM_INCLUDE_DATA_PATH.'html_property_data.php';
$htmlProperty = new HtmlPropertyData($_SESSION['UserName']);

$info = $htmlProperty->get($domainId);

$message = '';
$result = array();
if(isset($_POST['mode']) && $_POST['mode']==='save') {
	$info->flashWidth = $_POST['flashWidth'];
	$info->flashHeight = $_POST['flashHeight'];
	$info->flashMarginTop = $_POST['flashMarginTop'];
	$info->flashMarginBottom = $_POST['flashMarginBottom'];
	$info->flashMarginLeft = $_POST['flashMarginLeft'];
	$info->flashMarginRight = $_POST['flashMarginRight'];
	$info->flashMarginLeftIsAuto = (intval($_POST['flashMarginLeftIsAuto'])===1);
	$info->flashMarginRightIsAuto = (intval($_POST['flashMarginRightIsAuto'])===1);
	$info->flashPaddingTop = $_POST['flashPaddingTop'];
	$info->flashPaddingBottom = $_POST['flashPaddingBottom'];
	$info->flashPaddingLeft = $_POST['flashPaddingLeft'];
	$info->flashPaddingRight = $_POST['flashPaddingRight'];
	$info->flashPaddingLeftIsAuto = (intval($_POST['flashPaddingLeftIsAuto'])===1);
	$info->flashPaddingRightIsAuto = (intval($_POST['flashPaddingRightIsAuto'])===1);

	$result = $info->check();
	if(count($result) > 0) {
		$message = Language::MSG_INPUT_ERROR;
	} else {
		if($htmlProperty->set($domainId, $info)) {
			require_once SYSTEM_INCLUDE_DATA_PATH.'domain.php';
			$domain = new Domain($_SESSION['UserName']);
			if($domain->setNotOutput($domainId)) {
				$message = Language::MSG_REGIST_SUCCESS;
			} else {
				$message = Language::MSG_REGIST_ERROR;
			}
		} else {
			$message = Language::MSG_REGIST_ERROR;
		}
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function init() {
	changeDisplay('FlashMarginLeft', <?php echo ($info->flashMarginLeftIsAuto?'false':'true');?>);
	changeDisplay('FlashMarginRight', <?php echo ($info->flashMarginRightIsAuto?'false':'true');?>);
	changeDisplay('FlashPaddingLeft', <?php echo ($info->flashPaddingLeftIsAuto?'false':'true');?>);
	changeDisplay('FlashPaddingRight', <?php echo ($info->flashPaddingRightIsAuto?'false':'true');?>);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(2, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step8" title="<?php echo htmlspecialchars(Language::TITLE_STEP8);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP8);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_setting_ti" title="<?php echo htmlspecialchars(Language::TITLE_SETTING_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_SETTING_EDIT);?></span></h3>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
			<h4 class="h4_setting_ti01" title="<?php echo htmlspecialchars(Language::SETTING_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::SETTING_DETAIL_SETTING);?></span></h4>
			<p class="detail_message"><?php echo htmlspecialchars(Language::SETTING_EDIT_COMMENT1);?></p>
			<div class="input_table">
				<h5><?php echo htmlspecialchars(Language::FLASH_DISPLAY_AREA_CONFIG);?></h5>
				<table summary="<?php echo htmlspecialchars(Language::FLASH_DISPLAY_AREA_CONFIG);?>">
					<tr>
						<th><?php echo htmlspecialchars(Language::WIDTH);?></th>
						<td><?php echo FormUtil::textbox('flashWidth', $info->flashWidth, 20, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'flashWidth');?></td>
					</tr>
					<tr>
						<th><?php echo htmlspecialchars(Language::HEIGHT);?></th>
						<td><?php echo FormUtil::textbox('flashHeight', $info->flashHeight, 20, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'flashHeight');?></td>
					</tr>
				</table>
			</div>

			<div class="input_table">
				<h5><?php echo htmlspecialchars(Language::FLASH_AREA_SETTING);?></h5>
				<table summary="<?php echo htmlspecialchars(Language::FLASH_AREA_SETTING);?>">
					<tr>
						<th><?php echo htmlspecialchars(Language::MARGIN_SETTING);?></th>
						<td>
							<p><?php echo htmlspecialchars(Language::TOP);?>:<?php echo FormUtil::textbox('flashMarginTop', $info->flashMarginTop, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'flashMarginTop');?></p>
							<p><?php echo htmlspecialchars(Language::BOTTOM);?>:<?php echo FormUtil::textbox('flashMarginBottom', $info->flashMarginBottom, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'flashMarginBottom');?></p>
							<p>
								<span><?php echo htmlspecialchars(Language::LEFT);?>:</span>
								<span>
									<?php echo FormUtil::radio('flashMarginLeftIsAuto', 1, ($info->flashMarginLeftIsAuto?1:0), 'onclick="changeDisplay(\'FlashMarginLeft\', false);"');?><?php echo htmlspecialchars(Language::AUTO);?>
									<?php echo FormUtil::radio('flashMarginLeftIsAuto', 0, ($info->flashMarginLeftIsAuto?1:0), 'onclick="changeDisplay(\'FlashMarginLeft\', true);"');?><?php echo htmlspecialchars(Language::INPUT_VALUE);?>
								</span>
								<span id="FlashMarginLeft"><?php echo FormUtil::textbox('flashMarginLeft', $info->flashMarginLeft, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'flashMarginLeft');?></span>
							</p>
							<p>
								<span><?php echo htmlspecialchars(Language::RIGHT);?>:</span>
								<span>
									<?php echo FormUtil::radio('flashMarginRightIsAuto', 1, ($info->flashMarginRightIsAuto?1:0), 'onclick="changeDisplay(\'FlashMarginRight\', false);"');?><?php echo htmlspecialchars(Language::AUTO);?>
									<?php echo FormUtil::radio('flashMarginRightIsAuto', 0, ($info->flashMarginRightIsAuto?1:0), 'onclick="changeDisplay(\'FlashMarginRight\', true);"');?><?php echo htmlspecialchars(Language::INPUT_VALUE);?>
								</span>
								<span id="FlashMarginRight"><?php echo FormUtil::textbox('flashMarginRight', $info->flashMarginRight, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'flashMarginRight');?></span>
							</p>
						</td>
					</tr>
					<tr>
						<th><?php echo htmlspecialchars(Language::PADDING_SETTING);?></th>
						<td>
							<p><?php echo htmlspecialchars(Language::TOP);?>:<?php echo FormUtil::textbox('flashPaddingTop', $info->flashPaddingTop, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'flashPaddingTop');?></p>
							<p><?php echo htmlspecialchars(Language::BOTTOM);?>:<?php echo FormUtil::textbox('flashPaddingBottom', $info->flashPaddingBottom, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'flashPaddingBottom');?></p>
							<p>
								<span><?php echo htmlspecialchars(Language::LEFT);?>:</span>
								<span>
									<?php echo FormUtil::radio('flashPaddingLeftIsAuto', 1, ($info->flashPaddingLeftIsAuto?1:0), 'onclick="changeDisplay(\'FlashPaddingLeft\', false);"');?><?php echo htmlspecialchars(Language::AUTO);?>
									<?php echo FormUtil::radio('flashPaddingLeftIsAuto', 0, ($info->flashPaddingLeftIsAuto?1:0), 'onclick="changeDisplay(\'FlashPaddingLeft\', true);"');?><?php echo htmlspecialchars(Language::INPUT_VALUE);?>
								</span>
								<span id="FlashPaddingLeft"><?php echo FormUtil::textbox('flashPaddingLeft', $info->flashPaddingLeft, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'flashPaddingLeft');?></span>
							</p>
							<p>
								<span><?php echo htmlspecialchars(Language::RIGHT);?>:</span>
								<span>
									<?php echo FormUtil::radio('flashPaddingRightIsAuto', 1, ($info->flashPaddingRightIsAuto?1:0), 'onclick="changeDisplay(\'FlashPaddingRight\', false);"');?><?php echo htmlspecialchars(Language::AUTO);?>
									<?php echo FormUtil::radio('flashPaddingRightIsAuto', 0, ($info->flashPaddingRightIsAuto?1:0), 'onclick="changeDisplay(\'FlashPaddingRight\', true);"');?><?php echo htmlspecialchars(Language::INPUT_VALUE);?>
								</span>
								<span id="FlashPaddingRight"><?php echo FormUtil::textbox('flashPaddingRight', $info->flashPaddingRight, 10, 6, 'txt').'px'.FormUtil::getErrorStr($result, 'flashPaddingRight');?></span>
							</p>
						</td>
					</tr>
				</table>
			</div>


		<div class="save_bt">
			<input type="hidden" name="mode" value="save" />
			<input type="image" name="save" src="../image/normal/bt/save_bt.gif" alt="<?php echo htmlspecialchars(Language::SAVE_CONTENTS);?>"/>
		</div>

		</div>
<?php echo HtmlUtil::tagSettingSideMenu(1);?>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
