<?php
require_once '../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
}

$domainId = intval($_SESSION['DomainId']);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(2, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step8" title="<?php echo htmlspecialchars(Language::TITLE_STEP8);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP8);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_setting_ti" title="<?php echo htmlspecialchars(Language::TITLE_SETTING_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_SETTING_EDIT);?></span></h3>
			<h4 class="h4_setting_ti03" title="<?php echo htmlspecialchars(Language::ENVIRONMENT_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::ENVIRONMENT_SETTING);?></span></h4>
			<p class="detail_message"><?php echo htmlspecialchars(Language::ENVIRONMENT_SETTING_COMMENT);?></p>

			<div class="tab_menu">
				<ul>
					<li><a href="frametag.php"><?php echo htmlspecialchars(Language::IFRAME_SETTING);?></a></li><?php
					?><li><a href="init.php" class="crt"><?php echo htmlspecialchars(Language::INITIALIZE);?></a></li>
				</ul>
			</div>

			<div class="input_table">
				<table summary="<?php echo htmlspecialchars(Language::INITIALIZE_TYPE);?>">
					<tr>
						<th><?php echo htmlspecialchars(Language::INITIALIZE_TYPE);?></th>
						<td>
							<span>
								<?php echo FormUtil::radio('initType', 0, 0);?><?php echo htmlspecialchars(Language::XML_ONLY);?>
								<?php echo FormUtil::radio('initType', 1, 0);?><?php echo htmlspecialchars(Language::TARGET_ALL);?>
							</span>
						</td>
					</tr>
				</table>
			</div>

			<div class="save_bt">
				<input type="hidden" name="mode" value="save" />
				<input type="image" name="save" src="../image/normal/bt/del_bt.gif" alt="<?php echo htmlspecialchars(Language::DELETE_CONTENTS);?>" onclick="javascript:dialogPost('<?php echo htmlspecialchars(Language::INITIALIZE_CHECK_COMMENT);?>', 'init_progress.php');return false;"/>
			</div>

		</div>
<?php echo HtmlUtil::tagSettingSideMenu(3);?>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
