<?php
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();
userInit();

if(empty($_SESSION['DomainId'])) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
} else {

	if(isset($_POST['initType']) && intval($_POST['initType']) === 1) {
		$isInitAll = true;
	} else {
		$isInitAll = false;
	}

	$deleteDir = sprintf('%03d/work', intval($_SESSION['DomainId']));

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript" src="../js/http.js"></script>
<script type="text/javascript"><!--
<?php
	if($isInitAll) {
?>
function deletePath(dir, delDir) {
	var dispArea = document.getElementById('script_disp_area');
	dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::DELETING_IT_PLEASE_WAIT);?><\/div><div><?php echo htmlspecialchars(Language::PLEASE_DONT_BE_CLOSE);?><\/div>";
	try {
		var httpObj = getHttpObj();

		var nowTimeObj = new Date();
		httpObj.open('GET', 'delete_exec.php?target='+delDir+'&'+nowTimeObj.getTime(), true);
		httpObj.onreadystatechange = function(){
			var dispArea = document.getElementById('script_disp_area');
			if(httpObj.readyState == 4) {
				if(httpObj.status == 200) {
					var xml = httpObj.responseXML;
					if(xml) {
						var status = Number(xml.getElementsByTagName('status')[0].firstChild.nodeValue);
						switch (status) {
						case 0: //next
							var next = xml.getElementsByTagName('next')[0].firstChild.nodeValue;
							dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::DELETING_IT_PLEASE_WAIT);?><\/div><div><?php echo htmlspecialchars(Language::PLEASE_DONT_BE_CLOSE);?><\/div><div>."+next.substring(dir.length+1)+"<\/div>";
							var tid=setTimeout("deletePath('"+dir+"', '"+next+"')",<?php echo Config::SYSTEM_SCRIPT_REQUEST_TIME;?>);

							break;
						case 1: //end
							var tid=setTimeout("deleteXml()",<?php echo Config::SYSTEM_SCRIPT_REQUEST_TIME;?>);
							break;

						default: //error
							var result = xml.getElementsByTagName('result')[0].firstChild.nodeValue;
						dispArea.innerHTML = "<p class=\"caution_art\">Error.:"+result+"<\/p>";
							break;
						}
					} else {
						dispArea.innerHTML = "<p class=\"caution_art\">Response error.<\/p>";
					}
				} else {
					dispArea.innerHTML = "<p class=\"caution_art\">HTTP error.:"+httpObj.status+"<\/p>";
				}
			}
		}
		httpObj.send('');

	} catch(e) {
		dispArea.innerHTML = "<p class=\"caution_art\">HTTP Request error.<\/p>";
	}
}
<?php
	}
?>
function deleteXml() {
	var dispArea = document.getElementById('script_disp_area');
	dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::INITIALIZE_XML_PLEASE_WAIT);?><\/div><div><?php echo htmlspecialchars(Language::PLEASE_DONT_BE_CLOSE);?><\/div>";
	try {
		var httpObj = getHttpObj();

		var nowTimeObj = new Date();
		httpObj.open('GET', 'init_xml_exec.php?'+nowTimeObj.getTime(), true);
		httpObj.onreadystatechange = function(){
			var dispArea = document.getElementById('script_disp_area');
			if(httpObj.readyState == 4) {
				if(httpObj.status == 200) {
					var xml = httpObj.responseXML;
					if(xml) {
						var status = Number(xml.getElementsByTagName('status')[0].firstChild.nodeValue);
						switch (status) {
						case 0: //end
							dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::FINISH);?><\/div>";
							break;

						default: //error
							var result = xml.getElementsByTagName('result')[0].firstChild.nodeValue;
							dispArea.innerHTML = "<p class=\"caution_art\">Error.:"+result+"<\/p>";
							break;
						}
					} else {
						dispArea.innerHTML = "<p class=\"caution_art\">Response error.<\/p>";
					}
				} else {
					dispArea.innerHTML = "<p class=\"caution_art\">HTTP error.:"+httpObj.status+"<\/p>";
				}
			}
		}
		httpObj.send('');

	} catch(e) {
		dispArea.innerHTML = "<p class=\"caution_art\">HTTP Request error.<\/p>";
	}
}
function init() {
<?php
	if($isInitAll) {
?>
	deletePath('<?php echo htmlspecialchars($deleteDir);?>', '<?php echo htmlspecialchars($deleteDir);?>');
<?php
	} else {
?>
	deleteXml();
<?php
	}
?>
}
window.onload = init;
--></script>
</head>
<body>
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(2, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step8" title="<?php echo htmlspecialchars(Language::TITLE_STEP8);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP8);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_setting_ti" title="<?php echo htmlspecialchars(Language::TITLE_SETTING_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_SETTING_EDIT);?></span></h3>
			<h4 class="h4_setting_ti03" title="<?php echo htmlspecialchars(Language::ENVIRONMENT_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::ENVIRONMENT_SETTING);?></span></h4>
			<p class="detail_message"><?php echo htmlspecialchars(Language::ENVIRONMENT_SETTING_COMMENT);?></p>

			<div class="tab_menu">
				<ul>
					<li><a href="frametag.php"><?php echo htmlspecialchars(Language::IFRAME_SETTING);?></a></li><?php
					?><li><a href="init.php" class="crt"><?php echo htmlspecialchars(Language::INITIALIZE);?></a></li>
				</ul>
			</div>

			<div class="input_table">
				<div id="script_disp_area"><p class="save_message"><?php echo htmlspecialchars(Language::PLEASE_WAIT);?></p></div>
			</div>

		</div>
<?php echo HtmlUtil::tagSettingSideMenu(3);?>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</body>
</html>
<!-- InstanceEnd --><?php
}
?>