<?php
require_once '../../inc/common.php';
commonDefine();

$configPath = dirname(__FILE__).'/../../../config/config.php';
if(!is_file($configPath)) {
	header('Location: ../../index.php');
} else {
	$isInput = true;
	$isError = false;
	require_once $configPath;
	require_once dirname(__FILE__).'/../../version.php';
	require_once dirname(__FILE__).'/../../inc/data/'.Config::DATA_TYPE.'/data_access.php';
	require_once dirname(__FILE__).'/../../inc/data/'.Config::DATA_TYPE.'/system_info.php';
	require_once dirname(__FILE__).'/../../inc/util/form_util.php';
	require_once dirname(__FILE__).'/../../inc/util/html_util.php';
	require_once dirname(__FILE__).'/../../../config/language.php';
	require_once dirname(__FILE__).'/../../../config/design.php';

	$systemInfo = new SystemInfo('');
	$nowVersion = $systemInfo->getVersion();
	if(Version::VERSION === $nowVersion) {
		header('Location: ../../index.php');
		exit();
	}

	$message = '';
	if($nowVersion === '') {
		$message = Language::MSG_DATA_ACCESS_ERROR;
		$isError = true;
	} else {
		if(isset($_POST['mode']) && $_POST['mode'] === 'check') {
			require_once dirname(__FILE__).'/../../inc/data/'.Config::DATA_TYPE.'/account.php';
			$account = new Account('');
			$accountInfo = $account->getFromInput($_POST['userId'], $_POST['pass'], '');

			if($accountInfo->accountId === 0 || $accountInfo->authorityLevel !== 1) {
				$message = Language::MSG_ID_PASSWORD_ERROR;
			} else {
				$isInput = false;
				session_start();
				$_SESSION['system_update'] = 'system_update';
				$_SESSION['system_update_user'] = $accountInfo->dispName;

				require_once 'check.php';
			}
		}
	}

	if($isInput) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(Language::UPDATE.' '.DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(Language::UPDATE);?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo HtmlUtil::tagIntCommonCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
</head>

<body>
<form id="act" action="index.php" method="post">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><?php echo DesignConfig::getTagAplLogo();?></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
		<div class="caution_area">
			<div class="caution_detail_area">
				<p class="caution_title"><span>CAUTION</span></p>
<?php
		if($message !== '') {
?>				<p class="caution_art"><?php echo $message;?></p>
<?php
		}
		if(!$isError) {
?>
				<p class="caution_txt"><?php echo htmlspecialchars(Language::PLEASE_VERSION_UP);?></p>
				<p class="caution_txt"><?php echo htmlspecialchars(Language::NOW_VERSION.' : '.$nowVersion);?></p>
				<p class="caution_txt"><?php echo htmlspecialchars(Language::UPDATE_VERSION.' : '.Version::VERSION);?></p>
				<p class="caution_txt"><?php echo htmlspecialchars(Config::INSTALL_NAME);?></p>
<?php
		}
?>
			</div>
		</div>
<?php
		if(!$isError) {
?>
		<div class="login_area">
			<div class="login_area_table">
				<table summary="<?php echo htmlspecialchars(Language::TABLE_INPUT_LOGIN);?>">
					<tr>
					<th>USER ID</th>
					<td><?php echo FormUtil::textbox('userId', '', 35, 250, 'txt wt_lg');?></td>
					</tr>
					<tr>
					<th>PASSWORD</th>
					<td><input type="password" name="pass" size="35" maxlength="250" value="" onfocus="focusColor(this)" onblur="blurColor(this)" class="txt wt_lg" /></td>
					</tr>
				</table>
				<div class="login_bt">
					<input type="hidden" name="mode" value="check" />
					<input type="submit" value="<?php echo htmlspecialchars(Language::CHECK);?>"/>
				</div>
			</div>
		</div>
<?php
		}
?>
	</div>
	<div id="contents_footer"><?php echo HtmlUtil::tagIntContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html><?php
	}
}
?>