<?php
require_once '../../inc/common.php';
commonDefine();

session_start();

if(empty($_SESSION['system_update']) || $_SESSION['system_update'] !== 'system_update') {
	header('Location: ../../index.php');
} else {

	require_once dirname(__FILE__).'/../../version.php';
	require_once dirname(__FILE__).'/../../../config/config.php';
	require_once dirname(__FILE__).'/../../inc/data/'.Config::DATA_TYPE.'/data_access.php';
	require_once dirname(__FILE__).'/../../inc/data/'.Config::DATA_TYPE.'/system_info.php';
	require_once dirname(__FILE__).'/../../inc/util/html_util.php';
	require_once dirname(__FILE__).'/../../../config/language.php';
	require_once dirname(__FILE__).'/../../../config/design.php';

	$systemInfo = new SystemInfo('');
	$nowVersion = $systemInfo->getVersion();

	$versionList =& Version::getVersionList();
	if(!array_key_exists($nowVersion, $versionList) || $versionList[$nowVersion] === '') {
		header('Location: ../../index.php');
	} else {
		$total = 0;
		$isCount = false;
		foreach($versionList as $version => $nextVersion) {
			if($isCount) {
				$total++;
			}
			if($version === $nowVersion) {
				$isCount = true;
			}
		}

		$startVersion = $versionList[$nowVersion];


?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(Language::UPDATE);?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(Language::UPDATE);?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo HtmlUtil::tagIntCommonCss();?>
<script type="text/javascript" src="../../js/http.js"></script>
<script type="text/javascript"><!--
function update(version, cnt) {
	var dispArea = document.getElementById('script_disp_area');
	try {
		var httpObj = getHttpObj();

		var nowTimeObj = new Date();
		httpObj.open('GET', 'exec.php?ver='+version+'&'+nowTimeObj.getTime(), true);
		httpObj.onreadystatechange = function(){
			var dispArea = document.getElementById('script_disp_area');
			var msgArea = document.getElementById('script_disp_msg');
			if(httpObj.readyState == 4) {
				if(httpObj.status == 200) {
					var xml = httpObj.responseXML;
					if(xml) {
						var status = Number(xml.getElementsByTagName('status')[0].firstChild.nodeValue);
						var target = xml.getElementsByTagName('target')[0].firstChild.nodeValue;
						var next = xml.getElementsByTagName('next')[0].firstChild.nodeValue;
						var result = xml.getElementsByTagName('result')[0].firstChild.nodeValue;
						switch (status) {
						case 0: //exec
							dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::PLEASE_DONT_BE_CLOSE);?><\/div><div><?php echo htmlspecialchars(Language::UPDATING);?><\/div><div>"+(cnt+1)+"\/<?php echo $total;?><\/div>";
							msgArea.innerHTML += '<div>'+target+':'+result+"<\/div>";
							var tid=setTimeout("update('"+next+"', "+(cnt+1)+")",<?php echo Config::SYSTEM_SCRIPT_REQUEST_TIME;?>);

							break;
						case 1: //end
							dispArea.innerHTML = "<div><?php echo htmlspecialchars(Language::FINISH);?><\/div><div><a href=\"..\/..\/index.php\"><?php echo htmlspecialchars(Language::RETURN_TO);?><\/a><\/div>";
							msgArea.innerHTML += '<div>'+target+':'+result+"<\/div>";
							break;

						default: //error
							dispArea.innerHTML = "<p class=\"caution_art\">Error.<\/p>";
							msgArea.innerHTML += "<p class=\"caution_art\">"+target+":"+result+"<\/p>";
							break;
						}
					} else {
						dispArea.innerHTML = "<p class=\"caution_art\">Response error.<\/p>";
					}
				} else {
					dispArea.innerHTML = "<p class=\"caution_art\">HTTP error.:"+httpObj.status+"<\/p>";
				}
			}
		}
		httpObj.send('');

	} catch(e) {
		dispArea.innerHTML = "<p class=\"caution_art\">HTTP Request error.<\/p>";
	}
}
function init() {
	update('<?php echo htmlspecialchars($startVersion);?>', 0);
}
window.onload = init;
--></script>
</head>

<body>
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<div id="header">
	<div id="head_logo_area"><?php echo DesignConfig::getTagAplLogo();?></div>
</div>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
		<div>
			<div id="script_disp_area"><?php echo htmlspecialchars(Language::PLEASE_WAIT);?></div>
			<div id="script_disp_msg"></div>
		</div>
	</div>
	<div id="contents_footer"><?php echo HtmlUtil::tagIntContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</body>
</html><?php
	}
}
?>