<?php
set_time_limit(0);
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

function getDirList($targetPath) {
	$list = array();

	$handle = opendir($targetPath);
	if($handle !== FALSE) {
		while (false !== ($dirName = readdir($handle))) {
			if($dirName === '.'|| $dirName === '..') {
				continue;
			} else if(is_dir($targetPath.$dirName)) {
				$list[] = $dirName;
			}
		}
		closedir($handle);
	}

	sort($list);

	return $list;
}

$pageItemCnt = 8;	//1ページ内の表示件数

if(empty($_SESSION['DomainId'])) {
	header('HTTP/1.0 404 Not Found');
} else {

	if(isset($_GET['pageId'])) {
		$pageId = intval($_GET['pageId']);
	} else {
		$pageId = 0;
	}


	$targetPath = realpath(SYSTEM_PATH.'template/page');
	if(isset($_GET['type'])) {
		if($_GET['type'] === 'users') {
			$targetPath = realpath(SYSTEM_USERS_PATH.sprintf('%03d/template', intval($_SESSION['DomainId'])));
		} else if($_GET['type'] === 'blog') {
			$targetPath = realpath(SYSTEM_PATH.'template/blog');
		}
	}

	$status = 1;	//OK
	$isNext = 0;
	$template = '';

	if($targetPath !== false) {
		$targetPath .= '/';


		$startCnt = $pageId * $pageItemCnt;
		$endCnt = ($pageId + 1) * $pageItemCnt;
		if(is_dir($targetPath)) {

			$dirList = getDirList($targetPath);
			$dirCnt = count($dirList);
			for($cnt = $startCnt; $cnt < $endCnt && $cnt < $dirCnt; $cnt++) {
				if(is_file($targetPath.$dirList[$cnt].'/coreblo_flag.xml')) {
					$template .= "	<template>\n";
					$template .= "		<file>1</file>\n";
					$template .= "		<dir>".htmlspecialchars($dirList[$cnt])."</dir>\n";
					if(is_file($targetPath.$dirList[$cnt].'/title.txt')) {
						require_once SYSTEM_INCLUDE_PATH.'util/utils.php';
						$titleStr = Utils::getTopLine($targetPath.$dirList[$cnt].'/title.txt');
						if(trim($titleStr) !== '') {
							$template .= "		<title>".htmlspecialchars($titleStr)."</title>\n";
						}
					}
					if(is_file($targetPath.$dirList[$cnt].'/thumbnail.gif')) {
						$template .= "		<image>1</image>\n";
					} else {
						$template .= "		<image>0</image>\n";
					}
					$template .= "	</template>\n";
				} else {
					$template .= "	<template>\n";
					$template .= "		<file>0</file>\n";
					$template .= "		<dir>".htmlspecialchars($dirList[$cnt])."</dir>\n";
					$template .= "	</template>\n";
				}
			}
			if($cnt < $dirCnt) {
				$isNext = 1;
			}

		} else {
			$status = -1; //ディレクトリ無しエラー
		}
	} else {
		$status = -1; //ディレクトリ無しエラー
	}

	if($pageId > 0) {
		$isBack = 1;
	} else {
		$isBack = 0;
	}


	$xmlStr = <<<_END_OF_STR
<?xml version="1.0" encoding="UTF-8"?>
<info>
	<status>{$status}</status>
	<next>{$isNext}</next>
	<back>{$isBack}</back>
{$template}
</info>
_END_OF_STR;

	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Content-Type: text/xml");
	header("Pragma: no-cache");
	header("Last-Modified: ".date('r'));
	echo $xmlStr;
}
?>