<?php
	require_once dirname(__FILE__).'/../inc/common.php';
	commonInit();
	userInit();

	if(empty($_SESSION['DomainId'])) {
		header('Location: '.SYSTEM_APL_URL.'index.php');
		exit();
	}

	$isUsersTemplate = false;
	$templateType = 'blog';
	$templateUrl = SYSTEM_URL.'template/blog/';
	$templateTitle = Language::BLOG_TMP_DETAIL_SETTING;
	$templateTitleClass = 'h4_tmp_ti01';
	if(isset($_GET['type'])) {
		if($_GET['type'] === 'users') {
			$isUsersTemplate = true;
			$templateType = 'users';
			$templateUrl = SYSTEM_URL.sprintf('users/%03d/template/', intval($_SESSION['DomainId']));
			$templateTitle = Language::ORG_TMP_DETAIL_SETTING;
			$templateTitleClass = 'h4_tmp_ti03';
		} else if($_GET['type'] === 'blog') {
			$templateType = 'blog';
			$templateUrl = SYSTEM_URL.'template/blog/';
			$templateTitle = Language::BLOG_TMP_DETAIL_SETTING;
			$templateTitleClass = 'h4_tmp_ti01';
		} else if($_GET['type'] === 'page') {
			$templateType = 'page';
			$templateUrl = SYSTEM_URL.'template/page/';
			$templateTitle = Language::HP_TMP_DETAIL_SETTING;
			$templateTitleClass = 'h4_tmp_ti02';
		}
	}

	$pageLineCnt = ceil(8/2);

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript" src="../js/http.js"></script>
<script type="text/javascript"><!--
function getList(pageId) {
	var dispArea = document.getElementById('TemplateList');
	try {
		var httpObj = getHttpObj();

		var nowTimeObj = new Date();
		httpObj.open('GET', 'get_list_exec.php?pageId='+pageId+'&type=<?php echo $templateType;?>&'+nowTimeObj.getTime(), true);
		httpObj.onreadystatechange = function(){
			var dispArea = document.getElementById('TemplateList');
			if(httpObj.readyState == 4) {
				if(httpObj.status == 200) {
					var xml = httpObj.responseXML;
					if(xml) {
						var status = Number(xml.getElementsByTagName('status')[0].firstChild.nodeValue);
						switch (status) {
						case 1: //ok
							var output = '';
							var next = Number(xml.getElementsByTagName('next')[0].firstChild.nodeValue);
							var back = Number(xml.getElementsByTagName('back')[0].firstChild.nodeValue);
							if(back == 1) {
								output += "<div class=\"bk_navi\"><a href=\"javascript:void(0);\" onclick=\"getList("+(pageId-1)+");return false;\" class=\"bk_link\"><?php echo htmlspecialchars(Language::PREVIOUS_PAGE);?><\/a><\/div>";
							}
							if(next == 1) {
								output += "<div class=\"nx_navi\"><a href=\"javascript:void(0);\" onclick=\"getList("+(pageId+1)+");return false;\" class=\"nx_link\"><?php echo htmlspecialchars(Language::NEXT_PAGE);?><\/a><\/div>";
							}

							var templateList = xml.getElementsByTagName('template');
							if(templateList.length > 0) {
								output += '<div class="tmp_list_table">';
								for(var cnt = 0; cnt < templateList.length; cnt++) {

									if(cnt != 0 && (cnt % <?php echo $pageLineCnt;?>) == 0) {
										output += "<\/div><div>";
									}
									var isFile = false;
									var dirName = '';
									var titleStr = 'no name';
									var imagePath = '../image/common/img/no_img.gif';
									var childNodes = templateList[cnt].childNodes;
									for(var childCnt = 0; childCnt < childNodes.length; childCnt++) {
										if(childNodes[childCnt].nodeType == 1) {
											if(childNodes[childCnt].tagName == 'file') {
												isFile = (childNodes[childCnt].firstChild.nodeValue == '1');
											} else if(childNodes[childCnt].tagName == 'dir') {
												dirName = childNodes[childCnt].firstChild.nodeValue;
											} else if(childNodes[childCnt].tagName == 'title') {
												titleStr = childNodes[childCnt].firstChild.nodeValue;
											} else if(childNodes[childCnt].tagName == 'image') {
												if(Number(childNodes[childCnt].firstChild.nodeValue) == 1) {
													imagePath = '<?php echo htmlspecialchars($templateUrl);?>'+dirName+'/thumbnail.gif';
												}
											}
										}
									}
									output += '<div class="tmp_list_box">';
									if(isFile) {
										output += "<p class=\"tmp_list_img\"><image src=\""+imagePath+"\" alt=\"thumbnail\" \/ width=\"165\"><\/p>";
										output += '<p class=\"tmp_list_radio\"><input type="radio" name="selectTemplate" value="'+dirName+'" ';
										if(cnt == 0) {
											output += 'checked="checked" ';
										}
										output += "\/>";
										output += titleStr+"<\/p>";
									} else {
										titleStr = "<p><?php echo htmlspecialchars(Language::INVALID_TEMPLATE);?><\/p>";
										output += titleStr;
									}
<?php
	if($isUsersTemplate) {
?>
									if(isFile) {
										output += "<p class=\"tmp_list_edit\"><a href=\"edit_title.php?id="+dirName+"\"><?php echo htmlspecialchars(Language::TITLE_EDIT);?><\/a><\/p>";
									}
									output += "<p class=\"tmp_list_del\"><a href=\"javascript:void(0);\" onclick=\"dialogPost('<?php echo Language::getMsgCheckDelete('"+titleStr+"');?>', 'delete_template.php?id="+dirName+"');return false;\"><?php echo htmlspecialchars(Language::DELETE_TEMPLATE);?><\/a><\/p>";
<?php
	}
?>
									output += "<\/div>";

								}
								output += "<\/div>";
								output += '<div class="tmp_list_select">';
								output += "<input type=\"radio\" name=\"initType\" value=\"0\" checked=\"checked\" \/> <?php echo htmlspecialchars(Language::XML_ONLY);?>";
								output += "<input type=\"radio\" name=\"initType\" value=\"1\" \/> <?php echo htmlspecialchars(Language::TARGET_ALL);?>";
								output += "<\/div>";
								output += '<div class="save_bt">';
								output += "<a href=\"javascript:void(0);\" onclick=\"dialogPost('<?php echo htmlspecialchars(Language::INITIALIZE_FROM_TEMPLATE_COMMENT);?>', 'import.php');return false;\"><img src=\"../image/normal/bt/tmp_bt.gif\"><\/a>";
								output += "<\/div>";
							} else {
								output = "<div><?php echo htmlspecialchars(Language::NO_TEMPLATES);?><\/div>";
							}
							dispArea.innerHTML = output;
							break;

						default: //error
							dispArea.innerHTML = "<p class=\"caution_art\"><?php echo htmlspecialchars(Language::MSG_CANNOT_CONFIRM_TEMPLATE);?><\/p>";
							break;
						}
					} else {
						dispArea.innerHTML = "<p class=\"caution_art\">Response error.<\/p>";
					}
				} else {
					dispArea.innerHTML = "<p class=\"caution_art\">HTTP error.:"+httpObj.status+"<\/p>";
				}
			}
		}
		httpObj.send('');

	} catch(e) {
		dispArea.innerHTML = "<p class=\"caution_art\">HTTP Request error.<\/p>";
	}
}

function init() {
	getList(0);
}
window.onload = init;
--></script>
</head>

<body>
<form id="act" action="" method="post">
<div id="wrapper">
<input type="hidden" name="type" value="<?php echo $templateType;?>" />
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(7, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">
	<h2 class="step4" title="<?php echo htmlspecialchars(Language::TITLE_STEP4);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP4);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
		<div class="contents_inner_main_area">
			<h3 class="h3_tmp_ti" title="<?php echo htmlspecialchars(Language::TITLE_TMP_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_TMP_EDIT);?></span></h3>
			<h4 class="<?php echo htmlspecialchars($templateTitleClass);?>" title="<?php echo htmlspecialchars($templateTitle);?>"><span class="dis_none"><?php echo htmlspecialchars($templateTitle);?></span></h4>
<?php
	if($isUsersTemplate && Config::IS_ARCIVE) {
?>
			<p class="new_edit"><a href="upload.php" class="upl_bt" title="<?php echo htmlspecialchars(Language::UPLOAD);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::UPLOAD);?></span></a></p>
<?php
	}
?>

			<p class="detail_message"><?php echo htmlspecialchars(Language::TMP_EDIT_COMMENT1);?></p>

			<div id="TemplateList" ><p class="save_message"><?php echo htmlspecialchars(Language::PLEASE_WAIT);?></p></div>



		</div>
		<div class="contents_inner_side_navi">
		<ul>
		<li title="<?php echo htmlspecialchars(Language::BLOG_TMP_SETTING );?>"><a href="index.php?type=blog" class="tmp_side_blog<?php echo ($templateType==='blog'?'a':'')?>"><span class="dis_none"><?php echo htmlspecialchars(Language::BLOG_TMP_SETTING );?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::HP_TMP_SETTING );?>"><a href="index.php?type=page" class="tmp_side_hp<?php echo ($templateType==='page'?'a':'')?>"><span class="dis_none"><?php echo htmlspecialchars(Language::HP_TMP_SETTING );?></span></a></li>
		<li title="<?php echo htmlspecialchars(Language::ORG_TMP_SETTING );?>"><a href="index.php?type=users" class="tmp_side_org<?php echo ($templateType==='users'?'a':'')?>"><span class="dis_none"><?php echo htmlspecialchars(Language::ORG_TMP_SETTING );?></span></a></li>
		</ul>
		</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
