<?php
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();
userInit();


if(empty($_SESSION['DomainId']) || !Config::IS_ARCIVE) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
}

$message = '';
$result = array();
$userPath = SYSTEM_USERS_PATH.sprintf('%03d/', intval($_SESSION['DomainId']));
if(is_file($userPath.'upfile.zip')) {
	unlink($userPath.'upfile.zip');
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs();?>
<script type="text/javascript"><!--
function uploadFile() {
	var obj = document.getElementById('act');
	var fileName = obj.UpFilePath.value;
	if(fileName != '' && fileName.match(/\.zip$/i)) {
		obj.encoding = "multipart/form-data";
		obj.method = "post";
		obj.action = "<?php echo htmlspecialchars(Config::UP_CGI_URL)?>template_up.cgi";
		obj.submit();
	}
}
--></script>
</head>

<body>
<form id="act" action="" method="post">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(7, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
<div id="contents_inner">
	<h2 class="step4" title="<?php echo htmlspecialchars(Language::TITLE_STEP4);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP4);?></span></h2>
		<div id="contents_inner_main_t"><span class="dis_none"><?php echo htmlspecialchars(Language::CONTENTS_HEADER);?></span></div>
		<div id="contents_inner_main_m">
			<div class="contents_inner_main_area">
				<h3 class="h3_tmp_ti" title="<?php echo htmlspecialchars(Language::TITLE_TMP_EDIT);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_TMP_EDIT);?></span></h3>
				<h4 class="h4_tmp_ti03" title="<?php echo htmlspecialchars(Language::ORG_TMP_DETAIL_SETTING);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::ORG_TMP_DETAIL_SETTING );?></span></h4>
				<p class="new_edit"><a href="index.php?type=users" class="list_bk_bt" title="<?php echo htmlspecialchars(Language::RETURN_TO_LIST);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::RETURN_TO_LIST);?></span></a></p>
				<p class="detail_message"><?php echo htmlspecialchars(Language::TMP_EDIT_COMMENT1);?></p>
<?php
	if($message !== '') {
		echo '<p class="save_message">'.htmlspecialchars($message).'</p>';
	}
?>
				<div class="input_table">
					<table summary="<?php echo htmlspecialchars(Language::SELECT_UPLOAD_FILE);?>">
						<tr>
							<th><?php echo htmlspecialchars(Language::SELECT_UPLOAD_FILE);?></th>
							<td><input type="file" name="UpFilePath" size="40" /><br /><?php echo htmlspecialchars(Language::UP_TO_TEMPLATE_ZIP_FILE);?></td>
						</tr>
					</table>
				</div>

				<div class="save_bt">
					<input type="hidden" name="UpOutPath" value="<?php echo htmlspecialchars($userPath);?>" />
					<input type="hidden" name="UpNextUrl" value="<?php echo htmlspecialchars(SYSTEM_REAL_URL);?>apl/template/upload_input.php" />
					<a href="javascript:void(0);" onclick="uploadFile();return false;"><img src="../image/normal/bt/upl_save_bt.gif" title="<?php echo htmlspecialchars(Language::UP_TO_SELECT_FILE);?>" alt="<?php echo htmlspecialchars(Language::UP_TO_SELECT_FILE);?>" /></a>
				</div>

			</div>
			<div class="contents_inner_side_navi">
				<ul>
					<li title="<?php echo htmlspecialchars(Language::BLOG_TMP_SETTING );?>"><a href="index.php?type=blog" class="tmp_side_blog"><span class="dis_none"><?php echo htmlspecialchars(Language::BLOG_TMP_SETTING );?></span></a></li>
					<li title="<?php echo htmlspecialchars(Language::HP_TMP_SETTING );?>"><a href="index.php?type=page" class="tmp_side_hp"><span class="dis_none"><?php echo htmlspecialchars(Language::HP_TMP_SETTING );?></span></a></li>
					<li title="<?php echo htmlspecialchars(Language::ORG_TMP_SETTING );?>"><a href="index.php?type=users" class="tmp_side_orga"><span class="dis_none"><?php echo htmlspecialchars(Language::ORG_TMP_SETTING );?></span></a></li>
				</ul>
			</div>
		</div>
		<div id="contents_inner_main_b"><?php echo DesignConfig::getTagContentsInnerFooter();?></div>
	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
