<?php
require_once dirname(__FILE__).'/../inc/common.php';
commonInit();

if(empty($_SESSION['DomainId'])) {
	header('Location: '.SYSTEM_APL_URL.'index.php');
	exit();
}

$domainId = intval($_SESSION['DomainId']);
$userWorkPath = SYSTEM_USERS_PATH.sprintf('%03d/work', $domainId);

if(!file_exists($userWorkPath.'/files')) {
	mkdir($userWorkPath.'/files', 0755);
}

require_once SYSTEM_INCLUDE_PATH.'data/parts.php';
$upPathName = 'base';
if(isset($_GET['type']) && PartsInfo::isUploader($_GET['type'])) {
	$upPathName = $_GET['type'];
}
if(!file_exists($userWorkPath.'/files/'.$upPathName)) {
	mkdir($userWorkPath.'/files/'.$upPathName, 0755);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>" lang="<?php echo htmlspecialchars(Language::LANGUAGE_TYPE);?>">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo htmlspecialchars(DesignConfig::getSysTitle());?></title>
<meta name="copyright" content="<?php echo htmlspecialchars(DesignConfig::getMetaCopy());?>" />
<meta name="robots" content="nofollow,noindex" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<?php echo DesignConfig::getTagCommonCss();?>
<?php echo DesignConfig::getTagNormalCss();?>
<?php echo HtmlUtil::tagCommonJs()?>
<script type="text/javascript" src="../js/flash.js"></script>
</head>

<body>
<form id="act"  method="post" action="">
<div id="wrapper">
<div id="container">
<!-- HeadStart -->
<?php echo HtmlUtil::tagHeader(4, $_SESSION['AuthorityLevel'], $_SESSION['DomainTitle']);?>
<!-- HeadEnd -->
<!-- ContentsStart -->
<div id="contents">
	<div id="contents_inner">

	<h2 class="step1" title="<?php echo htmlspecialchars(Language::TITLE_STEP1);?>"><span class="dis_none"><?php echo htmlspecialchars(Language::TITLE_STEP1);?></span></h2>
<?php
	$partsList = PartsInfo::getActiveList();
	if(count($partsList) > 0) {
?>
	<div class="tab_menu">
	<ul>
		<li>
			<a href="uploader.php?type=base" <?php echo ($upPathName === 'base'?'class="crt"':'');?>><?php echo htmlspecialchars(Language::BASE_FILE);?></a>
		</li>
<?php
		foreach($partsList as $partsType => $partsInfoList) {
			if($partsInfoList['uploader']) {
?>
		<li>
 			<a href="<?php echo htmlspecialchars('uploader.php?type='.$partsType);?>" <?php echo ($upPathName === $partsType?'class="crt"':'');?>><?php echo htmlspecialchars($partsInfoList['name']);?></a>
		</li>
<?php
			}
		}
?>
	</ul>
	</div>
<?php
	}
?>

	<div class="flash_area"><script type="text/javascript">writeObj('<?php
		 echo htmlspecialchars(
			 'get_dir.swf?base_path='.SYSTEM_APL_URL.'upload/'
			.'&public_path='.SYSTEM_URL.sprintf('users/%03d/work/files/'.$upPathName, $domainId)
			.'&up_base_path='.$userWorkPath
			.'&up_path=files/'.$upPathName
			.'&name=&UploadCgi_Path='.Config::UP_CGI_URL.'up_file.cgi');
			?>','965','567', 'page', 'FFFFFF', true);</script></div>

	</div>
	<div id="contents_footer"><?php echo DesignConfig::getTagContentsFooter();?></div>
</div>
<!-- ContentsEnd -->
<!-- FooterStart -->
<div id="footer">
	<div class="copyright"><?php echo DesignConfig::getTagCopyright();?></div>
	<div class="site_link"><?php echo DesignConfig::getTagFooterLogo();?></div>
</div>
<!-- FooterEnd -->
</div>
</div>
</form>
</body>
</html>
<!-- InstanceEnd -->
