<?php
class Version {
	/**
	 * 現在のバージョン番号
	 */
	const VERSION = '1.0.2';

	/**
	 * バージョン一覧取得
	 * @return array バージョン一覧（キー：バージョン番号／値：バージョンアップ先バージョン）
	 */
	static function &getVersionList() {
		$list['0.0.1.B1'] = '0.0.1.B2';
		$list['0.0.1.B2'] = '0.0.1.B3';
		$list['0.0.1.B3'] = '0.0.1.B4';
		$list['0.0.1.B4'] = '0.0.1.B5';
		$list['0.0.1.B5'] = '0.0.1.B6';
		$list['0.0.1.B6'] = '0.9.0';
		$list['0.9.0']    = '0.9.1';
		$list['0.9.1']    = '0.9.2';
		$list['0.9.2']    = '0.9.3';
		$list['0.9.3']    = '0.9.4';
		$list['0.9.4']    = '0.9.5';
		$list['0.9.5']    = '0.9.6';
		$list['0.9.6']    = '0.9.7';
		$list['0.9.7']    = '0.9.8';
		$list['0.9.8']    = '0.9.9';
		$list['0.9.9']    = '0.9.10';
		$list['0.9.10']   = '0.9.11';
		$list['0.9.11']   = '0.9.12';
		$list['0.9.12']   = '0.9.13';
		$list['0.9.13']   = '0.9.14';
		$list['0.9.14']   = '0.9.15';
		$list['0.9.15']   = '0.9.16';
		$list['0.9.16']   = '0.9.17';
		$list['0.9.17']   = '0.9.18';
		$list['0.9.18']   = '1.0.0';
		$list['1.0.0']    = '1.0.1.B1';
		$list['1.0.1.B1'] = '1.0.1.B2';
		$list['1.0.1.B2'] = '1.0.1';
		$list['1.0.1']    = '1.0.2.B1';
		$list['1.0.2.B1'] = '1.0.2.B2';
		$list['1.0.2.B2'] = '1.0.2';
		$list[Version::VERSION] = '';	//最後

		return $list;
	}

	/**
	 * バージョンアップ時に表示するメッセージ一覧
	 * @return array メッセージ一覧(キー：バージョン番号／値：メッセージ）
	 */
	static function &getMessageList() {
		$list['0.9.0'] = 'iframe関連設定追加により言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['0.9.2'] = 'フォトギャラリーの設定項目追加・Itemコピー機能追加により言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['0.9.4'] = '言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['0.9.5'] = '言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['0.9.8'] = 'テキスト表示パーツの設定項目追加により言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['0.9.9'] = '管理者設定項目追加により言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['0.9.10'] = 'テキスト表示パーツの設定項目追加により言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['0.9.11'] = '初期化機能追加により言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['0.9.13'] = 'エラーメッセージ追加により言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['0.9.16'] = '設定項目追加により言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['0.9.18'] = '言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['1.0.1.B1'] = '言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['1.0.1.B2'] = '言語定義が増加します。言語操作を行っている場合ご注意ください。';
		$list['1.0.2.B2'] = '設定項目追加により言語定義が増加します。言語操作を行っている場合ご注意ください。';

		return $list;
	}
}
?>